Exchange Server 2003 - Introducing Microsoft Exchange Server 2003

Exchange Server 2003

Microsoft Exchange Server 2003

Version: June 2003

Welcome to Microsoft Exchange Server 2003 Help. This documentation is designed to assist you in performing day-to-day Exchange administration tasks. It contains short "how to" topics about the core Exchange tasks you perform using Exchange management tools, such as Exchange System Manager and Active Directory Users and Computers.

Exchange Technical Library

Your primary source for in-depth technical information on Exchange Server 2003 is the Exchange Technical Library, available at http://www.microsoft.com/exchange/library. The Exchange Technical Library is a catalog of technical Exchange content that has been reviewed and approved by the Exchange product team at Microsoft. Look for the "checked book" logo on documents that are certified by Microsoft as technically accurate. In order to ensure that the content remains accurate and up-to-date, documents with the logo include an expiration date. New versions of these documents are added to the library as the old versions expire, ensuring that you always have the latest Exchange technical information. These documents are designed to evolve over time as Exchange Server 2003 gains exposure and new tricks, issues, and troubleshooting information become available.

Updated Help

Exchange 2003 Help may have been updated since Exchange Server 2003 was released. To download and install any Help updates, go to the Exchange Technical Library.

Exchange Tools

Many additional tools are available for Exchange 2003 on the Microsoft Exchange Tools Web Page.

Exchange Product Web Page

Additional information about Exchange 2003 is available on the Microsoft Exchange Web Page.

© 2003 Microsoft Corporation. All rights reserved.


Exchange Server 2003 - Using This Documentation

Using This Documentation

This documentation consists of a collection of "how to" topics organized by subject matter. You can access each topic directly from the table of contents in the left pane, from a link in another help topic, from the results of a search, or from your own custom list of favorites.

Windows Conventions

Microsoft Exchange Server 2003 runs on both the Windows 2000 Server and Windows Server 2003 family of products. The procedures in the Exchange Server 2003 Help generally assume that you are running Exchange 2003 on Windows 2000 Server. If you are running on Windows Server 2003, the procedures might be slightly different. Usually these differences are intuitive, and the Help procedures can be easily performed in Windows Server 2003 installations.

In cases where the user interface is signficantly different between Windows 2000 Server and Windows Server 2003, separate procedures are indicated for each opearting system.

In some cases, procedures require Windows Server 2003 and cannot be performed in a Windows 2000 Server installation. These cases are noted in the relevant procedures.

Interactive Document Conventions

This document includes many interactive features that you can use to open MMC snap-ins and navigate among the topics in the documentation set, to Web sites, and to other documentation sets. The following table describes the interactive features used in this document:
Feature | Function
 | Use the expand and collapse feature to display and hide text. Click on [image] to display more information on a topic. Then click [image] to hide it again. When you print a topic, all collapsed text is printed.
Navigate | When you click on the word Navigate, preceded by the [image] symbol, a hierarchical MMC map appears. Most navigation maps do not display steps for connector or administrative groups. If you have connectors installed, or administrative groups enables, you must first navigate to your administrative group or connector before following the rest of the navigation.
 | When you click on highlighted words preceded by this glossary symbol, the definition of the term appears. Click on the term to close it.
 | To view topics related to the topic you are reading, click the related topics symbol located at the upper-right corner of the topic, or scroll to the bottom of the topic.
 | Clicking on highlighted words preceded by the shortcut symbol, starts the associated snap-in. If the snap-in is not installed on your local computer, the documentation cannot locate it and you are given instructions on starting the snap-in from the Start menu.

Glossary Entries

Glossary entries define terminology. They can be accessed in individual topic links by clicking on terms shown in blue with a [image], or from the Glossary node in the table of contents.

Printing Topics

You can print single topics from this document by right-clicking the topic in the right pane or in the table of contents and clicking Print from the shortcut menu. You can print a group of related topics by right-clicking a node in the table of contents and clicking Print from the menu.


Exchange Server 2003 - Getting Started

Getting Started

Getting Started with Microsoft Exchange Server 2003

To increase the benefits and reduce the risk of data loss during the deployment of Exchange 2003, you should have a thorough understanding of the following features and the use of the following components:

  • Implementing Your Administrative Model. In these sections you learn how to organize your topology by creating administrative groups and routing groups to address organizational and process-related requirements. You learn how to create policies to control configuration settings across multiple servers. More...
  • Managing Exchange in Mixed Mode. In these sections you learn how to manage Exchange in mixed mode. You learn how to determine if you are in mixed mode, how to switch to native mode, and how to manage users in a mixed mode environment. More...
  • Configuring Security. In these sections you learn how to protect your Exchange 2003 organization by restricting communication between your intranet and the Internet. You learn how to use the Exchange Administration Delegation Wizard to assign administrative permissions, how to protect your organization from viruses, and how to use other system-wide security measures to guard your resources from unauthorized users. More...

Get latest Exchange content at http://www.microsoft.com/exchange/library.
Send feedback about this page Send feedback about this page.


Exchange Server 2003 - Implementing Your Administrative Model

Implementing Your Administrative Model

Implementing Your Administrative Model

The administrative model organizes your Microsoft Exchange Server 2003 system topology to address organizational and process-related requirements. The follow sections explain tasks involved in implementing your administrative model:

  • Start System Manager
  • Manage Administrative Groups
  • Manage System Policies
  • Manage Permissions


Exchange Server 2003 - Start System Manager

Implementing Your Administrative Model

Start System Manager

System Manager replaces the Administrator program in Exchange 5.5 and is used for administration of Microsoft Exchange Server 2003. It is a Microsoft Management Console (MMC) common console file named Exchange System Manager.msc. You can start it from the Start menu or by running the file.

System Manager can be customized by adding extra windows to the console and by creating taskpads, which are graphical representations of administrative tasks.

Start System Manager

  • On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.


Exchange Server 2003 - Manage Administrative Groups

Implementing Your Administrative Model

Manage Administrative Groups

When Exchange is installed, support for administrative groups and routing groups is disabled by default. This provides a simpler interface for small- to medium-sized organizations that do not need these groups.

This section includes the following topics:

  • Create an Administrative Group
  • Add Objects to an Administrative Group
  • Copy Policy Objects Between Administrative Groups
  • Move Objects Between Administrative Groups


Exchange Server 2003 - Create an Administrative Group

Implementing Your Administrative Model

Create an Administrative Group

To create administrative groups, support for them must be enabled. Administrative groups are disabled by default.

To create an administrative group:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Right-click the top organization item in System Manager, and then click Properties.
  3. In Administrative Views, click Display Administrative Groups.

    Note You will have to exit and restart Exchange System Manager before proceeding to the next step.

  4. In System Manager, right-click Administrative Groups, point to New, and then click Administrative Group.
  5. On the General tab, type a name for the group.
  6. On the Details tab, use Administrative note to add additional information.

Note Administrative and routing group support is enabled by default when an Exchange 2000 and later server is installed in an Exchange 5.5 site. Every Exchange 5.5 site appears as an administrative group in Exchange 2000 or later.


Exchange Server 2003 - Add Objects to an Administrative Group

Implementing Your Administrative Model

Add Objects to an Administrative Group

To add objects to an administrative group, you must first add a container for the object to the group.

To add objects to an administrative group:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Administrative Groups folder.
  3. Right-click the container item, point to New, and then click the name of the object type to add a new object.


Exchange Server 2003 - Copy Policy Objects Between Administrative Groups

Implementing Your Administrative Model

Copy Policy Objects Between Administrative Groups

Only policies can be copied between policy containers. Policy containers cannot be copied between groups.

To copy policy objects between administrative groups:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. From a policy container, right-click the policy you want to copy, and then click Copy.
  3. Right-click a target container, and then click Paste.
  4. Right-click the target container, and then click Refresh to view the policy in the container.


Exchange Server 2003 - Move Objects Between Administrative Groups

Implementing Your Administrative Model

Move Objects Between Administrative Groups

Objects can be moved only between containers of the same type. Containers cannot be moved between groups.

To move objects between administrative groups:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. From a source container, right-click the object you want to move, and then click Cut.
  3. Right-click a target container, and then click Paste.
  4. Right-click the target container, and then click Refresh to view the object in the container.

- OR -
  • Drag the object from the source container to the target container.


Exchange Server 2003 - Manage System Policies

Implementing Your Administrative Model

Manage System Policies

Policies are collections of configuration settings that are applied to one or more Exchange objects in Active Directory. An administrator can define a policy that controls configuration settings across multiple servers. Once a policy is defined and implemented, you can change the configuration of all of the servers by editing the policy and applying the changes.

This section includes the following topics:

  • Create a Policy
  • Apply Policies to Objects
  • List Policy/Object Relationships
  • Modify a Policy
  • Remove a Policy From an Object


Exchange Server 2003 - Create a Policy

Implementing Your Administrative Model

Create a Policy

Exchange includes two kinds of policies: system and recipient. System policies are policies that you create and apply to a server, mailbox store, or public store. Recipient policies are policies that are applied to mail-enabled Exchange objects (any object with at least one e-mail address) to generate e-mail addresses.

This section includes the following topics:

  • Create a Server Policy
  • Create a Public Store Policy
  • Create a Mailbox Store Policy
  • Create a Recipient Policy


Exchange Server 2003 - Create a Server Policy

Implementing Your Administrative Model

Create a Server Policy

With a server policy you can quickly apply general properties to servers. To create a server policy, you must display administrative groups.

To create a server policy:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. To display administrative groups, right-click the organization, and then click Properties. On the General tab, select Display administrative groups. You will have to exit and restart Exchange System Manager.
  3. Double-click Administrative Groups, and then double-click the administrative group that you want to add a policy to. If you do not already have a System Policies folder, you must create one. To create a new system policies folder, right-click the administrative group, point to New, and then select System Policy Container.
  4. Under the administrative group, right-click System Policies, point to New, and then select Server policy.
  5. In New Policy, check the boxes of the tabs you want to use in the policy.
  6. In the Properties window, on the General tab, type a name for the policy.
  7. On the Details tab, use Administrative note to add additional information about the policy.
  8. On the General (Policy) tab, set the following options:
    • Click Enable subject logging and display to log all message subject fields.
    • Click Enable message tracking to log all mail activity performed by all Exchange components.
    • Click Remove log files to remove all log files older than the value set in Remove files that are older than (days).


Exchange Server 2003 - Create a Public Store Policy

Implementing Your Administrative Model

Create a Public Store Policy

With a public store policy you can quickly apply general, database, replication, and message and folder limits properties to public folder stores. To create a server policy, you must display administrative groups.

To create a public store policy:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. To display administrative groups, right-click the organization, and then click Properties. On the General tab, select Display administrative groups. You will have to exit and restart Exchange System Manager.
  3. Double-click Administrative Groups, and then double-click the administrative group that you want to add a policy to. If you do not already have a System Policies folder, you must create one. To create a new system policies folder, right-click the administrative group, point to New, and then select System Policy Container.
  4. Under the administrative group, right click System Policies, point to New, and then select Public store policy.
  5. In New Policy, check the boxes of the tabs you want to use in the policy.
  6. In the Properties window, on the General tab, type a policy name.
  7. On the Details tab, use Administrative note to add additional information.
  8. On the General (Policy) tab, set the following options:
    • Click Clients support S/MIME signatures if your mail clients are using the S/MIME standard.
    • Click Display plain text messages in a fixed-size font to display variable-width message fonts in a fixed font.
  9. On the Database (Policy) tab, set the following options:
    • Select a value in Maintenance interval or click Customize to build a custom schedule graphically.
  10. On the Replication (Policy) tab, set the following options:
    • Select a value in Replication interval or click Customize to build a custom schedule graphically.
    • Type a value in Replication interval for always (minutes) to limit replication frequency.
    • Under Limits, type a value in Replication interval for always (minutes) to limit the replication interval, and then type a value Replication message size limit (KB) to limit the messages replicated.
  11. On the Limits (Policy) tab, set the following options:
    • Click Issue warning at (KB) to send a warning when the storage space used reaches the size you specify.
    • Click Prohibit post at (KB) to prohibit messages over the size you specify from posting.
    • Click Maximum item size (KB) to set a maximum limit for items in the policy.
    • Select a value in Warning message interval or click Customize to build a custom schedule graphically.
    • Use Keep deleted items for (days) to set in the maximum number of days items can remain in the store.
    • Click Do not permanently delete items until the store has been backed up to preserve items until the store is backed up.
    • Click Age limit for all folders in this store (days) and type a value.
  12. On the Full-Text Indexing (Policy) tab, set the following options:
    • Select a value in Update Interval or click Customize to build a custom schedule graphically.
    • Select a value in Rebuild Interval or click Customize to build a custom schedule graphically.


Exchange Server 2003 - Create a Mailbox Store Policy

Implementing Your Administrative Model

Create a Mailbox Store Policy

With a mailbox store policy, you can quickly apply general, database, and message limit properties to mailbox stores. To create a server policy, you must display administrative groups.

To create a mailbox store policy:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. To display administrative groups, right-click the organization, and then click Properties. On the General tab, select Display administrative groups. You will have to exit and restart Exchange System Manager.
  3. Double-click Administrative Groups, and then double-click the administrative group that you want to add a policy to. If you do not already have a System Policies folder, you must create one. To create a new system policies folder, right-click the administrative group, point to New, and then select System Policy Container.
  4. Under the administrative group, right click System Policies, point to New, and then select Mailbox store policy.
  5. In New Policy, check the boxes of the tabs you want to use in the policy.
  6. On the General tab of the Properties window, type a policy name.
  7. On the Details tab, use Administrative note to add additional information.
  8. On the General (Policy) tab, set the following options:
    • Use Default public store to set the default public store.
    • Use Offline address list to set an offline address list.
    • Click Clients support S/MIME signatures if your mail clients are using the Secure/Multipurpose Internet Mail Extensions (S/MIME) standard.
    • Click Display plain text messages in a fixed-size font to display variable-width message fonts in a fixed font.
  9. On the Database (Policy) tab, set the following options:
    • Select a value in Maintenance interval or click Customize to build a custom schedule graphically.
  10. On the Limits (Policy) tab, set the following options:
    • Click Issue warning at (KB) to issue a warning when the storage space used reaches the size you specify.
    • Click Prohibit send at (KB) to stop sending items when the storage space used reaches the size you specify.
    • Click Prohibit send and receive at (KB) to stop sending and receiving items when the storage space used reaches the size you specify.
    • Select a value in Warning message interval or click Customize to build a custom schedule graphically.
    • Use Keep deleted items for (days) to set the maximum number of days to keep deleted items in the store.
    • Use Keep deleted mailboxes for (days) to set the maximum number of days to keep deleted mailboxes in the store.
    • Click Do not permanently delete mailboxes and items until the store has been backed up to preserve mailboxes and items until the store is backed up.
  11. On the Full-Text Indexing (Policy) tab, set the following options:
    • Select a value in Update Interval or click Customize to build a custom schedule graphically.
    • Select a value in Rebuild Interval or click Customize to build a custom schedule graphically.


Exchange Server 2003 - Create a Recipient Policy

Implementing Your Administrative Model

Create a Recipient Policy

With a recipient policy, you can quickly apply general and e-mail address properties to recipients.

To create a recipient policy:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Under the Recipients item, right-click Recipient Policies, point to New, and then click Recipient Policy.
  3. In New Policy, check the boxes of the tabs you want to use in the policy.
  4. On the General tab, set the following options:
    • Use Name to name the policy.
    • Click Modify to access Find Exchange Recipients and build the LDAP query to select the set of recipients to which your policy applies. Use the General tab to build a simple query. Use the Storage tab to specify select the set of mailboxes you want to include in your query. Use the Advanced tab to build an advanced query using field-level attributes of the recipients and search conditions.
    • Use Filter rules to see the Lightweight Directory Access Protocol (LDAP) query filter created in the Find Exchange Recipients window.
  5. On the E-Mail Address tab, set the following options:
    • Use Generation Rules to view the current rules of how e-mail addresses are generated for the recipients selected by the LDAP query. Any recipient under this policy automatically has the addresses in this list. Use New to create a new rule and Edit to change an existing rule.
    • Use Set as Primary to designate one address as the primary when you have two or more e-mail addresses of the same address type.
  6. On the Details tab, use Administrative note to add additional information.


Exchange Server 2003 - Apply Policies to Objects

Implementing Your Administrative Model

Apply Policies to Objects

After creating a policy, you add Exchange objects of the same type to it.

To apply policies to objects:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Under the organization or administrative group item, click System Policies. In the Details pane, right-click the policy you want to modify, and then click Add Public Store for a public store policy, Add server for a server policy, or Add mailbox for a mailbox policy.
  3. Select an object from the upper section of the window, click Add, and then click OK.
  4. In the Microsoft Exchange Administrator dialog box, which prompts you to verify that you want to add the object to the policy, click Yes.
  5. If the object is under the control of another policy, another Microsoft Exchange Administrator dialog box prompts you to verify whether you want to remove the object from the control of the other policy. Click Yes.


Exchange Server 2003 - List Policy/Object Relationships

Implementing Your Administrative Model

List Policy/Object Relationships

You can use System Manager to view all objects controlled by a policy and all policies applied to an object.

To list the objects a policy is applied to:

  1. Start System Manager: on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Under the organization or administrative group item, expand System Policies, and then click a policy. The objects under its control are listed in the Policy Applied To column.

To list the policies applied to an object:

  1. Start System Manager: on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Under the organization or administrative group item, right-click a server object, public store object, or mailbox store object, and then click Properties.
  3. Click the Policies tab to view the policies applied to the object.


Exchange Server 2003 - Modify a Policy

Implementing Your Administrative Model

Modify a Policy

You can modify a policy that is applied to one or more objects to change the properties on all of the objects.

To modify a policy:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Under the organization or administrative group item, right-click System Policies, right-click the policy you want to modify, and then click Properties.
  3. Use the tabs to modify the policy.
  4. Right-click the policy, and then click Apply now to apply the changes.


Exchange Server 2003 - Remove a Policy From an Object

Implementing Your Administrative Model

Remove a Policy From an Object

You can remove a policy that is applied to one or more objects to change the properties on all of the objects.

    To remove a policy from an object:

  1. Start System Manager: On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Under the organization or administrative group item, expand System Policies, and then click the policy you want to remove.
  3. In the Policy Applied To column, right-click the object, point to All Tasks, and then click Remove from policy.

- OR -

  • Under the organization or administrative group item, expand System Policies, right-click the policy you want to remove, and then click Delete.

Caution Use this method only when you no longer want the policy.


Exchange Server 2003 - Manage Permissions

Implementing Your Administrative Model

Manage Permissions

Permissions control access to Exchange objects. You should use the Exchange Administration Delegation Wizard to set permissions on organizations and administrative groups, and thus control access to the Exchange objects contained within the organization or administrative group. You can set permissions on some Exchange objects individually. These objects include public folder trees, address lists, and MDBs. For these objects, Exchange uses and extends Active Directory permissions. Examples of Active Directory permissions are Read, Write, and List contents. Examples of extended Exchange permissions are Create public folder and View Information Store status. When looking at an object's permissions, Active Directory permissions are listed first, followed by Exchange extended permissions.

Related Topics

Use Exchange Administration Delegation Wizard


Exchange Server 2003 - Managing Exchange in Mixed Mode

Managing Active Directory Connector

Managing Exchange in Mixed Mode

If you run your Exchange organization in mixed mode, Exchange 2003 can interoperate with Exchange 4.x and 5.x servers.

To manage a mixed mode organization, refer to the following sections:

  • Determine if an Exchange Organization is in Mixed or Native mode
  • Switch an Exchange Organization from Mixed to Native Mode
  • Manage Exchange 4.x and 5.x servers
  • Manage Users with Mailboxes on Previous Versions of Exchange
  • Merge Duplicate Accounts in Active Directory

Answers to Frequently Asked Questions

What is the difference between operating my Exchange organization in mixed mode versus native mode?

You can operate your Exchange 2003 organization in mixed or native mode. Native mode offers full Exchange 2003 functionality, while mixed mode offers interoperability between Exchange 2003 and Exchange 5.x or earlier. When you install Exchange 2003, your Exchange 2003 organization runs in mixed mode by default.

This default setting ensures future interoperability with previous versions of Exchange (for example, the installation of an Exchange 5.5 server at a later time), even if no Exchange 5.x servers exist at the time of installation. The concept of mixed-mode and native-mode Exchange organizations is similar to the idea of mixed-mode and native-mode domains in Active Directory. In Exchange 2003, native and mixed mode can be selected only at an organizational level.

Do I manage my Exchange 4.x and 5.x mailboxes from Exchange Server Administrator or from Microsoft Windows 2000 Active Directory Users and Computers?

You can manage users with mailboxes on Exchange 4.x and 5.x servers from the Exchange 5.5 Administrator program or from Windows 2000 Active Directory Users and Computers.

Do I manage my Exchange 4.x and 5.x servers from Exchange Server Administrator or from System Manager?

Although the configuration of an Exchange 5.5 organization is synchronized with Windows 2000 Active Directory using a Configuration Connection Agreement, you must administer all 4.x and 5.x servers using Exchange Server Administrator.

What is the difference between public folder or recipient Connection Agreements and Configuration Connection Agreements?

Public folder and recipient Connection Agreements are used to synchronize Active Directory objects between Windows Active Directory and the Exchange 5.5 directory. Configuration Connection Agreements are automatically created to synchronize configuration information between Exchange 2003 servers and Exchange 5.5 sites.


Exchange Server 2003 - Determine if an Exchange Organization is in Mixed or Native Mode

Managing Active Directory Connector

Determine if an Exchange Organization is in Mixed or Native Mode

When administering an Exchange organization, it is important to determine which mode the organization is in. This is because of the significant differences between operating in mixed and native mode.

To determine the mode of an existing organization:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If you have more than one Exchange organization, in the console tree, expand the tree to expose the organization for which you want to determine the mode.
  3. In the console pane, right-click the organization for which you want to determine the mode, and then click Properties. In Operations mode, the operating mode of the organization displays.

    4. Important If your organization is in native mode, you cannot change it back to mixed mode or install earlier versions of Exchange.


Exchange Server 2003 - Switch an Exchange Organization from Mixed to Native Mode

Managing Active Directory Connector

Switch an Exchange Organization from Mixed to Native Mode

After upgrading an existing organization to Exchange 2003 or creating a new Exchange organization, if you are certain you will not need to install an Exchange 5.5 server or connector, you can switch your organization to native mode.

To switch an Exchange organization from mixed to native mode:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand the tree to expose the organization that you want to switch to native mode.
  3. Right-click the organization, and then click Properties.

    Important If your Exchange organization is in native mode, you cannot change it back to mixed mode or install earlier versions of Exchange.

  4. In Change Operations mode, click Change Mode. Click Yes if you are sure that you want to permanently switch this organization's mode to native mode.
  5. Reboot the Exchange server. This will restart all services on the computer, ensuring all native mode features will be enabled.


Exchange Server 2003 - Manage Exchange 4.

Managing Active Directory Connector

Manage Exchange 4.x and 5.x servers.

Although the configuration of an Exchange 5.5 organization is synchronized with Windows 2000 Active Directory using a Configuration Connection Agreement, you must administer all 4.x and 5.x servers using Exchange Server Administrator. These tasks include managing queues, connectors, address book views, monitors, and so on.

Note You must use System Manager to manage computers running Exchange 2003.

To manage Exchange 4.x and 5.x servers:

  1. Open Exchange Server Administrator.
  2. In Exchange Administrator, configure the Exchange settings you need to manage.

    Note For more information on managing 4.x and 5.x servers, see the Microsoft Exchange Server 4.x or 5.x documentation.

    3. Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange Server 2003 - Manage Users with Mailboxes on Previous Versions of Exchange

Managing Active Directory Connector

Manage Users with Mailboxes on Previous Versions of Exchange

You can use Exchange Server Administrator or Windows Active Directory Users and Computers to manage users with mailboxes on Exchange 4.x or 5.x servers. Exchange 2003 Setup adds Exchange-related property tabs to allow administrators to manage the same mailbox attributes (for example, e-mail addresses, mailbox size limitations, and so on), that can be managed using Exchange Server Administrator. The advantage of managing them from Active Directory Users and Computers is that you can perform user management from one application.

You can also manage users with mailboxes on Exchange 4.x or 5.x servers from Windows servers that do not have Exchange 2003 installed. More:

Active Directory Connector Setup adds Exchange-related property tabs to the Active Directory Users and Computers snap-in. These Exchange-related property tabs allow administrators to manage the same mailbox attributes (for example, e-mail addresses, mailbox size limitations, and so on), that can be managed by using Exchange Server Administrator.

Note You can manage Exchange 5.5 recipients from Exchange 2003 only if ADC is configured to replicate the recipients between Active Directory and the Exchange 5.5 directory.

Note Even though e-mail recipients are administered from Active Directory, you must still manage the Exchange 5.5 environment from Exchange Server Administrator. This includes the management of queues, connectors, address book views, monitors, and so on.

To manage users with mailboxes on Exchange 4.x or 5.x servers:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the tree, and then select the container that includes the user you want to manage.
  3. In the details pane, double-click the object you want to manage.
  4. To manage the Exchange 4.x and 5.x objects, click the Exchange-related property tabs. The Exchange-related property tabs are Exchange General, E-mail Addresses, Exchange Advanced, and Exchange Features.


Exchange Server 2003 - Merge Duplicate Accounts in Active Directory

Managing Active Directory Connector

Merge Duplicate Accounts in Active Directory

Removing duplicate accounts in Active Directory can help improve the performance of your Exchange servers. Duplicate accounts can be created as a result of multiple directories being upgraded or migrating to Active Directory. Use Active Directory Account Cleanup Wizard to search and merge duplicate accounts in Active Directory.

To merge duplicate accounts in Active Directory:

  1. Identify Duplicate Accounts.
  2. Review and Modify Merge Operations.
  3. Merge Accounts.
  4. View Merge Operation Results.

Note You should run Active Directory Account Cleanup Wizard at regular intervals when using deployment scenarios that include upgrading and migrating multiple directories to Active Directory.


Exchange Server 2003 - Identify Duplicate Accounts

Step 1: Identify Duplicate Accounts

There are three ways to identify duplicate accounts in Active Directory. Active Directory Account Cleanup Wizard searches for all duplicate accounts. You can manually enter the duplicate accounts that you want to merge. You can also create a file that contains a list of accounts to be merged, and then import that list into the wizard.

Note Because it can take a considerable amount of time to identify, review, and merge duplicate accounts in Active Directory, you may want to use a two-step process. The first step is to use the wizard to identify duplicate accounts and then export that list to a .csv file. Then, at a later time, you can import that list of merge operations for further review and run the merge process.

To identify duplicate accounts:

  • Use the Wizard to Search for Duplicate Accounts
  • Select Duplicate Accounts Manually

Related Topics

Export and Import Lists of Accounts


Exchange Server 2003 - Use the Wizard to Search for Duplicate Accounts

Use the Wizard to Search for Duplicate Accounts

Active Directory Account Cleanup Wizard automatically searches your entire forest for duplicate accounts. If you do not want the wizard to search your entire forest for duplicate accounts, you can specify the containers and sub-containers in which you want the wizard to search.

Note The amount of time it takes to search for duplicate accounts depends on the size and number of duplicate accounts in Active Directory.

To search for duplicate accounts using the wizard:

  1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Cleanup Wizard.
  2. On the Welcome to the Active Directory Account Cleanup Wizard screen, click Next.

  3. On the Identify Merging Accounts screen, select the containers and sub-containers that you want to search by doing one of the following:

    • To search all the containers and sub-containers in your forest, proceed to step 4.

      • -Or-

    • Click Add, navigate to an Active Directory container that you want to include in your search, and then click OK.

      • Note The container you select will display under Container. The check box under Include Subcontainers is selected by default. This option causes all sub-containers under that object to be searched. If you do not want to include subfolders in your Active Directory search, click to clear the check box next to the container you selected.

      Repeat the procedures until you have selected all the containers and sub-containers that you want to search.

  4. If you only want to base the search for duplicate accounts on objects that have been created by Active Directory Connector (ADC), ensure that the Search based on Exchange mailboxes only check box is selected. (This check box is selected by default.)

    Note You can extend the search for duplicate accounts in Active Directory. To include objects that have been created by ADC, mail connectors (for example, Microsoft Exchange Connector for Lotus Notes), and other tools, click to clear the Search based on Exchange mailboxes only check box.

  5. To begin the search, click Next. To stop the search, click Cancel.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Select Duplicate Accounts Manually

Select Duplicate Accounts Manually

If you know which accounts you want to merge, you can manually select the accounts you want to merge instead of using Active Directory Account Cleanup Wizard.

Important When you select accounts to be merged, be aware of the merge operation restrictions involved when you merge accounts in Active Directory.

To select duplicate accounts manually:

  1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Cleanup Wizard.
  2. On the Welcome to the Active Directory Account Cleanup Wizard screen, click Next.
  3. On the Identifying Merging Accounts screen, click to clear the Search Entire Directory Or Selected Containers check box, and then click Next.
  4. On the Review Merging Operations screen, click Add.
  5. In the Select Merging Accounts dialog box, select the objects that you want to merge.
    • Under Source account, click Browse to locate the object you want to merge into the target object. The source object will not exist after the merge.
    • Under Target account, click Browse to locate the object you want to retain after the merge is complete.
  6. Repeat steps 4 and 5 until all of the merge operations you are adding to the list appear under Merging Accounts.

Related Topics

Merge Accounts


Exchange Server 2003 - Review and Modify Merge Operations

Step 2: Review and Modify Merge Operations

To ensure you are merging the appropriate Active Directory objects, you should review, and if necessary, modify the list of merge operations that the wizard is ready to perform. You can review and modify merge operations from the wizard or from the .csv file that you exported.

Caution You should review and modify merge operations before you start the merge process in Active Directory. Once the merge process is complete, you can not undo the operation.

The amount of time it takes to review and modify merge operations depends on the size and number of duplicate objects in Active Directory. It may take a significant amount of time to review and modify the merge operations. You may want to export a list of merge operations that the wizard has found and then, at a later time, run the merge process.

To review and modify merge operations:

  • Review a Merge Operation
  • Add a Merge Operation
  • Remove a Merge Operation

Related Topics

Export and Import Lists of Accounts


Exchange Server 2003 - Review a Merge Operation

Review a Merge Operation

To ensure you are merging the appropriate Active Directory objects, you should review the list of merge operations that you want Active Directory Account Cleanup Wizard to perform.

By reviewing the details of merge operations, you can determine if you want to remove a merge operation. You can review and modify merge operations in Active Directory Account Cleanup Wizard or from the .csv file that you exported.

Caution You should review and modify merge operations before you start the actual merging process in Active Directory. Once the merge process is complete, you cannot undo the operation.

To review a merge operation:

  • Review a Merge Operation Using the Wizard
  • Review a Merge Operation in a .CSV File

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Review a Merge Operation Using the Wizard

Review a Merge Operation Using the Wizard

To review a merge operation using the wizard:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. On the Review Merging Accounts screen, double-click a merge operation.
  3. In the Account Information dialog box, review the details about the accounts that have been paired together:
    • Under Source account, you can view the icon for the type of account, account location, display name, logon ID, e-mail address, title, department, or telephone to ensure you are selecting the correct account to merge into the target account.
    • Under Target account, you can view the icon for the type of account, account location, display name, logon ID, e-mail address, title, department, or telephone to ensure you are selecting the account you want to retain when the merge is complete.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Review a Merge Operation in a .CSV File

Review a Merge Operation in a .CSV File

To review a merge operation in a .csv file:

  1. Open any application used to display .csv files (for example, Microsoft Excel).
  2. Open the .csv file that you want to review.

    3. Note You can open a list of merge operations in a .csv file only after exporting a list of accounts from Active Directory Account Cleanup Wizard.

  3. Review the attributes of the accounts that have been paired together in the .csv file. Ensure you have selected the appropriate merge operations:
    • For each source account, review the account location, display name, alias, e-mail address, title, department, or telephone number to ensure you are selecting the correct account to merge into the target account.
    • For each target account, review the account location, display name, alias, e-mail address, title, department, or telephone number to ensure you are selecting the account you want to retain after the merge is complete.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Add a Merge Operation

Add a Merge Operation

You can add a merge operation to a list of existing merge operations.

To add a merge operation to an existing list of merge operations:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This will display a list of merge operations.

  2. On the Review Merging Accounts screen, click Add.
  3. In the Select Merging Accounts dialog box, select the objects that you want to merge.
    • Under source account, click Browse. In Look in, select the domain that contains the object you want, and then click the object you want to merge with the target object. The source object will not exist after the merge.
    • Under target account, click Browse. In Look in, select the domain that contains the object you want, and then click the object you want to remain after the merge operation is complete.

    Tip Another way to select accounts is to type the account name in Name box, and then click OK. This displays a list of accounts similar to what you typed in Name.

  4. Repeat step 3 until all of the merge operations you want to add to the list appear under Merging Accounts.

Related Topics

Review and Modify Merge Operations


Exchange Server 2003 - Remove a Merge Operation

Remove a Merge Operation

You can remove a merge operation from the merge operations list if you do not want it to be performed. You can remove it using Active Directory Account Cleanup Wizard, or you can remove it from the .csv file that you exported.

To remove a merge operation:

  • Remove a Merge Operation Using the Wizard
  • Remove a Merge Operation From a .CSV File


Exchange Server 2003 - Remove a Merge Operation Using the Wizard

Remove a Merge Operation Using the Wizard

If you do not want a merge operation to be performed, you can remove it from the list of merge operations using Active Directory Account Cleanup Wizard.

To remove a merge operation using the wizard:
  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. On the Review Merging Accounts screen, select the operation that you want to remove.

    Caution To ensure that you are removing the correct operation from the list, double-click the merge operation, and then view the details of the merge to confirm the details of the object you are deleting.

  3. Click Remove.


Exchange Server 2003 - Remove a Merge Operation From a .CSV File

Remove a Merge Operation From a .CSV File

If you do not want a merge operation to be performed, you can remove it from the .csv file that you previously exported.

To remove a merge operations from a .csv file:

  1. Open any application used to display .csv files (for example, Microsoft Excel).
  2. Open the .csv file that you want to review.

    3. Note You can open a list of merge operations in a .csv file only after exporting a list of accounts from Active Directory Account Cleanup Wizard.

  3. Select the merge operation you want to remove, and then use the application in which you created the .csv file to delete the merge operation; for example, if you are using Microsoft Excel, select the merge operation, and then click Delete.


Exchange Server 2003 - Export and Import Lists of Accounts

Step 3: Export and Import Lists of Accounts

Active Directory Account Cleanup Wizard allows you to import and export lists of accounts you want to merge. Depending on the size of your search and the number of duplicate accounts in Active Directory, it may take more than a few minutes to identify, review, and merge the duplicate accounts the list contains.

Note It is important to review the list of merge operations prior to merging accounts.

You can search for a list of duplicates accounts, export that list into a .csv file, and review and modify that list as necessary outside of Active Directory Account Cleanup Wizard. When you are ready to continue your directory cleanup, you can import the list of merge operations back to Active Directory Account Cleanup Wizard and complete the task.

Exporting and importing lists of accounts is useful for the following reasons:

  • If you have just completed a search for duplicate accounts and you do not have time to review and then run the merge process at that time.
  • If you prefer to review and modify the list of merge operations from a .csv file.
  • If you are about to start the merge operations, but you want to have a simple source and target account record of what accounts you have merged.

To export and import lists of merge operations:

  • Create a List of Accounts
  • Export a List of Accounts
  • Import a List of Accounts


Exchange Server 2003 - Create a List of Accounts

Create a List of Accounts

You can manually create a list of merge operations for Active Directory Account Cleanup Wizard to perform. You can create a list of merge operations in Notepad or any other application that uses the .csv format.

Note You need to create a list of merge operations manually only if you have a particular reason to do so; for example, you might want to create a list of merge operations manually if you already have a list of accounts to be merged in the correct .csv format for the wizard.

To create a list of accounts to be merged in Notepad:

  1. Open Notepad.
  2. In a blank Notepad document, type Source,Target on the first line.

  3. On the following lines, type the source and target accounts for the merge operations you want to add:

    <Source account location and name>,<Target account location and name

    The following is an example of what a .csv file of a merge operation looks like in Notepad. The merge operation involves a disabled account for Martha Dale and an enabled account for Martha L. Dale:

    Source,Target

    server1.east.contoso.com/Users/Martha Dale, server1.east.contoso.com/Users/Martha L. Dale

Note A list of accounts exported from the wizard includes source and target account locations, in addition to the following attributes: display name, alias, e-mail address, title, department, and telephone.

These additional attributes are not needed in an import file and are used to help you review an exported list of accounts outside of the wizard.

Related Topics

Import a List of Accounts Review and Modify Merge Operations Export and Import Lists of Accounts Merge Accounts


Exchange Server 2003 - Export a List of Accounts

Export a List of Accounts

You can export a list of merge operations (pairs of duplicate accounts) from Active Directory Account Cleanup Wizard. This allows you to review and modify the list of merge operations outside the wizard. You can restart the wizard, import the modified list of merge operations, and continue with the merge process at any time.

To export a list of accounts:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. On the Review Merging Accounts screen, click Next.

  3. On the Begin Merging Accounts screen, select Export the list of merge accounts to a file, click Browse, and then select a location and file name for the .csv file that contains a list of accounts to be merged.

    This file contains the source accounts, target accounts, and attributes of each type of account.

    Important This list of accounts is exported, and later imported, to merge duplicate account, to provide you with information about the accounts being merged in the .csv file format. Changing any of the attributes does not affect the merge, because you import only the source and target information back into the wizard.

  4. To export the merge operations to the specified file, click Save, and then click Next.

Related Topics

Export and Import Lists of Accounts Review and Modify Merge Operations Merge Accounts


Exchange Server 2003 - Import a List of Accounts

Import a List of Accounts

After you export or create a list of merge operations with Active Directory Account Cleanup Wizard, you can import that list back to the wizard at a later time. Importing the list back into the wizard allows you to review and modify merge operations before running the merge process.

To import a list of accounts:

  1. On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Cleanup Wizard.
  2. On the Welcome to the Active Directory Account Cleanup Wizard screen, click Next.
  3. On the Identifying Merging Accounts screen, click to clear the Search Entire Directory or Selected Containers check box.
  4. On the Identify Merging Accounts screen, select Import A List Of Merging Accounts, click Browse, and then select the .csv file that you used to save your list of merge operations.
  5. To import the .csv file, click Open, and then click Next. The list of merge operations from the .csv file displays on the Review Merging Accounts screen.

Related Topics

Export and Import Lists of Accounts Review and Modify Merge Operations Merge Accounts


Exchange Server 2003 - Merge Accounts

Step 4: Merge Accounts

After Active Directory Account Cleanup Wizard merges duplicate accounts, you cannot undo the merge operation.

Caution Familiarize yourself with the results of merging Active Directory objects before starting the merge process to ensure that you understand how object attributes are merged and deleted.

To merge accounts in Active Directory:

  1. Display a list of merge operations on the Review Merging Accounts screen.

    Do one of the following:

    Use Active Directory Account Cleanup Wizard to search for duplicate accounts in Active Directory. The search results display a list of suggested merge operations.

    -Or-

    Select duplicate accounts manually in Active Directory. The duplicate accounts that you select display as merge operations the wizard can perform.

    -Or-

    Import a list of accounts from a .csv file you previously saved. This file displays a list of merge operations.

  2. Click Next.
  3. On the Begin Merging Accounts screen, click Begin the merge process now.
  4. If you are sure you want to perform the merge operations at this time, in the warning box, click Yes.
  5. If you want to export a list of accounts, click Export merge operation to a file, click Browse, and then select a file name and a location for the file.

  6. To begin the merge process, click Next. To stop the merge process, click Cancel.

Important If you use Connection Agreements in your Exchange environment, you must reconfigure your Connection Agreements after running the wizard. This ensures that Active Directory Connector (ADC) will properly replicate objects and attributes to the new locations of objects that have been merged.

Related Topics

Export and Import Lists of Accounts View Merge Operation Results


Exchange Server 2003 - View Merge Operation Results

Step 5: View Merge Operation Results

You can view the results of the merge process to determine whether it completed successfully. You can view the results from Active Directory Account Cleanup Wizard or in a log file named ADClean.log, which you can open in a text application such as Notepad. The processes the wizard completes display in a cumulative log format.

You can delete portions of the log that you no longer need from the ADClean.log file. You can also print the log file for further review.

To view the account merge results:

  • View Merge Operation Results Using the Wizard
  • View Merge Operation Results in the ADClean.log File


Exchange Server 2003 - View Merge Operation Results Using the Wizard

View Merge Operation Results Using the Wizard

You can view the results of the merge process from Active Directory Account Cleanup Wizard.

Tip If you want to delete portions of the log that you no longer need, or if you want to print the log file for further review, you must view the merge operations results in the ADClean.log file.

To view the account merge results from the wizard:

  1. Merge accounts using Active Directory Account Cleanup Wizard.
  2. On the Account Merge Results screen, use the information under Account Merge Results to interpret the merge operation process.

    To view an example of a log file:

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:07 AM
STATE:		Search started 12/22/2003 9:10:12 AM
        Searching Entire Directory for target accounts...
        1 account merge was found during the search.
STATE:		Search finished 12/22/2003 9:10:20 AM

STATE:		Export started 12/22/2003 9:10:44 AM
        Account merges written to D:\exchsrvr\bin\merge.csv.
STATE:		Export finished 12/22/2003 9:10:44 AM

***********************************************
SUMMARY
Account merges written to D:\exchsrvr\bin\merge.csv.
***********************************************
STATE:		ADClean finished 12/22/2003 9:10:51 AM

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:52 AM
STATE:		Import started 12/22/2003 9:11:00 AM
        1 account merges were successfully imported.
STATE:		Import finished 12/22/2003 9:11:01 AM

STATE:		Merge started 12/22/2003 9:11:06 AM
        Sucessfully merged MachineName.DomainName.Contoso.com/east/dcambel into MachineName.DomainName.Contoso.com/east/David Cambel.
STATE:		Merge finished 12/22/2003 9:11:17 AM

***********************************************
SUMMARY
Account Merges Imported: 1
Total account merges to perform: 1
Total account merges completed: 1
Merge started 12/22/2003 9:11:06 AM
Merge finished 12/22/2003 9:11:17 AM
***********************************************
STATE:		ADClean finished 12/22/2003 9:11:38 AM


Exchange Server 2003 - View Merge Operation Results in the ADClean.log File

View Merge Operation Results in the ADClean.log File

You can view the results of the merge process in a log file named ADClean.log, which you open in a text application such as Notepad. The file contains a cumulative log of the processes completed by the wizard.

You can delete portions of the log that you no longer need. You can also print the log file for further review.

To view the results in the ADClean.log file:

  1. Merge accounts using Active Directory Account Cleanup Wizard.
  2. Start Notepad or any text application that can be used to view log files.
  3. Open the ADClean.log file in the text application you are using. The log file is created in the directory from which you run ADClean (by default, this is the Exchsrvr/BIN directory).

    For example, if you are using Notepad, from the File menu, click Open, and then browse to the location of ADClean.log.

  4. Use the information in the ADClean.log file to interpret the merge process.

    To view an example of a log file:

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:07 AM
STATE:		Search started 12/22/2003 9:10:12 AM
        Searching Entire Directory for target accounts...
        1 account merge was found during the search.
STATE:		Search finished 12/22/2003 9:10:20 AM

STATE:		Export started 12/22/2003 9:10:44 AM
        Account merges written to D:\exchsrvr\bin\merge.csv.
STATE:		Export finished 12/22/2003 9:10:44 AM

***********************************************
SUMMARY
Account merges written to D:\exchsrvr\bin\merge.csv.
***********************************************
STATE:		ADClean finished 12/22/2003 9:10:51 AM

----------------------------------------------------------------------------------------------
STATE:		ADClean started 12/22/2003 9:10:52 AM
STATE:		Import started 12/22/2003 9:11:00 AM
        1 account merges were successfully imported.
STATE:		Import finished 12/22/2003 9:11:01 AM

STATE:		Merge started 12/22/2003 9:11:06 AM
        Sucessfully merged MachineName.DomainName.Contoso.com/east/dcambel into MachineName.DomainName.Contoso.com/east/David Cambel.
STATE:		Merge finished 12/22/2003 9:11:17 AM

***********************************************
SUMMARY
Account Merges Imported: 1
Total account merges to perform: 1
Total account merges completed: 1
Merge started 12/22/2003 9:11:06 AM
Merge finished 12/22/2003 9:11:17 AM
***********************************************
STATE:		ADClean finished 12/22/2003 9:11:38 AM


Exchange Server 2003 - Configuring Security

Configure Exchange Server 2003 Security

Configure Exchange Server 2003 Security

Protecting your Microsoft Exchange Server 2003 organization means restricting communication between your intranet and the Internet. Having sound security practices inside your firewall is as important as a strong perimeter. This section is intended to help you protect all aspects of your system.

The security features of Microsoft Exchange Server 2003 give you control over who can access Exchange objects in your organization and administrative groups, who can connect to your mail system, and what users can do. For example, you can limit message size through connectors, block mail from certain IP addresses from being relayed on virtual servers, audit user activity on public folders, and grant or revoke administrative permissions by user, group, or domain with Exchange Administration Delegation Wizard.

Exchange security builds upon Windows 2000 security. Windows 2000 Server offers security features, such as user accounts, group policies, security and authentication protocols, and security logs.

To configure Exchange Server security, refer to the following sections:

  • Use Exchange Administration Delegation Wizard
  • Set Permissions
  • Set Advanced Permissions
  • Set User Authentication on Virtual Servers
  • Set User Authentication on the HTTP Exchange Virtual Server
  • Control Connections to Virtual Servers
  • Control Connections to the HTTP Exchange Virtual Server
  • Enable Logging for SMTP, NNTP, and HTTP Protocols
  • Enable Logging for the HTTP Exchange Virtual Server

Answers to frequently asked questions

What is the simplest way to control access to Exchange objects such as servers, connectors, and folders?

Use Exchange Administration Delegation Wizard to assign different administrative permissions to different groups. First, create a security group in Windows Active Directory Users and Computers Microsoft Management Console (MMC), provide a descriptive name for the group, for example, Finance Group or Mailbox Administrators, and add the appropriate users to the group. Then, using Exchange Administration Delegation Wizard, assign permissions to the group rather than assigning permissions to specific users. You can also manage access to some Exchange objects individually, such as public folder trees, address lists, MDBs, protocols, and servers. First use Exchange Administration Delegation Wizard to set your overall permissions, and then configure special permissions on the public folder tree, address list, MDB, protocols, or servers.

How do I audit security breaches?

By auditing Exchange store objects, you can track configuration changes to your system in the Windows 2000 event logs. First, enable the type of auditing you want in the Windows 2000 Group Policy MMC snap-in, and then set auditing on the Exchange store object through its Security properties. You can also use logging to track the commands that a virtual server receives from clients by enabling logging and setting the logging properties of the virtual server associated with each messaging transport protocol. For example, for each message, you can view the client's IP address, client's domain name, date and time of the message, number of bytes sent, and the protocol command sent. When used with Windows 2000 event logs, the protocol log enables you to audit the use of the virtual server and detect or trace problems.

Should I use a firewall for security?

A firewall is one of the best ways to protect your system from external intruders. A firewall connects an internal network to another network while securely controlling access in both directions. A firewall can also be used to monitor traffic between your internal network and an external network, and can provide virus-scanning protection.

Do I need a proxy server in my firewall?

Exchange is inherently an application-specific proxy server that understands mail protocol and data, and can determine if data is corrupted or from an unacceptable source (for example, spam mail). If Exchange is configured correctly, you do not need a proxy server.

What tools does Windows 2000 provide to help set up security?

Windows 2000 provides an extensive set of tools to help administrators configure and manage group policies, local policies, file and folder access, system registry access, and auditing. Delegation of Control Wizard enables you to delegate administrative control for Active Directory organizational units to specified users and groups. Other tools are available through MMC snap-ins. For more information, see the Windows 2000 documentation.


Exchange Server 2003 - Use Exchange Administration Delegation Wizard

Configuring Security

Use Exchange Administration Delegation Wizard

Exchange Administration Delegation Wizard simplifies delegating permissions to Exchange administrators. You can delegate administrative permissions at the organization level in System Manager or at an administrative group level. The scope of permissions you set is determined by the location from which you launch the wizard. If you start the wizard from the organization level, the groups or users that you specify will have administrative permissions at the organizational level. If you launch the wizard from the administrative group level, the groups or users that you specify will have administrative permissions at the administrative group level.

To use Exchange Administration Delegation Wizard:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, right-click the organization or administrative group for which you want to delegate administrative permissions, and then click Delegate control.
  3. On the Welcome to the Exchange Administration Delegation Wizard page, click Next.
  4. On the Users or Groups page, click Add to grant a new user or group administrative permissions.
  5. In Delegate Control click Browse, and then select a group or user from the list that appears. By selecting where to browse from the Look in drop-down list, you can display the list of users and groups from the entire Active Directory, or only the list for a particular domain. You can also type the name of the user or group in the Name box. You must type one name at a time.
  6. After you have selected a user or group, in the Delegate Control dialog box, in the Role list, select the one of the following types of administrative permissions for the group or user:
    • Exchange Full Administrator. This option can fully administer Exchange system information and modify permissions.
    • Exchange Administrator. This option can fully administer Exchange system information.
    • Exchange View Only Administrator. This option can view Exchange configuration information.
  7. To change the role of an existing user or group, select the user or group, click Edit, and then choose the new role.
  8. To remove a user or group, select the user or group, and then click Remove.
  9. To assign the permissions, click Next, and then click Finish.


Exchange Server 2003 - Set Permissions

Configuring Security

Set Permissions

Permissions control access to Exchange objects. Use the Exchange Administration Delegation Wizard to set permissions on organizations and administrative groups, and thus control access to the Exchange objects contained within the organization or administrative group. You can also set permissions on some Exchange objects individually. These objects include public folder trees, address lists, MDBs, protocols, and servers. For these objects, Exchange uses and extends Active Directory permissions. Examples of Active Directory permissions are Read, Write, and List contents. Examples of extended Exchange permissions are Create public folder and View Information Store status. When looking at an object's permissions, Active Directory permissions are listed first, followed by Exchange extended permissions.

Setting permissions on public folders, address lists, and MDBs keeps them secure from unauthorized changes or access. Setting permissions on servers and protocols also enables an administrator to customize SMTP authentication. For example, to support the exchange of authenticated messages between SMTP connectors in two organizations, the SMTP virtual server on each side must give the account used for authentication Send As rights. Without this additional permission, messages sent between the servers will be denied, because the server performs a check to see if the authentication account has permissions to send as the user who sent the mail. Rights set on the server or the Protocols container will be inherited by all protocols, but the administrator can also set the rights on the SMTP or X.400 protocol directly.

To set permissions on a public folder tree, address list, MDB, protocol, or server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the object.
  3. Right-click the object, click Properties, and then click the Security tab.
  4. In Group or user names, select a user, computer, or group for which you want to set permissions. If you do not see the user, computer, or group in Group or user names:
    • Click Add, and then in Select Users, Computers, or Groups, select the user, computer, or group in Name, click Add again, and then click OK.

      • - OR -

    • Type the names of the users, computers, or groups in the text box, separated by semicolons, and then click OK.
  5. Select Allow or Deny for each type of permission in Permissions.
  6. To remove a user, computer, or group from the Name, select the user, computer, or group, and then click Remove.
  7. To set additional security options, click Advanced.

Related Topics

Set Advanced Permissions


Exchange Server 2003 - Set Advanced Permissions

Configuring Security

Set Advanced Permissions

Use the Exchange Administration Delegation Wizard to set permissions on organizations and administrative groups, and thus control access to the Exchange objects contained within the organization or administrative group. You can also set permissions on some Exchange objects individually. These objects include public folder trees, address lists, MDBs, protocols, and servers. For these objects, you can use the Access Control Settings dialog box to set extended permissions. Extended permissions are permissions that Exchange adds to the standard Active Directory permissions. Use this dialog box to specify the type of auditing you want on the object. When looking at an object's advanced permissions, the Active Directory permissions are listed first, followed by the Exchange extended permissions.

To set advanced permissions on a public folder tree, address list, MDB, protocol, or server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the object.
  3. Right-click the object, and then click Properties.
  4. Click the Security tab, and then click Advanced.
  5. In the Access Control Settings for object name dialog box that appears, on the Permissions tab, set permissions for a user, computer, or group. These permissions include the standard Active Directory permissions and any Exchange extended permissions that apply to the object.
  6. On the Permissions tab, in Name, select a user, computer, or group for which you want to set permissions. If you do not see the user, computer, or group in Name:
    • Click Add, and then in Select User, Computers, or Groups, select the user, computer, or group in Name, and then click Add again.

      • - OR -

    • Type the names of the users, computers, or groups in the text box, separated by semicolons.
  7. In Permissions, select Allow or Deny for each type of permission.
  8. If you want the object to inherit permissions from the organization, administrative group, or routing group that contains it, select the Allow inheritable permissions from parent to propagate to this object check box, or click to clear the check box if you do not want permissions inherited. By default, the check box is selected.
  9. To remove a user, computer, or group from the Name, select the user, computer, or group, and then click Remove.
  10. To modify the list of permissions for the user, computer, or group selected, under Permission Entries, click View/Edit, and then select Allow or Deny for each type of permission.
  11. To change the owner of the object for which you are setting permission, on the Owner tab, select a name in the Change owner to list. Only administrators of the domain containing the object or administrators of trusted domains appear in the list.
  12. To audit use of the object, on the Auditing tab, click Add to add a user, computer or group whose use of the object will be audited.
  13. To select the type of auditing that will be performed, click View/Edit. In the Auditing Entry for object name dialog box that appears, in Access, choose to audit the success and failure of different types of access attempts.
  14. To select how to apply auditing, in the Auditing Entry for object name dialog box, in Apply onto, select this object only, or this object and the objects it contains, or one of several other options.

Related Topics

Set Permissions


Exchange Server 2003 - Set User Authentication on Virtual Servers

Configuring Security

Set User Authentication on Virtual Servers

Virtual servers use authentication to determine whether to grant a user permission to connect to the system. For a user to log on to Microsoft Exchange Server 2003 , at least one of the authentication methods that the client supports must be enabled on the server.

When you set the virtual server authentication method to basic authentication or Integrated Windows authentication, you are setting one of the parameters, authentication, that control security in Microsoft Windows 2000 Server. The other parameter is authorization. After you choose an authentication method in Exchange, you must also authorize the user to access a directory, through access control lists in Windows 2000. For more information on granting permissions to Active Directory objects, see the Windows 2000 documentation.

The following procedure describes how to set user authentication on virtual servers except for the HTTP Exchange Virtual Server. You set user authentication for the HTTP Exchange Virtual Server through the Internet Information Services (IIS) snap-in.

Note In topologies that contain Exchange front-end and back-end IMAP or POP servers, the implementation of authentication settings varies between server roles. On front-end servers, the type of authentication is set to Basic authentication, by default, and cannot be changed. On back-end servers, you can select Basic authentication, Integrated Windows Authentication, or Digest authentication.

To set user authentication on virtual servers (except the HTTP Exchange Virtual Server):

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the virtual server.

    Servers

    1. Server name
    2. Protocols
    3. Protocol type
    4. Virtual server
  3. Right-click the virtual server, and then click Properties.
  4. Select the Access tab, and then under Access control, click Authentication.
  5. In the Authentication Methods dialog box, select one or more of the following authentication methods:
    • Anonymous Access. This method enables any user to access the NNTP or SMTP virtual server without providing a user name or a password.
    • Basic authentication. This method requires the user to provide a valid Windows user name and password. The user's information is sent as unencrypted clear text across the network. To encrypt account information on NNTP, HTTP, POP3, or IMAP4 virtual servers, it's recommended that you use Secure Sockets Layer(SSL)/Transport Layer Security (TLS) with basic authentication.
    • Integrated Windows authentication. This option for NNTP or SMTP requires the user to provide a valid Windows 2000 user account name. It authenticates by relaying the user's Windows credentials directly to the server, without requesting information from the user or transmitting unencrypted information across the network.
    • Simple Authentication and Security Layer. This option encrypts user names and passwords are encrypted using the Microsoft Windows NT Lan Manager (NTLM) security package; however, message data is not encrypted.

Related Topics

Set User Authentication on the HTTP Exchange Virtual Server


Exchange Server 2003 - Set User Authentication on the HTTP Exchange Virtual Server

Configuring Security

Set User Authentication on the HTTP Exchange Virtual Server

The HTTP Exchange Virtual Server is the default Web site provided by IIS. You can find this virtual server in System Manager by choosing Servers, then Protocols, then HTTP. You cannot manage this virtual server from System Manager. It must be administered from the IIS snap-in. All other HTTP virtual servers can be managed from System Manager. In the IIS snap-in, the HTTP Exchange Virtual Server appears as Default Web Site.

Notes While you should administer the default HTTP virtual server through IIS, any virtual servers that you create can be managed through System Manager.

In topologies that contain Exchange front-end and back-end HTTP virtual servers, the implementation of authentication settings varies between server roles. On front-end servers, the type of authentication is set to Basic authentication by default. On back-end servers, you can select Anonymous authentication, Basic authentication, Integrated Windows authentication or Digest authentication.

To set user authentication on the HTTP Exchange Virtual Server:

  1. Start Internet Services Manager: On the Start menu, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. Navigate to the HTTP Exchange Virtual Server (listed as Default Web Site in IIS).

    Internet Information Services

    1. Server name
    2. Web Sites
    3. Default Web Site
  3. Right-click Default Web Site, and then click Properties.
  4. On the Directory Security tab, under Authentication and access control, click Edit.
  5. In the Authentication Methods dialog box, select one or more of the following authentication methods:
    • Anonymous access. This method logs a user onto the server with an anonymous or guest account.
    • Basic authentication. This method requires the user to provide a valid Windows user name and password, and passwords are transmitted across the network unencrypted. To encrypt account information its recommended that you use Transport Layer Security (TLS) with basic authentication. To configure the server to use a default logon domain other than the local domain, click Edit, and type the domain name.
    • Digest authentication for Windows domain servers. This method is the same as basic authentication, but it uses a challenge and response mechanism to authenticate the user to the server without sending passwords to the server.
    • Integrated Windows authentication. This option retrieves the user's password from the user's browser. The password is sent encrypted to the server. The user's name and password are not transmitted.
    • Digest authentication. This option works only with Active Directory accounts, sending a hash value over the network, rather than a plaintext password. Digest authentication works across proxy servers and other firewalls.

Related Topics

Set User Authentication on Virtual Servers


Exchange Server 2003 - Control Connections to Virtual Servers

Configuring Security

Control Connections to Virtual Servers

To enhance security, you can selectively include or exclude specific computers, subnets, and entire domains from accessing a virtual server. By default, all computers are allowed access to the server until you add them to a list of restricted computers. You can restrict access to a virtual server by either listing the computers that can access the server, or by specifying a group of computers that cannot.

The following procedure describes how to control connections to virtual servers except for the HTTP Exchange Virtual Server. You control connections to the HTTP Exchange Virtual Server through the Internet Information Services (IIS) snap-in.

To control connections to a virtual server (except the HTTP Exchange Virtual Server):

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the virtual server.

    Servers

    1. Server
    2. Protocols
    3. Protocol type
    4. Virtual server
  3. Right-click the virtual server, and then click Properties.
  4. Select the Access tab, and then under Connection control, click Connection.
  5. In the Connection dialog box, select either Only the list below (which grants access only to the computers you add), or select All except the list below (which grants access to all computers except the ones you add), and then click Add.
  6. Select one of the following options:
    • Single computer. In IP address, enter the static IP address of a single computer, for example, 192.168.114.201.

      • Tip If you only know the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If the address of the computer is found, the IP address will appear in IP address automatically.

    • Group of computers. To specify a range of IP addresses, type an IP address, such as 172.17.131.0, in Subnet address, and then type a mask, such as 255.255.250.0, in Subnet mask. This example restricts the range of computers that are allowed or disallowed access to all IP addresses that start with 172.17.131.
    • Domain. Type the complete domain name, for example, nwtraders.microsoft.com.

Related Topics

Control Connections to the HTTP Exchange Virtual Server Secure NNTP Access by IP Address, Subnet, or Domain Set SMTP IP Address and Domain Name Restrictions Control Access to the HTTP Virtual Server Control Access to the IMAP4 Virtual Server Control Access to the POP3 Virtual Server


Exchange Server 2003 - Control Connections to the HTTP Exchange Virtual Server

Configuring Security

Control Connections to the HTTP Exchange Virtual Server

The HTTP Exchange Virtual Server is the default Web site provided by IIS. You can find this virtual server in System Manager by choosing Servers, then Protocols, then HTTP. You cannot manage this virtual server from System Manager. It must be administered from the IIS snap-in. All other HTTP virtual servers can be managed from System Manager. In the IIS snap-in, the HTTP Exchange Virtual Server appears as Default Web Site.

To control connections on the HTTP Exchange Virtual Server:

  1. Start Internet Services Manager: On the Start menu, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. Navigate to the HTTP Exchange Virtual Server (listed as Default Web Site in IIS).

    Internet Information Services

    1. Server name
    2. Web Sites
    3. Default Web Site
  3. Right-click the Default Web Site, and then click Properties.
  4. On the Directory Security tab, under IP Address and domain name restrictions, click Edit.
  5. In the IP address and Domain Name Restrictions dialog box, select either Granted Access (which grants access to all computers except the ones you add), or Denied Access (which grants access only to the computers you add), and then click Add.
  6. Specify a computer, subnet, or domain as described in control connections to virtual servers.

Related Topics

Control Connections to Virtual Servers Secure NNTP Access by IP Address, Subnet, or Domain Set SMTP IP Address and Domain Name Restrictions Control Access to the HTTP Virtual Server Control Access to the IMAP4 Virtual Server Control Access to the POP3 Virtual Server


Exchange Server 2003 - Enable Logging for SMTP, NNTP, and HTTP Protocols

Configuring Security

Enable Logging for SMTP, NNTP, and HTTP Protocols

By setting the configuration properties of the virtual server associated with each messaging transport protocol, you can protect your mail system in multiple ways. The Internet protocols (SMTP, HTTP, and NNTP) enable you to use logging to track the commands the virtual server receives from clients. For example, for each message you can view the client IP address, client domain name, date and time of the message, and number of bytes sent.

When logging is used with Windows 2000 event logs, the protocol log enables you to audit the use of the virtual server and identify problems.

The following procedure describes how to enable logging on virtual servers except for the HTTP Exchange Virtual Server. You enable logging on the HTTP Exchange Virtual Server through the IIS snap-in.

To enable protocol logging for SMTP and NNTP virtual servers:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP, or NNTP virtual server.

    Servers

    1. Server name
    2. Protocols
    3. Protocol type
    4. Virtual server
  3. Right-click the virtual server, and then click Properties.
  4. On the General tab, select the Enable logging check box.
  5. In the Active log format drop-down list, select the log file format, and then click Properties. The default log file format for NNTP is Microsoft IIS Log File Format and for SMTP is W3C Extended Log File Format.
  6. In the Logging Properties dialog box, on the General Properties tab, select the time interval to write to the log file, log file size, directory where the log file exists, and other parameters depending on the type of format you selected.
  7. If you selected W3C Extended Log File Format, in the Advanced dialog box, on the Extended Properties tab, specify the W3C extended log file entries.

Related Topics

Enable Logging for the HTTP Exchange Virtual Server


Exchange Server 2003 - Enable Logging for the HTTP Exchange Virtual Server

Configuring Security

Enable Logging for the HTTP Exchange Virtual Server

The HTTP Exchange Virtual Server is the default Web site provided by IIS. You can find this virtual server in System Manager by choosing Servers, then Protocols, then HTTP. You cannot manage this virtual server from System Manager. It must be administered from the IIS snap-in. All other HTTP virtual servers can be managed from System Manager. In the IIS snap-in, the HTTP Exchange Virtual Server appears as Default Web Site.

To enable protocol logging for the HTTP Exchange Virtual Server:

  1. Start Internet Services Manager: On the Start menu, point to Programs, point to Administrative Tools, and then click Internet Services Manager.
  2. Navigate to the HTTP Exchange Virtual Server (listed as Default Web Site in IIS).

    Internet Information Services

    1. Server name
    2. Web Sites
    3. Default Web Site
  3. Right-click the Default Web Site, and then click Properties.
  4. On the Web Site tab, select the Enable Logging check box.
  5. In the Active log format drop-down list, select the log file format, and then click Properties. The default log format is W3C Extended Log File Format.
  6. In the Logging Properties dialog box, on the General Properties tab, select the time interval to write to the log file, log file size, directory where the log file exists, and other parameters depending on the type of format you selected.
  7. If you selected W3C Extended Log File Format, in the Logging Properties dialog box, on the Extended Properties tab, specify the W3C extended log file entries. For example, you can log the client's IP address (c-ip) and the protocol command or method sent by the client (cs-method).

Related Topics

Enable Logging for SMTP, NNTP, and HTTP Protocols


Exchange Server 2003 - Server Administration

Server Administration

Server Administration

To increase the availability of your servers running Microsoft Exchange Server 2003 and reduce the amount of time it takes to recover from a disaster, use the following sections:

  • Managing Exchange Servers. In these sections you learn how to administer Exchange 2003 in the Microsoft Management Console (MMC) using the System Manager snap-in. These sections contain information about the options you have when you configure a server and, if necessary, how to remove a server from your organization. More...
  • Queue Viewer. In these sections you learn how to maintain and administer your organization's messaging queues, as well as the messages contained within those queues. More...
  • Directory Access. In these sections you learn how Exchange uses Directory Access to discover servers in your organization that Exchange services use to query Active Directory. More...
  • Monitoring Exchange. In these sections you learn how to monitor system activity and server performance to ensure that all critical Exchange 2003 services are running properly. More...


Exchange Server 2003 - Managing Exchange Servers

Managing Exchange Servers

Managing Exchange Servers

You administer Microosft Exchange Server 2003 using the MMC snap-in System Manager. You can use additional MMC snap-ins for specific objects.

System Manager provides the following:

  • A framework for containing all Exchange snap-ins, so that you can manage an entire Exchange organization from a single console.
  • A consistent administrative experience for administrators who deal with all facets of Exchange server management, including public folders, servers, routing, and policies.

Answers to Frequently Asked Questions

Can I use System Manager with Exchange 4.0 or 5.x servers?

Yes. Computers running Exchange 2000 or later can coexist with computers running Exchange 5.x. This is known as a mixed-mode organization. Exchange 5.x servers appear as read-only objects in System Manager.

Can I use System Manager on multiple servers?

System Manager can manage all Exchange servers in a Windows 2000 forest.

Do I need to install System Manager on a server to manage that server?

No. System Manager is a separately installed component that you install only on the computer that you use to manage your Exchange organization.

Can I direct System Manager to specific domain controllers?

By default, System Manager binds to the nearest domain controller. You can override this by creating a new MMC console and adding the System Manager snap-in to it. You are then prompted to specify a new domain controller.


Exchange Server 2003 - Manage Servers With System Manager

Managing Exchange Servers

Manage a Server With System Manager

System Manager is an MMC console file named Exchange System Manager.msc. It is available on the Start menu of the Microsoft Exchange program group. System Manager provides a graphical two-pane view of Exchange objects with a console tree on the left and a details pane on the right. You can view context menus for each object by right-clicking the object. You can move some objects using a drag-and-drop operation.

Support for administrative groups is disabled by default when your organization is in native mode and is enabled by default when your organization is in mixed mode. Support for routing groups is disabled by default. The initial single administrative group may be sufficient for most companies.

To start System Manager:

  • Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.

    • - OR -

  1. Click Start, and then click Run.
  2. Type the full path and file name for the Exchange System Manager, for example, D:\Program Files\Exchsrvr\Bin\Exchange System Manager.msc, and then click OK.

To enable administrative groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Right-click the top organization container in the console tree, and then click Properties.
  3. On the General Tab, click Display administrative groups.

To enable routing groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Right-click the top organization container in the console tree, and then click Properties.
  3. On the General Tab, click Display routing groups.

To navigate to server objects:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Open a server container. The Protocols and storage groups containers appear.

Related Topics

Configure a Server


Exchange Server 2003 - Add or Remove an Exchange Snap-In

Managing Exchange Servers

Add or Remove an Exchange Snap-In

You administer Exchange using the Microsoft Management Console (MMC) snap-in System Manager. You use additional MMC snap-ins for specific objects.

To add a snap-in to a console, you must open the console in Author mode. By default, System Manager is not saved in Author mode.

To add an Exchange snap-in:

  1. Navigate to the \Exchsrvr\Bin directory on your Exchange server.

    Local drive

    1. \Program Files
    2. \Exchsrvr
    3. \Bin
  2. Right-click Exchange System Manager.msc and then click Author.
  3. In System Manager, click Console, and then click Add/Remove Snap-in.
  4. In Snap-ins added to, select an item in the console tree to which to add the snap-in, and then click Add.
  5. Click an Exchange snap-in, and then click Add. Depending on the snap-in, you may be given the option to change domain controllers.
  6. Click Close.
  7. To save the console in Author mode, click Console, and then click Save.

To remove an Exchange snap-in:

Note This procedure requires a System Manager console saved in Author mode.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Click Console, and then click Add/Remove Snap-in.
  3. In Snap-ins added to, select an item in the console tree from which to remove the snap-in, and then click Remove.


Exchange Server 2003 - Configure a Server

Managing Exchange Servers

Configure a Server

To configure an Exchange server, you set its properties.

This section includes the following topics:

  • Set General Properties
  • Set Locales
  • Set Details
  • Set Diagnostic Logging Properties
  • Review Policies
  • Set Full-Text Indexing Properties

Related Topics

Monitor Your Exchange Organization


Exchange Server 2003 - Set General Properties

Managing Exchange Servers

Set General Properties

You can use the General tab of the Properties dialog box to set miscellaneous properties for the server.

To set general properties:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the General tab.
  5. To log all messages to the message-tracking log file, click Enable message tracking. You can view the messages with Message Tracking Center.
  6. To log message subjects to the message tracking log file, click Enable subject logging and display. You can view the messages with Message Tracking Center.
  7. To automatically remove log files, click Remove log files. This is enabled by default and set to seven days.
  8. To make the server a front-end server, click This is a front-end server.
  9. To enable error reporting, select the Automatically send fatal service error information to Microsoft check box. With this feature selected, if a fatal error occurs, the server sends an error report to Microsoft over a secure (https) connection. To disable error reporting, clear the check box.

    10. Note To send reports, the server must have HTTP access to the Internet.

Related Topics

Use the Message Tracking Center


Exchange Server 2003 - Set Locales

Managing Exchange Servers

Set Locales

Locales determine how date, currency, and time values are displayed, and control other international settings, such as sorting order. When a specific locale, such as French, is selected for a server, French language clients connecting to that server see information that is properly sorted and formatted in French.

To add a locale:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the Locales tab.
  5. Click Add to display Add Locale.
  6. Click the locale you want to add, and then click OK.

To remove a locale:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the Locales tab.
  5. On the Locales list, select the locale you want to remove, and then click Remove.


Exchange Server 2003 - Set Details

Managing Exchange Servers

Set Details

You can use the Details tab to view administrative information about the server and to record any additional information.

To set details:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the Details tab.
  5. To add additional information, use Administrative note.

    6. Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange Server 2003 - Set Diagnostic Logging Properties

Managing Exchange Servers

Set Diagnostic Logging Properties

Diagnostic logging levels determine which Exchange events are written to the Windows 2000 application event log. You can set logging levels to provide information with four levels of detail. The logging level determines which events are written to the event log. When Exchange generates an event less than or equal to the logging level, the event is logged.

Events range from significant events (such as application failures), to moderately important events (such as the receipt of messages across a gateway), to events relevant only to debugging. Usually you log only critical events; however, when problems occur, diagnostics logging enables you to change the logging levels to capture more events in greater detail.

To set diagnostic logging:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the Diagnostics Logging tab.
  5. To see the current logging levels for a particular service, click a service in the Services list. The following services are available:
    • IMAP4Svc. This service allows users to access mailboxes and public folders through Internet Message Protocol version 4 (IMAP4).
    • MSADC. This service runs Connection Agreements if Active Directory Connector is installed.
    • MSExchangeAL. This service allows users to address e-mail through Address Lists.
    • MSExchangeDSAccess. This service allows Exchange access to Active Directory.
    • MSExchangeIS. This service allows access to Information Store.
    • MSExchangeMTA. This service allows X.400 connectors to see message transfer agent (MTA) is used.
    • MSExchangeMU. This service replicates Exchange configuration information changes to the IIS metabase.
    • MSExchangeSA. This counter records an entry when Exchange uses Windows 2000 Active Directory to store and share directory information.
    • MSExchangeSRS. This counter records an entry whenever Site Replication Services are used to replicate computers running Exchange 2000 or later with computers running Exchange 5.5.
    • MSExchangeTransport. This counter records an entry whenever Simple Mail Transfer Protocol (SMTP) is used to route messages.
    • POP3Svc. This counter records an entry whenever Post Office Protocol version 3 (POP3) is used to access e-mail.
  6. To see the logging level for a service category, click a category.

  7. To change the logging level for a service category, click a logging level. The levels are as follows:

    • None. Only critical events, error events, and events with a logging level of zero are logged. This is the default level.
    • Minimum. Events with a logging level of 1 or lower are logged.
    • Medium. Events with a logging level of 3 or lower are logged.
    • Maximum. Events with a logging level of 5 or lower are logged.


Exchange Server 2003 - Review Policies

Managing Exchange Servers

Review Policies

Policies, a new feature for Exchange, are designed to enable flexible administration of large numbers of Exchange objects. A policy is a collection of configuration settings that you apply to one or more Exchange objects of the same class; for example, you can define a policy that controls configuration settings across multiple servers. Once you define and implement these policies, you can change the configuration of all servers by editing the policy and applying the changes.

To review policies:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the Policies tab. The policies applied to the server are listed.


Exchange Server 2003 - Set Full-Text Indexing Properties

Managing Exchange Servers

Set Full-Text Indexing Properties

Exchange can create and manage indexes for fast searches and lookups. Earlier versions of Exchange search every item in every folder, so search times increase as databases expand. With full-text indexing, every word in a database is indexed, making faster searching possible.

Indexing is a resource-intensive feature that requires considerable CPU cycles. Indexing gigabytes of data can take hours or days. Schedule indexing for times when the server is not under usage load.

You can control server performance during indexing by setting System resource usage on the Full-text Indexing tab. You limit the CPU resources that the indexing service occupies by setting server usage levels to the lower values.

To set system resource usage level:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. Click the Full-Text Indexing tab.
  5. Select one of the four available usage levels: Minimum, Low, High, or Maximum.


Exchange Server 2003 - Remove a Server

Managing Exchange Servers

Remove a Server

You can use the Remove Server option on the Action/All Tasks menu in System Manager to remove a server from Active Directory. You should regard this option as a last resort disaster-recovery tool that you can use if you cannot use the setup program or commands in Control Panel to uninstall Exchange.

To remove a server using Action/All Tasks:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server object in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server

  3. Right-click the server, select All Tasks, and then click Remove Server. The following error message appears:

Are you sure that you want to remove Microsoft
Exchange server servername? Performing this
action may cause you to lose mailbox data, public
folder data, or configuration data related to this
server. If you are certain you want to remove
Microsoft Exchange from a running server, instead
please run Remove from the Add/Remove Programs
function in the control panel.
  4. To remove the server from Active Directory, click Yes.


Exchange Server 2003 - Set X.400 Properties

Managing Exchange Servers

Set X.400 Properties

The X.400 service message transfer agent (MTA) provides addressing and routing information for sending messages from one server to another. The X.400 stack is conceptually equivalent to the virtual servers of other protocols and is functionally equivalent to Microsoft Message Transfer Agent (MTA) in Exchange 5.x.

The X.400 service message transfer agent properties enable you to set the default X.400 service attributes for X.400 connectors; for example, you can:

  • Specify the local X.400 name and password.
  • Configure Reliable Transfer Service (RTS) values that determine message reliability parameters, association parameters that determine the number and duration of connections to the remote system, and connection retry values that determine how often and how long the system tries to connect or transfer messages before sending a non-delivery report (NDR).
  • Specify transfer timeouts that determine the amount of time the system waits before issuing an NDR for messages of different priorities.

This section contains the following topics:

  • Set X.400 General Properties
  • Add New Stacks
  • Set X.400 Connection Retry Values
  • Set X.400 RTS Values
  • Set X.400 Association Parameters
  • Set X.400 Transfer Timeouts


Exchange Server 2003 - Set X.400 General Properties

Managing Exchange Servers

Set X.400 General Properties

The X.400 protocol provides addressing and routing information for sending messages from one server to another.

To set general X.400 properties:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the X.400 container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Protocols
    5. X.400
  3. Right-click the server, and then click Properties:
  4. Click the General tab.

  5. The Local X.400 name identifies the X.400 agent to foreign systems. It defaults to the name of the server on which the X.400 agent is installed. To change the local X.400 name, click Modify. In Local X.400 name, type a name of up to 32 characters. To set the password that foreign systems use when connecting to this X.400 agent, in Password, type a password of up to 64 characters.

  6. To make a remote distribution list available to users in your site, click Expand remote distribution lists locally.
  7. To change the address and content of incoming messages to a format compatible with MAPI and Exchange, click Convert incoming messages to Exchange contents.

Related Topics

Add New Stacks.


Add New Stacks

To add new stacks to the X.400 protocol container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the X.400 container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Protocols
    5. X.400
  3. Right-click X.400, and then click New to display the following new stack options:
    • TCP/IP X.400 Service Transport Stack
    • X.25 X.400 Service Transport Stack


Exchange Server 2003 - Set X.400 Connection Retry Values

Managing Exchange Servers

Set X.400 Connection Retry Values

Connection retry values determine how often and how long the system tries to connect or transfer messages before sending an NDR. The X.400 service MTA properties enable you to set the default X.400 service attributes, such as connection retry values, for X.400 connectors.

Note Changes to the Override values for one connector do not affect message transfer over any other connector. If you do not specify override values, the X.400 service uses the default stack values when connecting to a remote X.400 system.

To set X.400 connection retry values:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the X.400 container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Protocols
    5. X.400
  3. Right-click X.400, click Properties, and then click the Messaging Defaults tab.
  4. Under Connection retry values, in Maximum open retries, type a value for the maximum number of times that the system tries to open a connection before it sends an NDR. The default is 144 seconds.
  5. In Maximum transfer retries, type a value for the maximum number of times that the system tries to transfer a message across an open connection. The default is 2 seconds.
  6. In Open interval (sec), type a value for the number of seconds the system waits after an error before attempting to reopen a connection. The default is 600 seconds.
  7. In Transfer interval (sec), type a value for the number of seconds the system waits after a message transfer fails before resending a message across an open connection. The default is 120 seconds.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Set X.400 RTS Values

Managing Exchange Servers

Set X.400 RTS Values

Reliable transfer service (RTS) values determine message reliability parameters, such as the checkpoints to include in data and the amount of unacknowledged data that can be sent. The X.400 service MTA properties enable you to set default X.400 service attributes, such as RTS values, for X.400 connectors.

To set X.400 RTS values:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the X.400 container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Protocols
    5. X.400
  3. Right-click X.400, click Properties, and then click the Messaging Defaults tab.
  4. Click Additional Values.
  5. Under RTS Values, modify the Checkpoint size (KB) value, which is the amount of data (in kilobytes) transferred before a checkpoint is inserted. If an error occurs and the message must be resent, the process restarts from the most recent checkpoint. Set the checkpoint size to zero if you do not want a checkpoint. Decrease checkpoint size when the link is less reliable.
  6. Modify the Recovery timeout (sec) value, which determines the amount of time after a broken connection occurs that the MTA waits for reconnection before deleting the information (with its checkpoints) and restarting the transfer from the beginning.
  7. Modify the Window Size value, which is the number of checkpoints that can be unacknowledged before data transfer is suspended. Specify window size only if the checkpoint size is greater than zero.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Set X.400 Association Parameters

Configuring Message Routing

Set X.400 Association Parameters

Association parameters determine the number and duration of connections to the remote system. The X.400 service MTA properties enable you to set the default X.400 service attributes, such as association parameters, for X.400 connectors.

To set X.400 association parameters:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the X.400 container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Protocols
    5. X.400
  3. Right-click X.400, click Properties, and then click the Messaging Defaults tab.
  4. Click Additional Values.
  5. Under Association Parameters, modify the Lifetime (sec) value, which is the amount of time in seconds the system keeps an association open to a remote system after a message is sent.
  6. Modify the Disconnect (sec) value, which is the amount of time in seconds the system waits before terminating a connection because of a previously terminated association.
  7. Modify the Threshold (messages) value, which is the maximum number of queued messages the system can send to a remote system. When this is exceeded, the MTA opens another association.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Set X.400 Transfer Timeouts

Managing Exchange Servers

Set X.400 Transfer Timeouts

Transfer timeouts specify the amount of time the system waits before issuing an NDR for messages of different priorities. The X.400 service MTA properties enable you to set the default X.400 service attributes, such as transfer timeouts, for X.400 connectors.

To set X.400 transfer timeouts:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the X.400 container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Protocols
    5. X.400
  3. Right-click X.400, click Properties, and then select the Messaging Defaults tab.
  4. Click Additional Values.
  5. Under Transfer Timeouts, modify the Urgent (sec/K) value, which is the time in seconds per transfer kilobyte that the system waits before sending an NDR for an urgent message.
  6. Modify the Normal (sec/K) value, which is the time in seconds per transfer kilobyte that the system waits before sending an NDR for a normal message.
  7. Modify the Not urgent (sec/K) value, which is the time in seconds per transfer kilobyte that the system waits before sending an NDR for a non-urgent message.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Move the X.400 Queue Directory

Configuring Message Routing

Move the X.400 Queue Directory

In Exchange 2003, you can now change the location the queue directory.

To change location where the queue directory is stored:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to X.400.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Servers
    4. Server
    5. Protocols
    6. X.400
  3. Right-click X.400, and then click Properties.
  4. On the General tab, under Message queue directory, click Modify.
  5. Type the path where you want to store X.400 queue data.

Note When you modify the location of the queue directory, you are modifying only the MTA database path and moving only the database files (.dat files), you are not moving any of the run files or the run directory. The database files are the core files required for starting the MTA, queue files, and message files.


Queue Viewer

Queue Viewer

Queue Viewer is a utility in Microsoft Exchange Server 2003 that allows you to maintain and administer your organization's messaging queues, as well as the messages contained within those queues. Queue Viewer is available on all SMTP virtual servers, X.400 objects, and all installed Microsoft Exchange Connectors for Novell GroupWise, Lotus Notes, and Lotus cc:Mail.

Queue Viewer is accessed through Queues in System Manager. Expanding Queues reveals one or more system queues, which are default queues specific to the protocol transporting the messages (SMTP, X.400, or MAPI). The system queues are always visible.

Also visible in Queues are the link queues, visible only if the SMTP virtual server, X.400 object, or connector is currently holding or sending messages to another server. Link queues contain outbound messages heading for the same next-destination server.

Answers to Frequently Asked Questions

Why can't I see any messages in my queues?

It's possible there aren't currently any messages in the queue. For example, even though system queues are always visible, in most cases they contain messages only when there is a problem in your messaging system. Also, remember you must first find messages in order to see them.

On some of my queues certain menu options are not available, but on others all menu options are available. Why?

Queue Viewer supports three protocols: SMTP, X.400, and MAPI. The functionality of Queue Viewer can depend on the type of queue you are looking at.

How can I quickly find a message that is blocking deliveries from my SMTP virtual server?

You can use the Find Messages option to find the message that is blocking deliveries from your SMTP virtual server.


View Queues

In order to manage queues in your organization, you first need to know how to view the queues and the messages that reside in them. The queues in a SMTP virtual server, X.400 object, or connector can be displayed from either a local or remote computer.

To access the appropriate queue:

  • Access the Queue
  • View a Queue Summary


Access the Queue

The following topic describes how to access Queues on your SMTP virtual server, X.400 object, or connector so you can examine and manage the queues.

To access queues:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.


View a Queue Summary

When you click Queues in System Manager, the display panel will list every queue on that SMTP virtual server, X.400 object, or connector. The display consists of the name of the queues and columns of descriptive information for each one.

To display queues:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.

The details pane displays all queues on the SMTP virtual server, X.400 object, or connector.

Related Topics

View Message Details


Exchange Server 2003 - Queue Viewer

Queue Viewer

Disable Outbound Mail

The Disable Outbound Mail button lets you disable outbound mail from all SMTP queues. For example, this can be useful if a virus is active in your organization.

Note The Disable Outbound Mail button does not disable the MTA or System queues.

To disable outbound mail for all SMTP Queues:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
  3. In the details pane, click Disable Outbound Mail to disable mail from all SMTP queues.
  4. A warning message appears asking Are you sure you want to disable outbound mail. Click Yes. Outbound mail is now disabled for all queues.
  5. To re-enable SMTP queues that have been disabled, click Enable Outbound Mail, and then click Yes.

Note If you want to prevent outbound mail from a particular remote queue instead of disabling all SMTP queues, you can freeze the messages in that queue. To freeze all the messages in a particular queue, right-click the queue, and then click Freeze. To unfreeze the messages, right-click the queue, and then click Unfreeze.


Exchange Server 2003 - Queue Viewer

Queue Viewer

Find Messages

The Find Message button allows you to search for messages by specifying search criteria such as the sender or recipient and the message state (such as Frozen). You can also specify the number of messages you want your search to return.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
  3. In the details pane, click the queue in which you want to search for messages.
  4. Click Find Messages.
  5. Select the search criteria you want:
    • To search for a particular sender: You can search for messages by a particular sender. Click Sender, and then search by typing the name or using the search criteria.
    • To search for a particular recipient: You can search for messages by a particular recipient. Click Recipient, and then search by typing the name or using the search criteria..
    • To specify the number of messages returned by the search: Click the Number of messages to be listed in the search list, and select the number of messages (for example, 500) you want listed in the search.
    • To search for messages in a particular state: Click the Show messages whose state is: list and select from the following states.
      • All Messages: This option shows all the messages regardless of the state they are in.
      • Frozen: This option shows the messages that are in frozen state. A single message can also be frozen. This does not mean that the entire queue is frozen.
      • Retry: This option shows the messages that are awaiting another delivery attempt. Messages in the retry state have failed one or more delivery attempts.
  6. Click Find Now to begin the search. The results of the search will be displayed under Search Results.

    7. Note

    • Click Stop if you want to stop a search.
    • Click New Search to begin a new search. This resets the Find Messages dialog box to its default settings.


View Message Details

In the details pane, you can view properties for messages that reside in any SMTP virtual server, X.400 object, or connector queues. With the exception of message subject lines, all message properties are visible by default. This section describes how to find message details inside a queue and enabling message subject viewing.

To view messages in queues:

  • View Messages in a Queue
  • View Message Subjects


View a Queue Summary

Queue Viewer

View Messages in a Queue

When you click a queue in Queues, you will see a list of the queue's messages in the details pane. To obtain more details on a particular message, use the Find Messages option. You can use the Find Message option to search for messages by specifying search criteria such as the sender or recipient, and the message state (such as frozen). You can also specify the number of messages you want your search to return.

Related Topics

Find Messages

View Queues


View Message Subjects

By default, the Subject column is left blank in the details pane when you examine messages in a queue. This takes care of confidentiality concerns, for example, when Exchange organizations prefer to keep low-level administrators from viewing message subjects.

Note The subject lines of messages can only be seen in SMTP and MAPI queues.

The following procedure describes how to make message subjects visible when messages are viewed inside queues. Remember that turning this feature on will also enable subject logging in the Message Tracking Center.

To view message subjects:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the appropriate Exchange server.
    1. Servers
    2. server
  3. Right-click the server, and then click Properties.
  4. On the General tab, select Enable subject logging and display.

    Note If the checkbox is unavailable, there is a server policy object applied to this server, and you will have to perform this procedure on the policy object. To see which policies are applied to this server, click the Policies tab. See Manage System Policies for more information.


Deleting Messages

Queue Viewer

Delete Messages

There are a several ways that you can delete one or more messages in a queue. You can delete all the messages in a queue at the same time or you can handpick the messages you want to delete using the Find Message option.

The following topics are covered in this section:

  • Delete all messages in a queue
  • Delete selected messages in a queue


Delete All Messages in a Queue

Warning Because of the dynamic nature of queues in Exchange, new messages can enter the queue at any time and be unintentionally deleted. Similarly, messages you want to delete could be delivered, leaving the queue before the command executes. It is recommended you first freeze the messages you want to delete. Freezing prevents messages from leaving the queue. You can then use the Find Messages button to delete only frozen message.

To remove all messages from a particular queue:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
  3. In the details pane, right-click the queue you want and then click Freeze to freeze the queue.
  4. Click Find Messages, and then click Find Now to find messages in the queue.
  5. Under Search Results, select the message you want, right click, and then click one of the following:
Option | Description
Delete (no NDR) | Deletes messages from the queue without notifying the sender. The message will not be delivered.
Delete (with NDR) | Deletes messages from the queue. The sender is notified with a non-delivery report (NDR).


Manually Delete a Message from a Queue

Queue Viewer

Delete Selected Messages

Use the Find Messages button to select particular messages within a queue or messages with similar characteristics to delete.

To delete individual messages in a queue:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
  3. In the details pane, right-click the queue you want and then click Freeze to freeze the queue.
  4. Click the Find Messages button, and then click Find Now to find messages in the queue.
  5. Select messages, right click, and then click one of the following:
Option | Description
Delete (no NDR) | Deletes messages from the queue without notifying the sender. The message will not be delivered.
Delete (with NDR) | Deletes messages from the queue. The sender is notified with a non-delivery report (NDR).


Freeze and Unfreeze Messages

Freezing a message is a way to keep a message from leaving a queue. You can freeze an entire queue, or you can freeze individual messages. With the Find Messages option, you can also freeze an entire set of messages with similar characteristics. Frozen messages remain in a queue until they are unfrozen.

The following topics are covered in this section:

  • Freeze and Unfreeze an Entire Queue
  • Freeze and Unfreeze Messages in a Queue

Tip To freeze or unfreeze a specific set of messages, right-click the queue you want and then select Freeze or Unfreeze. You can also use the Find Messages option to find messages with similar characteristics.

Important Freezing messages is an important administrative task in Queue Viewer. Microsoft recommends first freezing a queue, and then freezing the specific messages you want to administer.


Freeze and Unfreeze an Entire Queue

When you freeze an entire queue, all messages that are currently in a queue will not be delivered. Frozen queues can continue to accept messages, but the messages won't be delivered until the queue is unfrozen. The messages inside a frozen queue will not be in a frozen state themselves.

To stop (freeze) or re-start (unfreeze) the transfer of all messages in a queue:

    1. Start System Manager
      On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
    2. Navigate to Queue Viewer by doing one of the following:
      • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
      • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
    3. Click to select the queue.

      4. Note X.400 queues cannot be frozen.

    4. Right-click the queue, and then point to one of the following options:
    Option | Description
Freeze Messages | Messages will be trapped inside the queue. No delivery will take place until the messages are unfrozen. For example, if one or more large messages have temporarily blocked the queue, you can freeze the large messages to allow Exchange to transfer the other messages. Then with more resources available, Exchange will be able to send the larger messages.
Unfreeze Messages | Remove the temporary "hold" on the transfer of messages.


Freeze and Unfreeze Messages in a Queue

In the details pane, you can freeze or unfreeze one or more messages in a queue without affecting the rest of the messages. For example, if it appears that a 5-MB message is holding up the transfer of a large number of messages, temporarily freeze the 5-MB message to allow other messages to transfer out. When the queue is emptier, unfreeze the 5-MB message.

To freeze or unfreeze individual messages in a queue:

  1. Find Messages in the desired queue.
  2. Right-click a message, and then click one of the following:
Option | Description
Freeze Messages | Messages will be trapped inside the queue. No delivery will take place until the messages are unfrozen. For example, if one or more large messages have temporarily blocked the queue, you can freeze the large messages to allow Exchange to transfer the other messages. Then with more resources available, Exchange will be able to send the larger messages.
Unfreeze Messages | Remove the temporary "hold" on the transfer of messages.

Tip Hold down the SHIFT key while clicking on a message to select multiple consecutive messages. Hold down the CTRL key while clicking on messages to select multiple non-consecutive messages.


Exchange Server 2003 - Queue Viewer

Queue Viewer

Refresh Rate Settings

The Settings button allows to you determine the frequency at which the all the queues are refreshed. The default rate at which the queues are refreshed is every 2 minutes. You can set the refresh rate to 1 minute, 5 minutes, 10 minutes, or Never refresh.

To refresh rate settings:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
  3. In the details pane, click Settings.
  4. In Settings, click the Refresh queue rate list, and then click the refresh rate you want.
  5. Click OK.


Exchange Server 2003 - Queue Viewer

Queue Viewer

View Additional Information

You can view additional information about a particular queue. In Queue Viewer, the Additional queue information pane may contain troubleshooting tips or other information about a particular queue. The Additional queue information pane also inform you if the queue is unavailable (for example, if the service has not started).

To view additional information about a queue:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queue Viewer by doing one of the following:
    • If you do not have routing or administrative groups defined: Expand Servers, expand the server you want, and then click Queues.
    • If you do not have routing groups defined: Expand Administrative Groups, Expand Administrative Group Name, expand Servers, expand the server you want, and then click Queues.
  3. To view additional information about a queue, in the details pane, click the queue you want. If there is additional information, it will be displayed in the Additional queue information located next to the Settings button.


Exchange Server 2003 - Directory Access

Directory Access

Directory Access

Microsoft Exchange Server 2003 Directory Access is a caching and abstraction layer between all Exchange services and Windows Active Directory. Exchange uses Directory Access to discover servers in your organization that Exchange services use to query Active Directory.

Because Exchange relies on these servers for Active Directory queries, Directory Access develops a topology of servers to ensure that Exchange always has servers for Active Directory queries and uses these servers in the most efficient way.

Answers to Frequently Asked Questions

Why is Directory Access not discovering new servers?

If you manually add servers to the topology, Directory Access will not discover other servers until you return to automatic discovery. When the Automatically discover servers check box is cleared, Directory Access uses only servers you specify in the topology and will not discover other servers until the check box is selected.

Why are Active Directory queries failing?

If you manually add servers to the topology, Directory Access will not discover other servers until you return to automatic discovery. When using a manually created topology, if domain controllers in this topology fail, Directory Access continues to use these servers for Active Directory queries. To ensure successful Active Directory queries, replace any failed servers in the topology or return to automatic discovery.


View the Topology

Directory Access gives you the ability to view and manipulate the servers in the topology.

To view the servers currently in the topology:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server you want.

    System Manager

    1. Servers
    2. Server
  3. Right-click the server you want, and then click Properties.
  4. On the Directory Access tab, select the type of servers you want to view from the Show list.

Related Topics

Automatically Create the Topology Manually Create the Topology


Automatically Create the Topology

By default, Directory Access automatically discovers servers. You do not need to perform the following procedure unless you already completed the Manually Create the Topology procedure. If you manually created the topology, setting Directory Access to automatically discover servers clears your list of manually selected servers for the type of server selected.

To automatically discover servers for each type of server in the Directory Access topology:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server you want.

    System Manager

    1. Servers
    2. Server
  3. Right-click the server you want, and then click Properties.
  4. On the Directory Access tab, select the type of servers you want to view from the Show list.

    Note You cannot change the Automatically discover servers option when All Domain Controllers is selected in the Show list.

  5. Select Automatically discover servers.

    6. Important Selecting Automatically discover servers clears manually selected servers from the list and replaces them with automatically discovered servers.

Related Topics

Manually Create the Topology View the Topology


Manually Create the Topology

By default, Directory Access automatically discovers servers. It is strongly recommended that Directory Access automatically discover servers. The following procedure manually adds selcted servers to the Directory Access topology. Use this procedure to select Windows 2000 Server domain controllers, global catalog servers, and configuration domain controllers to add to the topology. You can add one, two, or all three types of servers to the topology.

To manually add servers to the topology:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server you want.

    System Manager

    1. Servers
    2. Server
  3. Right-click the server you want, and then click Properties.
  4. On the Directory Access tab, select the type of servers you want to view from the Show list.

    Note You cannot change the Automatically discover servers option when All Domain Controllers is selected in the Show list.

  5. Clear the Automatically discover servers check box. The current list of servers will clear.

    6. Warning By default, Directory Access automatically discovers servers. It is strongly recommended that you keep this setting.

  6. Click Add or Remove to add or remove servers from the topology.

Related Topics

Automatically Create the Topology View the Topology


Exchange Server 2003 - Maintaining Exchange

Monitoring Exchange

Monitoring Exchange

To ensure that all critical Microsoft Exchange Server 2003 services are running properly, you should monitor system activity and server performance. Preventative maintenance of your Exchange 2003 organization, combined with disaster planning and regular backups, will help minimize problems if they occur.


Exchange Server 2003 - Monitor Your Exchange Organization

Monitoring Exchange

Monitor Your Exchange Organization

Monitoring your Exchange organization involves checking for problems with connections, services, server resources, and system resources. You can also set alerts to notify administrators when problems occur.

To monitor Exchange:

  • Verify Server and Connector Status
  • Monitor Server Performance
  • Set Notifications
  • Use Diagnostic Logging and Event Viewer
  • Monitor Services Used by Exchange


Exchange Server 2003 - Verify Server and Connector Status

Maintaining and Troubleshooting

Verify Server and Connector Status

You can view the list of servers in your organization and their current status to ensure that your servers are operating. You can also verify that the connectors you have established between servers are available to transmit messages.

Note If you set warning and critical state thresholds to monitor server resources, the server status will display a warning or critical state icon if thresholds are met or exceeded. You can access server monitors from the same window in which you verify server status.

To verify server and connector status:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Monitoring and Status.

    Tools

    1. Monitoring and Status
  3. Click Status. All connectors and servers in your organization are listed in the details pane. They are identified by administrative group and display a status of Available or Unreachable.

Tip If you have just created a connector and it is not listed in the details pane, right-click the details pane, and then click Refresh.


Exchange Server 2003 - Monitor Server Performance

Monitoring Exchange

Monitor Server Performance

If your organization is small or if you rely on one server for most of your Exchange operations, you may need to monitor only one server. If you have a larger organization, or if you want to monitor the performance of all servers and components in Exchange, such as Information Store, you can use Performance Monitor, a Windows 2000 component.

To monitor performance:

  • Exchange 2003 Monitors
  • Windows 2000 Performance Monitor


Exchange Server 2003 - Exchange 2003 Monitors

Maintaining and Troubleshooting

Exchange 2003 Monitors

The Monitoring tab is available on every computer running Exchange Server 2003. This tab allows you to define the parameters within which your server's hardware and software should function before a warning or critical state icon is displayed; for example, if your server has a 10 GB hard drive dedicated to Exchange, make sure that databases and logs have no less than 10 GB of memory to use. Once resource monitor thresholds are met or exceeded, the monitor displays a warning icon on the Monitoring tab and in the Status window. Regular maintenance should include checking the Status window and the Monitoring tab of each server to see whether resources are low and additional resources, such as memory, are required to ensure server operation.

To monitor a server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Servers, right-click a server, and then click Properties.
  3. Click the Monitoring tab.
  4. To monitor a new server resource, click Add.
  5. Select one of the following resources, and then click OK:
    • Virtual Memory
    • CPU Utlization
    • Free Disk Space
    • SMTP Queue Growth
    • Windows 2000 Service
    • X.400 Queue Growth

Related Topics

Verify Server and Connector Status


Exchange Server 2003 - Virtual Memory

Maintaining and Troubleshooting

Virtual Memory

Because applications use virtual memory to store instructions and data, problems can occur when there is not enough virtual memory available. To monitor the virtual memory available on your Exchange server, use the server's Monitoring tab to add performance limits. When the amount of available virtual memory falls below a limit you specify, for a duration you specify, the virtual memory monitor is identified on the Monitoring tab with a warning or critical state icon. You can set a limit for a warning state or a critical state, or you can set both limits.

To set limits for available virtual memory:

  1. If you have not already done so, select an Exchange 2003 monitor for Available Virtual Memory, and then click OK
  2. In Virtual Memory Thresholds, in Duration, type the number of minutes that the amount of available virtual memory can be below a specified limit before an icon displays an alert status of warning or critical.
  3. To set a warning state limit, select the Warning state check box, and then select the smallest percentage of virtual memory on which your server can operate before a warning icon is displayed.
  4. To set a critical state limit, select the Critical state check box, and then select the smallest percentage of virtual memory on which your server can operate before a critical state icon is displayed. If you also set a warning limit, the critical limit must be a smaller percentage, because the amount of available virtual memory must be less than the amount you specify for the warning state before the virtual memory can enter a critical state.

    5. Tip To view the current available virtual memory, on the Monitoring tab, click the Available Virtual Memory monitor you just created, and then check the display in Current available virtual memory.

Related Topics

Monitor a Server


Exchange Server 2003 - CPU Utilization

Maintaining and Troubleshooting

CPU Utilization

You can monitor the percent of CPU utilization used by your server running Exchange 2003. When CPU utilization is too high, Exchange 2003 may stop responding.

Note During some server events, CPU utilization may increase to very high levels. When the server event is complete, CPU utilization returns to normal levels. The duration that you specify should be greater than the number of minutes that such system events normally run.

To monitor the CPU utilization on your server running Exchange 2003, use the server's Monitoring tab to add performance limits. When the amount of CPU utilization exceeds a specified limit, for a duration you specify, the CPU utilization monitor is identified on the Monitoring tab with a warning or critical state icon. You can set a limit, in percent, for both a warning state or a critical state.

To set limits for CPU utilization:

  1. If you have not already done so, select an Exchange 2003 monitor for CPU Utilization, and then click OK.
  2. In CPU Utilization Thresholds, in the Duration (minutes) box, type the number of minutes that the CPU utilization threshold must be exceeded before an icon displays an alert status of warning or critical.
  3. To set a warning state limit, select the Warning state (percent) check box, and then select the maximum percent of CPU utilization that can occur before a warning icon is displayed.
  4. To set a critical state limit, select the Critical state (percent) check box, and then select the maximum percent of CPU utilization that can occur before a critical state icon is displayed. If you also set a warning limit, the critical limit must be a larger percentage.

    5. Tip To view the current CPU utilization, on the Monitoring tab, click the CPU Utilization monitor you just created, and then view the display in Current CPU utilization.

Related Topics

Monitor a Server


Exchange Server 2003 - Free Disk Space

Maintaining and Troubleshooting

Free Disk Space

To ensure that enough disk space is available to use virtual memory and store application data after an application is closed, use the server's Monitoring tab to add performance limits. When the amount of available memory falls below a specified limit, the free disk space monitor is identified on the Monitoring tab with a warning or critical state icon. You can set a limit for a warning or a critical state, or you can set both limits.

To set limits for free disk space:

  1. If you have not already done so, select an Exchange Server 2003 monitor for Free Disk Space, and then click OK.
  2. In Disk Space Thresholds, in Drive to be monitored, select an available drive.
  3. To set a warning state threshold, select the Warning state (MB) check box, and then type a number in MB that identifies the smallest amount of disk space on which your server should operate before a warning icon appears.
  4. To set a critical state limit, select the Critical state (MB) check box, and then type a number in MB that identifies the smallest amount of disk space on which your server should operate before a critical state icon appears.

    5. Note If you also set a warning state limit, the value for the critical state limit must be less than the warning state limit.

  5. If you want to monitor multiple hard disks on your server, repeat these steps to add a monitor for free disk space for each drive.

Tip To view the current amount of free disk space, on the Monitoring tab, click the Free Disk Space monitor you just created, and then check the display in Current available drive space (MB).

Related Topics

Monitor a Server


Exchange Server 2003 - SMTP Queue Growth

Maintaining and Troubleshooting

SMTP Queue Growth

If a Simple Mail Transfer Protocol (SMTP) queue grows continuously, e-mail is not leaving the queue and is not being delivered to another Exchange server as fast as new messages arrive. This can be an indication of network or system problems. To avoid delays in delivering messages, you should monitor SMTP queue growth. When the queue grows continuously for a specified period of time, the SMTP queue monitor displays a warning icon on the Monitoring tab. You can set a growth threshold for a warning state or critical state, or you can set both thresholds.

To set thresholds for SMTP queue growth:

  1. If you have not already done so, select an Exchange 2003 monitor for SMTP queue growth, and then click OK.
  2. To set a warning state threshold, in SMTP Queue Thresholds, select the Warning state (minutes): check box, and then type a number in minutes that identifies the maximum amount of time an SMTP queue can grow continuously before a warning icon is displayed.
  3. To set a critical state threshold, select the Critical state (minutes): check box, and then type a number in minutes that identifies the maximum amount of time an SMTP queue can grow continuously before a critical icon is displayed. If you also set a warning state threshold, type a number that is greater than the warning state threshold.

Tip To view the current size of your SMTP queue, on the Monitoring tab, click the SMTP Queues growth period monitor you just created, and then check the display in Current queue growth (minutes):.

Related Topics

Monitor a Server


Exchange Server 2003 - Windows 2000 Service

Maintaining and Troubleshooting

Windows 2000 Service

You can use the Windows 2000 Service monitor to monitor the Windows 2000 services running on your Exchange server. To monitor a Windows 2000 service on your server running Exchange 2003, use the Monitoring tab in the server Properties. You can specify the type of warning you receive when a service is not running. You can also monitor multiple Windows 2000 services using a single Windows 2000 service monitor.

To configure a Windows 2000 service monitor:

  1. If you have not already done so, select an Exchange 2003 monitor for Windows 2000 Service, and then click OK.
  2. If you are creating a new Windows 2000 service monitor, in Services, in the Name box, type a name for the service or services that are being monitored. For example, if you are monitoring Microsoft Exchange 2003 services, you could type Exchange Services. The name you type appears on the Monitoring tab.

    Note If you are adding services to an existing Windows 2000 service monitor, you cannot modify the name of the service monitor.

  3. In Services, click Add.
  4. In Add Services, specify a Windows 2000 service you want to monitor, and then click OK. Repeat steps 3 and 4 of to include all the services you want to monitor with this service monitor.
  5. In the When service is not running change state to list, select whether a critical or warning state is issued when services included in this monitor are not running.

    6. Tip To view whether a service within a service monitor is running, on the Monitoring tab, double-click the name of the service monitor that includes the service for which you want to view the status. The state of each service displays.

Related Topics

Monitor a Server


Exchange Server 2003 - X.400 Queue Growth

Maintaining and Troubleshooting

X.400 Queue Growth

If an X.400 queue grows continuously, e-mail is not leaving the queue and is not being delivered to an Exchange 5.5 or X.400 server as fast as new messages arrive. This can be an indication of network or system problems. To avoid delays in delivering messages, you should monitor X.400 queue growth. When the queue grows continuously for a specified period of time, the X.400 queue monitor displays a warning icon on the Monitoring tab. You can set a growth threshold for a warning state or a critical state, or you can set both thresholds.

To set thresholds for X.400 queue growth:

  1. If you have not already done so, select an Exchange 2003 monitor for X.400 queue growth, and then click OK.
  2. To set a warning state threshold, in the X.400 Queue Thresholds dialog box, select the Warning state (minutes): check box, and then type a number in minutes that identifies the maximum amount of time an X.400 queue can grow continuously before a warning icon is displayed.
  3. To set a critical state threshold, select the Critical state (minutes): check box, and then type a number in minutes that identifies the maximum amount of time an X.400 queue can grow continuously before a critical icon is displayed. If you also set a warning state threshold, type a number that is greater than the warning state threshold.

Tip To view the current size of your X.400 queue, on the Monitoring tab, click the X.400 Queues growth period monitor you just created, and then check the display in Current queue growth (minutes):.

Related Topics

Monitor a Server


Exchange Server 2003 - Windows 2000 Performance Monitor

Monitoring Exchange

Windows 2000 Performance Monitor

You can monitor specific server resources from within Exchange 2003. If you want to monitor information about your Exchange deployment other than memory and hardware usage on a server, you can use a Windows 2000 component called Performance Monitor to log workload statistics for any Exchange object. Using Performance Monitor, you can monitor a single computer, or you can monitor several computers simultaneously. This flexibility can be helpful when you want to locate a problem in your system. Depending on your needs, you can monitor performance in railway in the Chart window, or you can store data in logs to review later. For more information about using Performance Monitor, see the Windows 2000 Server documentation.

Tip To increase administrator response, you can use Performance Monitor to generate an e-mail or a customized notification whenever a counter exceeds or drops below a measurement you specify. Once the data is generated, you can export it to a spreadsheet or database for further review and analysis.

To use Windows 2000 Performance:

  1. Start Performance
    On the Start menu, point to Programs, point to Administrative Tools, and then click Performance.
  2. Right-click the details pane, and then click Add Counters.
  3. To select a computer running Exchange, in Add Counters, click Use local computer counters to monitor this server. To monitor another server, click Select counters from computer, and then select a server from the dropdown list.
  4. In Performance Object, select an object Exchange uses.
  5. To monitor all counters, click All counters. To monitor specific counters, click Select counters from list, and then click the counter name.

    6. Tip To read a description of the counter, click Explain.


Exchange Server 2003 - Set Notifications

Monitoring Exchange

Set Notifications

You can notify an administrator by e-mail or you can use a script to respond to server or connector problems. You can send a notification only if the server enters a warning state or critical state or a connector enters a down state when any of its monitors detect problems. You cannot send a notification if a specific server monitor detects that a server resource is low. Once an alert is sent, you can use the Status window to view the state of a server or connector and use the Monitor tab to view server resource monitor states.

To set notifications:

  • Notify an Administrator by E-mail
  • Create a Notification from a Script


Exchange Server 2003 - Notify an Administrator by E-mail

Monitoring Exchange

Notify an Administrator by E-mail

You can send an e-mail message to an administrator when a server enters a warning state or critical state or a connector enters a down state. The server and connector states are set on the Monitoring tab of a server or connector. The subject line and body of the e-mail message are automatically created; their content depends on which server is monitoring the servers and connectors in your organization, and which servers and connectors are being monitored. However, if problems exist between the monitoring server and the server or connector being monitored, the message may not be delivered. You can also create a script to provide a backup method of notifying an administrator.

To set an administrator notification:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Monitoring and Status.

    Tools

    1. Monitoring and Status
  3. Right-click the Notification folder, point to New, and then click E-mail notification.
  4. To specify which server performs the monitoring and produces the notification, in Monitoring server:, click Select, and then select a server.
  5. To choose the server or connector about which you want to be notified, in Servers and connectors to monitor: select the appropriate servers and connectors. To create a customized list of servers or connectors, in Servers and connectors to monitor:, select Custom list of servers or Custom list of connectors, and then click Customize. In Custom List, click Add, and then select a server or connector.
  6. In Notify when monitored items are in, select the state to match the monitoring threshold on the server. If you set monitoring thresholds for a warning state and a critical state, select Warning state or Critical state. Note that Down state is automatically selected when you choose to monitor a connector.
  7. To select a recipient, in To and CC, type an e-mail address, or click To and CC to browse a list of names.
  8. In E-mail server, type a server name or click E-mail server to browse through a list of servers.
  9. In Subject:, type the subject and body of the notification e-mail message that will be sent. Although it is recommended that you use the default settings, you can use Windows Management Instrumentation (WMI) placeholders to customize the content of the e-mail notification.


Exchange Server 2003 - Create a Notification from a Script

Monitoring Exchange

Create a Notification from a Script

You can create a scripted notification for administrators to provide an alternative method to e-mail notification and ensure that a notification is produced when problems prevent an e-mail message from being delivered. When a server enters a warning state or a critical state or a connector enters a down state, the specified script is located and runs. The server and connector states are set on the Monitoring tab of a server or connector. You can also add command line options that are used when running the script.

To set a scripted notification:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Monitoring and Status.

    Tools

    1. Monitoring and Status
  3. Right-click the Notification folder, point to New, and then click Script notification.
  4. To specify which server performs the monitoring and produces the notification, click Select, and then select a server.
  5. To choose the server or connector about which you want to be notified, in Servers and connectors to monitor select the appropriate servers and connectors. To create a customized list of servers or connectors, in Servers and connectors to monitor select Custom list of servers or Custom list of connectors, and then click Customize. In the Custom List window, click Add, and then select a server or connector.
  6. In Notify when monitored items are in, select the state to match the monitoring threshold on the server. If you set monitoring thresholds for a warning state and a critical state, select Warning state or Critical state. Note that Down state is automatically selected when you choose to monitor a connector.
  7. In Path to executable, type the directory path, starting with the drive letter and ending with the executable name.
  8. If you need to specify how the script is run, in Command line options, type any flags or MS-DOS options to be used when the script runs.


Exchange Server 2003 - Use Diagnostic Logging and Event Viewer

Monitoring Exchange

Use Diagnostic Logging and Event Viewer

In addition to the logs that Performance Monitor creates, you can create diagnostic logs in Exchange. If you want to view the performance of your server as your system runs or view the performance of several servers at once, you can use Windows 2000 Performance monitor. If you want to assign specific logging levels, such as Minimum, Medium, or Maximum, to further organize the information for a single server, use Exchange to record events in the Windows 2000 event log. Logging begins automatically whenever you start Exchange, and you can view logs in Event Viewer. Event Viewer maintains logs about application, security, and system events on your computer. You can use Event Viewer to view and manage event logs and gather information about hardware and software problems.

To use event and diagnostic logging:

  • Configure Diagnostic Logging
  • Use Event Viewer


Exchange Server 2003 - Configure Diagnostic Logging

Monitoring Exchange

Configure Diagnostic Logging

You can use diagnostic logging to record significant events related to authentication, connections, and user actions. You configure diagnostic logging separately for each server. Logging begins automatically when you start Exchange. If you enable protocol logging, all virtual servers for that protocol are logged at the level you set on the host server. By default, the logging is set to None, which logs only critical errors.

To set the logging level:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Servers, right-click a server, and then click Properties.
  3. Click the Diagnostics Logging tab.
  4. To log events for a specific feature, under Services, click one of the following:
    • IMAP4Svc. This service allows users to access mailboxes and public folders through Internet Message Protocol version 4 (IMAP4).
    • MSExchangeActiveSyncNotify. This service provides Always-up-to-date Notifications for Exchange ActiveSync users.
    • MSExchangeADDXA. This service runs Connection Agreements if Active Directory Connector is installed.
    • MSExchangeAL. This service allows users to address e-mail through Address Lists.
    • MSExchangeDSAccess. This service allows Exchange access to Active Directory.
    • MSExchangeIS. This service allows access to Information Store.
    • MSExchangeMTA. This service allows X.400 connectors to see message transfer agent (MTA) is used.
    • MSExchangeMU. This service replicates Exchange configuration information changes to the IIS metabase.
    • MSExchangeSA. This counter records an entry when Exchange uses Windows 2000 Active Directory to store and share directory information.
    • MSExchangeSRS. This counter records an entry whenever Site Replication Services are used to replicate computers running Exchange Server 2003 with computers running Exchange 5.5.
    • MSExchangeTransport. This counter records an entry whenever Simple Mail Transfer Protocol (SMTP) is used to route messages.
    • POP3Svc. This counter records an entry whenever Post Office Protocol version 3 (POP3) is used to access e-mail.
  5. Under Categories, click a category, and then select one of the following Logging levels:
    • None. This level logs only critical events and errors.
    • Minimum. This level logs high-level events by writing one entry for each major task the service performs. This level of logging can help you identify where a problem might be occurring.
    • Medium. This level logs entries for each step taken to run a task. You should use this level of logging after you have identified where a problem is occurring to get more details.
    • Maximum. This level logs entries for each line of code in the service, providing a complete trail of the service's operations and logging all events. This level of logging creates a large amount of data, which can negatively affect server performance.


Exchange Server 2003 - Use Event Viewer

Monitoring Exchange

Use Event Viewer

After you have enabled logging, you can view the log entries in Event Viewer. Event Viewer is a Windows 2000 component that you can use to monitor hardware and software activities. Within each Event Viewer log, Exchange records informational, warning, and error events. For each type of log, you can specify the maximum size, how long to save entries, and whether to automatically overwrite existing events when the log is full or to manually clear entries.

Monitor these logs closely to keep track of the kinds of transactions being conducted on your Exchange servers. Periodically archive the logs to avoid running out of space. Because log files can occupy only a finite amount of space, clear the logs occasionally so that Exchange can continue to write new events. For more information about using Performance monitor, see the Windows 2000 Server documentation.

To use Windows 2000 Event Viewer:

  1. Start Event Viewer
    On the Start menu, point to Programs, point to Administrative Tools, and then click Event Viewer.
  2. Navigate to Application Log.

    Event Viewer

    1. Application Log
  3. To sort the log alphabetically and quickly locate an entry for an Exchange service, in the details pane click Source.
  4. To open a service's Property page and retrieve detailed information, double-click the log entry.
  5. To filter the log to list entries for a specific counter, from the View menu, click Filter. In Application Log Properties, in Event Source, choose one of the following Exchange messaging and collaboration service counters:
    • IMAP4Svc. This service allows users to access mailboxes and public folders through Internet Message Protocol version 4 (IMAP4).
    • MSExchangeActiveSyncNotify. This service provides Always-up-to-date Notifications for Exchange ActiveSync users.
    • MSExchangeADDXA. This service runs Connection Agreements if Active Directory Connector is installed.
    • MSExchangeAL. This service allows e-mail to be addressed through Address Lists.
    • MSExchangeIS. This service allows access to Information Store.
    • MSExchangeMTA. This service allows X.400 connectors to see MTA is used.
    • MSExchangeSA. This counter records an entry when Exchange uses Windows 2000 Active Directory to store and share directory information.
    • MSExchangeSRS. This counter records an entry whenever Site Replication Service are used to replicate computers running Exchange Server 2003 with computers running Exchange 5.5.
    • MSExchangeTransport. This counter records an entry whenever Simple Mail Transfer Protocol (SMTP) is used to route messages.
    • POP3Svc. This counter records an entry whenever Post Office Protocol version 3 (POP3) is used to access e-mail.


Exchange Server 2003 - Monitor Services Used by Exchange

Maintaining and Troubleshooting

Monitor Services Used by Exchange

Exchange relies on Windows 2000 services for access to system resources. To complete basic messaging and collaboration functions, Exchange has its own services that also depend on Windows 2000 services; for example, to add a new mailbox store to Information Store, IIS Admin Services and the Microsoft Exchange System Attendant service must be running. You can use the Monitoring tab on a computer running Exchange 2003 to create a list of services and display their status without Exchange. First, use the Windows 2000 Services component to find dependencies. Then, you can create a list of services to monitor in Exchange. If you encounter problems with an Exchange service, you should first check to see if the Windows 2000 service on which the Exchange service depends is running.

To monitor a service:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. In Name, right-click a service, and then click Properties. Use the information on the Dependencies tab to decide which service you want to monitor in Exchange.
  3. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  4. In the console tree, double-click Servers, right-click a server, click Properties.
  5. To determine whether the service is already being monitored, on the Monitoring tab, click Default Microsoft Exchange Services, and then click Detail.
  6. To add services not listed, on the Monitoring tab, click Add.
  7. Click Windows 2000 Service, and then click OK.
  8. In Name, type a short description for the collection of services; for example, if you are adding services that are used by SMTP, POP3, and IMAP4, use a name similar to Protocols.
  9. Click Add, select the service to monitor, and then click OK.
  10. To display a warning or critical icon on the Monitoring tab, in When the service is not running change state to, select a state to display.


Exchange Server 2003 - Monitor Message Flow

Monitoring Exchange

Monitor Message Flow

If users are reporting missing e-mail or you suspect that there is a problem with message delivery or routing, use Message Tracking Center to determine whether a message is waiting in a queue or whether it has been sent. Message Tracking Center allows you to reference the message tracking logs stored on each server and view the history of sent messages. If the message does not appear in a tracking log, check the message queues to see if the message is waiting in a queue for an available connection or for routing information before it can be delivered.

To monitor message flow:

  • Use the Message Tracking Center
  • Manually Review Message Logs
  • Maintain Message Tracking Logs
  • Move Message Tracking Logs


Exchange Server 2003 - Use Message Tracking Center

Monitoring Exchange

Use the Message Tracking Center

Message Tracking Center can track messages in Exchange 2003 organizations, and mixed Exchange 5.5 and Exchange 2003 deployments. Message Tracking Center can also track messages going to or coming in from a foreign e-mail system, such as Lotus Notes. The path of a message that is forwarded after the message arrives at a foreign e-mail system cannot be tracked, but you can determine whether the message was delivered successfully. You must complete two main tasks when using Message Tracking Center. First, you must search for and select a particular message to track. Then, you can view the history of the message path. You can also save the history of the message flow to a text file for reference if message tracking logs are cleared.

To use the message tracking center:

  • Enable Message Tracking
  • Search for a Message
  • View and Save Message History


Exchange Server 2003 - Enable Message Tracking

Monitoring Exchange

Enable Message Tracking

You set message tracking only on a server. All messages that are routed through a server are added to the message tracking logs. You can record information about the sender, the message, and the recipient. If you need to log more detailed information, you can also record the subject line of the e-mail message.

To enable message tracking:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Server, right-click a server, and then click Properties.
  3. To record the subject of any message sent to, from, or through the server, on the General tab, select the Enable subject logging and display check box.
  4. To log information about the sender, the time the message was sent or received, the message size and priority, or the message recipients, select the Enable message tracking check box.
  5. To change the directory in which the log file is stored, click Change and enter the new directory name in which the Message Tracking Log Files will be stored.

Related Topics

Maintain Message Tracking Logs


Exchange Server 2003 - Search for a Message

Monitoring Exchange

Search for a Message

Before you view the tracking history of an e-mail message, you must specify the message that you want to track. If you want to select a message to track directly, use the Message ID . If you are tracking an e-mail message, you can specify certain search parameters to get a list of matching messages. From this list, you can select one of the messages to view its history. Messages are found only if they exist in the message tracking logs that are stored in Exchsrvr\servername.log; servername is the name of your server.

Tip To search for a message, you must identify a server. You can use the name of any server that has processed the message while it was in transit between the sender's server and the recipient's server; however, if you want a complete history of the message flow and want to reduce the time you spend searching message tracking logs, you should use the name of the sender's server.

To search for a message:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Tools, and then click Message Tracking Center.
  3. In Server, type the name of the server to which the message was sent or delivered. If you don't know the server, click the Server tab and use the options in Select the server(s) to search for this message to select the server.

    Tip To search for a message, you are only required to identify the server to which the message was sent or delivered. Use any combination of the optional parameters to create a list of all messages you are interested in viewing. For example, if you want to see all messages a user sent on a certain date, identify the sender's server, the sender's alias, and the date. If you want to see all messages sent during a period of time to determine message traffic loads, identify a server, and then search by date and time.

  4. (Optional) To search for a message sent by a specific user, in Sender, type the sender's alias or e-mail address. If you don't know the alias or e-mail address, click Sender, and then select the user from the list of users in Active Directory.
  5. (Optional) To search for a message sent to a specific user, in Recipients, type the recipient's alias or e-mail address. If you don't know the user's alias or e-mail address, click Recipients, and then select the user from the list of users in Active Directory.
  6. (Optional) To search for messages sent through the server during a specific period of time, on the Logged Between tab, click the drop-down arrow, use the calendar to select a starting date, and then select a starting time. In And, use the calendar to select an ending date, and then select an ending time.
  7. (Optional) To search for a specific message by ID, in Message ID, type the complete message ID, including the domain.
  8. To begin the search, click Find Now.


Exchange Server 2003 - View and Save Message History

Monitoring Exchange

View and Save Message History

After a message or group of messages matching your criteria is found, the search results are displayed in the lower half of Message Tracking Center. If a message is not found, it was not logged in the message tracking log. If you cannot find a message in the search results and you do not have enough information to filter the search to find the message, you can manually review the message tracking logs.

Tip If a piece of information, for example the priority of the message, is not logged in the tracking log file, that field in the message history is blank.

To view and save a message history:

  1. If you have not yet done so, search for a message to track.
  2. In the lower half of the Message Tracking Center dialog box, click the message text of which you want to view the history, and then click Message History.
  3. To save the message history to a text file for reference when log files are cleared, in Message History, from the File menu, click Save. In File name, type the name, and then use the navigation window to select a location in which to save the file.


Exchange Server 2003 - Manually Review Message Logs

Monitoring Exchange

Manually Review Message Logs

If a user reports that a message was sent but never received, you can track the message by finding its history in message tracking logs. You can use the sender's e-mail address and server name to find the information using Message Tracking Center; however, if you cannot find a message in the search results, you can manually review the message tracking logs. By default, message tracking logs are stored in Exchsrvr\servername.log, in which servername is the name of your Exchange server. To modify this location, right-click the server you want, click Properties, and then make your changes on the General tab . Each day, Exchange creates a new log that records the messages a server processes. Each daily log is named for the date on which it was created, with a format of yyyymmdd.log.

Important By default, only administrators with read access to the computer, where the log files are located, can view them. If you want to share access to the log files with remote users, you must grant the required permissions manually.

To review message tracking logs:

  1. To open a log file in the Exchsrvr\servername.log directory (or the directory specified in the server's properties), use a text editor, such Notepad.

    2. Tip The log file has a .log extension, so you must browse for all file types. You can also import the log file into spreadsheets such as Microsoft Excel, or you can use it in custom applications.

  2. To search for the missing message, using any information you know about the message, use the text editor.


Exchange Server 2003 - Maintain Message Tracking Logs

Monitoring Exchange

Maintain Message Tracking Logs

If you allow log files to accumulate on the server, they can consume a large portion of disk space and affect performance. You should remove log files periodically; however, be sure to leave log files on the server long enough for you to review files if a problem occurs with your message flow. As an additional step, you can move the log files to a server that can accommodate the size requirements; see Move Message Tracking Logs.

To specify how long log files remain on a server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Servers, right-click a server, and then click Properties.
  3. On the General tab, in Log file maintenance, select the Remove log files check box.
  4. In Remove log files older than (days):, type the number of days that you want a file to be stored in the Exchsrvr\servername.log directory before it is removed.


Exchange Server 2003 - Move Message Tracking Logs

Monitoring Exchange

Move Message Tracking Logs

Because message tracking log files can consume a large portion of disc space, you may want to move the log files to a disc on the server that can accommodate the size requirements. You can specify a new path for message tracking log files in the server's properties. This change takes effect at midnight coordinated universal time (UTC). After the change takes effect, message tracking creates new log files in the new location; however, old log files do not move to the new location automatically. You should wait until the change takes effect and then manually move old log files to the new location so that message tracking can locate and maintain them.

If the Exchange System Attendant service restarts for any reason (for example, due to a manual restart or power outage), the log file path changes and message tracking creates a new log file in the new location the next time a user sends a message. As a result, you will see two log files with the same name, one in the old location and one in the new location. In this case, you should rename the old log file when you move files to the new location. Use the same naming convention used by message tracking (yyyymmdd) but use a date that is older than any of the existing log files so that it does not interfere with a future log file.

Note If the server is running in a cluster, the new log file path you choose must be located on a shared resource disc. The change takes affect at midnight UTC or in the event the cluster fails over.

To change the path for message tracking log files:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. On the General tab, under Log file directory, click Change.
  5. Type the new path and file name, and then click OK.
  6. At any time after the change takes effect, locate the old log files (the default location is <drive>:\Program Files\Exchsrvr\servername.log) and move them to the new location you specified in the server's properties.


Exchange Server 2003 - Create a New Site Replication Service

Monitoring Exchange

Create a New Site Replication Service

Part of maintaining your Exchange deployment includes making sure directories are replicated between servers so that users can access information from any server. Site Replication Service provides mail-based directory replication between Exchange 2003 administrative groups and Exchange 5.5 sites.

When you install the first Exchange 2003 server in an Exchange 5.5 site, Site Replication Service is automatically installed. It creates a connection agreement with Active Directory Connector (ADC) and replicates directories based on the connector's schedule. You can create a new instance of Site Replication Service to distribute the replication load on the first computer running Exchange Server 2003 that you added to the site. If you have a large number of sites and administrative groups, this server must replicate directories with all other Exchange servers and send changes to all sites in your organization. When you add a new instance of Site Replication Service to another computer running Exchange Server 2003 in your organization, Site Replication Service negotiates with the first Exchange 2003 server to distribute the load.

Important Before you can create a new instance of Site Replication Service, you must install ADC. For more information, see the Planning and Installation documentation.

To create a new instance of Site Replication Service:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Tools.
  3. Right-click Site Replication Services, point to New, and then click Site Replication Service.
  4. To install a new instance of Site Replication Service on this server, in the Exchange System Manager dialog box, click Yes.
  5. In the Select User dialog box, in Name, click the service account for the Exchange 5.5 servers, and then click OK. Site Replication Service uses this account when it replicates with the other Exchange 5.5 directories in the same site.
  6. In the Site Replication Service Logon dialog box, type the password for the account you chose.

Warning You can delete an instance of Site Replication Service even if it is in use, but this is not recommended. If you remove the service, all copies of Exchange 5.5 directories are removed from computers running Exchange Server 2003 and replication data is lost. To restore copies of the Exchange 5.5 directory, create a new instance of Site Replication Service to replace the one you deleted.


Exchange Server 2003 - Managing Recipient Settings

Managing Recipient Settings

Managing Recipient Settings

You can manage recipient settings for each Exchange recipient, address list, recipient policy, details template, and address template by selecting settings on each individual Properties dialog box. This allows you to customize the functionality available to each Exchange recipient, address list, recipient policy, details template, and address template. Managing recipient settings is categorized into four content areas. These content areas include:

  • Managing Recipients. Use this section to manage your mailbox-enabled users and mail-enabled recipients. More...
  • Managing Recipient Policies. Use this section to manage the recipient policies which generate e-mail addresses for your mailbox-enabled users and mail-enabled recipients. This is also where you create and configure mailbox recipient policies, which use Exchange Mailbox Manager to enforce age and size limits on client mailbox items. More...
  • Managing Address Lists. Use this section to manage the address lists and offline address lists used by your Exchange users when they search for information about recipients. More...
  • Managing Details and Address Templates. Use this section to view and modify the details templates and address templates that control the way recipient information appears when your Exchange users view address lists. More...


Exchange Server 2003 - Managing Recipients

Managing Recipient Settings

Managing Recipients

Microsoft Exchange 2000 and 2003 recipients are administered from Active Directory Users and Computers and Exchange System Manager. Although it is possible to manage recipients from Exchange 5.5 and earlier using Exchange Administrator Program, it is recommended that you administer all recipients from Active Directory Users and Computers and System Manager.

Answers to frequently asked questions

How do I manage Exchange recipients?

Exchange 2003 adds Exchange-specific tabs to Microsoft Windows 2000 tabs. You can use these tabs, as well as Exchange Task Wizard, to manage Exchange recipients. More

Can I set message size restrictions?

Yes. For mailbox-enabled users, you can set maximum size limits for incoming and outgoing messages. For mail-enabled users, you can set the maximum size of messages. More

Can I select protocol settings?

Yes. You can select protocol settings or select default protocol settings for the Internet Message Access Protocol version 4 (IMAP4) and Post Office Protocol version 3 (POP3). You select protocol settings for mailbox-enabled users on the Exchange Features tab of the <User Name> Properties dialog box. More


Exchange Server 2003 - Manage Recipient Objects

Managing Recipient Settings

Manage Recipient Objects

Recipients are Active Directory objects classified as either users, contacts, groups, or public folders. Users can either be mailbox-enabled or mail-enabled. Contacts, groups, and public folders can only be mail-enabled. These designations determine what tasks users can perform in Exchange.

To manage recipient objects:

  • Create a Mailbox-Enabled User
  • Create a Mail-Enabled User
  • Create a Mail-Enabled Contact
  • Create a Mail-Enabled Group
  • Create an InetOrgPerson Object
  • Create a Query-based Distribution Group
  • Designate an Existing User as Mailbox-Enabled
  • Move a Mailbox
  • Move Multiple Mailboxes
  • Remove Exchange Attributes


Exchange Server 2003 - Create a Mailbox-Enabled User

Managing Recipient Settings

Create a Mailbox-Enabled User

You can simultaneously create a Windows 2000 user object and make it mailbox-enabled.

To create a mailbox-enabled user:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Right-click the folder that will contain the new mailbox-enabled user, point to New, and then click User.
  3. In the New Object - User dialog box, in First name, Initials, Last name, and User logon name, type the user's information. Then click Next.
  4. In the Password box, type a password for the new user. Confirm the new password by re-typing the password in Confirm Password. Select the password options that apply, and then click Next.
  5. Verify that the Create an Exchange mailbox check box is selected. Verify that the information in Alias and in the Server and Mailbox Store drop-down lists is correct, and then click Next.
  6. In the final view of the New Object - User dialog box, verify that the information displayed is correct, and then click Finish. If the information is not correct, click Back to correct the information.


Exchange Server 2003 - Create a Mail-Enabled User

Managing Recipient Settings

Create a Mail-Enabled User

You can create a mail-enabled user. Mail-enabled users appear in the address lists, and your mailbox-enabled users can send e-mail to mail-enabled users. However, messages sent to mail-enabled users will not be stored on your Exchange servers.

To create a mail-enabled user:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Right-click the folder that will contain the new mail-enabled user, point to New, and then click User.
  3. In the New Object-User dialog box, in First name, Initials, Last name, and User logon name, type the user's information, and then click Next.
  4. In Password, type a password for the new user. Confirm the new password by re-typing the password in Confirm Password. Select the password options that apply, and then click Next.
  5. Click to clear the Create an Exchange mailbox check box. The alias, server, and mailbox store selections appear dimmed. Click Next, verify the information for the new user, and then click Finish.
  6. In the details pane, right-click this new user, and then click Exchange Tasks. In Exchange Task Wizard, click Next, select Establish e-mail addresses, and then click Next.
  7. In Alias, verify the alias, and then click Modify.
  8. In the New E-mail Address dialog box, select an e-mail address type, and then click OK.
  9. In the e-mail address type Properties dialog box, in E-mail address, type the e-mail address information for the type you selected in the previous step, click Apply, and then click OK.
  10. In Exchange Task Wizard, in External E-mail Address, verify the e-mail address, and then click Next.


Exchange Server 2003 - Create a Mail-Enabled Contact

Managing Recipient Settings

Create a Mail-Enabled Contact

You can simultaneously create a Windows 2000 contact and designate it as mail-enabled.

To create a mail-enabled contact:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Right-click the folder that will contain the new mail-enabled contact, point to New, and then click Contact.
  3. In the New Object - Contact dialog box, in First name, Initials, Last name, and Display name, type the contact's information, and then click Next.
  4. Verify that the Create an Exchange e-mail address check box is selected and that the alias, in Alias, is correct. Then click Modify.
  5. In the New E-mail Address dialog box, select an e-mail address type, and then click OK.
  6. In Properties of the address type you selected, type the e-mail address information. Click Apply, and then click OK.
  7. Click Next, and then verify that the information for the new contact is correct.


Exchange Server 2003 - Create a Mail-Enabled Group

Managing Recipient Settings

Create a Mail-Enabled Group

You can simultaneously create a Windows 2000 group and designate it as mail-enabled.

To create a mail-enabled group:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Right-click the folder that will contain the new mail-enabled group, point to New, and then click Group.
  3. In the New Object-Group dialog box, in Group name, type the group name, and then select Group scope and Group Type. Click Next.
  4. Verify that the Create an Exchange e-mail address check box is selected and that the alias, in Alias, is correct.
  5. Click Next, verify that the information for the new group is correct, and then click Finish.

Related Topics

Hide Membership of a Mail-Enabled Group


Exchange Server 2003 - Create a Query Based Distribution Group

Managing Recipient Settings

Create a Query-based Distribution Group

A query-based distribution group provides the same functionality as a standard distribution group, but instead of specifying static user memberships, a query-based distribution group allows you to use an LDAP query to dynamically build membership in the distribution group (for example “All full-time employees in my company”).

To create query-based distribution group:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Users and Computers.
  2. In Active Directory Users and Computers, click the View menu, and then click Advanced Features.
  3. In the console pane, navigate to the container where you want to create the query-based distribution group.
  4. Right-click the container, point to New, and then click Query-based Distribution Group.
  5. In Query-based Distribution Group name, type a name for the Query-based Distribution Group, and then click Next.
  6. Under Apply filter to recipients in, the current server is displayed. If necessary, click Change to select another server or a different container.
  7. Under Filter, do one of the following:
    • Click Include in this query-based distribution group, and then click each item you want to include in the criteria for membership in the query-based distribution group. The following criteria are pre-defined:

      • Users with Exchange mailbox
      • Users with external e-mail addresses
      • Mail-enabled Groups
      • Contacts with external e-mail addresses
      • Mail-enabled Public folders
    -Or-
    • Click Customize filter and then click Customize to create your own criteria for the query.
  8. Click Next to see a summary of the query-based distribution group you are about to create.
  9. Click Finish to create the query-based distribution group. The new query-based distribution group displays under the Users container in the details pane of Active Directory Users and Computers.
  10. Right-click the query-based distribution group you just created and click Properties.
  11. Select the Preview tab to view the query results and verify that the correct recipients are included in the distribution group.


Exchange Server 2003 - InetOrgPerson

Managing Recipient Settings

Create an InetOrgPerson Object

You can create mailbox-enabled or mail-enabled an InetOrgPerson objects. InetOrgPerson objects function like a User objects. The InetOrgPerson object is derived from the User class, and it is an LDAP standard for the User class. The InetOrgPerson object class is used in several non-Microsoft LDAP and X.500 directory services to represent people within an organization Support of InetOrgPerson makes migrations from other LDAP directories to Active Directory more efficient.

Note You can only create InetOrgPerson objects if you are running a Windows Server 2003 domain controller. InetOrgPerson objects can be mail-enabled or mailbox-enabled only in a native Exchange Server 2003 topology.

The procedures for creating a mailbox-enabled or mail-enabled InetOrgPerson object are very similar to the procedures for creating User object.

To create an InetOrgPerson object:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click Active Directory Users and Computers.
  2. In the console pane, navigate to the container where you want to create the InetOrgPerson, right-click the container, point to New, and then click InetOrgPerson.
  3. Finish creating the InetOrgPerson object using the same procedures as you would to create a mailbox-enabled user or mail-enabled user.

    Note The procedure to create an InetOrgPerson account in Active Directory is the same as to create a user account except in Step 2, click InetOrgPerson instead of User.


Exchange Server 2003 - Designate an Existing User as Mailbox-Enabled

Managing Recipient Settings

Designate an Existing User as Mailbox-Enabled

You can designate an existing Windows 2000 user as mailbox-enabled.

To designate an existing user as mailbox-enabled:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, right-click the user you want to modify, and then click Exchange Tasks.
  4. In Exchange Task Wizard, click Next, select Create Mailbox, and then click Next.
  5. Verify that the information, in Alias, and in the Server and Mailbox Store drop-down lists, is correct, and then click Next
    6. .
  6. Click Finish
    7. .


Exchange Server 2003 - Move Mailboxes Using Active Directory Users and Computers

Managing Recipient Settings

Move Mailboxes Using Active Directory Users and Computers

You can use Active Directory Users and Computers to move one or multiple mailboxes to a different server or mailbox store. As the number of Exchange users in your organization fluctuates, you can move mailboxes to help adjust server workload. Also, moving multiple mailboxes reduces manual workload and time involved in moving each individual mailbox. If you prefer, you can also move mailboxes using System Manager.

Consider the following before moving mailboxes:

  • There are no restrictions when moving mailboxes between mailbox stores in the same storage group.
  • There are no restrictions when moving mailboxes from one server to another, provided the servers are located in the same administrative group.
  • You cannot move mailboxes between administrative groups unless your Exchange organization is in native mode. To be in native mode, you must have only Exchange 2000 and Exchange 2003 servers in your Exchange organization, and your Exchange organization must be configured to run in native mode.
  • You cannot move mailboxes from one Exchange organization to another.

    • Note Using Migration Wizard, you can move user objects between administrative groups in Exchange organizations, even if your organization is in mixed mode. Using Migration Wizard, you can also move user objects from one Exchange organization or forest to another. To start Migration Wizard, click Start, point to Programs, point to Microsoft Exchange, and then click Migration Wizard.

To move mailboxes using Active Directory Users and Computers:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the mailboxes you want to move.
  3. In the details pane, select the user objects you want, right-click your selection, and then click Exchange Tasks.
  4. In Exchange Task Wizard, click Next.
  5. On the Available Tasks page, under Select a task to perform, click Move Mailbox, and then click Next.
  6. On the Move Mailbox page, to specify the new destination for the mailboxes, in the Server list, select a server, and then, in the Mailbox Store list, select a mailbox store. Then click Next.
  7. To specify how Move Mailbox handles corrupted messages in a mailbox, click one of the following:
    • Create a failure report. Click this button if you do not want to move mailboxes that contain corrupted messages. The failure report will list which mailboxes were not moved.

      • -or-

    • Skip corrupted items and create a failure report. Select this option and specify a value in the Maximum number of corrupted items to skip box if you want to permanently delete corrupted messages in a mailbox before moving them. The number you specify in the Maximum number of corrupted items to skip box determines how many corrupted messages will be deleted before the move mailbox operation will fail. For example, if you select 5, Move Mailbox will delete up to 5 messages from a mailbox and still successfully move the mailbox. If the maximum number of corrupted items is exceeded, the mailbox will not be moved. The failure report will list which mailboxes were not moved.

      Caution Because corrupted items will be permanently deleted form the mailbox, you should back up the source database.

  8. On the Task Schedule page, use the Begin processing tasks list to specify the time you want Exchange to perform this task. If you do not specify a time, the task will begin immediately after you click Next on this page.
  9. Use the Cancel tasks that are still running after list to specify the time you want Exchange to cancel this task. If you do not specify a time, Exchange will continue until this task completes.
  10. Click Next to complete the Exchange Task Wizard. When the task is complete on the Completing the Exchange Task Wizard page, a brief summary of the move mailbox operation displays. To view a detailed report, select the View detailed report when this wizard closes, and then click Finish.

Related Topics

Move Mailboxes Using System Manager


Exchange Server 2003 - Move Mailboxes Using System Manager

Managing Recipient Settings

Move Mailboxes Using System Manager

You can use System Manager to move one or multiple mailboxes to a different server or mailbox store. As the number of Exchange users in your organization fluctuates, you can move mailboxes to help adjust server workload. Also, moving multiple mailboxes reduces manual workload and time involved in moving each individual mailbox. If you prefer, you can also move mailboxes using Active Directory Users and Computers.

Consider the following before moving mailboxes:

  • There are no restrictions when moving mailboxes between mailbox stores in the same storage group.
  • There are no restrictions when moving mailboxes from one server to another, provided the servers are located in the same administrative group.
  • You cannot move mailboxes between administrative groups unless your Exchange organization is in native mode. To be in native mode, you must have only Exchange 2000 and Exchange 2003 servers in your Exchange organization, and your Exchange organization must be configured to run in native mode.
  • You cannot move mailboxes from one Exchange organization to another.

    • Note Using Migration Wizard, you can move user objects between administrative groups in Exchange organizations, even if your organization is in mixed mode. Using Migration Wizard, you can also move user objects from one Exchange organization or forest to another. To start Migration Wizard, click Start, point to Programs, point to Microsoft Exchange, and then click Migration Wizard.

To move multiple mailboxes using System Manager:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In System Manager, expand Servers and navigate to the server container where the mailboxes of the users are located. For example, if you want to move mailboxes from the default storage group and mailbox store, expand First Storage Group, expand Mailbox Store, and then click Mailboxes.
  3. In the details pane, select the user or users you want, right-click your selection, and then click Exchange Tasks.
  4. In Exchange Task Wizard, click Next.
  5. On the Available Tasks page, under Select a task to perform, click Move Mailbox, and then click Next.
  6. On the Move Mailbox page, to specify the new destination for the mailboxes, in the Server list, select a server, and then, in the Mailbox Store list, select a mailbox store. Then click Next.
  7. To specify how Move Mailbox handles corrupted messages in a mailbox, click one of the following:
    • Create a failure report. Click this button if you do not want to move mailboxes that contain corrupted messages. The failure report will list which mailboxes were not moved.

      • -or-

    • Skip corrupted items and create a failure report. Select this option and specify a value in the Maximum number of corrupted items to skip box if you want to permanently delete corrupted messages in a mailbox before moving them. The number you specify in the Maximum number of corrupted items to skip box determines how many corrupted messages will be deleted before the move mailbox operation will fail. For example, if you select 5, Move Mailbox will delete up to 5 messages from a mailbox and still successfully move the mailbox. If the maximum number of corrupted items is exceeded, the mailbox will not be moved. The failure report will list which mailboxes were not moved.

      Caution Because corrupted items will be permanently deleted form the mailbox, you should back up the source database.

  8. On the Task Schedule page, use the Begin processing tasks list to specify the time you want Exchange to perform this task. If you do not specify a time, the task will begin immediately after you click Next on this page.
  9. Use the Cancel tasks that are still running after list to specify the time you want Exchange to cancel this task. If you do not specify a time, Exchange will continue until this task completes.
  10. Click Next to complete the Exchange Task Wizard. When the task is complete on the Completing the Exchange Task Wizard page, a brief summary of the move mailbox operation displays. To view a detailed report, select the View detailed report when this wizard closes, and then click Finish.

Related Topics

Move Mailboxes Using Active Directory Users and Computers


Exchange Server 2003 - Remove Exchange Attributes

Managing Recipient Settings

Remove Exchange Attributes

You can manually remove Exchange attributes from Exchange recipient objects. You need to remove these attributes only if one of the following circumstances occurs:

  • You perform a disaster recovery to a server, and you cannot reconnect Exchange mailboxes to existing Active Directory objects.

    • -OR-

  • You use Active Directory Connector (ADC), and you notice that some of your Exchange attributes are being improperly matched with your Active Directory user objects.

Warning Do not attempt to remove Exchange attributes until you have discussed the need to perform this procedure with Microsoft Product Support. For the most up-to-date information about how to remove Exchange attributes, see the Microsoft Knowledge Base.

To remove Exchange attributes from recipient objects:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, right-click the user you want to modify, and then click Exchange Tasks.
  4. In Exchange Task Wizard, click Next, select the Remove Exchange Attributes check box, and then click Next.
  5. Verify that the information is correct, and then click Next
    6. .


Exchange Server 2003 - Manage E-mail Addresses

Managing Recipient Settings

Manage E-mail Addresses

You can manage e-mail addresses for individual recipients. If you want to create a policy that defines how e-mail addresses are generated for your recipients, you can create a recipient policy in System Manager.

Note You can use the E-mail Addresses tab to view, add, modify, and remove e-mail addresses.

To manage e-mail addresses:

  • Add a New Address
  • Modify an Address for a Mailbox-Enabled User
  • Modify or Create an Address for a Mail-Enabled Recipient
  • Remove an Address
  • Set a Primary Address

Related Topics

Managing Recipient Policies


Exchange Server 2003 - Add a New Address

Managing Recipient Settings

Add a New Address

You can add a new e-mail address for a mailbox-enabled user or a mail-enabled recipient. You can also choose the address type for the address you are creating.

To add a new e-mail address:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient for whom you are adding an address.
  4. In the E-mail Addresses tab, click New.
  5. In the New E-mail Address dialog box, select the type of address you want to add, and then click OK.
  6. In the Address Properties dialog box, type the e-mail address information for the address type you selected, and then click Apply.
  7. If there are multiple addresses for an address type, the primary address appears as bold. To change the primary address, select the address you want to use for the primary address, and then click Set as Primary.

    8. Note By default, if a newly created e-mail address is the only one of its type, it is the primary address and will appear as bold.

Related Topics

Manage E-mail Addresses Set a Primary Address


Exchange Server 2003 - Modify an Address for a Mailbox-Enabled User

Managing Recipient Settings

Modify an Address for a Mailbox-Enabled User

You can modify an e-mail address for a mailbox-enabled user. This is helpful, for example, when a mailbox-enabled user in your company transfers to another department.

To modify an e-mail address for a mailbox-enabled user:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the E-mail Addresses tab, double-click the address you want to modify.
  5. In the Address Properties dialog box, modify the e-mail address information that appears for the address you selected in the previous step, and then click Apply.

Related Topics

Manage E-mail Addresses


Exchange Server 2003 - Modify or Create an Address for a Mail-Enabled Recipient

Managing Recipient Settings

Modify or Create an Address for a Mail-Enabled Recipient

For mail-enabled recipients, you can change the e-mail address displayed on the Exchange General tab, or you can create a new e-mail address.

To modify or create an address for a mail-enabled recipient:

  • Create an E-mail Address for a Mail-Enabled Recipient
  • Change the E-mail Address for a Mail-Enabled Recipient


Exchange Server 2003 - Create an Address for a Mail-Enabled Recipient

Managing Recipient Settings

Create an E-mail Address for a Mail-Enabled Recipient

You can create a new e-mail address for mail-enabled users, contacts, and groups. E-mail addresses identify recipients to the gateways and connectors that connect Exchange with other messaging systems. Creating a new e-mail address (of a different e-mail address type), for a mail-enabled recipient, enables the recipient to communicate with users on messaging systems indicated by the e-mail address type, such as Lotus cc:Mail and GroupWise.

To create an address for a mail-enabled recipient:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled recipient you are modifying.
  4. On the Exchange General tab, click Modify.
  5. In the E-mail Address dialog box, select Create new e-mail address, and then click OK.
  6. In the New E-mail Address dialog box, select the type of address you want to add, and then click OK.
  7. On the General tab, in E-mail address, type the e-mail address, and then click Apply.

Related Topics

Manage E-mail Addresses


Exchange Server 2003 - Change the E-mail Address for a Mail-Enabled Recipient

Managing Recipient Settings

Change the E-mail Address for a Mail-Enabled Recipient

For mail-enabled recipients, you can change the e-mail address displayed on the Exchange General tab.

To change an e-mail address for a mail-enabled recipient:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mail-enabled recipient you are modifying.
  4. On the Exchange General tab, click Modify.
  5. In the E-mail Address dialog box, select Modify existing e-mail address, and then click OK.
  6. On the General tab, in E-mail address, change the e-mail address, and then click Apply.

Related Topics

Manage E-mail Addresses


Exchange Server 2003 - Remove an Address

Managing Recipient Settings

Remove an Address

You can remove an e-mail address from a mailbox-enabled user or a mail-enabled recipient. This is helpful when the recipient no longer needs an address of a certain address type.

To remove an e-mail address:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you are modifying.
  4. In the E-mail Addresses tab, select the address you want to remove, and then click Remove.

Related Topics

Manage E-mail Addresses


Exchange Server 2003 - Set a Primary Address

Managing Recipient Settings

Set a Primary Address

The first address created for each address type is the primary address. The primary address is the address that appears in the From field, when a mailbox-enabled user sends e-mail. For mail-enabled recipients, the primary address appears on the Exchange General tab, in the recipient's Properties dialog box.

By default, if a newly created e-mail address is the only one of its type, it is the primary address and will appear as bold. If there are multiple addresses for an address type, you can designate one address to be the primary address. You can only select a primary address if there is more than one e-mail address for an address type.

To set a primary address:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you want to modify.
  4. On the E-mail Addresses tab, select the address you want to be the primary address, and then click Set as Primary. The new primary address appears as bold.

Related Topics

Manage E-mail Addresses Add a New Address


Exchange Server 2003 - Configure Message Settings

Managing Recipient Settings

Configure Message Settings

You can configure message settings for mailbox-enabled users and mail-enabled recipients. These settings allow the members of your organization to use Exchange 2003 functions and features.

This section contains the following topics:

  • Configure Message Settings for Mailbox-Enabled Users
  • Configure Message Settings for Mail-Enabled Recipients


Exchange Server 2003 - Configure Message Settings for Mailbox-Enabled Users

Managing Recipient Settings

Configure Message Settings for Mailbox-Enabled Users

You can configure message settings for mailbox-enabled users from Active Directory Users and Computers. Mailbox-enabled users have an Exchange mailbox and an associated e-mail address, so they can both send and receive e-mail on your Exchange server.

To configure message settings for mailbox-enabled users:

  • Set Message Size Limits for Mailbox-Enabled Users
  • Set Message Restrictions for Mailbox-Enabled Users
  • Delegate Sending Privileges
  • Set Forwarding Address
  • Set Recipient Limits
  • Define Mailbox Storage Limits
  • Define Deleted Item Retention Period


Exchange Server 2003 - Set Message Size Limits for Mailbox-Enabled Users

Managing Recipient Settings

Set Message Size Limits for Mailbox-Enabled Users

You can select the maximum size of incoming and outgoing messages for mailbox-enabled users. You can select default maximum size limits or you can set the maximum size limit of incoming and outgoing messages in kilobytes (KB).

To select message size limits for mailbox-enabled users:

  • Select Maximum Size of Incoming Messages
  • Select Maximum Size of Outgoing Messages

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Select Maximum Size of Incoming Messages

Managing Recipient Settings

Select Maximum Size of Incoming Messages

For mailbox-enabled users, you can set the size limit for an incoming message by either using default limits or selecting the maximum size of the incoming message in kilobytes (KB). Since maximum message size limits are set on the mailbox-enabled user's Properties dialog box, you can set different maximum size limits for different users.

Note The default maximum size limit of incoming messages is defined in the Global Settings node in Exchange System Manager.

To select the maximum size limit of incoming messages:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange General tab, click Delivery Restrictions.
  5. In the Delivery Restrictions dialog box, under Receiving message size, select Maximum KB, and then type the maximum incoming message size, in kilobytes (KB).

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Select Maximum Size of Outgoing Messages

Managing Recipient Settings

Select Maximum Size of Outgoing Messages

For mailbox-enabled users, you can set the maximum size limit for an outgoing message by using default limits or by selecting the maximum size of the outgoing message in kilobytes (KB). Since maximum message size limits are set on the mailbox-enabled user's Properties dialog box, you can set different maximum size limits for different users.

Note The default maximum size limit of outgoing messages is defined in the Global Settings node in Exchange System Manager.

To select the maximum size limit of outgoing messages:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange General tab, click Delivery Restrictions.
  5. In the Delivery Restrictions dialog box, under Sending message size, select Maximum KB, and then type the maximum outgoing message size limit, in kilobytes (KB).

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Set Message Restrictions for Mailbox-Enabled Users

Managing Recipient Settings

Set Message Restrictions for Mailbox-Enabled Users

By default, mailbox-enabled users can accept messages from everyone in an Exchange organization. You can set restrictions so that messages can be accepted only from a specific list of recipients; or you can allow messages to be accepted from everyone except a specific list of recipients.

To set message restrictions for mailbox-enabled users:

  • Allow Mailbox-Enabled Users to Receive E-mail From Everyone
  • Specify Whose E-mail Mailbox-Enabled Users Can Receive
  • Specify Whose E-mail Mailbox-Enabled Users Cannot Receive

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Allow Mailbox-Enabled Users to Receive E-mail From Everyone

Managing Recipient Settings

Allow Mailbox-Enabled Users to Receive E-mail From Everyone

By default, mailbox-enabled users can receive e-mail from everyone in an Exchange organization.

To allow the mailbox-enabled user to receive e-mail from everyone:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange General tab, click Delivery Restrictions.
  5. In the Delivery Restrictions dialog box, under Message restrictions, select From everyone.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Specify Whose E-mail Mailbox-Enabled Users Can Receive

Managing Recipient Settings

Specify Whose E-mail Mailbox-Enabled Users Can Receive

You can specify whose e-mail the mailbox-enabled user can receive. If you select this option, the mailbox-enabled user can receive e-mail only from the recipients you specify.

To specify whose e-mail the mailbox-enabled user can receive:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange General tab, click Delivery Restrictions.
  5. In the Delivery Restrictions dialog box, under Message restrictions, select Only from, and then click Add.
  6. In the Select Recipient dialog box, under Name, select the recipients whose e-mail the mailbox-enabled user can receive, and then click Add. Repeat this step for each recipient.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Specify Whose E-mail Mailbox-Enabled Users Cannot Receive

Managing Recipient Settings

Specify Whose E-mail Mailbox-Enabled Users Cannot Receive

You can prevent mailbox-enabled users from receiving e-mail from specific users by specifying that the mailbox-enabled user can receive e-mail from everyone except recipients you specify.

To specify who the mailbox-enabled user cannot receive e-mail from:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange General tab, click Delivery Restrictions.
  5. In the Delivery Restrictions dialog box, under Message restrictions, select From everyone except, and then click Add.
  6. In the Select Recipient dialog box, under Name, select the recipients that you do not want the mailbox-enabled user to receive e-mail from, and then click Add. Repeat this step for each recipient.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Delegate Sending Privileges

Managing Recipient Settings

Delegate Sending Privileges

You can select recipients to send e-mail on behalf of a mailbox-enabled user. For example, you may want to enable an administrative assistant to send e-mail to members of a department, on behalf of the department manager.

To delegate sending privileges:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient whose sending privileges you want to delegate.
  4. On the Exchange General tab, click Delivery Options.
  5. In the Delivery Options dialog box, click Add.
  6. In the Select Recipient dialog box, under Name, select the recipient you want to send e-mail on behalf of the mailbox-enabled user, and then click Add. Repeat this step for each recipient.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Set Forwarding Address

Managing Recipient Settings

Set Forwarding Address

You can set a forwarding address for a mailbox-enabled user. You can also have forwarded messages delivered to both the forwarding address and the user's mailbox.

To set a forwarding address:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you want to modify.
  4. On the Exchange General tab, click Delivery Options.
  5. In the Delivery Options dialog box, under Forwarding address, click Forward to, and then click Modify.
  6. In the Select Recipient dialog box, under Name, select a recipient, and then click OK.
  7. (Optional) To have forwarded messages delivered to both the forwarding address and the user's mailbox, select the Deliver messages to both forwarding address and mailbox check box.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Set Recipient Limits

Managing Recipient Settings

Set Recipient Limits

The number of recipients a mailbox-enabled user can send messages to is limited. You can set the maximum number of recipients to the default recipient limit under Global Settings in System Manager, or you can specify the maximum number of recipients the mailbox-enabled user can send messages to.

To specify the maximum number of recipients a mailbox-enabled user can send messages to:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled recipient you are modifying.
  4. On the Exchange General tab, click Delivery Options.
  5. In the Delivery Options dialog box, under Recipient limits, click Maximum recipients, and then type a number.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Define Mailbox Storage Limits

Managing Recipient Settings

Define Mailbox Storage Limits

If a storage limit is exceeded, the mailbox-enabled user is warned or prohibited from sending or receiving e-mail. You can use the default storage limits, or you can set your own storage limits.

To define the storage limits for a mailbox-enabled user:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to set storage limits for.
  4. On the Exchange General tab, click Storage Limits.
  5. In the Storage Limits dialog box, under Storage limits, click to clear the Use mailbox store defaults check box.
  6. To specify the maximum amount of space that a mailbox can occupy before a warning message is sent to the user, select the Issue warning at (KB) check box, and then type the storage limit in the text box.

    7. Note The value you specify for Issue warning at (KB) should be less than the value you specify for Prohibit send at (KB). The value you specify for Prohibit send and receive at (KB) should be greater than the value you specify for Prohibit send at (KB).

  7. To specify the maximum amount of space that a mailbox can occupy before the user is prohibited from sending more messages, select the Prohibit send at (KB) check box, and then type the storage limit in the text box.
  8. To specify the maximum amount of space that a mailbox can occupy before the user is prohibited from sending or receiving more messages, select the Prohibit send and receive at (KB) check box, and then type the storage limit in the text box.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Define Deleted Item Retention Period

Managing Recipient Settings

Define Deleted Item Retention Period

If mailbox-enabled users do not permanently delete a deleted item, it will be stored on the server for a certain number of days before it is permanently deleted by Exchange. You can set the length of the deleted item retention period by either using the mailbox store defaults or selecting the number of days a deleted item is kept before it is permanently deleted.

To specify the number of days that deleted items are stored before they are permanently deleted:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you are modifying.
  4. On the Exchange General tab, click Storage Limits.
  5. In the Storage Limits dialog box, under Deleted item retention, click to clear the Use mailbox store defaults check box, and then in Keep deleted items for (days), type a value.
  6. To prevent deleted items from being permanently deleted before they are backed up, select the Do not permanently delete items until the store has been backed up check box.

Related Topics

Configure Message Settings for Mailbox-Enabled Users


Exchange Server 2003 - Configure Message Settings for Mail-Enabled Recipients

Managing Recipient Settings

Configure Message Settings for Mail-Enabled Recipients

You configure message settings for mail-enabled recipients from Active Directory Users and Computers. Mail-enabled recipients do not have an Exchange mailbox. However, they do have an e-mail address so they can receive e-mail, but the message will not be stored on your Exchange server.

To configure message settings for mail-enabled users, contacts, and groups:

  • Set Message Size Limits For Mail-Enabled Recipients
  • Set Message Restrictions for Mail-Enabled Recipients


Exchange Server 2003 - Set Message Size Limits for Mail-Enabled Recipients

Managing Recipient Settings

Set Message Size Limits for Mail-Enabled Recipients

You can set message size limits for mail-enabled recipients. For mail-enabled groups, you can set the maximum size of incoming and outgoing messages in kilobytes or you can select no limit. For mail-enabled users or contacts, you can set the maximum size of incoming messages in kilobytes or you can select the default.

To select message size limits for mail-enabled recipients:

  • Set Message Size Limits
  • Set No Limit on Message Size for Groups


Exchange Server 2003 - Set Maximum Message Size Limit

Managing Recipient Settings

Set Message Size Limits

For mail-enabled groups, you can set the maximum size of incoming and outgoing messages. For mail-enabled users or contacts, you can set the maximum size of incoming messages only. Since message limits are set in the mail-enabled recipient's Properties dialog box, you can set message size limits on an individual basis. Message size restrictions reduce the amount of disk space required to store messages.

To set the message size limit:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you are setting the maximum message size for.
  4. Click the Exchange General tab.
  5. For a group, under Message size, select Maximum (KB), and then type the maximum message size allowed for messages.

    6. - or -

    For a user or contact, under Receiving message size, select Use default limit, or select Maximum (KB), and then type the maximum message size allowed for incoming messages.

Related Topics

Configure Message Settings for Mail-Enabled Recipients


Exchange Server 2003 - Set No Limits for Message Size

Managing Recipient Settings

Set No Limit on Message Size for Groups

You can allow mail-enabled groups to send and receive messages of any size. Since message limits are set in the group's Properties dialog box, you can set the message size as No limit on a group-by-group basis.

To set no limit on message size:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the group you want to set an unlimited message size for.
  4. On the Exchange General tab, under Message size, select No limit.

Related Topics

Configure Message Settings for Mail-Enabled Recipients


Exchange Server 2003 - Set Message Restrictions for Mail-Enabled Recipients

Managing Recipient Settings

Set Message Restrictions for Mail-Enabled Recipients

By default, mail-enabled objects accept messages from everyone in an Exchange organization. You can set restrictions so that messages can be accepted only from a specific list of recipients, or you can allow messages to be accepted from everyone except a specific list of recipients.

To set message restrictions for mail-enabled recipients:

  • Allow Mail-Enabled Recipients to Receive E-mail From Everyone
  • Specify Whose E-mail Mail-Enabled Recipients Can Receive
  • Specify Whose E-mail Mail-Enabled Recipients Cannot Receive


Exchange Server 2003 - Allow Mail-Enabled Recipients to Receive E-mail From Everyone

Managing Recipient Settings

Allow Mail-Enabled Recipients to Receive E-mail From Everyone

By default, mail-enabled recipients can receive e-mail from everyone in an Exchange organization.

To allow the mail-enabled recipient to receive e-mail from everyone:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mail-enabled recipient you want to modify.
  4. On the Exchange General tab, under Message restrictions, select From everyone.

Related Topics

Configure Message Settings for Mail-Enabled Recipients


Exchange Server 2003 - Specify Whose E-mail Mail-Enabled Recipients Can Receive

Managing Recipient Settings

Specify Whose E-mail Mail-Enabled Recipients Can Receive

You can specify whose e-mail a mail-enabled recipient can receive.

Note If you select this option, the mail-enabled recipient can receive e-mail only from the recipients you specify.

To specify whose e-mail the mail-enabled recipient can receive:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mail-enabled recipient you are modifying.
  4. On the Exchange General tab, under Message restrictions, select Only from, and then click Add.
  5. In the Select Recipient dialog box, select the recipients whose e-mail the mail-enabled recipient can receive, and then click Add. Repeat this step for each recipient.

Related Topics

Configure Message Settings for Mail-Enabled Recipients


Exchange Server 2003 - Specify Whose E-mail Mail-Enabled Recipients Cannot Receive

Managing Recipient Settings

Specify Whose E-mail Mail-Enabled Recipients Cannot Receive

You can prevent mail-enabled recipients from receiving e-mail by specifying that the mail-enabled recipient can receive e-mail from everyone except recipients you specify.

To specify who the mail-enabled recipient cannot receive e-mail from:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mail-enabled recipient you are modifying.
  4. On the Exchange General tab, under Message restrictions, select From everyone except, and then click Add.
  5. In the Select Recipient dialog box, select the recipients that you do not want the mail-enabled recipient to receive e-mail from, and then click Add. Repeat this step for each recipient.

Related Topics

Configure Message Settings for Mail-Enabled Recipients


Exchange Server 2003 - Configure Advanced Message Settings

Managing Recipient Settings

Configure Advanced Message Settings

You can configure advanced message settings from the Exchange Advanced tab on the <Recipient Name> Properties dialog box. In Exchange 2003, the Exchange Advanced tab is available without enabling Advanced Features in Active Directory Users and Computers.

The following topics allow you to use Exchange advanced options:

  • Configure Advanced Message Settings For All Recipients
  • Configure Advanced Message Settings For Mailbox-Enabled Users Only
  • Configure Advanced Message Settings For Mail-Enabled Recipients Only


Exchange Server 2003 - Configure Advanced Message Settings For All Recipients

Managing Recipient Settings

Configure Advanced Message Settings For All Recipients

The options available to you when you select the Exchange Advanced tab from the recipient Properties dialog box depend on the type of recipient you have selected: mailbox-enabled user or mail-enabled recipient. Certain options are available for all recipients.

To configure advanced message settings for all recipients:

  • Set a Simple Display Name
  • Prevent Recipients From Appearing in Address Lists
  • Assign a Value to a Custom Attribute


Exchange Server 2003 - Set Simple Display Name

Managing Recipient Settings

Set Simple Display Name

You can set a simple display name for all mailbox-enabled and mail-enabled recipients. The simple display name is used by systems that cannot interpret all of the characters in a normal display name. For this reason, you should specify a simple display name that uses non-ANSI characters, such as kanji.

To set a simple display name:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you are modifying.
  4. On the Exchange Advanced tab, in Simple display name, type a name.

Related Topics

Configure Advanced Message Settings for all Recipients


Exchange Server 2003 - Prevent Recipients From Appearing In Address Lists

Managing Recipient Settings

Prevent Recipients From Appearing In Address Lists

Although all recipients appear in Exchange address lists by default, you can prevent a recipient from appearing in your Exchange organization's address lists. You cannot select the address lists the recipient does not appear in. If you select the Hide group from Exchange address lists option, the recipient will be hidden from all address lists.

To prevent a recipient from appearing in address lists:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient who you want to prevent from appearing in address lists.
  4. On the Exchange Advanced tab, perform one of the following tasks:

    To prevent a mailbox-enabled user, or mail-enabled user and contact, from appearing in address lists, select the Hide from Exchange address lists check box.

    - or -

    To prevent a mail-enabled group from appearing in address lists, select the Hide group from Exchange address lists check box.

Related Topics

Configure Advanced Message Settings for all Recipients


Exchange Server 2003 - Assign a Value to a Custom Attribute

Managing Recipient Settings

Assign a Value to a Custom Attribute

Exchange provides 15 custom attributes. Assigning values to the custom attributes enables you to select the recipient information you want to track. For example, if your company uses an employee identification numbering system, you can type the recipient's identification number in a custom attribute.

To assign a value to a custom attribute:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the recipient you are modifying.
  4. On the Exchange Advanced tab, click Custom Attributes.
  5. In the Exchange Custom Attributes dialog box, select an attribute, and then click Edit.
  6. In the Custom Attributes dialog box, type a value for the custom attribute in the box.

Related Topics

Configure Advanced Message Settings for all Recipients


Exchange Server 2003 - Configure Advanced Message Settings For Mailbox-Enabled Users Only

Managing Recipient Settings

Configure Advanced Message Settings For Mailbox-Enabled Users Only

Certain Exchange advanced options are available for mailbox-enabled users only. These options are available when you select the Exchange Advanced tab, on the mailbox-enabled Properties dialog box.

To configure advanced message settings for mailbox-enabled users:

  • Downgrade High Priority E-mail Bound for X.400
  • Select ILS Settings for Mailbox-Enabled Users
  • Manage Mailbox Permissions


Exchange Server 2003 - Downgrade High Priority E-mail Bound for X.400

Managing Recipient Settings

Downgrade High Priority E-mail Bound for X.400

For mailbox-enabled users, you can select an option that automatically downgrades e-mail that is set for high priority delivery to an X.400-type e-mail address. This downgrade causes the outbound e-mail to conform to original 1984 X.400 conventions.

To enable the downgrade feature:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange Advanced tab, select the Downgrade high priority mail bound for X.400 check box.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Select ILS Settings For Mailbox-Enabled Users

Managing Recipient Settings

Select ILS Settings For Mailbox-Enabled Users

Internet locator service (ILS) gives Internet service providers and Web site managers the ability to increase communication between users visiting a Web site. ILS stores information about each user, including their Internet Protocol (IP) address. This enables your online users to find each other.

To select an ILS server and account name:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange Advanced tab, click ILS Settings.
  5. In the Exchange Internet Locator Service dialog box, in ILS Server, type the name of the server to which the mailbox-enabled user is connected.
  6. In ILS Account, type the mailbox-enabled user's account name.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Manage Mailbox Permissions

Managing Recipient Settings

Manage Mailbox Permissions

You can view and change mailbox permissions for your mailbox-enabled users, assign mailbox permissions to another user or group, and change inherited permissions. For example, you can remove mailbox permissions from a user, or you can prevent the permissions for a particular user from propagating to children objects.

This section contains the following topics:

  • View Mailbox Permissions
  • Grant or Deny Permissions for a Mailbox-Enabled User
  • Grant or Deny Mailbox Permissions to a User or Group
  • Select How Permissions Apply


Exchange Server 2003 - View Mailbox Permissions

Managing Recipient Settings

View Mailbox Permissions

You can grant or deny permissions for mailbox-enabled users. You can then view permissions for a specific mailbox-enabled user.

Important Even if both the Allow and Deny check boxes are not selected for a permission, the group or user may have obtained the permission through group membership. If the group or user has not inherited the permission, then the permission is implicitely denied. If a check box is shaded, the permission is inherited and must be changed at the level where the permission was set.

To view permissions:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange Advanced tab, click Mailbox Rights.
  5. To view permissions for a user or group, in the Permissions dialog box, under Name, select a user or group.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Grant or Deny Permissions for a Mailbox-Enabled User

Managing Recipient Settings

Grant or Deny Permissions for a Mailbox-Enabled User

You can grant or deny mailbox permissions for an individual mailbox-enabled user. If you are changing mailbox permissions for a mailbox-enabled user and notice that both the Allow and Deny check boxes are not selected for a permission, then the user may have obtained the permission through group membership. If a check box is shaded, the permission is inherited and must be changed at the level where the permission was set. If the user did not inherit the permission, then the permissions is implicitely denied.

To grant or deny mailbox permissions:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user whose permissions you are changing.
  4. On the Exchange Advanced tab, click on Mailbox Rights.
  5. In the Permissions dialog box, in Name, select SELF.
  6. Select either the Allow or Deny check box next to the permission you are changing.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Grant or Deny Mailbox Permissions to a User or Group

Managing Recipient Settings

Grant or Deny Mailbox Permissions to a User or Group

You can grant or deny permissions for a mailbox-enabled user, or mail-enabled user or group, that enables them to access another's mailbox. This is helpful when you want to enable a user or group to have permissions to another's mailbox. For example, you can give a mailbox-enabled user send as permissions to another user's mailbox; or you can deny a mail-enabled group from reading permissions of an existing user.

Note You can remove a mailbox-enabled user, or mail-enabled user or group, from Name on the Mailbox Rights tab. However, if you think you might grant the user or group permissions to this mailbox in the future, deny the user or group permissions to access the mailbox instead of removing them from Name.

To grant or deny mailbox permissions:

  • Grant or Deny Permissions to Another's Mailbox
  • Add Recipient to Name

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Grant or Deny Permissions to Another's Mailbox

Managing Recipient Settings

Grant or Deny Permissions to Another's Mailbox

You can grant or deny mailbox permissions to a mailbox-enabled user, or mail-enabled user or group, that enables or disables them from having access to someone else's mailbox.

To grant or deny permissions to another's mailbox:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the user or group for whom you are granting or denying permissions.
  4. On the Exchange Advanced tab, click Mailbox Rights.
  5. On the Mailbox Rights tab, in Name, select a user or group.
  6. In Permissions, select the Allow or Deny check boxes for the appropriate mailbox permissions.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Add Recipient to Name Box and Grant Mailbox Permissions

Managing Recipient Settings

Add Recipient to Name Box and Grant Mailbox Permissions

To grant mailbox permissions to a mailbox-enabled user, or mail-enabled user or group, the user or group must appear in Name on the Mailbox Rights tab.

To add a user or group to Name:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the user or group you are adding to Name on the Mailbox Rights tab.
  4. In the Exchange Advanced tab, click on Mailbox Rights.
  5. In the Mailbox Rights tab, click Add.
  6. In the Select Users, Computers or Groups dialog box, under Name, select the user or group you want to add to Name on the Mailbox Rights tab.
  7. Click Add, and then click OK to return to the Mailbox Rights tab.
  8. Grant the appropriate mailbox permissions to the user or group you added to Name on the Mailbox Rights tab.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Select How Permissions Apply

Managing Recipient Settings

Select How Permissions Apply

A user can inherit a permissions from the parent object. If the Allow and Deny check boxes for a permission are shaded when you select a user or group in the Name box, the recipient has inherited permissions from the parent object. You can change inherited permissions and select the objects the modified permissions apply to.

To change inherited permissions:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange Advanced tab, click Mailbox Rights.
  5. On the Mailbox Rights tab, in Name, select a recipient, and then click Advanced.
  6. In the Access Control Settings dialog box, on the Permissions tab, select the same recipient in Permission Entries, and then click View/Edit.
  7. On the Object tab, in Permissions, select either the Allow or Deny check box next to each permission.
  8. To specify how the permission modifications apply, in the Apply onto drop-down list, make a selection.
  9. To prevent these permissions from being inherited by child objects, select the Apply these permissions to objects and/or containers within this container only check box.

    10. Important Clearing or selecting the Apply these permissions to objects and/or containers within this container only check box allows or prevents the modified permissions from propagating outside of the container. It does not impact the permissions this object inherited.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Configure Advanced Message Settings for Mail-Enabled Recipients Only

Managing Recipient Settings

Configure Advanced Message Settings for Mail-Enabled Recipients Only

Certain Exchange advanced options are available for mail-enabled recipients only. These options are available when you select the Exchange Advanced tab from the mailbox-enabled Properties dialog box.

To configure advanced message settings for mail-enabled recipients:

  • Use MAPI Rich-Text Format for Mail-Enabled Users or Contacts
  • Select ILS Settings for Mail-Enabled Users or Contacts
  • Select the Server Used to Expand a Group
  • Select the Out-of-Office Message Option For Groups
  • Select the Delivery Report Option For a Group


Exchange Server 2003 - Use MAPI Rich-Text Format for Mail-Enabled Users or Contacts

Managing Recipient Settings

Use MAPI Rich-Text Format for Mail-Enabled Users or Contacts

You can select whether your mail-enabled users or contacts can receive Exchange e-mail in MAPI rich-text format. MAPI allows the use of character attributes (such as bold, color, and italic) in messages. This format also allows messages to have attachments.

To enable MAPI rich-text format for a mail-enabled user or contact:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mail-enabled user or contact you want to modify.
  4. On the Exchange Advanced tab, select the Use MAPI rich text format check box.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only Enable IMAP4 Support Enable POP3 Support


Exchange Server 2003 - Select ILS Settings for Mail-Enabled Users or Contacts

Managing Recipient Settings

Select ILS Settings for Mail-Enabled Users or Contacts

ILS gives Internet service providers and Web site managers the ability to increase communication between users visiting a Web site. ILS stores information about each user, including their IP address. This enables your online users to find each other.

To select an ILS server and account name for a mail-enabled user or contact:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mail-enabled user or contact you want to modify.
  4. On the Exchange Advanced tab, click ILS Settings.
  5. In the Exchange Internet Locator Service dialog box, in ILS Server, type the name of the server to which the mail-enabled user or contact is connected.
  6. In ILS Account, type the mail-enabled user or contact's account name.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Select the Server Used to Expand a Group

Managing Recipient Settings

Select the Server Used to Expand a Group

You can select the expansion server used to expand a mail-enabled group into a list of group members. If e-mail sent to a group is from a mailbox on one of your Exchange servers, select the server from which the e-mail was sent to expand the group. If e-mail sent to a group is external e-mail, select the bridgehead server to expand the group. You can also specify a server to expand a mail-enabled group. The default selection is Any server in the organization.

To select a server to expand a group into a list of group members:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the group you want to modify.
  4. On the Exchange Advanced tab, in the Expansion Server drop-down list, select a server to expand the group.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Select the Out-of-Office Message Option For Groups

Managing Recipient Settings

Select the Out-of-Office Message Option For Groups

Exchange enables your users to create out-of-office messages when they will be away from the office. If a message is sent to a group while one or more of the group members has an out-of-office message in effect, you can specify that the out-of-office message be sent to the message originator.

To select the out-of-office message option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the group you want to modify.
  4. On the Exchange Advanced tab, select the Send out-of-office messages to originator check box.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Select the Delivery Report Option For a Group

Managing Recipient Settings

Select the Delivery Report Option For a Group

If there is a problem in delivering a message sent to a mail-enabled group, you can specify that a delivery report be sent to the group owner or to the message originator. You can also prevent delivery reports from being sent. Sending a delivery report lets the message originator know that the message was not delivered.

To select a delivery report option:

  • Send Delivery Reports to Group Owner
  • Send Delivery Reports to Message Originator
  • Do Not Send Delivery Reports

    • Related Topics

    Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Send Delivery Reports to Group Owner

Managing Recipient Settings

Send Delivery Reports to Group Owner

When a message sent to a group is not delivered, you can specify that delivery reports be sent to a group owner. The delivery report lets the group owner know that the message was not delivered.

To send delivery reports to a group owner:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the group you want to modify.
  4. On the Exchange Advanced tab, select Send delivery reports to group owner.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Send Delivery Reports to Message Originator

Managing Recipient Settings

Send Delivery Reports to Message Originator

When a message sent to a group is not delivered, you can specify that delivery reports be sent to the message originator. The delivery report lets the message originator know that the message was not delivered.

To send delivery reports to the message originator:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the group you want to modify.
  4. On the Exchange Advanced tab, select Send delivery reports to message originator.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Do Not Send Delivery Reports

Managing Recipient Settings

Do Not Send Delivery Reports

In the event that a problem occurs when delivering a message to a mail-enabled group, you can prevent delivery reports from being sent to the group owner or to the message originator.

To prevent delivery reports from being sent:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the group you want to modify.
  4. On the Exchange Advanced tab, select Do not send delivery reports.

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Enable and Disable Exchange Features

Managing Recipient Settings

Enable and Disable Exchange Features

Exchange features provide added functionality for your mailbox-enabled and mail-enabled users.

To enable or disable Exchange features:

  • Enable and Disable Exchange Features From the Exchange Features Tab
  • Use Exchange Task Wizard to Enable Exchange Features
  • Set Protocol Settings
  • Set Mobile Services Settings

Related Topics

Configure Advanced Message Settings for Mail-Enabled Recipients Only


Exchange Server 2003 - Enable Exchange Features From the Exchange Features Tab

Managing Recipient Settings

Enable and Disable Exchange Features From the Exchange Features Tab

Exchange 2003 offers features that provide mailbox-enabled and mail-enabled users with enhanced functionality. Use the Exchange Features tab to enable and disable this functionality for each user.

To enable or disable Exchange features:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the user for whom you want to enable or disable an Exchange feature.
  4. On the Exchange Features tab, under Features, select a feature, and then click Enable or Disable.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features Set Protocol Settings Set Mobile Service Settings


Exchange Server 2003 - Use Exchange Task Wizard to Enable Exchange Features

Managing Recipient Settings

Use Exchange Task Wizard to Enable Exchange Features

You can use Exchange Task Wizard to enable Exchange features.

To enable Exchange features using Exchange Task Wizard:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, right-click the user for whom you are enabling an Exchange feature, and then click Exchange Tasks.
  4. On the Welecome to the Exchange Task Wizard page, click Next.
  5. On the Available Tasks page, under Select a task to perform, click Configure Exchange Features, and then click Next.
  6. On the Configure Exchange Features page, select the feature you want to enable, and then click Enable.
  7. Click Next, review the results of the task under Task summary, and then click Finish.

Related Topics

Enable and Disable Exchange Features From the Exchange Features Tab Set Protocol Settings Set Mobile Service Settings


Exchange Server 2003 - Set Protocol Settings

Managing Recipient Settings

Set Protocol Settings

Exchange 2003 allows complete and secure collaboration between Information Store and remote clients through a number of protocols. Three of these protocols, Hypertext Transfer Protocol (HTTP), IMAP4, or POP3, are available for your mailbox-enabled users on the Exchange Features tab. You can accept the default settings for the protocol you select or configure the protocol settings yourself.

To enable protocol support:

  • Enable HTTP Support
  • Enable IMAP4 Support
  • Enable POP3 Support


Exchange Server 2003 - Enable HTTP Support

Managing Recipient Settings

Enable HTTP Support

HTTP is the underlying protocol used by the World Wide Web. HTTP defines how messages are formatted and sent, and how Web servers and browsers respond to various commands. To make a mailbox accessible through a Web browser using Outlook Web Access, you must enable HTTP on that mailbox.

To enable HTTP:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are modifying.
  4. On the Exchange Features tab, under Protocols, select Outlook Web Access, and then click Enable.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Enable IMAP4 Support

Managing Recipient Settings

Enable IMAP4 Support

Internet Message Access Protocol version 4 (IMAP4) is an Internet messaging protocol that enables a client to access e-mail on a server, rather than downloading it to the user's computer. IMAP4 enables users to access and manipulate messages stored within mailboxes. IMAP4 also allows users to access public folders or multiple e-mail folders, search through a mailbox.

To enable IMAP4 settings:

  • Use Default IMAP4 Settings
  • Configure IMAP4 Settings

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use Default IMAP4 Settings

Managing Recipient Settings

Use Default IMAP4 Settings

When you select default IMAP4 settings, you are selecting pre-configured settings for MIME encoding, the default character set, Exchange rich-text format, public folders, and fast message retrieval.

To enable the default IMAP4 settings:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange Features tab, under Protocols, select IMAP4, and then click Properties.
  5. On the IMAP4 tab, select the Use protocol defaults check box.

    6. Note When the Use protocol defaults check box is selected, the IMAP4 settings on the IMAP4 tab of the Exchange Features dialog box are not available.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Configure IMAP4 Settings

Managing Recipient Settings

Configure IMAP4 Settings

When you configure IMAP4 settings, you can select a MIME encoding option, choose a default character set, select Exchange Rich Text Format (RTF), include public folders, and disable fast message retrieval.

Settings | Description
MIME Encoding

MIME provides a way to describe a message consisting of different parts. By definition, all IMAP4 clients are MIME-aware. Options include:

  • Displaying text only and replacing graphics and active links with textual representations by selecting Provide message body as plain text.
  • Displaying graphics and links to other documents by selecting Provide message body as HTML.
  • Providing both plain text and HTML when you aren't sure which format the client can read by selecting Both.
Default Character Set | Exchange supports multilingual messages using Windows code pages instead of Internet character sets. Most languages have a one-to-one correspondence between the character set and code page.
Use Exchange Rich Text Format | If enabled, IMAP4 clients receive messages in Exchange RTF. Although all IMAP4 clients receive the information as an attachment, the attachment is opened and displayed as a normal message for IMAP4 clients that understand Exchange RTF. For IMAP4 clients that do not understand Exchange RTF, an attachment is displayed.
Include all public folders when a folder list is requested | By default, Exchange lists all public folders in response to the IMAP4 LIST ""* command. To improve performance for clients that have problems listing a large number of folders, list only the client's private folders.
Enable fast message retrieval | By default, Exchange calculates the exact size of a message. To increase the speed of message retrieval for clients that do not require exact message size reports, you can enable the server to approximate message sizes.

Use the procedure in this section that includes the MIME Encoding option you are going to select. If you want to use Exchange Rich Text Format, you can only use the MIME encoding option of Provide message body as plain text.

To configure IMAP4 settings:

  • Use the Plain Text MIME Option
  • Use the HTML MIME Option
  • Use the Both MIME Option

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Use the Plain Text MIME Option

Managing Recipient Settings

Use the Plain Text MIME Option

If a mailbox-enabled user cannot interpret HTML, select the Provide message body as plain text option under the MIME encoding. When this option is selected, a message body is composed of text only. Graphics and active links are replaced with textual representations. Character formatting, such as bold, underline, and color is not retained.

Important When you select the Provide message body as plain text option under MIME encoding, you can also select the Use Microsoft Exchange rich-text format check box.

To configure IMAP4 protocol settings using the plain text MIME option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange Features tab, under Protocols, select IMAP4, and then click Properties.
  5. On the IMAP4 tab, clear the Use protocol defaults check box.
  6. To display received messages as plain text, under MIME encoding, click Provide message body as plain text.
  7. In the Default character set list, select a character set.
  8. To send messages to IMAP4 clients using Exchange rich-test format, select the Use Microsoft Exchange rich-text format check box.

    9. Important When you select Use Microsoft Exchange rich-text format, only the Provide message body as plain text option is enabled. The MIME encoding options of Provide message body as HTML and Both are disabled.

  9. To include public folders when the mailbox-enabled user requests a folder list, select the Include all public folders when a folder list is requested check box.
  10. By default, Exchange increases the speed of message retrieval by approximating message sizes. To support e-mail clients that require exact message size reporting, clear the Enable fast message retrieval check box.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use the HTML MIME Option

Managing Recipient Settings

Use the HTML MIME Option

If a mailbox-enabled user can interpret HTML, select the Provide message body as HTML option under MIME encoding. When selected, this option allows messages to display graphics, support links to other documents, and retain character formatting.

Important When you select the Provide message body as HTML under MIME encoding, you cannot select the Microsoft Exchange rich-text format check box.

To configure IMAP4 protocol settings using the HTML MIME option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange Features tab, under Protocols, click IMAP4, and then click Properties.
  5. On the IMAP4 tab, clear the Use protocol defaults check box.
  6. To display received messages as HTML, under MIME encoding, select Provide message body as HTML.
  7. In the Default character set list, select a character set.
  8. To include public folders when the mailbox-enabled user requests a folder list, select the Include all public folders when a folder list is requested check box.
  9. By default, Exchange increases the speed of message retrieval by approximating message sizes. To support e-mail clients that require exact message size reporting, clear the Enable fast message retrieval check box.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use the Both MIME Option

Managing Recipient Settings

Use the Both MIME Option

When you select the Both option under MIME encoding, a plain text and HTML version are generated in a MIME multi-part alternative message. If a user cannot read one format, the other is available.

Important When you select the Both option under MIME encoding, you cannot select the Microsoft Exchange rich-text format check box.

To configure IMAP4 protocol settings using the Both MIME option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you are configuring IMAP4 settings for.
  4. On the Exchange Features tab, under Protocols, select IMAP4, and then click Properties.
  5. On the IMAP4 tab, clear the Use protocol defaults check box.
  6. To display received messages as both plain text and HTML, under MIME encoding, click Both.
  7. In the Default character set list, select a character set.
  8. To include public folders when the mailbox-enabled user requests a folder list, select the Include all public folders when a folder list is requested check box.
  9. By default, Exchange increases the speed of message retrieval by approximating message sizes. To support e-mail clients that require exact message size reporting, clear the Enable fast message retrieval check box.

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Enable POP3 Support

Managing Recipient Settings

Enable POP3 Support

Post Office Protocol version 3 (POP3) is an Internet messaging protocol that enables a POP3 client to download e-mail from a server. This protocol works well for computers that are unable to maintain a continuous connection to a server. POP3 does not allow users to manipulate messages on the server. E-mail is simply downloaded to the client where messages are managed. POP3 provides access only to a user's Inbox; it does not support access to public folders.

To enable POP3 settings:

  • Use Default POP3 Settings
  • Configure POP3 Settings

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use Default POP3 Settings

Managing Recipient Settings

Use Default POP3 Settings

When you select default POP3 settings, you are selecting pre-configured settings for MIME and uuencode message encoding, the default character set, and Exchange rich-test format.

To enable the default POP3 settings:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user for which you want to select default POP3 settings.
  4. On the Exchange Features tab, under Protocols, select POP3, and then click Properties.
  5. On the POP3 tab, select the Use protocol defaults check box.

    6. Note When the Use protocol defaults check box is selected, the POP3 settings on the POP3 tab of the Exchange Features dialog box are not available.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Configure POP3 Settings

Managing Recipient Settings

Configure POP3 Settings

When you configure POP3 settings, you can choose between MIME and uuencode options, choose a default character set, and select Exchange Rich Text Format.

Settings | Description
MIME Encoding

MIME provides a way to describe a message consisting of different parts. By definition, all POP3 clients are MIME-aware. Options include:

  • Displaying text only and replacing graphics and active links with textual representations by selecting Provide message body as plain text.
  • Displaying graphics and links to other documents by selecting Provide message body as HTML.
  • Providing both plain text and HTML when you aren't sure which format the client can read by selecting Both.
Uuencode | UNIX to UNIX encoding (uuencode) converts a binary file into printable 7-bit ASCII characters without loss of information.
Default Character Set | Exchange supports multilingual messages using Windows code pages instead of Internet character sets. Most languages have a one-to-one correspondence between the character set and code page.
Use Exchange Rich Text Format | If enabled, POP3 clients receive messages in Exchange Rich Text Format. Although all POP3 clients receive the information as an attachment, the attachment is opened and displayed as a normal message for POP3 clients that can interpret Exchange Rich Text Format. For POP3 clients that cannot interpret Exchange Rich Text Format, an attachment is displayed.

Use the procedure in this section that includes the MIME or UUEncode option you are going to select. If you want to use Exchange Rich Text Format, you can use either the MIME option of Provide message body as plain text, or the UUEncode option.

To configure POP3 settings:

  • Use the Plain Text MIME Option
  • Use the HTML MIME Option
  • Use the Both MIME Option
  • Use the Uuencode Option

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Use the Plain Text MIME Option

Managing Recipient Settings

Use the Plain Text MIME Option

If a mailbox-enabled user cannot interpret HTML, select the Provide message body as plain text option under the MIME button. When this option is selected, a message body is composed of text only. Graphics and active links are replaced with textual representations. Character formatting, such as bold, underline, and color is not retained.

Important When you select the MIME option, you cannot select the UUEncode option. Also, when you select the Provide message body as plain text option under MIME, you can select the Use Microsoft Exchange rich-text format check box.

To configure POP3 settings using the plain text MIME option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user for which you are configuring POP3 settings.
  4. On the Exchange Features tab, under Protocols, select POP3, and then click Properties.
  5. On the POP3 tab, clear the Use protocol defaults check box.
  6. To display received messages as plain text, under Message encoding, click MIME, and then click Provide message body as plain text.
  7. In the Default character set list, select a character set.
  8. To send messages to POP3 clients using Exchange rich-test format, select the Use Microsoft Exchange rich-text format check box.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use the HTML MIME Option

Managing Recipient Settings

Use the HTML MIME Option

If a mailbox-enabled user can interpret HTML, select the MIME option of Provide message body as HTML. When selected, this option allows messages to display graphics, support links to other documents, and retain character formatting.

Important When you select the Provide message body as HTML option under MIME, you cannot select the UUEncode or Microsoft Exchange rich-text format options.

To configure POP3 settings using the HTML MIME option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user fo which you are configuring POP3 settings.
  4. On the Exchange Features tab, under Protocols, select POP3, and then click Properties.
  5. On the POP3 tab, clear the Use protocol defaults check box.
  6. To display received messages as HTML, under Message encoding, click MIME, and then click Provide message body as HTML.
  7. In the Default character set list, select a character set.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use the Both MIME Option

Managing Recipient Settings

Use the Both MIME Option

When you select the MIME option of Both, a plain text and HTML version are generated in a MIME multi-part alternative message. If a user cannot read one format, the other is available.

Important When you select the Both option under the MIME button, you cannot select the UUEncode button or the Microsoft Exchange rich-text format check box.

To configure POP3 settings using the Both MIME option:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user for which you are configuring POP3 settings.
  4. On the Exchange Features tab, under Protocols, select POP3, and then click Properties.
  5. On the POP3 tab, clear the Use protocol defaults check box.
  6. To display received messages as both plain text and HTML, under Message encoding, click MIME, and then click Both.
  7. In the Default character set list, select a character set.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Use the Uuencode Option

Managing Recipient Settings

Use the Uuencode Option

Uuencode is an application that converts a binary file into printable 7-bit ASCII characters without loss of information. This allows data, such as images or applications, to be distributed through e-mail or news groups.

If you select UUEncode, you can specify that you support Macintosh clients. To use BinHex, which is an encoding scheme similar to uuencode but is a more common format for Macintosh files, select Use BinHex for Macintosh.

Important If you select the UUEncode option, you cannot select the MIME option.

  • Translate Uuencode Messages Into BinHex
  • Translate Uuencode Messages Into Plain Text

Related Topics

Configure Advanced Message Settings for Mailbox-Enabled Users Only


Exchange Server 2003 - Translate Uuencode Messages Into BinHex

Managing Recipient Settings

Translate Uuencode Messages Into BinHex

You can translate incoming messages in the uuencode format into BinHex for Macintosh. You can also choose a default character set that enables you to use Windows character sets rather than standard Internet character sets.

Important When you select UUEncode, you cannot select the MIME option. However, you can select the Use Microsoft Exchange rich-text format check box.

To translate uuencode messages into BinHex for Macintosh:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange Features tab, under Protocols, select POP3, and then click Properties.
  5. On the POP3 tab, clear the Use protocol defaults check box.
  6. To translate incoming messages into BinHex for Macintosh, under Message encoding, click UUEncode, and then select the Use BinHex for Macintosh check box.
  7. In the Default character set list, select a character set.
  8. To display rich-text format, select the Use Microsoft Exchange rich-text format check box.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Translate Uuencode Messages Into Plain Text

Managing Recipient Settings

Translate Uuencode Messages Into Plain Text

You can translate incoming messages in the uuencode format to plain text. You can also choose a default character set that enables you to use Windows character sets rather than standard Internet character sets.

Important When you select UUEncode, you cannot select the MIME option. However, you can select the Use Microsoft Exchange rich-text format check box.

To translate uuencode messages into plain text:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the mailbox-enabled user you want to modify.
  4. On the Exchange Features tab, under Protocols, select POP3, and then click Properties.
  5. On the POP3 tab, clear the Use protocol defaults check box.
  6. To translate incoming messages to plain text, under Message encoding, click UUEncode, and then clear the Use BinHex for Macintosh check box.
  7. In the Default character set list, select a character set.
  8. To display rich-text format, select the Use Microsoft Exchange rich-text format check box.

Related Topics

Use Exchange Task Wizard to Enable Exchange Features


Exchange Server 2003 - Set Mobile Service Settings

Managing Recipient Settings

Set Mobile Service Settings

Exchange 2003 allows you to enable and disable mobile service settings for your mailbox-enabled recipients. By default, mobile services are enabled for all mailbox-enabled recipients.

To configure mobile service settings:

  • Enable Outlook Mobile Access
  • Enable User Initiated Synchronization
  • Enable Up-to-date Notifications


Exchange Server 2003 - Enable Outlook Mobile Access

Managing Recipient Settings

Enable Outlook Mobile Access

Enabling Outlook Mobile Access for your mailbox-enabled recipients allows them to browse their mailbox with a cell phone or other wireless device. Use the Exchange Features tab to enable this functionality for each user.

To enable Outlook Mobile Access:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the user for whom you want to enable Outlook Mobile Access.
  4. On the Exchange Features tab, under Mobile Services, select Outlook Mobile Access, and then click Enable.

Related Topics

Enable User Initiated Synchronization Enable Up-to-date Notifications


Exchange Server 2003 - Enable User Initiated Synchronization

Managing Recipient Settings

Enable User Initiated Synchronization

Enabling user initiated sychronization for your mailbox-enabled recipients allows them to synchronize their mailbox using wireless devices. Use the Exchange Features tab to enable this functionality for each user.

To enable user initiated synchronization:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the user for whom you want to enable user initiated synchronization.
  4. On the Exchange Features tab, under Mobile Services, select User Initiated Synchronization, and then click Enable.

Related Topics

Enable Outlook Mobile Access Enable Up-to-date Notifications


Exchange Server 2003 - Enable Up-to-date Notifications

Managing Recipient Settings

Enable Up-to-date Notifications

Enabling up-to-date notifications for your mailbox-enabled recipients allows them to keep the data on their wireless devices up to date. Use the Exchange Features tab to enable this functionality for each user.

Note To use up-to-date notifications, you must also enable user initiated synchronization.

To enable user initiated synchronization:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, double-click the user for whom you want to enable up-to-date notifications.
  4. On the Exchange Features tab, under Mobile Services, ensure that User Initiated Synchronization is enabled.
  5. Under Mobile Services, select Up-to-date Notifications, and then click Enable.

Related Topics

Enable Outlook Mobile Access Enable User Initiated Synchronization


Exchange Server 2003 - Managing Recipient Policies

Managing Recipient Settings

Managing Recipient Policies

Exchange 2003 features two kinds of recipient policies: one is for e-mail addresses and the other affects mailboxes.

E-mail address policies generate e-mail addresses for your users, contacts, and groups, while mailbox policies restrict the age and size of messages stored in users' mailboxes. Both kinds of recipient policies can be created, modified, and prioritized through System Manager, and both can be applied to all users or only a select few.

  • E-Mail Address Recipient Policies. For each e-mail address recipient policy you create, you can define the membership of the recipient policy and select the address types for policy members. E-mail addresses are used to define the valid formats for addressing inbound e-mail to the Exchange system. E-mail addresses identify recipients to the gateways and connectors that connect Exchange with other messaging systems. More...
  • Mailbox Recipient Policies. For each mailbox recipient policy you create, you can define the membership of the recipient policy and choose to move or delete messages from some or all folders in the mailboxes of all policy members. Exchange Mailbox Manager reguarly scans and processes user mailboxes in order to enforce corporate e-mail retention policies and conserve disk space on the local Exchange server. More...

Answers to frequently asked questions

What is Mailbox Manager?

Mailbox Manager is an Exchange utility that enforces each recipient mailbox policy. You add some or all users to a mailbox recipient policy, and you can choose to monitor some or all of their mailbox folders. More...

Why would I want to create additional recipient policies for my Exchange organization?

The size and complexity of your Exchange organization may warrant the use of additional recipient policies. For example, a large company might want to create a recipient policy for each department, or a company with an international presence might want to create a recipient policy for each branch office.

How do I add an SMTP address to all of the users in a specified domain of my Exchange organization?

You can create a recipient policy and define the membership to be the users of the specified domain. An SMTP address is automatically created for all members of a recipient policy. More...


Exchange Server 2003 - E-Mail Address Recipient Policies

Managing Recipient Settings

E-Mail Address Recipient Policies

E-mail address recipient policies create the appropriate e-mail addresses for users in your Exchange organization. For each recipient policy you create, you can define the membership of the recipient policy and select the address types for policy members.

To manage e-mail address recipient policies:

  • Create Custom Recipient Policies For your Organization
  • Modify a Recipient Policy
  • Change Priority of a Recipient Policy
  • Exclude Specific Message Classes
  • Create an Exception to a Recipient Policy


Exchange Server 2003 - Create Custom Recipient Policies For Your Organization

Managing Recipient Settings

Create Custom Recipient Policies For Your Organization

When you create a custom recipient policy, define the membership of the recipient policy by either recipient category, field-level attribute, or both. You can also select the address types that are enabled for the recipient policy. If you select more than one of any address type, you must select which address, for the address type, will be the primary address.

To create recipient policies:

  • Create a New Recipient Policy
  • Add an Address to a Recipient Policy
  • Define Search Filters
  • Preview Search Filter Results
  • Select a Primary Address


Exchange Server 2003 - Create a New Recipient Policy

Managing Recipient Settings

Create a New Recipient Policy

When you create an e-mail address recipient policy, you must define the membership of the policy and select the addresses you want created for each recipient to which the policy is applied. When new recipients are created, the e-mail addresses generated for each recipient depend on the addresses you selected for the policy that applies to the object.

To create an e-mail address recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients.
  3. Right-click Recipient Policies, point to New, and then click Recipient Policy.
  4. In New Policy, click to select E-Mail Addresses, and then click OK.
  5. On the General tab, type a name for your recipient policy in the Name box, and then click Modify.
  6. Define recipient policy membership by recipient category

    - or -

    Define recipient policy membership by attributes.
  7. Select e-mail addresses for the new recipient policy.
  8. Select a primary address for the new recipient policy.


Exchange Server 2003 - Add an Address to a Recipient Policy

Managing Recipient Settings

Add an Address to a Recipient Policy

You can add a new e-mail address to an existing recipient policy. You can also create multiple e-mail addresses of the same address type. This is helpful for organizations that have multiple divisions, branch offices in different countries/regions, or use different e-mail systems. For example:

For example, an organization can add SMTP addresses that include the division name with the default address, such as user@division.organization.com. You can create a policy that generates e-mail addresses of this configuration for the recipients in a division.

To add an e-mail address to a policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipient Policies.
  3. In the details pane, double-click the recipient policy you are modifying.
  4. On the E-Mail Addresses (Policy) tab, click New.

    Warning If you attempt to add a new e-mail address to a recipient policy associated with Exchange 5.5 servers, the following warning will display:

    Secondary proxy addresses do not automatically synchonize with the Exchange 5.5 directory. To apply secondary proxy addresses to Exchange 5.5 recipients defined by this policy, set up an ADC Recipient Connection Agreement from Active Directory to Exchange 5.5.

    To apply secondary proxy addresses to Exchange 5.5 recipients defined by this policy, set up an ADC Recipient Connection Agreement from Active Directory to Exchange 5.5.

  5. In the New E-mail Address dialog box, select an e-mail address type, and then click OK.
  6. In the Address Properties dialog box, type the information required by the address type you selected.

    7. If you are typing information for an SMTP address:

    You can type text as well as replacement strings in the SMTP Address Properties dialog box, in Address. Use the format

    userformat@domain

    where userformat is optional and can contain text as well as replacement strings, and domain is an alphanumeric domain name.

    The default user format string, if one is not specified, is %m. A user format string of %% results in a replacement string of a single percent sign.

    Note Per the e-mail address specification, RFC 821/822, invalid characters are removed from the user name unless they are explicitly replaced using the %r user format string.

    The following table defines other available replacement strings and lists SMTP addresses generated for the mailbox "daniels." For this example, the display name is "Daniel B. Shelly," the surname is "Shelly," the given name is "Daniel," and the middle initial is "B."

    User Format String | Replacement String | Format String | Proxy Generated For Sample User
%s | Surname | %s@microsoft.com | Shelly@microsoft.com
%g | Given name | %g@microsoft.com | Daniel@microsoft.com
%i | Middle initial | %g.%i.%s@microsoft.com | Daniel.B.Shelly@microsoft.com
%d | Display name | %d@microsoft.com | DanielB.Shelly@microsoft.com
%m | Mailbox | %m@microsoft.com | daniels@microsoft.com
%rxy | Use %r to identify that you want to substitute one character for another. The character you want to remove is listed after the %r, shown by the x in the User Format String column. The character you want to substitute is listed next, represented by the y in the User Format String column. If x and y are equal, the character will be deleted. | %r._%d@microsoft.com | DanielB_Shelly@microsoft.com

    See also
    Knowledge Base article Q140933: XFOR: SMTP Proxy Address Generated Incorrectly
  7. If you selected the SMTP address type, select or clear the This Exchange Organization is responsible for all mail delivery to this address check box.
  8. To keep track of information concerning the recipient policy you modified, click the Details tab. In Administrative note, type information about the address you added to the recipient policy.
  9. On the E-Mail Addresses tab of the Properties dialog box, select the check box to the left of the address you added, and then click Apply.

    10. Important When you click Apply you may be asked if you want to update all corresponding recipient e-mail addresses to match the changes you made. If you click Yes, the changes made to the recipient policy are applied to the recipients defined for the policy. E-mail addresses previously configured for these recipients will be demoted to secondary addresses.

  10. Select a primary address.


Exchange Server 2003 - Define Search Filters

Managing Recipient Settings

Define Search Filters

When you create a recipient policy, you can define the membership of the recipient policy by defining filter rules. These defined filter rules are used to search Active Directory. You can set recipient policy filter rules based on Exchange recipients, users, contacts, and groups, or you can create a custom search.

Note If the needs of your organization change, you can modify the search filter rules that determine recipient policy membership.

To define filter rules for recipient policies:

  • Define Filters Using Exchange Recipients Search Category
  • Define Filters Using Users, Contacts, and Groups Search Category
  • Define Filters Using Custom Search Category
  • Define Recipient Policy Membership Based on Attributes

Tip E-mail message recipient policies and mailbox recipient policies can share the same filter. In other words, after you filter a group of users, you can apply both an e-mail address recipient policy and a mailbox recipient policy to the filtered group.


Exchange Server 2003 - Define Filters Using Exchange Recipients Search Category

Managing Recipient Settings

Define Filters Using Exchange Recipients Search Category

You can define recipient policy membership when you create a new recipient policy. However, you can change recipient policy membership by selecting a different search category or modifying the search filters.

To define or modify search filters based on Exchange recipients:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, in the Find drop-down list, select Exchange Recipients.
  6. On the General tab, select recipient categories that best match the recipient policy membership you are defining.
  7. On the Storage tab, select a storage filter for mailbox-enabled users.
  8. On the Advanced tab, select the characteristics of recipient policy members based on attributes.
  9. Preview the results of the search filters you selected.
  10. If you want to clear the filter rules you defined, click Clear All.

Tip E-mail message recipient policies and mailbox recipient policies can share the same filter. In other words, after you filter a group of users, you can apply both an e-mail address recipient policy and a mailbox recipient policy to the filtered group.


Exchange Server 2003 - Define Filters Using Users, Contacts, and Groups Search Category

Managing Recipient Settings

Define Filters Using Users, Contacts, and Groups Search Category

You can define recipient policy membership when you create a new recipient policy. However, if the needs of your organization change, you can modify the search filters that determine recipient policy membership.

To define or modify search filters based on users, contacts, and groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, in the Find drop-down list, select Users, Contacts, and Groups.
  6. On the Users, Contacts, and Groups tab, in Name and Description, type descriptive information.
  7. To show only Exchange recipients, on the Exchange tab, click Show only Exchange recipients, and then select the recipient categories that best match the recipient policy membership you are defining and changing.
  8. On the Advanced tab, select the characteristics of recipient policy members based on attributes.
  9. Preview the results of the search filters you selected.
  10. If you want to clear the filter rules you defined, click Clear All.

Tip E-mail message recipient policies and mailbox recipient policies can share the same filter. In other words, after you filter a group of users, you can apply both an e-mail address recipient policy and a mailbox recipient policy to the filtered group.


Exchange Server 2003 - Define Filters Using Custom Search Category

Managing Recipient Settings

Define Filters Using Custom Search Category

Recipient policy membership is defined when you create a new recipient policy. If the needs of your organization change, you can modify the search filters that determine recipient policy membership. Use the Custom Search category to type Lightweight Directory Access Protocol (LDAP) queries to define recipient policy membership. Only Active Directory objects that meet the requirements of the LDAP queries you type are listed as members of the recipient policy.

To define or modify search filters based on a custom search:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, in the Find drop-down list, select Custom Search.
  6. On the Custom Search tab, select the characteristics of recipient policy members based on attributes.
  7. On the Advanced tab, use LDAP queries to select the recipient policy membership.

    8. Tip The LDAP query for any recipient policy can be viewed on the General tab in any recipient policy Properties dialog box. The basics of using LDAP-based searches can be learned by viewing these LDAP queries.

  8. Preview the results of the search filters you selected.
  9. If you want to clear the filter rules you defined, click Clear All.

Tip E-mail message recipient policies and mailbox recipient policies can share the same filter. In other words, after you filter a group of users, you can apply both an e-mail address recipient policy and a mailbox recipient policy to the filtered group.


Exchange Server 2003 - Define Recipient Policy Membership Based on Attributes

Managing Recipient Settings

Define Recipient Policy Membership Based on Attributes

You can define recipient policy membership by selecting field-level attributes. Once field-level attributes are defined, you can add, modify, remove, or clear field-level attributes.

To define the membership of a recipient policy using field-level attributes:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find Exchange Recipients dialog box, select one of the following options:
    • If Exchange Recipients is selected in the Find drop-down list, click the Advanced tab.
    • If Users, Contacts, and Groups is selected in the Find drop-down list, click the Advanced tab.
    • If Custom Search is selected in the Find drop-down list, click the Custom Search tab.
  6. Click Field, click the recipient category to be defined, and then make a selection from the displayed list.
  7. In the Condition drop-down list, select a condition.
  8. In Value, type a value that qualifies the selection you made in the Condition drop-down list, and then click Add.
  9. Preview the results of the search filters you selected.
  10. If you want to remove a field-level attribute you selected, click the attribute, and then click Remove.
  11. If you want to clear all of the filter rules you defined, click Clear All.

Tip E-mail message recipient policies and mailbox recipient policies can share the same filter. In other words, after you filter a group of users, you can apply both an e-mail address recipient policy and a mailbox recipient policy to the filtered group.


Exchange Server 2003 - Preview Search Filter Results

Managing Recipient Settings

Preview Search Filter Results

You can preview the results of the search filters you have selected. Previewing search results is helpful when testing a newly created recipient policy or when using custom searches involving an LDAP filter. You can choose different columns to see different aspects of recipient policy members.

To preview the results of the search filters you selected:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to view, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, select Find Now. The recipient policy members will appear in the results list pane.
  6. To choose columns that will display different details of recipient policy members, select the View menu, and then click Choose Columns.
  7. To add columns, in the Choose Columns dialog box, select an item in the Columns available list, and then click Add. Repeat this step for each column you want to add.
  8. To remove columns, in the Choose Columns dialog box, select an item in the Columns shown list, and then click Remove. Repeat this step for each column you want to remove.
  9. Click OK to close the Choose Columns dialog box.
  10. If you want to change the search filter, modify the filter rules based on the selected search category:
    • Define Filters Using Exchange Recipients Search Category
    • Define Filters Using Users, Contacts, and Groups Search Category
    • Define Filters Using Custom Search Category
    • Define Recipient Policy Membership Based on Attributes


Exchange Server 2003 - Select Primary Reply Address

Managing Recipient Settings

Select a Primary Address

If you have added multiple e-mail addresses of the same address type, you must select a primary address. The primary address is the address that appears in the From field of the e-mail message.

By default, the first address created for each address type is the primary address and appears in bold in Generation rules. If you created more than one address for an address type, select the address that you want to be the primary address.

To select a primary reply address:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipient Policies.
  3. In the details pane, double-click the recipient policy you are modifying.
  4. To keep track of information concerning the recipient policy you modified, click the Details tab. In Administrative note, type information about the address you added to the recipient policy.
  5. On the E-Mail Addresses tab, select the address you want to use for the primary address.
  6. Click Set as Primary, and then click Apply.

    7. Important When you click Apply you will be asked if you want to update all corresponding recipient e-mail addresses to match the changes you made. If you click Yes, the changes made to the recipient policy are applied to the recipients defined for the policy. E-mail addresses previously configured for these recipients will be demoted to secondary addresses.


Exchange Server 2003 - Modify a Recipient Policy

Managing Recipient Settings

Modify a Recipient Policy

By default, one e-mail recipient policy, called the default policy, is created for each domain in your Exchange 2000 organization. In addition, policies are created for each Exchange Server 5.5 site for reverse compatibility. You can modify Exchange 2000 recipient policies to meet the needs of your organization, reduce network traffic, and more efficiently use disk space usage. However, you cannot modify or delete default policies created for Exchange 5.5 sites.

To modify recipient policies:

  • Edit an Address For a Recipient Policy
  • Disable E-mail Address Generation
  • Remove an E-mail Address From a Recipient Policy


Exchange Server 2003 - Edit an Address For a Recipient Policy

Managing Recipient Settings

Edit an Address For a Recipient Policy

You can edit an e-mail address for a recipient policy.

To modify an e-mail address in a recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click on Recipient Policies.
  3. In the details pane, double-click on the recipient policy you are modifying.
  4. On the E-Mail Addresses tab, select the address you want to edit, and then click Edit.
  5. In the Address Properties dialog box, modify the address information, and then click OK.
  6. To keep track of information concerning the recipient policy you modified, click the Details tab. In Administrative note, type information about the address you added to the recipient policy, and then click Apply.
  7. Click OK to return to the E-Mail Addresses tab, and then click Apply.

    Important When you click Apply you may be asked if you want to update all corresponding recipient e-mail addresses to match the changes you made. If you click Yes, the changes made to the recipient policy are applied to the recipients defined for the policy. E-mail addresses previously configured for these recipients will be demoted to secondary addresses.


Exchange Server 2003 - Disable E-mail Address Generation

Managing Recipient Settings

Disable E-mail Address Generation

You can disable automatic e-mail address generation for unnecessary individual address types to reduce network traffic and disk space usage when creating recipients. Disabling automatic generation for a particular address does not remove the address from the recipient policy, but it does prevent it from generating an address for a new recipient.

In Exchange, you must have at least one SMTP and X.400 address type enabled. By default, if an address type has only one address, then that address is the primary address.

To disable e-mail address generation for a recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipient Policies.
  3. In the details pane, double-click the recipient policy you are modifying.
  4. To keep track of information concerning the recipient policy you modified, click the Details tab. In Administrative note, type information about the address you added to the recipient policy.
  5. On the E-Mail Addresses tab, click to clear the check box to the left of the e-mail address you are disabling, and then click Apply.


Exchange Server 2003 - Remove an E-mail Address From a Recipient Policy

Managing Recipient Settings

Remove an E-mail Address From a Recipient Policy

You can remove unneccessary addresses from a recipient policy to reduce network traffic and disk space usage when creating users. However, you cannot remove the primary X.400 and SMTP addresses.

Tip If you want to add this address to this policy in the future, disable the address by clicking to clear the check box next to the e-mail address, instead of clicking Remove. The e-mail address will not be generated for recipient policy members. To enable the address later, select the check box that you cleared.

To remove an e-mail address from a recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click on Recipient Policies.
  3. In the details pane, double-click the recipient policy you are modifying.
  4. To keep track of information concerning the recipient policy you modified, click the Details tab. In Administrative note, type information about the address you are removing from the recipient policy.
  5. In the E-Mail Addresses tab, select the e-mail address you want to remove, click Remove, and then click Apply.

    6. Important When you click Apply you may be asked if you want to update all corresponding recipient e-mail addresses to match the changes you made. If you click Yes, the changes made to the recipient policy are applied to the recipients defined for the policy. E-mail addresses previously configured for these recipients will be demoted to secondary addresses.


Exchange Server 2003 - Change Priority of a Recipient Policy

Managing Recipient Settings

Change Priority of a Recipient Policy

You can define the order in which recipient policies are applied to recipients. For example, if you want users in Europe to have a specific set of addresses, you must create a recipient policy with your European users as members. Make the priority of the European recipient policy higher than the default policy, so that it applies to European users who are also members of the default policy.

To change the priority of a policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click on Recipient Policies.
  3. In the details pane, right-click the recipient policy you are modifying, and then point to All Tasks.
  4. To increase the priority of the recipient policy, click Move up.

    - or -

    To decrease the priority of the recipient policy, click Move down.

    5. Note To increase or decrease the priority of a recipient policy by more than one level, continue to right-click the recipient policy, point to All Tasks, and then click either Move up or Move down.


Exchange Server 2003 - Exclude Specific Message Classes

Managing Recipient Settings

Exclude Specific Message Classes

While configuring Mailbox Manager, it's easy to exclude folders from a mailbox recipient policy by clearing the check box beside the folder. If you clear Contacts, nothing in the default Contacts folder will be deleted or moved. However, you may want to exempt Contact Items that are stored in folders other than the default Contacts folder, or exempt Task Items that are stored in folders other than the default Tasks folder. The Message Classes feature allows you to exclude certain message classes from deletion, regardless of the folder they are stored in.

The following table lists the standard non-mail Outlook classes. Administrators who do not want to delete contacts or task items would add IPM.Contact and IPM.Task to the list of Excluded Message Classes in all relevant mailbox recipient policies.

Standard Outlook Class | Outlook Item
IPM.Note | Mail message
IPM.Post | Post (in this folder)
IPM.Appointment | Appointment and Meeting Request entries
IPM.Task | Task
IPM.Contact | Contact
IPM.DistList | Distribution List
IPM.Activity | Journal entry
IPM.StickyNote | Note

You may also exclude message classes and their subclasses by using wildcards. For example, if you choose to exclude "IPM.MyClass.*", Mailbox Manager will exclude all clases beginning with IPM.MyClass. If you want to exclude all standard contact items, and all custom message classes derived from the standard contact class, add "IPM.Contact.*" to the list of excluded message classes.

To set exclude specific message classes:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the Mailbox Manager Settings (Policy) tab, click to select the Exclude specific message classes check box, and then click Customize.
  5. In Message Classes, in the Exclude Message Classes box, type the name of the class you want to exclude from Mailbox Manager processing, and then click Add. Repeat this step for each class you want to exclude.
  6. To remove a message class from the excluded list, select the class, and then click Remove.

Related Topics

Configure Mailbox Manager


Exchange Server 2003 - Create an Exception to an Recipient Policy

Managing Recipient Settings

Create an Exception to a Recipient Policy

You can make an exception to a recipient policy by modifying the properties of an individual recipient. This is helpful when you want to keep the recipient's addresses from being updated based on a recipient policy.

To create an exception to a recipient policy:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, double-click the domain and then double-click the Users node. If you have multiple user nodes, click the node that contains the recipient information you are modifying.
  3. In the details pane, double-click the recipient you want to exclude from the recipient policy.
  4. On the E-Mail Addresses tab, click to clear the Automatically update e-mail addresses based on recipient policy check box.

Related Topics

Manage E-mail Addresses


Exchange Server 2003 - Mailbox Recipient Policies

Managing Recipient Settings

Mailbox Recipient Policies

Mailbox recipient policies enforce corporate e-mail retention policies. When you create a mailbox recipient policy, you configure the Exchange Mailbox Manager to move or delete messages from some or all folders in users' mailboxes. For each recipient policy you create, you can define the membership of the recipient policy and select whether you want to delete messages based on age, size, or both. You can also choose to notify clients that their mailboxes were cleaned, and you can choose to have reports sent to an administrator.

Notes Mailbox Manager can only process local mailboxes. It cannot be used on mailboxes located on other servers.

Mailbox recipient policies can only be created on Exchange 2000 servers running Service Pack 1 (SP1) or later. Exchange 2000 servers without SP1 will be able to view mailbox recipient policies on other servers, but they will be unable to manage them and the mailbox recipient policies will appear as e-mail address recipient policies.

Related Topics

Create a Mailbox Recipient Policy


Exchange Server 2003 - Create a Mailbox Recipient Policy

Managing Recipient Settings

Create a Mailbox Recipient Policy

When you create a mailbox recipient policy, you must define the membership of the policy and select the mailbox folders the policy will monitor, as well as the age and size limits for messages in those folders. Then you must schedule when you want Mailbox Manager to clean mailboxes affected by the policy.

Notes Mailbox Manager can only process local mailboxes. It cannot be used on mailboxes located on other servers.

Mailbox recipient policies can only be created on Exchange 2000 Servers running Service Pack 1 (SP1) or later. Exchange 2000 Servers without SP1 will be able to view mailbox recipient policies on other servers, but they will be unable to manage them and the mailbox recipient policies will appear as e-mail address recipient policies.

To create a mailbox recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients.
  3. Right-click Recipient Policies, point to New, and then click Recipient Policy.
  4. In New Policy, click to select the Mailbox Manager Settings check box, and then click OK.
  5. On the General tab, type a name for your mailbox recipient policy in the Name box, and then click Modify.
  6. Define search filters to specify the membership of the recipient policy.

    Note There can be only one mailbox recipient policy applied to each user. If you have more than one policy, make sure policy membership does not overlap. If two mailbox recipient policies are applied to the same user, the priority of the policies determines which is used.

  7. Configure Mailbox Manager by choosing a mailbox processing option, selecting mailbox folders, and configuring message limits.
  8. Once policy membership and Mailbox Manager parameters have been configured, it is recommended that you apply the mailbox recipient policy.
  9. Set a schedule for Mailbox Manager.


Exchange Server 2003 - Configure Mailbox Manager

Managing Recipient Settings

Configure Mailbox Manager

After you have used filter rules to define the membership of your mailbox recipient policy, you need to define the criteria Mailbox Manager will look for when it processes recipient mailboxes, as well as what Mailbox Manager will do when it finds messages that exceed policy limits.

To configure Mailbox Manager:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the Mailbox Manager Settings (Policy) tab, in the When processing a mailbox drop-down list, select a mailbox management process option. Your selection determines what Mailbox Manager will do with messages that exceed the recipient policy limits.
  5. By default, whenever Mailbox Manager is scheduled to run, every folder with a check mark beside it will be examined for items that exceed age and size limits. Click to clear check boxes beside those folders that you do not want Mailbox Manager to process.

    6. Tip The folders are based on Microsoft Outlook default folders and pertain to the type of items they contain. Your selections apply to all mailbox folders that contain a similar type of item. Selecting Tasks, for example, will include the default Tasks folder, as well as any user-created folders containing Task Items. All Other Mail Folders will process all folders, in addition to Inbox, that contain Mail Items. Exchange organizations with IMAP4 and POP3 clients should select All Other Mail Folders to ensure that all mailbox folders are processed.

    A folder's location in the folder hierarchy does not affect Mailbox Manager unless the folder is nested within System Cleanup folders or the Deleted Items folder. When you select System Cleanup Folders or Deleted Items, all subfolders will be processed regardless of the types of items they contain.

  6. Set the limits for each selected folder.
  7. You have the option of sending notification to users so they'll know their mailboxes have been processed.
  8. If there are items you do not want Mailbox Manager to process, exclude any specific message classes.
  9. When finished, click Apply.

Related Topics

Set Folder Limits Exclude Specific Message Classes


Exchange Server 2003 - Set Folder Limits

Managing Recipient Settings

Set Folder Limits

Mailbox Manager examines the contents of every folder selected for a mailbox recipient policy. Within each folder, it processes all messages that exceed the policy's age limit, size limit, or both.

Note If you select a default folder that, by default contains item types other than mail and post items, all folders whose default item type matches that type will be processed. For example, if you select the Notes folder (which contains note items by default), and the corresponding mailbox has a user-created folder with a default item type of Note items, that user-created folder will also get processed.

Age and size limits work together in Mailbox Manager. By default, both age (30 days) and size (1,024 kilobytes) limits are applied to every folder. A message must exceed both limits before Mailbox Manager will delete or move it. Under the default settings, then, a 1,000 KB message will never be deleted, no matter how old it is.

Note How overage and oversized messages are processed depends on the option chosen in the When processing a mailbox drop-down list.

You can use the same limits for every folder the mailbox recipient policy applies to, or set custom limits on a folder-by-folder basis. Each folder must be configured individually if you want to use limits different from the default limits.

Note Mailbox Manager does not process recurring meeting calendar items.

To set folder limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. To set age or size limits on a folder, on the Mailbox Manager Settings (Policy) tab, select the folder, and then click Edit.

    Note If you select a default folder that, by default contains item types other than mail and post items, all folders whose default item type matches that type will be processed. For example, if you select the Notes folder (which contains note items by default), and the corresponding mailbox has a user-created folder with a default item type of Note items, that user-created folder will also get processed.

  5. In Folder Retention Settings, both the Age Limit (Days) and Message Size (KB) check boxes are selected by default. Click to clear one or both check boxes. If the check box is cleared, that limit will not apply to the folder. Clearing the Message Size (KB) check box will cause Mailbox Manager to evaulate messages only by age.

    Note Consider the following when configuring settings for processing calendar items:

    • If you select the Age Limit (Days) check box and configure a value of 0, no future appointments will be processed.
    • If you clear the Age Limit (Days) check box and then click OK, all calendar items will be processed, including future items (but not recurring items). After you click OK, the Age (days) column on the Mailbox Manager Settings (Policy) will be set to Any.
    • If you select the Age Limit (Days) check box and configure a value of X , all calendar items older than X days will be processed. Furthermore, all current and future calendar items will be processed when they become X days old.

  6. To change the number of days a message may be retained in a mailbox folder before Mailbox Manager removes it, click to select the Age Limit (Days) check box, and then type in the new limit. A limit of 0 days will cause Mailbox Manager to process messages as soon as they exceed the size limit.

    7. Note When Mailbox Manager begins processing mailboxes, it records the start time of the run as the Time Basis for the run. All message age calculations are made relative to this fixed Time Basis value, which means that, even if Mailbox Manager takes several days to complete processing, the ages for all items would be computed against the same Time Basis value. The age of a message is computed from the following message properties: when the message was sent (PR_CLIENT_SUBMIT_TIME), when the message was delivered (PR_MESSAGE_DELIVERY_TIME), and when the message was last modified (PR_LAST_MODIFICATION_TIME). All three of these values must exceed the age limit before Mailbox Manager will take appropriate action on a message.

  7. To change the size limit of retained messages, click to select the Message Size (KB) check box, and then type in the new limit. A limit of 0 kilobytes will cause Mailbox Manager to process messages as soon as they exceed the age limit.
  8. Click OK to close Folder Retention Settings.


Exchange Server 2003 - Send Notification to Users

Managing Recipient Settings

Send Notification to Users

You have the option of notifying users that their mailboxes have been processed every time Mailbox Manager runs. Exchange 2003 provides a default message that is automatically e-mailed from the System Attendant account to each member of the mailbox recipient policy. You can choose to provide a customized message instead.

To send notification to users:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to modify, and then click Properties.
  4. On the Mailbox Manager Settings (Policy) tab, click to select the Send notification mail to user after processing check box, and then click Message.
  5. In Notification Message, type customized text for recipients in your organization in the Top of message box, Bottom of message box, or both. Or, leave the default message.
  6. If you want users to know how many mailbox items are processed every time Mailbox Manager runs, click to select the Insert the number of messages processed check box. This information will appear between the two text fields in the e-mail message users receive.


Exchange Server 2003 - Set a Schedule for Mailbox Manager

Managing Recipient Settings

Set a Schedule for Mailbox Manager

After a mailbox recipient policy has been created and configured, Mailbox Manager needs to be scheduled. If you do not schedule Mailbox Manager to run, your configurations will not take effect and the mailbox recipient policy will never be applied.

Scheduling is configured on the server object in System Manager.

Important Unlike previous versions of Mailbox Manager that ran on servers running Exchange 5.5 SP3 and later, Mailbox Manager is automatically installed on every Exchange 2003 server. However, Mailbox Manager only works on local mailboxes. You cannot configure Mailbox Manager on one server to process mailboxes on a different server.

To schedule when Mailbox Manager will run:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server object in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. On the Mailbox Management tab, in the Start mailbox management process drop-down list, select when you want all mailbox recipient policies to run on the server.
  5. To create a custom schedule, select Use custom schedule, and then click Customize. Click to select the times of day and days of the week you want Mailbox Manager to run, and then click OK.

    6. Tip You can also manually start Mailbox Manager at any time by right-clicking the server object and then selecting Start Mailbox Management Process. If you use this command, Mailbox Manager will still run at its next scheduled interval.

  6. On the Reporting drop-down list, select the type of report that will be created whenever mailboxes are processed, and then click Browse to select a mailbox to receive the reports.

Related Topics

Send Reports to an Administrator


Exchange Server 2003 - Send Reports to an Administrator

Managing Recipient Settings

Send Reports to an Administrator

While scheduling when Mailbox Manager will run on a server, you can also choose the type of report administrators in your organization receive, as well as a mailbox that System Attendant will send the report to.

The reports can include such information as when Mailbox Manager was run, which mailbox recipient policy was applied, which mailboxes were processed, which folders processed, and the number of messages moved or deleted.

To send administrative reports:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the server object in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
  3. Right-click the server, and then click Properties.
  4. On the Mailbox Management tab, in the Reporting drop-down list, select Send summary report to administrator or Send detail report to administrator. If you do not want a report generated every time Mailbox Manager runs, select None.
  5. Unless you selected None, you have to select a mailbox in your organization that will receive administrator reports. To do this, click Browse to open Select Recipient. The mailbox you choose does not have to be local to the server.


Exchange Server 2003 - Apply a Mailbox Recipient Policy

Managing Recipient Settings

Apply a Mailbox Recipient Policy

When you create a mailbox recipient policy, or make any changes to an existing mailbox recipient policy, is it recommened that you apply the policy so that it will take effect on all member mailboxes. The Exchange Recipient Update Service will automatically replicate the policy information, but it could take some time, depending on the size and topology of your organization. Manually applying the policy is the best way to immediately enact a new or modified policy.

To apply a recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Policies.
  3. In the details pane, right-click the recipient policy you want to apply, and then click Apply this policy now.

Note When a new mailbox recipient policy is created, Recipient Update Service assigns a unique ID to member mailboxes. This ID associates the mailboxes to the policy, which is how Mailbox Manager knows which mailbox recipient policy to apply to a given mailbox. If you modify a mailbox recipient policy so membership is modified, the Apply this policy now command immediately associates new mailboxes to the policy without waiting for Recipient Update Service to run. However, this command does not affect mailboxes that were previously members of the policy but are no longer members. These mailboxes will continue to be affected by Mailbox Manager until the next time Recipient Update Service runs and removes them from the policy. Recipient Update Service runs automatically and membership will always be updated, but administrators should know it is possible that, depending on how long it takes Recipient Update Service to update policy information, Mailbox Manager may temporarily process mailboxes that are no longer included in a mailbox recipient policy.


Exchange Server 2003 - Modify a Mailbox Recipient Policy

Managing Recipient Settings

Modify a Mailbox Recipient Policy

In Exchange 2003, you can delete recipient policies or modify the properties of existing policies.

To modify recipient policies:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Policies.
  3. To delete, rename, or refresh a mailbox recipient policy, in the details pane, right-click the recipient policy, and then click Delete, Rename, or Refresh.
  4. For all other modifications to a recipient policy, in the details pane, right-click the recipient policy you want to modify, and then click Properties.
  5. On the General tab, click Modify to change the policy filter settings; clicking Modify allows you to modify policy membership. Or, click Remove to delete the current filter settings.
  6. On the Mailbox Manager Settings (Policy) tab, make the appropriate Mailbox Manager configuration changes.
  7. When finished, it is recommended that you apply the modified mailbox recipient policy.

    Important See Applying a Mailbox Recipient Policy for information about the Exchange Recipient Update Service and how it refreshes policy information.

Related Topics

Change Priority of a Recipient Policy


Exchange Server 2003 - Managing Address Lists

Managing Recipient Settings

Managing Address Lists

Exchange Server 2003 allows you to create and manage address lists for your organization. With the address lists you create and manage, your Exchange 2003 users can access information regarding recipient and resource objects without having to look through the entire Global Address List.

Answers to frequently asked questions

My users have specific needs regarding access to offline address lists. What options does Exchange 2003 offer me?

You can configure multiple offline address lists for remote users so that they can obtain information about other users in the organization. When connecting to an Exchange Server 2003 remotely, users can download offline address lists containing one or more address lists that you specify. Users can also choose to download only the changes that have occurred to the offline address list since the last download. More...

How do I create an address list based on characteristics of Active Directory objects?

You can define address list membership by selecting recipient categories or specific characteristics of objects in Active Directory. The selections you make define the search filters that Exchange 2003 uses to search Active Directory. You can define are the recipients that make up the membership of the address lists you create. More...

How do I prevent a recipient from accessing a particular address list?

By default, all default address lists and custom address lists are available to your Exchange 2003 users. You can change these default settings if you want to limit access to a particular address list. More...


Exchange Server 2003 - Work With Address Lists

Managing Recipient Settings

Work With Address Lists

When you create an address list, you select the address list members. You can modify address list membership, grant access the address list, or rename or delete an address list. You can also select or customize the update schedule for the recipient update service.

To create, modify, and administer address lists and to manage the recipient update service:

  • Create and Modify Address Lists
  • Administer Address Lists
  • Manage a Recipient Update Service


Exchange Server 2003 - Create and Modify Address Lists

Managing Recipient Settings

Create and Modify Address Lists

You can create new address lists and define the membership of those address lists. You can also organize the address lists you create using empty address lists and nested address lists.

To create and modify address lists:

  • Create an Address List
  • Delete or Rename an Address List
  • Define Search Filters
  • Preview Search Filter Results


Exchange Server 2003 - Create an Address List

Managing Recipient Settings

Create an Address List

To create an address list, you must select the address list that is to contain the address list you are creating, specify an address list name, and define the address list membership.

You can use empty address lists and nested address lists to organize your address lists. The address name you select is the name that will appear when users select an address list. You can define the membership of an address list by selecting which recipient objects are included in an address list.

To create an address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients.
  3. Right-click All Address Lists, point to New, and then click Address List.
  4. In the Create Exchange Address List dialog box, in Address List name, type the name of the new address list, and then click Filter Rules.
  5. In the Find Exchange Recipients dialog box, define the search filters for address list membership by performing one of the following tasks:
    • Define filters using the Exchange recipients search category.
    • Define filters using the users, contacts, and groups search category.
    • Define filters using the custom search category.
  6. Preview the results of the search filters you selected.


Exchange Server 2003 - Delete or Rename an Address List

Managing Recipient Settings

Delete or Rename an Address List

With the exception of the default Global Address List, you can delete custom address lists and default address lists.

You can also change the name of an address list you have created. Be sure to use a name that reflects address list membership because your users will see this name when choosing an address list from the Address Book.

To delete or rename an address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. To delete an address list, in the details pane, right-click the address list you want to delete, and then click Delete.

    4. Note If you delete an address list and then decide that you want to use that list again, you must recreate it using the appropriate filters.

  4. To rename an address list, in the details pane, right-click the address list you want to rename, and then click Rename. Type the new name of the address list.


Exchange Server 2003 - Define Search Filters

Managing Recipient Settings

Define Search Filters

When you create an address list, you can define the membership of the address list by defining filter rules. The filter rules that are defined, are used to search Active Directory. You can set address list filter rules based on Exchange recipients, users, contacts, and groups, or you can create a custom search.

Note If the needs of your organization change, you can modify the search filter rules that determine address list membership.

To define filter rules for address lists:

  • Define filters using Exchange recipients search category
  • Define filters using users, contacts, and groups search category
  • Define filters using custom search category
  • Define address list membership by attributes


Exchange Server 2003 - Define Filters Using Exchange Recipients Search Category

Managing Recipient Settings

Define Filters Using Exchange Recipients Search Category

You can define address list membership when you create a new address list. However, you can change address list membership by selecting a different search category or modifying the search filters.

To define or modify search filters based on Exchange recipients:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. In the details pane, right-click the address list you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, in the Find drop-down list, select Exchange Recipients.
  6. On the General tab, select recipient categories that best match the address list membership you are defining.
  7. On the Storage tab, select a storage filter for mailbox-enabled users.
  8. On the Advanced tab, select the characteristics of address list members based on attributes.
  9. Preview the results of the search filters you selected.


Exchange Server 2003 - Define Filters Using Users, Contacts, and Groups Search Category

Managing Recipient Settings

Define Filters Using Users, Contacts, and Groups Search Category

You can define address list membership when you create a new address list. However, if the needs of your organization change, you can modify the search filters that determine address list membership.

To define or modify search filters based on users, contacts, and groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. In the details pane, right-click the address list you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, in the Find drop-down list, select Users, Contacts, and Groups.
  6. On the Users, Contacts, and Groups tab, in Name and Description, type descriptive information.
  7. To show only Exchange recipients, on the Exchange tab, click Show only Exchange recipients, and then select the recipient categories that best match the address list membership you are defining and changing.
  8. On the Advanced tab, select the characteristics of address list members based on attributes.
  9. Preview the results of the search filters you selected.


Exchange Server 2003 - Define Filters Using Custom Search Category

Managing Recipient Settings

Define Filters Using Custom Search Category

Address list membership is defined when you create a new address list. However, if the needs of your organization change, you can modify the search filters that determine address list membership. Use the Custom Search category to type Lightweight Directory Access Protocol (LDAP) queries to define address list membership. Only Active Directory objects that meet the requirements of the LDAP queries you type are listed as members of the address list.

To define or modify search filters based on a custom search:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. In the details pane, right-click the address list you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, in the Find drop-down list, select Custom Search.
  6. On the Custom Search tab, select the characteristics of address list members based on attributes.
  7. On the Advanced tab, use LDAP queries to select the address list membership.

    8. Tip The LDAP query for any default or custom address list can be viewed on the General tab in any address list Properties dialog box. The basics of using LDAP-based searches can be learned by viewing these LDAP queries.

  8. Preview the results of the search filters you selected.


Exchange Server 2003 - Define Address List Membership by Attributes

Managing Recipient Settings

Define Address List Membership by Attributes

You can define address list membership by selecting field-level attributes. Once field-level attributes are defined, you can add, modify, remove, or clear field-level attributes.

To define the membership of an address list using field-level attributes:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. In the details pane, right-click the address list you want to modify, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find Exchange Recipients dialog box, select one of the following options:
    • If Exchange Recipients is selected in the Find drop-down list, click the Advanced tab.
    • If Users, Contacts, and Groups is selected in the Find drop-down list, click the Advanced tab.
    • If Custom Search is selected in the Find drop-down list, click the Custom Search tab.
  6. Click Field, click the recipient category to be defined, and then make a selection from the displayed list.
  7. In the Condition drop-down list, select a condition.
  8. In Value, type a value that qualifies the selection you made in the Condition drop-down list, and then click Add.
  9. Preview the results of the search filters you selected.


Exchange Server 2003 - Preview Search Filter Results

Managing Recipient Settings

Preview Search Filter Results

You can preview the results of the search filters you have selected. Previewing search results is helpful when testing a newly created address list or when using custom searches involving an LDAP filter. You can choose different columns to see different aspects of address list members.

To preview the results of the search filters you selected:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. In the details pane, right-click the address list you want to view, and then click Properties.
  4. On the General tab, click Modify.
  5. In the Find dialog box, select Find Now. The address list members will appear in the results list pane.
  6. To choose columns that will display different details of address list members, select the View menu, and then click Choose Columns.
  7. To add columns, in the Choose Columns dialog box, select the items in the Columns available list, and then click Add. Repeat this step for each column you want to add.
  8. To remove columns, in the Choose Columns dialog box, select the items in the Columns shown list, and then click Remove. Repeat this step for each column you want to remove.
  9. To remove a field-level attribute you have selected, select the attribute from the box in which it is listed, and then click Remove.
  10. To clear all of the field-level attributes you have selected, click Clear All.


Exchange Server 2003 - Administer Address Lists

Managing Recipient Settings

Administer Address Lists

You can modify and configure address list properties as neccessary to help you stay in full control of your address lists.

To administer address lists:

  • Set Permissions for an Address List
  • Update Address Lists Manually


Exchange Server 2003 - Set Permissions for an Address List

Managing Recipient Settings

Set Permissions for an Address List

By default, your Exchange users can access all address lists. If you want to restrict access to a particular address list, you can change permissions for address list members.

To set permissions for an address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click All Address Lists.
  3. Right-click the address list for which you want to set permissions, and then click Properties.
  4. In the address list Properties dialog box, click the Security tab.
  5. To grant a recipient access to the address list, in Name, select a recipient. In Permissions, next to Read permissions, select the Allow check box.
  6. To deny a recipient access to the address list, in Name, select a recipient. In Permissions, next to Read Permissions, click to clear the Allow check box.

    7. Warning Setting permissions to view address lists using this method does not limit access to address lists that are part of offline address lists. For example, if a user has permission to download an offline address list, they will be able to access the address lists included in that offline address list, even if that user has been denied access to that address list using the steps in this procedure.

    Caution Due to group membership, you can cause unintended effects when you deny a recipient access to an address list if you select the Deny check box instead of clearing the Allow check box. If you select the Deny check box for a permission, you are denying a permission to an object that may have inherited the permission from its parent.

Related Topics

Delete or Rename an Address List


Exchange Server 2003 - Update Address Lists Manually

Managing Recipient Settings

Update Address Lists Manually

You can manually update an address list instead of waiting for scheduled updates to occur. The updating process incorporates the changes you have made to address list memberships since the last scheduled update.

To update an address lists manually:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then double-click Recipient Update Services.
  3. In the details pane, right-click the Recipient Update Service responsible for updating the domain you want to update, and then click Update Now.


Exchange Server 2003 - Manage a Recipient Update Service

Managing Recipient Settings

Manage a Recipient Update Service

The Recipient Update Service ensures accurate address list memberships by updating address lists to reflect modifications you have made. The frequency and method you use to update address lists depends on your organization's needs, network topology, and resources.

This section contains the following topics:

  • Create a Recipient Update Service
  • Select the Server and Domain Controller
  • Set an Update Schedule for a Recipient Update Service


Exchange Server 2003 - Create a Recipient Update Service

Managing Recipient Settings

Create a Recipient Update Service

If you have a domain in which Exchange 2003 is not installed, and you have users, groups, or contacts in that domain that need to be mail enabled, or you have users in that domain that need to be mailbox enabled, you must create a Recipient Update Service for that domain.

Important To create a Recipient Update Service for domains running Exchange 5.5 but not running Exchange 2003, you must be an Exchange administrator and a domain administrator for the domain you are creating a new Recipient Update Service for.

To create a new Recipient Update Service responsible for a domain where an Exchange Server 2003 is not installed, you must first have a domain administrator run setup with the /domainprep switch (setup /domainprep) on a Windows 2000 server in the domain where Exchange 2003 is not installed. Only Exchange Full Administrators at the Organization level can create or delete Recipient Update Service objects. Exchange Administrators cannot create or delete Recipient Update Service objects. For more information about the DomainPrep utility, see Microsoft Exchange 2000 Server Planning and Installation.

To create a Recipient Update Service:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients.
  3. In the console tree, right-click Recipient Update Services, point to New, and then click Recipient Update Service.
  4. In the New Object - Recipient Update Service dialog box, click Browse.
  5. In the Browse for Domain dialog box, select the domain for which you are creating the Recipient Update Service, click OK, and then click Next.
  6. In the New Object - Recipient Update Service dialog box, click Browse.
  7. In the Select Exchange Server dialog box, select the Exchange 2003 server responsible for generating and updating address lists for the domain you selected in the Browse for Domain dialog box.

    8. Note The Exchange 2003 server you select will be granted rights to modify Exchange attributes on recipients in the domain.

  8. Click OK to return to the New Object - Recipient Update Service dialog box, and then click Next.
  9. Verify that the information shown for the Recipient Update Service object you are creating is correct, and then click Finish.

Related Topics

Select the Server and Domain Controller


Exchange Server 2003 - Select the Server and Domain Controller

Managing Recipient Settings

Select the Server and Domain Controller

You can select the server and domain controller Recipient Update Service uses to update recipients.

To select the server and domain controller used for updating recipients:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Update Services.
  3. In the details pane, right-click the recipient update service for which you are selecting a server and Windows domain controller.
  4. In the Recipient Update Service Properties dialog box, click Browse next to the Exchange Server box.
  5. In the Select Exchange Server dialog box, select an Exchange server, and then click OK.
  6. In the Recipient Update Service Properties dialog box, click Browse next to the Windows Domain Controller box.
  7. In the Select Domain Controller dialog box, select the domain controller that is to be used for updating recipients, and then click OK.
  8. In the Recipient Update Service Properties dialog box, click Apply, and then click OK.


Exchange Server 2003 - Set an Update Schedule for a Recipient Update Service

Managing Recipient Settings

Set an Update Schedule for a Recipient Update Service

Changes you make to address lists and to new address lists you create do not take effect until they are processed by a Recipient Update Service. You can select the update intervals of a Recipient Update Service to process changes to address lists, or you can customize the update schedule.

To set an update schedule:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Recipient Update Services.
  3. In the details pane, double-click the recipient update service for which you are setting an address list update schedule.
  4. To choose a preconfigured update interval, on the General tab, select one of the intervals provided in the Update interval drop-down list.

    5. Warning The recipient update service must process recipient additions and updates in the domain. If you select Never run from the drop-down list, the address list and other critical attributes, such as e-mail addresses, will not be updated.

  5. To set a specific update schedule, click Customize. On the Schedule dialog box, set the update schedule on the day and time grid displayed. To return to the Recipient Update Service Properties dialog box, click OK.

    6. Note If you customize an update schedule, updates begin at the beginning of the first grid block that you select. Set an update schedule that allows enough time for address list generation to complete before the next interval begins. For example, if you specify three updates in a 24-hour period, and it takes four hours to update the address lists, there must be at least four hours between each interval.

  6. Click Apply, and then click OK.


Exchange Server 2003 - Work With Offline Address Lists

Managing Recipient Settings

Work With Offline Address Lists

When you create an offline address list, you select the address lists contained in the offline address list. You can modify the list of address lists contained in the offline address list, assign an offline address list to users, or rename or delete an offline address list. You can also select the offline address list update schedule.

To create, modify, administer, and update offline address lists:

  • Create and Modify Offline Address Lists
  • Administer Offline Address Lists
  • Update Offlline Address Lists


Exchange Server 2003 - Create and Modify Offline Address Lists

Managing Recipient Settings

Create and Modify Offline Address Lists

An offline address list is a set of address lists contained in files generated and stored in a system public folder. You can create multiple offline address lists that remote users can access and use to obtain information about other users in the organization. You can modify offline address lists when you create new address lists or when the address lists contained in the offline address list are modified or deleted.

When connecting to an Exchange server remotely, users can download offline address lists containing one or more address lists that you specified. Users can also choose to download only the changes that occurred since the last download.

Important The offline address lists for Exchange 2000 users can only be generated by an Exchange 2000 server.

This section contains the following topics:

  • Create an Offline Address List
  • Delete or Rename an Offline Address List
  • Modify the Lists of Addresses


Exchange Server 2003 - Create an Offline Address List

Managing Recipient Settings

Create an Offline Address List

You can create multiple offline address lists to meet the needs of the users in your organization. By default, when you create an offline address list it contains only the Global Address List. You can add the address lists you want the offline address list to contain.

To create an offline address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients.
  3. Right-click Offline Address List, point to New, and then click Offline Address List.
  4. In the New Object - Offline Address List dialog box, in Offline address list name, type a name for the new offline address list, and then click Browse.
  5. In the Select Exchange Server dialog box, select the Exchange server that is to be used for storing and generating this offline address list, and then click OK.
  6. In the New Object - Offline Address List dialog box, click Next.
  7. To add address lists to the offline address list, click Add.
  8. In the Select Address Lists dialog box, under Name, select the address lists to include in the new offline address list, and then click Add. Repeat this step for each address list you want to add, and then click Next.
  9. In the New Object - Offline Address List dialog box, verify that the information that appears is correct, click Next, and then click Finish.

Related Topics

Modify the Lists of Addresses


Exchange Server 2003 - Delete or Rename an Offline Address List

Managing Recipient Settings

Delete or Rename an Offline Address List

With the exception of the default Global Address List, you can delete offline address lists if you do not want them to be available for download.

You can change the name of an offline address list you have created. Use a descriptive name to describe the collection of address lists in the offline address list. This is the name your users see when they select offline address lists.

To delete or rename an offline address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Offline Address Lists.
  3. To delete an offline address list, in the details pane, right-click the offline address list you want to delete, and then click Delete.
  4. To rename an offline address list, in the details pane, right-click the offline address list you want to rename, and then click Rename. Type the new name for the offline address list.


Exchange Server 2003 - Modify the Lists of Addresses

Managing Recipient Settings

Modify the Lists of Addresses

You can create, modify or delete address lists that are contained in an offline address list easily and quickly.

To modify the address lists contained in an offline address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Offline Address Lists.
  3. In the details pane, double-click the offline address list you want to modify.
  4. To add address lists to the offline address list, on the General tab of the offline address list Properties dialog box, click Add.
  5. In the Select Address Lists dialog box, perform one of the following tasks:

    6. Select the address lists you want to add to the offline address list, and click Add after each one. Click OK.

    - or -

    Type an address list name or multiple address list names separated by semicolons. Click Check Names, and then click OK.

  6. To remove an address list from the offline address list, in the New Object - Offline Address List dialog box select an address list, and then click Remove.

Related Topics

Create an Offline Address List


Exchange Server 2003 - Administer Offline Address Lists

Managing Recipient Settings

Administer Offline Address Lists

Using the procedures and information in this section enables you to efficiently manage offline address lists. For example, if your organization has a large number of users working remotely from an off-site location, select a server with enough power to generate and update your offline address lists.

Important If you require multiple offline address lists, you must set the offline address list server to a server running Exchange Server version 5.5 or later.

This section contains the following topics:

  • Assign an Offline Address List to Users in a Mailbox Store
  • Enable Offline Address List Support for Legacy Exchange Users
  • Select or Change the Offline Address List Server


Exchange Server 2003 - Assign an Offline Address List to Users in a Mailbox Store

Managing Recipient Settings

Assign an Offline Address List to Users in a Mailbox Store

To assign an offline address list to a group of users in a mailbox store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to a storage group in the console tree.

    Servers

    1. Server name
    2. Storage group name
  3. Right-click the mailbox store for which you want to define an offline address list, and then click Properties.
  4. In the Mailbox Store Properties dialog box, next to the Offline address list box, click Browse.
  5. In the Select Offline Address Lists dialog box, under Name, select an address list, and then click OK.
  6. In the Mailbox Store Properties dialog box, click Apply, and then click OK.


Exchange Server 2003 - Enable Offline Address List Support for Legacy Exchange Servers

Managing Recipient Settings

Enable Offline Address List Support for Legacy Exchange Users

By default, Exchange 2003 improves offline address list performance by disabling support for Exchange version 5.0 or earlier. If your site supports servers running Exchange version 5.0 or earlier, you must enable support for these servers.

To enable offline address list support for legacy Exchange systems:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Offline Address Lists.
  3. In the details pane, double-click the offline address list for which you want to enable the support of legacy systems.
  4. In the offline address list Properties dialog box, select the Exchange 4.0 and 5.0 compatibility check box, click Apply, and then click OK.


Exchange Server 2003 - Select or Change the Offline Address List Server

Managing Recipient Settings

Select or Change the Offline Address List Server

The offline address list server is the computer where the offline address list files are generated and stored. When users remotely download an offline address list to their local computers, the files are copied from a hidden offline address list public folder.

If you increase the number of address lists contained in the offline address list, you may want to select a different server for the offline address list. You can change the offline address list server so that the offline address list is generated and stored on a server other than the one you originally specified.

Tip If you have a large number of address lists in an offline address list, the server selected for the offline address list will have to work harder. For increased server performance, select a server that is not busy performing other tasks.

To select a server for an offline address list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Offline Address Lists.
  3. In the details pane, double-click the offline address list for which you want to select the offline address list server.
  4. In the offline address list Properties dialog box, on the General tab, click Browse.
  5. In the Select Exchange Server dialog box, under Name, select the Exchange server that is to be used for the offline address list, and then click OK.
  6. In the offline address list Properties dialog box, click Apply, and then click OK.


Exchange Server 2003 - Update Offline Address Lists

Managing Recipient Settings

Update Offline Address Lists

As you create, modify, and delete offline address lists to reflect changes in your organization, you will need to select an appropriate time for updates. You may want to select a schedule for automatically generating and updating offline address lists, or you may want to manually update offline address lists after you make modifications.

This section contains the following topics:

  • Rebuild an Offline Address List Manually
  • Set an Offline Address List Update Schedule


Exchange Server 2003 - Rebuild an Offline Address List Manually

Managing Recipient Settings

Rebuild an Offline Address List Manually

You can update offline address lists manually. For example, if you have just added new recipients to your organization and the offline address list schedule is configured to generate offline address lists once a week, you can manually generate offline address lists to include the new recipients.

To rebuild an offline address list manually:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Offline Address Lists.
  3. In the details pane, right-click the offline address list you want to rebuild, and then click Rebuild.


Exchange Server 2003 - Set an Offline Address List Update Schedule

Managing Recipient Settings

Set an Offline Address List Update Schedule

You can schedule when offline address lists are updated. If recipients are added, removed, or updated frequently, you can schedule updates as often as necessary to ensure that offline address lists are always current.

To schedule a time for updating offline address lists:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, and then click Offline Address Lists.
  3. In the details pane, double-click the offline address list for which you want to set an update schedule.
  4. To choose a preconfigured update interval, in the General tab, select one of the intervals provided from the Update interval drop-down list.

    5. Important If you select Never run from the drop-down list, the offline address list will not be updated.

  5. To set a specific update schedule, click Customize. In the Schedule dialog box, set the update schedule on the day and time grid displayed, and then click OK.

Note If you customize an update schedule, updates start at the beginning of the first grid block that you select. Set an update schedule that allows enough time for offline address list generation to complete before the next update begins. For example, if you specify three updates in a 24-hour period, and it takes four hours to update the offline address lists, there must be at least four hours between each update interval.


Exchange Server 2003 - Managing Details and Address Templates

Managing Recipient Settings

Managing Details and Address Templates

Details templates enable you to customize the way recipient's information appears when a user requests to see recipient properties in address lists. You can modify a details template by changing one or more of the template's controls.

Address templates are used to address messages that are not located in your global address list.

Answers to frequently asked questions

What are details templates and how are they used?

Details templates control the appearance of the address lists your Exchange users see when they look up recipient properties in address lists. You can change the appearance of address lists by modifying details templates.

What are address templates and how are they used?

Address templates are used to address messages that are not located in your global address list.

How do I modify the appearance of a details template?

You manage details templates from System Manager. You can create new template controls or modify existing template settings. More...


Exchange Server 2003 - Create and Modify Details Templates

Managing Recipient Settings

Create and Modify Details Templates

You can view and modify details templates.

  • Add a New Template Control
  • Edit a Template Control
  • Change the Order of Template Controls
  • Revert to Original Template Settings


Exchange Server 2003 - Add a New Template Control

Managing Recipient Settings

Add a New Template Control

You can add a new template control that modifies an existing details template. For example, you can decide to add another check box to the user details template.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, double-click Details Templates to expose the language list, and then double-click a language.
  3. In the details pane, double-click the template that you want to add the control to.
  4. In the Properties dialog box, perform one of the following tasks:

    5. Note The MS-DOS Templates tab is used the same way as the Templates tab. However, the MS-DOS Templates tab applies to Windows 16-bit operating systems. The Templates tab applies to Windows 32-bit operating systems.

    • To add a template control for computers using Windows 32-bit operating systems, click the Templates tab.
    • To add a template control for computers using Windows 16-bit operating systems, click the MS-DOS Templates tab.
  5. Click Add.
  6. In the Select Control Type dialog box, in Choose a control type, select a control type, and then click OK.
  7. In the Control dialog box, type the values and select the options required for the control type you selected, and then click OK.
  8. To verify that the changes to the template appear correctly, in the Properties dialog box, click Test. View the template, and then click either OK or Cancel.

    9. Tip To keep track of information concerning the template, click the Details tab. In Administrative note, type information about the new control type you added, and then click Apply.

Related Topics

View the Appearance of a Details or Address Template


Exchange Server 2003 - Edit a Template Control

Managing Recipient Settings

Edit a Template Control

You can modify any template by changing one or more of the template's controls. Depending on the type of control you select to edit, you can change its name, value, location, size, or function.

To edit a template control:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, double-click Details Templates to expose the language list, and then double-click a language.
  3. In the details pane, double-click the template with the control you are modifying.
  4. In the Properties dialog box, perform one of the following tasks:

    5. Note The MS-DOS Templates tab is used the same way as the Templates tab. However, the MS-DOS Templates tab applies to Windows 16-bit operating systems. The Templates tab applies to Windows 32-bit operating systems.

    • To modify a template control for computers using Windows 32-bit operating systems, click the Templates tab.
    • To modify a template control for computers using Windows 16-bit operating systems, click the MS-DOS Templates tab.
  5. Select the control you want to edit, and then click Modify.
  6. In the Control dialog box, change the values and select different options for the control type you selected, and then click OK.
  7. To view the template with the modified control, in the Properties dialog box, click Test. Verify that the changes to the template appear correctly, and then click either OK or Cancel.

    8. Tip To keep track of information concerning the template, click the Details tab. In Administrative note, type information about the control type you modified, and then click Apply.

Related Topics

View the Appearance of a Details or Address Template


Exchange Server 2003 - Change the Order of Template Controls

Managing Recipient Settings

Change the Order of Template Controls

You can change the order of a details template's control types. This enables you to organize the controls in a logical manner. Changing the order of template's control types also allows you to move control types from one tab to another.

Note When you view a details template, the control type page break will appear. The first control in a template must be a page break, which indicates the start of a new tab. For example, the control types listed beneath the first page break and above the second page break affect the appearance of the first tab.

To change the order of details template controls:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, double-click Details Templates to expose the language list, and then double-click a language.
  3. In the details pane, double-click the template that has the control you are modifying.
  4. In the Properties dialog box, perform one of the following tasks:

    5. Note The MS-DOS Templates tab is used the same way as the Templates tab. However, the MS-DOS Templates tab applies to Windows 16-bit operating systems. The Templates tab applies to Windows 32-bit operating systems.

    • To change the order of a template control for computers using Windows 32-bit operating systems, click the Templates tab.
    • To change the order of a template control for computers using Windows 16-bit operating systems, click the MS-DOS Templates tab.
  5. Select the control you want to move, and then click Move Up or Move Down.
  6. To view the template with the new control order, in the Properties dialog box, click Test. Verify that the changes to the template appear correctly, and then click either OK or Cancel.

    7. Tip To keep track of information concerning the template, click the Details tab. In Administrative note, type information about the changes you made to the order of the template controls, and then click Apply.

Related Topics

View the Appearance of a Details or Address Template


Exchange Server 2003 - Revert to Original Template Settings

Managing Recipient Settings

Revert to Original Template Settings

If you have changed the appearance of a details template by adding, removing, or modifying template control types, you can return to the template settings that were in place when you first installed Exchange Server 2003. Reverting to the original template permanently overwrites any changes you or another administrator made to a template.

To revert to the original details template:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, double-click Details Templates to expose the language list, and then double-click a language.
  3. In the details pane, double-click the template you are modifying.
  4. In the Properties dialog box, perform one of the following tasks:

    5. Note The MS-DOS Templates tab is used the same way as the Templates tab. However, the MS-DOS Templates tab applies to Windows 16-bit operating systems. The Templates tab applies to Windows 32-bit operating systems.

    • To add a template control for computers using Windows 32-bit operating systems, click the Templates tab.
    • To add a template control for computers using Windows 16-bit operating systems, click the MS-DOS Templates tab.
  5. To revert to the original template, click Original. To permanently overwrite all of the changes you or another administrator made to the template, when ask if you are sure you want to overwrite all template controls with the original template, click Yes.

    6. Tip To keep track of information concerning the template, click the Details tab. In Administrative note, type information about the reason you reverted to the original template settings, and then click Apply.


Exchange Server 2003 - View the Appearance of a Details or Address Template

Managing Recipient Settings

View the Appearance of a Details or Address Template

You can view the appearance of details or address templates. This is helpful when you are modifying the control types that control the appearance of templates. For example, if you add a control type to a template, you can view the template to verify that the new control type affects the appearance of the template as you intended.

To view the appearance of a template:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Recipients, double-click Details Templates to expose the language list, and then double-click a language.
  3. In the details pane, double-click the template you want to view.
  4. In the Properties dialog box, perform one of the following tasks:

    5. Note The MS-DOS Templates tab is used the same way as the Templates tab. However, the MS-DOS Templates tab applies to Windows 16-bit operating systems. The Templates tab applies to Windows 32-bit operating systems.

    • To view the appearance of a template for computers using Windows 32-bit operating systems, click the Templates tab.
    • To view the appearance of a template for computers using Windows 16-bit operating systems, click the MS-DOS Templates tab.
  5. To view the appearance of the template, click Test. Verify that the changes to the template appear correctly, and then click either OK or Cancel.

Related Topics

Revert to Original Template Settings


Exchange Server 2003 - Information Storage

Information Storage

Information Storage

Use the following sections to customize settings so that you can take full advantage of Exchange store capabilities in your organization:

  • Configuring the Exchange Store. In these sections you learn about mailbox stores and public folder stores, which are the databases that Microsoft Exchange Server 2003 uses to store mailboxes, public folders, documents, files, and applications. You also learn how to take advantage of the multiple databases Exchange now supports for each server. More...
  • Sharing Information Using Public Folders. In these sections you learn how a public folder stores messages and how that information can be shared with all designated users in your organization. More...


Exchange Server 2003 - Configuring the Exchange Store

Configuring the Exchange Store

Configuring the Exchange Store

The Microsoft Exchange Information Store service manages the Exchange store, where you can store mailboxes, public folders, documents, files, and applications. The Exchange store uses two types of databases:

  • mailbox stores
  • public folder stores

These databases (or "stores") are organized into storage groups. If you are using Exchange Server 2003 Standard version, each Exchange server can have one storage group, which contains one mailbox store and one public folder store. If you are using Exchange Server 2003 Enterprise version, each server can have up to four storage groups, each of which contains up to five databases (either mailbox or public folder stores).

Answers to frequently asked questions

When would I use multiple databases?

Use multiple databases to:

  • Create smaller databases that back up and restore faster than one large database.
  • Create separate databases for departments, work groups, or cross-functional teams. Identify the number of databases that balance administrative control with reliability requirements for your organization.
  • Specify restore times. If you have a Service Level Agreement (SLA) requiring a certain restore time for some of your data, multiply your database sizes by the transfer rates of your restore equipment to calculate SLA conformance.

When would I create a storage group rather than a new database?

Create a storage group rather than a new database to:

  • Add a new database when your first storage group has reached its maximum of five databases. You must create a new storage group for the new database.
  • Increase server performance by using dedicated drives for transaction log files.
  • Use different backup schedules for different sets of data. The storage group is the best unit for backup because backing it up automatically includes the transaction logs for all databases in the group.

When creating new mailbox stores, why can I only associate them with the default public folder store and not with other available public folder stores on my server?

The public folder store installed by default on your server contains the MAPI public folder hierarchy, which is the Public Folders hierarchy (also called the Public Folders tree). You can have only one MAPI public folder hierarchy in your Exchange organization and it is associated with the default public store on each Exchange server. If you have multiple servers in your organization that run Exchange 2000 Server or Exchange Server 2003, you can choose from their default public folder stores.


Exchange Server 2003 - Add a Storage Group

Configuring the Exchange Store

Add a Storage Group

Exchange supports multiple databases contained within a storage group. A storage group includes one to five databases and one set of transaction log files for all databases in the storage group.

To add a storage group:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    Administrative Group or Organization

    1. Servers
  3. Right-click the server to which you want to add a storage group, point to New, and then click Storage Group.
  4. On the General tab, set the following properties:
    • To name the storage group, use Name.
    • To change the name and location of the transaction logs, use Transaction log location. To move the logs, use System Manager on the server on which the logs reside.
    • To change the name and location of the system path, use System path location. This is where temporary (tmp.edb) and recovered (edb.chk) files are stored.

    • To clear each 4 KB page of data from the drive at deletion, click Zero out deleted database pages. This is a security precaution.

      Warning Enabling this option can slow server performance.

    • To reuse the same log file instead of creating a new one when the 5 MB limit is reached, click Enable circular logging .

      Warning Enabling this option prevents you from creating a set of log files and you can restore only from your last backup. Reserve this option for storage groups that support Network News Transfer Protocol (NNTP) folders (in public folder stores), which do not require log files.

  5. To add additional information, on the Details tab, use Administrative note .


Exchange Server 2003 - Configure Mailbox Stores

Configuring the Exchange Store

Configure Mailbox Stores

Mailboxes are the delivery location for all incoming mail messages for a designated owner. Information in a user's mailbox is stored in a mailbox store on an Exchange server. A mailbox can contain received messages, message attachments, folders, documents, and other files.

This section contains the following topics:

  • Add a Mailbox Store
  • Set Mailbox Store Properties
  • Administer a Mailbox Store
  • Recover a Mailbox
  • Delete a Mailbox


Exchange Server 2003 - Add a Mailbox Store

Configuring the Exchange Store

Add a Mailbox Store

The mailbox store is a storage device for a server's mailboxes. Exchange supports multiple mailbox stores for each server. Each mailbox store is contained in a storage group.

The only properties required to add a mailbox store are a name and a default public folder store.

To add a mailbox store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Click the server to which you want to add the mailbox store.
  4. Right-click the storage group container to which you want to add the mailbox store, point to New, and then click Mailbox Store.
  5. On the General tab, set the following properties:
    • In Name, type a name for the mailbox store.
    • To change the name and location of the default public store, use Default public store.

Related Topics

Set Mailbox Store Properties Mount a Store


Exchange Server 2003 - Set Mailbox Store Properties

Configuring the Exchange Store

Set Mailbox Store Properties

You can change the properties of mailbox stores (and the mailboxes they contain) with System Manager.

Note The Limits tab displays the default limits of the mailboxes in the mailbox store. Once you create a mailbox, you can change its limits with Active Directory Users and Computers.

To set mailbox properties:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the mailbox store in the console tree, right-click the mailbox store, and then click Properties.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Mailbox Store
  3. On the General tab, set the following properties:
    • To change the name and location of the default public folder store, use Default public store.
    • To change the name and location of the offline address list, use Offline address list.
    • To archive messages sent or received by mailboxes on this store, click Archive all messages sent or received by mailboxes on this store, click Browse, and then select or name an archive.
    • If your clients support Secure/Multipurpose Internet Mail Extensions (S/MIME), click Clients support S/MIME signatures. Disable this option to convert messages with S/MIME signatures to Multipurpose Internet Mail Extensions (MIME) unsigned messages. This allows clients that cannot interpret MIME to view signed messages.
    • To convert scalable fonts to fixed fonts, click Display plain text messages in a fixed-sized font.
  4. On the Database tab, set the following properties:
    • To change the name and location of the Exchange database (.edb) file, use Exchange database. To move the databases, use System Manager on the server on which the databases reside.
    • To change the name and location of the Exchange streaming database (.stm) file, use Exchange streaming database. To move the databases, use System Manager on the server on which the databases reside.
    • To build a custom schedule graphically, click a value in Maintenance interval or click Customize.
    • To prevent the automatic mounting of the store, click Don't mount this store at start-up.
    • To allow database overwrites, click This database can be overwritten by a restore.
  5. On the Limits tab, set the following properties:
    • To send a warning when the storage used reaches a specific size, click Issue warning at (KB).
    • To stop sending items when the storage used reaches a specific size, click Prohibit send at (KB).

      • Note This option is not used when messages are sent by Post Office Protocol version 3 (POP3) or Internet Message Access Protocol version 4 (IMAP4) clients because those protocols do not support this functionality.

    • To stop sending and receiving items when the storage used reaches a specific size, click Prohibit send and receive at (KB).
    • To build a custom schedule graphically, click a value in Warning message interval or click Customize.
    • To set a retention period for deleted items, click Keep deleted items for (days).
    • To set a retention period for deleted mailboxes, click Keep deleted mailboxes for (days).
    • To preserve items until backup, click Do not permanently delete mailboxes and items until the store has been backed up.
  6. On the Full-Text Indexing tab, set full-text indexing properties for the mailbox store.
  7. To add additional information, use Administrative note on the Details tab.
  8. To set permissions for the mailbox store for users and groups, on the Security tab, click a user or group, and then click Allow or Deny to grant or deny permission.

    9. Note Permissions inherited from the parent object (the storage group) are indicated by shaded check boxes. Scroll to the bottom of the Permissions list to see the extended permissions specific to Exchange.


Exchange Server 2003 - Administer a Mailbox Store

Configuring the Exchange Store

Administer a Mailbox Store

You can administer the mailbox store in the following ways:

  • View logon and mailbox information.
  • Change any of the properties you set when you created the store.
  • Apply policies to the mailbox store.
  • Run full-text indexing on the mailbox store.

The first option for administering a mailbox store follows. You can find the other three options in the Related Topics links below.

To view logon and mailbox information:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the mailbox store you want to administer.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Mailbox Store
  3. Open the mailbox store container, and then click Logons. Information about all logons to the store is displayed in the Details pane. Right-click Logons, point to View, and then click Choose Columns to see the information you can use to construct a view.
    4. The following table describes the available columns.
    Column Heading | Description
User Name | The network user name.
Windows 2000 Account | The Windows account name of the user who last logged on to this mailbox.
Logon Time | The date and time that a user last logged on.
Last Access Time | The date and time the user last accessed the mailbox store.
Client Version | The version of the client that was used to log on to this mailbox or public folder.
Code Page | The code page that the client is using.
Folder Ops | The total number of folder operations performed in the last 60 seconds, such as opening or closing a folder.
Full Mailbox Directory Name | The full e-mail address of the mailbox being accessed. This option is available only for the mailbox store.
Full User Directory Name | The name of the mailbox that is accessing the mailbox store.
Host Address | The IP address of the client.
Locale ID | The locale ID for the language the client is using.
Messaging Ops | The total number of messaging operations performed in the last 60 seconds, such as opening or closing a message.
Open Attachments | The total number of open attachments.
Open Folders | The total number of open folders.
Open Messages | The total number of open messages.
Other Ops | The total number of miscellaneous operations performed in the last 60 seconds.
Progress Ops | The total number of progress operations performed in the last 60 seconds. Progress operations tell the user how long it takes to complete a task.
Stream Ops | The total number of stream operations performed in the last 60 seconds, such as viewing or changing an attachment.
Table Ops | The total number of table operations performed in the last 60 seconds, such as viewing the contents of a folder.
Total Ops | The total number of operations performed in the last 60 seconds.
Transfer Ops | The total number of transfer operations performed in the last 60 seconds, such as copying or moving a message.
  4. In the mailbox store container, click Mailboxes. Information about all mailboxes in the store is displayed in the Details pane. Right-click Mailboxes, point to View, and then click Choose Columns to see the information you can use to construct a view.
    5. The following table describes the available columns.
    Column Heading | Description
Mailbox | The name of this mailbox. This is included in the default column view.
Last Logged on By | The Windows account name of the user who last logged on to this mailbox.
Size (KB) | The total amount of disk space, in kilobytes, that this mailbox occupies on the mailbox store, including space consumed by messages, attachments, and hidden system information in the form of associated messages.
Total Items | Total number of non-associated messages that are stored in the mailbox.
Last Logon Time | Time that a user last logged on to this mailbox.
Last Logoff Time | Time that a user last logged off this mailbox.
Deleted Items (KB) | The total amount of disk space, in kilobytes, occupied by retained, deleted items for this mailbox.
Storage Limits | The status of this mailbox relative to the storage limit.
Total Associated Messages | Total number of messages in the mailbox that represent hidden system information, such as forms, rules, views, reply templates, and deferred action messages.
Full Mailbox Directory Name | Distinguished name of the location in the Active Directory Configuration container where the mailbox GUID resides.
Disconnect Time | The date and time that Exchange detected that a user was deleted or disconnected from the mailbox (the mailbox is no longer associated with a user).

Related Topics

Set Mailbox Store Properties Apply Policies to Objects Use Full-Text Indexing


Exchange Server 2003 - Recover a Mailbox

Configuring the Exchange Store

Recover a Mailbox

There are two ways to make an Exchange mailbox unusable: use System Manager to delete the mailbox, or delete the mailbox's user from Active Directory, which makes the mailbox unowned.

Deleted mailboxes can be recovered only by restoring them from a backup. Mailboxes that belong to users who were deleted from Active Directory can be recovered.

Note In very specific disaster recovery circumstances, you may need to remove Exchange attributes from an object before reconnecting the Exchange mailbox.

There are two methods for recovering mailboxes:

  • Recover a single mailbox on a single mailbox store.
  • Use Mailbox Recovery Center to recover one or more mailboxes on one or more mailbox stores. You can export the mailbox properties, and you can associate the mailboxes with users in Active Directory and reconnect the mailboxes.

To recover a single mailbox on a single mailbox store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the mailbox you want to recover.

    Administrative Group or Organization

    1. Servers
    2. Storage Group
    3. Mailbox Store
    4. Mailbox
  3. To recover the mailbox, in the details pane, right-click the mailbox and then click Reconnect.

To recover one or more mailboxes on one or more mailbox stores:

  1. Specify a mailbox store to work with.
  2. If appropriate, export the mailbox properties.
  3. If appropriate, do the following to reconnect the mailboxes:
    1. Associate users with the mailboxes.
    2. Reconnect the mailboxes.
  4. When finished, remove the mailbox stores from the Mailbox Recovery Center.


Exchange Server 2003 - Specify a Mailbox Store to Work with

Configuring the Exchange Store

Specify a Mailbox Store to Work With

Choose the procedure below that is appropriate to your operating system.

To specify a mailbox store to work with if you are running Exchange System Manager on Windows Server 2000:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand Tools, right-click Mailbox Recovery Center, and then click Add Mailbox Store.
  3. In Add mailbox store(s), click the mailbox store you want to work with, and then click Add. You can add multiple mailbox stores in this manner.
  4. Click OK to add the store. After the store has been added, the details pane will list any disconnected mailboxes in that store.

To specify a mailbox store to work with if you are running Exchange System Manager on Windows Server 2003:

  1. Start System Manager
    On the Start menu, point to All Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand Tools, right-click Mailbox Recovery Center, and then click Add Mailbox Store.
  3. In the Add mailbox store(s) dialog box, specify criteria for identifying the store and the mailboxes you want to work with.
    • In the Enter the object names to select box, type the name of the mailbox store you want to work with.
    • To limit the search to a certain part of Active Directory, click Locations, select a directory container, and then click OK to return to the Add mailbox store(s) dialog box.

    Note If you are unsure about which mailbox store you need, click Advanced, specify criteria, and then click Find now to locate the mailbox store. Select the appropriate mailbox store, and then click OK to return to the Add mailbox stores dialog box.

  4. Click OK to add the store. After the store has been added, the details pane will list any disconnected mailboxes in that store.


Exchange Server 2003 - Export Mailbox Properties

Configuring the Exchange Store

Export Mailbox Properties

To export mailbox properties:

  1. After adding the appropriate mailbox store to the Mailbox Recovery Center, right-click the mailbox you want to export, and then click Export. You can select multiple mailboxes simultaneously.
  2. To identify the information you want to export as well as the destinations to which you want to export it, follow the instructions in the Mailbox Export wizard.


Exchange Server 2003 - Associate Users with the Mailboxes

Configuring the Exchange Store

Associate Users with the Mailboxes

To associate users with the mailboxes:

  1. After adding the appropriate mailbox store to the Mailbox Recovery Center, right-click the mailbox you want to match to a user (or group), and then click Find Match. You can select multiple mailboxes simultaneously.
  2. In the Mailbox Matching wizard, click Next, and then click Finish to identify and accept matches.
  3. If a mailbox matches more than one user (or if no match exists), right-click that mailbox, and then click Resolve Conflicts. Follow the instructions in the Mailbox Conflict Resolution wizard to identify a single matching user.

    4. Note When resolving conflicts, you can only select one mailbox at a time.


Exchange Server 2003 - Reconnect the Mailboxes

Configuring the Exchange Store

Reconnect the Mailboxes

To reconnect the mailboxes:

  1. After the mailboxes to be reconnected have been matched to users, select the mailboxes.
  2. Right-click the selected mailboxes, and then click Reconnect.
  3. Follow the instructions in the Mailbox Reconnect wizard to reconnect the mailboxes.


Exchange Server 2003 - Remove a Mailbox Store from the Mailbox Recovery Center

Configuring the Exchange Store

Remove a Mailbox Store from the Mailbox Recovery Center

Choose the procedure below that is appropriate to your operating system.

To specify a mailbox store to remove if you are running Exchange System Manager on Windows Server 2000:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand Tools, right-click Mailbox Recovery Center, and then click Remove Mailbox Store.
  3. In Remove mailbox store(s), click the mailbox store you want and then click Remove. You can remove multiple mailbox stores in this manner.
  4. Click OK to remove the store.

To specify a mailbox store to remove if you are running Exchange System Manager on Windows Server 2003:

  1. Start System Manager
    On the Start menu, point to All Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand Tools, right-click Mailbox Recovery Center, and then click Remove Mailbox Store.
  3. In Remove mailbox store(s), specify the following criteria for identifying the appropriate mailbox store:
    • In the Enter the object names to select box, type the name of the mailbox store you want to remove.
    • To limit the search to a certain part of Active Directory, click Locations, select a directory container, and then click OK to return to the Remove mailbox store(s) dialog box.

    Note If you are unsure about which mailbox store you need, click Advanced, specify criteria, and then click Find now to locate the mailbox store. Select the appropriate mailbox store, and then click OK to return to the Remove mailbox store(s) dialog box.

  4. Click OK to remove the store.


Exchange Server 2003 - Delete a Mailbox

Configuring the Exchange Store

Delete a Mailbox

There are two ways to make an Exchange mailbox unusable: use System Manager to delete the mailbox with System Manager, or delete its user from Active Directory, which makes the mailbox unowned.

To delete a mailbox when deleting a user from Active Directory:

  1. Use Active Directory Users and Computers to delete the user from Active Directory.
  2. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  3. Navigate to the mailbox store that contains the mailbox you want to delete.

    Administrative Group or Organization

    1. Servers
    2. Storage Group
    3. Mailbox Store
    4. Mailboxes
  4. Right-click Mailboxes, and then click Run Cleanup Agent.

    5. Note At this time you can still recover the mailbox. After you delete a mailbox (in the next step of this procedure), you cannot recover it.

  5. To delete the mailbox, in the details pane, right-click the mailbox, and then click Purge.

To delete a mailbox without deleting the associated user from Active Directory:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the mailbox store that contains the mailbox you want to delete.

    Administrative Group or Organization

    1. Servers
    2. Storage Group
    3. Mailbox Store
    4. Mailboxes
  3. In the details pane, right-click the mailbox you want, and then click Exchange Tasks.
  4. In the Exchange Task wizard, click Next, click Delete Mailbox, click Next twice, and then click Finish.
  5. Right-click Mailboxes, and then click Run Cleanup Agent.

    6. Note At this time you can still recover the mailbox. After you delete a mailbox (in the next step of this procedure), you cannot recover it.

  6. To delete the mailbox, in the details pane, right-click the mailbox, and then click Purge.


Exchange Server 2003 - Configure Information Stores

Configuring the Exchange Store

Configure Public Folder Stores

This section contains the following topics:

  • Add a Public Folder Store
  • Set Public Folder Store Properties
  • Administer a Public Folder Store


Exchange Server 2003 - Add a Public Folder Store

Configuring the Exchange Store

Add a Public Folder Store

The public folder store is a storage device for a server's public folders. Exchange supports multiple public folder stores. Each public folder store is contained in a storage group.

Note Each public folder store is associated with one public folder tree (also called a public folder hierarchy). The tree must exist first before you create a public folder store. You cannot change a public folder store from one tree to another. The only other property required when adding a public folder store is the public folder name.

To add a public folder store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Click the server to which you want to add the public folder store.
  4. Right-click the storage group container to which you want to add the public folder store, point to New, and then click Public Store.
  5. On the General tab, set the following properties:
    • In Name, type a name for the public folder store.
    • Under Associated public folder tree, click Browse. Select the name of the public store hierarchy to associate with the new public folder store.

Related Topics

Create Public Folders


Exchange Server 2003 - Set Public Folder Store Properties

Configuring the Exchange Store

Set Public Folder Store Properties

You can change the default properties of Exchange public folders with System Manager. The public folder store is a storage device for a server's public folders. Exchange supports multiple public folder stores.

To set public folder store properties:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the public folders store in the console tree, right-click the public folders store, and then click Properties.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Public Folders Store
  3. On the General tab, set the following properties:
    • If your clients support S/MIME, click Clients support S/MIME signatures. Disable this to convert messages with S/MIME signatures to MIME unsigned messages. This allows clients that cannot interpret MIME to view signed messages.
    • To convert scalable fonts to fixed fonts, click Display plain text messages in a fixed-size font.
  4. On the Database tab, set the following properties:
    • To change the name and location of the Exchange database (.edb) file, click Exchange database. To move the databases, use System Manager on the server on which the databases reside.
    • To change the name and location of the Exchange streaming database (.stm) file, click Exchange streaming database. To move the databases, use System Manager on the server on which the databases reside.
    • To build a custom schedule graphically, click a value in Maintenance interval or click Customize.
    • To prevent automatic mounting of the store, click Do not mount this store at start-up.
    • To allow database overwrites, click This database can be overwritten by a restore.
  5. On the Limits tab, set the following properties:
    • To send a warning when the storage used reaches the value specified, click Issue warning at (KB) and type a value.
    • To stop sending and receiving mail when the storage used reaches a specific size, click Prohibit send and receive at (KB) and type a value.
    • To limit the size of items that can be posted or mailed to public folders in this store, click Maximum item size (KB) and type a value.
    • To build a custom schedule graphically, click a value in Warning message interval or click Customize.
    • To set a retention period for deleted items, click Keep deleted items for (days).
    • To preserve items until backup, click Do not permanently delete items until the store has been backed up.
    • To set an age limit for folders, click Age limit for all folders in this store (days) and type a value.
  6. On the Full-Text Indexing tab, set full-text indexing properties for the store.
  7. On the Replication tab, set the following properties:
    • To build a custom schedule graphically, click a value in Replication interval or click Customize.
    • To set a replication interval when you are using the Always Run option, click Replication interval for always (minutes) and type a value.
    • To limit the size of replication messages, click Replication message size limit and type a value.
  8. To add information, use Administrative note on the Details tab.
  9. To set permissions for the public folder store for users and groups, on the Security tab, click a user or group, and then click Allow or Deny to grant or deny permission.

    10. Note Permissions inherited from the parent object (the storage group) are indicated by shaded check boxes. Scroll to the bottom of the Permissions list to see the extended permissions specific to Exchange.

Related Topics

Use Full-Text Indexing Control Public Folder Replication


Exchange Server 2003 - Administer a Public Folder Store

Configuring the Exchange Store

Administer a Public Folder Store

You can administer the public folder store in any of the following ways:

  • View logon, public folder, public folder instance, and replication status information.
  • Change any of the properties you set when you create the store.
  • Apply policies to it.
  • Use full-text indexing on it.

To view logon information:

The first option for administering the public folder store follows. You can find the other three options below in Related Topics.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the public folder store you want to administer.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Server
    4. Public Folder Store
  3. Click Logons. Information about all logons to the public folder store are displayed in the details pane. Right-click Logons, click View, and then click Choose Columns to see the types of logon information you can use to construct a view.
    4. The following table describes the available columns:
    Column heading | Description
User Name | The network user name.
Windows 2000 Account | The Windows account name of the user who last logged on to this mailbox.
Logon Time | The date and time that a user last logged on.
Last Access Time | The date and time the user last accessed the store.
Client Version | The version of the client that was used to log on to this mailbox or public folder.
Code Page | The code page that the client is using.
Folder Ops | The total number of folder operations performed in the last 60 seconds, such as opening or closing a folder.
Full Mailbox Directory Name | The full e-mail address of the mailbox being accessed. This option is available only for the mailbox store.
Full User Directory Name | The name of the mailbox that is accessing the mailbox store.
Host Address | The Internet protocol (IP) address of the client.
Locale ID | The locale ID for the language the client is using.
Messaging Ops | The total number of messaging operations performed in the last 60 seconds, such as opening or closing a message.
Open Attachments | The total number of open attachments.
Open Folders | The total number of open folders.
Open Messages | The total number of open messages.
Other Ops | The total number of miscellaneous operations performed in the last 60 seconds.
Progress Ops | The total number of progress operations performed in the last 60 seconds. Progress operations tell the user how long it takes to complete a task.
Stream Ops | The total number of stream operations performed in the last 60 seconds, such as viewing or changing an attachment.
Table Ops | The total number of table operations performed in the last 60 seconds, such as viewing the contents of a folder.
Total Ops | The total number of operations performed in the last 60 seconds.
Transfer Ops | The total number of transfer operations performed in the last 60 seconds, such as copying or moving a message.

To view public folder information:

  • Click Public Folders. Information about all public folders in the store is displayed in the details pane.

To view public folder instances information:

  • Click Public Folder Instances. Information about all public folder instances in the store is displayed in the details pane.

To view replication status information:

  • Click Replication Status. Information about replication in the store is displayed in the details pane.

Related Topics

Set Public Folder Store Properties Apply Policies to Objects Use Full-Text Indexing


Exchange Server 2003 - Administer Stores

Configuring the Exchange Store

Administer Stores

These administration procedures apply to both mailbox stores and public folder stores.

This section contains the following topics:

  • Mount a Store
  • Dismount a Store
  • Move a Store


Exchange Server 2003 - Mount a Store

Configuring the Exchange Store

Mount a Store

When a store is created, Exchange gives you the option to mount it. If you choose not to mount the store when it is created, you can manually mount it later by using the Mount Store command.

You can dismount stores for administrative purposes such as maintenance.

To mount a store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Choose the server containing the store you want to mount.
  4. Open the storage group containing the store.
  5. Right-click the store and then click Mount Store.


Exchange Server 2003 - Dismount a Store

Configuring the Exchange Store

Dismount a Store

You usually mount a mailbox or public folder store by choosing an option when you create it, but you can manually dismount a store using the Dismount Store command.

To dismount a store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Choose the server containing the mailbox or public folder store you want to dismount.
  4. Open the storage group containing the mailbox or public folder store.
  5. Right-click the store, and then click Dismount Store.


Exchange Server 2003 - Move a Store

Configuring the Exchange Store

Move a Store

Exchange databases (mailbox stores and public folder stores) can be moved to other directories. The stores are automatically dismounted during the move. Use System Manager on the server on which the stores reside to move the .edb and .stm database files of the stores. You must perform a full backup when the move is finished.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Click the server on which the storage group containing the stores you want to move resides.
  4. Open the storage group container, right-click the store, and then click Properties.
  5. Click the Database tab.
  6. Under Exchange database, click Browse. In Save in, select the storage group to which you want to move the database (.edb) files. Click Open, and then click Save.
  7. Under Exchange streaming database, click Browse. In Save in, click the storage group to which you want to move the streaming database (.stm) files. Click Open, and then click Save.
  8. Click Apply. The following message appears:

You are about to perform the following
operation(s):

- change Exchange database location
- change Exchange streaming database location

To perform the requested operation(s), the
store must be temporarily dismounted which
will make it inaccessible to any user.

Do you want to continue?
  9. Click Yes to move the database files. When the operation is complete, the following confirmation message appears:
    The database files have been successfully moved.


Exchange Server 2003 - Use Full-Text Indexing

Configuring the Exchange Store

Use Full-Text Indexing

Exchange can index both public folder and mailbox stores for fast searches and lookups. With full-text indexing, every word in a store is indexed, making faster search and retrieval possible without requiring special mail clients. When indexing is enabled for a store, IMAP4 clients and MAPI clients, such as Outlook, can quickly find search terms in both message and attachment text, as well as MIME body parts.

Note By default, indexes are created from the subject and body of a message, along with names of the sender, recipient, and any names that appear in the Cc and Bcc fields.

Search results are only as accurate as the index is up to date. As the content of the stores change, the index must be updated to reflect the changes. Index updates can be performed manually or automatically by schedule.

This section contains the following topics:

  • Set System Resource Usage Level
  • Create Index
  • Set Full-Text Indexing Properties


Exchange Server 2003 - Set System Resource Usage Level

Configuring the Exchange Store

Set System Resource Usage Level

Indexing is a resource-intensive feature that requires considerable CPU cycles. Indexing gigabytes of data can take hours or days. Indexing should be scheduled for times when the server is not under high usage.

You can control server performance during indexing by using the System resource usage tab. On this tab you can set server usage levels, regardless of the quantity of data to be indexed or the existing server load.

To set a system resource usage level:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Right-click the server for which you want to set the resource usage level, click Properties, and then click the Full-Text Indexing tab.
  4. Click one of the four resource usage levels: Minimum, Low, High, or Maximum.


Exchange Server 2003 - Create Index

Configuring the Exchange Store

Create Index

To use full-text indexing, create an index for a mailbox store or a public folder store, and then run a full population to fill the index with data.

To create an index:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the store you want to index.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Storage Group
    4. Store
  3. Right-click the store, and then click Create Full-Text Index.
  4. Set up check pointing.
  5. To populate the new index, right-click the store, and then click Start Full Population.


Exchange Server 2003 - Full-Text Indexing

Configuring the Exchange Store

Set Up Check Pointing

The check pointing script provided with Exchange prevents indexing problems. If the Microsoft Search service (MSSearch) terminates abnormally during an incremental population, some folders and messages may not be properly indexed. Check pointing remedies this problem by maintaining the following backup files in the catalog directory:

  • Two check point record files: <Catalog>.chk1.gthr and <Catalog>.chk2.gthr.
  • Approximately 13 files consisting of the last known complete and uncorrupted set of catalog files stored in a Save subdirectory.

Check pointing is not enabled by default because it requires a significant amount of additional disk space; however, you should enable it. The additional file size required for check pointing is approximately 200 bytes for each document in your database. Ensure that there is sufficient disk space before you run the check pointing script. It is recommended that at least 15 percent free disk space be available on the disk on which you keep full-text indexing catalogs.

To set up check pointing:

  1. Ensure that there is sufficient disk space. If necessary, increase the size of the volume or move the catalogs to a larger volume.
  2. Run the following script from a command line:

    <SystemDrive>:\Program Files\Common Files\System\MSSearch\Bin\EnableCheckPoints.vbs Application [Catalog]

Parameters

The command line parameters are given in the following table.

Parameter | Description
Application | The name of the full-text indexing application. The naming convention for the application is ExchangeServer_ServerName. In a stand-alone configuration, ServerName is the name of the server. In a clustered environment, the ServerName is the name of the virtual server.
Catalog | The name of the full-text indexing catalog. The name of the catalog can be found through Exchange System Manager by double-clicking on the Exchange store for which a full-text index has been created, and then double-clicking Full-Text Indexing. The property is labeled Index Name and the value of the property is the name of the catalog.

Note Specifying Application without Catalog enables check pointing for the entire application. This means that all full-text indexes created from this point on automatically inherit the property. Any full-text indexes created prior to this must be enabled one at a time by specifying the name of the catalog as a parameter in the script. Specifying both Application and Catalog enables check pointing for that particular full-text index and no others. This has no affect on future creation of full-text indexes.

Note To disable check pointing on a full-text index, delete the full-text index and then recreate it.

Examples

  • Enable check pointing on the server Myserver for all new catalogs:
    D:\Program Files\Common Files\System\MSSearch\Bin\EnableCheckPoints.vbs ExchangeServer_Myserver
  • Enable check pointing for an existing catalog on a mailbox store:
    D:\Program Files\Common Files\System\MSSearch\Bin\EnableCheckPoints.vbs ExchangeServer_Myserver privE34F12BB


Exchange Server 2003 - Set Full-Text Indexing Properties

Configuring the Exchange Store

Set Full-Text Indexing Properties

Indexes must updated regularly to reflect the latest data. To automatically index your public folder stores and mailbox stores, use the Full-Text Indexing tab for each store.

Important The Full-Text Indexing tab is disabled until you manually run the Create Full-Text command on the store.

To set full-text indexing properties for a store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the store to be indexed.

    System Manager

    1. Administrative Group or Organization
    2. Servers
    3. Storage Group
    4. Store
  3. Right-click the database, and then click Properties
  4. Click the Full-Text Indexing tab.
  5. To build a custom schedule graphically, click a value in Update interval or click Customize. Updating the index adds new entries to the existing index.
  6. To make the index available to users, select This index is currently available for searching by clients.

    Tip After the first index is created, this check box is selected automatically. Don't use this check box if there is no index or the index is so out-of-date that searches return invalid information.

    7. Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange Server 2003 - Recovering Mailbox Stores and Mailboxes with a Recovery Storage Group

Configuring the Exchange Store

Recovering Mailbox Stores and Mailboxes with a Recovery Storage Group

To provide greater flexibility when restoring mailboxes and mailbox stores, Microsoft Exchange Server 2003 has a Recovery Storage Group feature. The Recovery Storage Group is a specialized storage group that can exist alongside the regular storage groups in Exchange (even if the server already has four regular storage groups). You can restore mailbox stores from any regular storage group that meets the following conditions:

  • The server housing the storage group is running Microsoft Exchange 2000 SP3 or higher.
  • The server housing the storage group is in the same Administrative group as the server housing the Recovery Storage Group.
  • If you are restoring multiple mailbox stores at the same time, they all must be from a single storage group.

After you restore a mailbox store to the Recovery Storage Group, use the Exmerge utility to move the recovered mailbox data from the Recovery Storage Group to the regular storage group. With this method, you can recover an entire mailbox store (all of the database information, including the log data) or just a single mailbox. Mailboxes in the Recovery Storage Group are disconnected and are not accessible to users with mail clients.

Note You can only use the Recovery Storage Group to recover mailbox stores, not public folder stores.

The following procedures represent a simple restore scenario; these procedures assume that you have already backed up your storage groups.

Before you begin these procedures, ensure that you are logged in with an account such as Backup Operators that has Receive As and Send As permissions on all of the Exchange mailboxes. If these permissions are denied, the restore process will not complete.

If you restore mailbox stores without creating a Recovery Storage Group, the data will be restored directly to the original mailbox stores, as in previous versions of Exchange.

The process of using a Recovery Storage Group to restore mailbox data consists of three main steps:

  1. Set up the Recovery Storage Group.
  2. Restore a mailbox store to the Recovery Storage Group.
  3. Merge the recovered mailbox data with regular user mailboxes.


Exchange Server 2003 - Set up the Recovery Storage Group

Configuring the Exchange Store

Set up the Recovery Storage Group

To set up the Recovery Storage Group:

  1. Click Start, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Open the Servers container in the console tree.

    System Manager

    1. Administrative Group or Organization
    2. Servers
  3. Right-click the server on which you want to create the Recovery Storage Group.
  4. Click New, and then click Recovery Storage Group. Ensure that the file locations specified in the Transaction log location box and the System path location box are appropriate, and then click OK. The new Recovery Storage Group will appear in the server’s list of storage groups.
  5. Right-click Recovery Storage Group, and then click Add Database to Recover.
  6. In Select database to recover, click a mailbox store, and then click OK. You can only select one mailbox store at a time.
  7. In Mailbox Store Properties, review the mailbox store's properties, and then click OK. The default settings are suitable for most cases; however, you can assign the mailbox store a different name.
  8. To add more mailbox stores to the Recovery Storage Group, repeat Steps 5-7. (Remember, if you are restoring multiple stores at the same time, the stores all must be from a single storage group.)

    9. Note By default, the mailbox stores in the Recovery Storage Group (also called recovery databases) are not mounted when they are created. You should not mount them until after you have restored them, as described in Restore a Mailbox Store to the Recovery Storage Group.


Exchange Server 2003 - Restore a Mailbox Store to the Recovery Storage Group

Configuring the Exchange Store

Restore a Mailbox Store to the Recovery Storage Group

To restore a mailbox store to the Recovery Storage Group:

  1. After configuring the Recovery Storage Group, start your backup and restore application (for the purposes of this procedure, use Windows Backup: click Start, click Run, type ntbackup, and then click OK).
  2. Click Restore, expand the File list, expand the backup file you want to use, expand the appropriate storage group, and then click the database and log files that you want to restore.
  3. Click Start Restore.
  4. In Restoring Database Store, type the name of a temporary file directory in the Temporary location box and, if this is the last backup to be restored, select Last Restore Set.
  5. Click OK. When the restore process is complete, click Close.
  6. In Exchange System Manager, right-click the mailbox store in the Recovery Storage Group, and then click Mount Store. In the warning dialog box, click Yes.


Exchange Server 2003 - Merge the Recovered Mailbox Data with Regular User Mailboxes

Configuring the Exchange Store

Merge the Recovered Mailbox Data with Regular User Mailboxes

To complete this procedure, you need the Microsoft Exchange Mailbox Merge Wizard (Exmerge). Exmerge usually resides in the %systemroot%\Program Files\Exchsrvr\bin directory. You can also download Exmerge from http://www.microsoft.com/exchange/2003/updates.

To merge recovered mailbox data with regular user mailboxes:

  1. After restoring the appropriate mailbox store to the Recovery Storage Group, start Exmerge. You can start Exmerge from a command prompt by typing %path%\exmerge.
  2. Follow the instructions in the wizard to specify the export method, the source server, and the destination server (when the Recovery Storage Group is on the same server as the original mailbox store you are working with, the source server and destination server are the same).
  3. On the Database Selection page, select only the mailbox stores that are in the Recovery Storage Group, and then click Next.
  4. On the Mailbox Selection page, select the mailboxes to restore. You can select individual mailboxes or multiple mailboxes. When finished, click Next.
  5. Specify the appropriate locale (if necessary), and then click Next.
  6. On the Target Directory page, click Change Folder. Use the Browse for Folder dialog box to specify a temporary folder, and then click OK. Click Next.
  7. Follow the remaining instructions to finish the wizard and move the mailbox data. The wizard will copy data from mailboxes in the restored mailbox store and merge it with data in the corresponding mailboxes in the original mailbox store.


Exchange Server 2003 - Sharing Information Using Public Folders

Managing Public Folders

Sharing Information Using Public Folders

A public folder stores messages or information that can be shared with all designated users in your organization. Public folders can contain different types of information, from simple messages to multimedia clips and custom forms.

All public folders and their contents are contained within public folder stores. While mailbox stores and e-mail messaging enable communication from one user to multiple users, public folders enable communication from multiple users to multiple users.


Exchange Server 2003 - Create Public Folders

Managing Public Folders

Create Public Folders

When your organization has files and documents that must be available to a specific department, you can create public folders to collect and distribute information relating only to that department.

You can also create a new public folder hierarchy (also called a public folder tree) and give it its own database. Note that new public folder hierarchies are designed to be accessed by applications and are not visible to MAPI clients, such as Outlook. If you want the public folder hierarchy to be visible to MAPI clients, you must create the folders under the default Public Folder hierarchy. If you are only creating new folders under Public Folders, you do not need to configure a new public folder hierarchy. All folders can be configured to receive mail and support discussions.

To create public folders:

  • Configure a New Public Folder Hierarchy
  • Configure a New Public Folder
  • Enable a Public Folder to Receive Mail


Exchange Server 2003 - Configure a New Public Folder Hierarchy

Managing Public Folders

Configure a New Public Folder Hierarchy

In Exchange you can create more than one public folder hierarchy, which provides better security and maintenance for your organization. For example, you can create separate public folder hierarchies for the Human Resource, Marketing, and Support departments of your company, providing added security and backup and restore manageability.

To configure a new public folder hierarchy:

  • Create a New Public Folder Hierarchy
  • Create a New Public Folder Store
  • Set Permissions for the Hierarchy
  • View the Public Folder Tree Type


Exchange Server 2003 - Create a New Public Folder Hierarchy

Managing Public Folders

Create a New Public Folder Hierarchy

In Exchange System Manager, each new public folder hierarchy exists on the same level as the Public Folders hierarchy. Each hierarchy uses its own public folder store.

To create a new public folder hierarchy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Right-click Folders, point to New, and then click Public Folder Tree.
  4. In Name, type a name for the new public folder tree.
  5. To create the new public folder tree, in Properties, click OK.


Exchange Server 2003 - Create a New Public Folder Store

Managing Public Folders

Create a New Public Folder Store

Each public folder hierarchy uses its own public folder store. You must create the hierarchy first, then the store. Each public folder hierarchy can only have one store on a particular server. A hierarchy can have multiple stores when each store exists on a separate server. In such a configuration, Exchange replicates information among the stores to keep the hierarchy consistent..

To create a public folder store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Servers.

    Exchange System Manager

    1. Organization
    2. Administrative Groups
    3. Administrative group
    4. Servers
  3. Expand the server to which you want to add a public folder store.
  4. Right-click a specific storage group, point to New, and then click Public Store.
  5. In Name, type a name for the new database.
  6. To associate the public folder tree with the database, click Browse, and then select the public folder hierarchy you just created.
  7. To save your settings, click OK.
  8. To mount the new store, click Yes.


Exchange Server 2003 - Set Permissions for the Hierarchy

Managing Public Folders

Set Permissions for the Hierarchy

You can secure access to the public folder hierarchy by specifying the users who can make changes to the hierarchy.

To set permissions for the hierarchy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders.
  4. Right-click a folder tree, and click Properties.
  5. Click Security.
  6. To modify an existing user, click the user name.
  7. To assign a permission, next to the permission description, select the Allow or Deny check box.
  8. To grant additional users access, click Add, select a user, and then click Add again. Use the check boxes to control user access to folder contents.


Exchange Server 2003 - View the Public Folder Tree Type

Managing Public Folders

View the Public Folder Tree Type

All MAPI clients can access the default Public Folders tree to read messages and store documents. When you create alternate public folder trees for applications or Web browsers to access, the alternate tree is not available to MAPI clients; however, applications and Web browsers can access the default Public Folders tree.

To display Folder tree type:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders.
  4. Right-click the top node of a public folder hierarchy, and then click Properties.
  5. Click the General tab and look in Folder tree type to determine which clients can access a public folder tree.

Note If MAPI clients is displayed, clients such as Outlook can access the hierarchy in addition to applications, Web browsers, and IFS shares. If General purpose is displayed, MAPI clients cannot see the hierarchy, but applications, Web browsers, and IFS shares can access the public folder hierarchy.


Exchange Server 2003 - Configure a New Public Folder

Managing Public Folders

Configure a New Public Folder

Once you create a public folder hierarchy, you can create folders and subfolders to organize content that is available to users.

To configure a new public folder:

  • Name the Folder
  • Configure Replication Settings
  • Set Storage Limits
  • Set Permissions


Exchange Server 2003 - Name the Folder

Managing Public Folders

Name the Folder

To create a new public folder, you must name the folder.

To name the folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders.
  4. Right-click the root of the folder hierarchy, point to New, and then click Public Folder.
  5. Type a name for the folder.


Exchange Server 2003 - Configure Replication Settings

Managing Public Folders

Configure Replication Settings

A public folder can be configured to have replicas on multiple public folder servers.

Note Before you configure replication settings, you must first create public folder stores on the servers to which you want to replicate. Associate those stores with the hierarchy that contains the folder you want to replicate.

To create replicas of public folders:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders.
  4. Right-click the folder to replicate, and then click Properties.
  5. Click the Replication tab.
  6. To add a copy of the folder's database to another server's store, click Add. Select a store on the server that you want to replicate the folder to, and then click OK.
  7. In Public folder replication interval, choose a replication schedule or create a new schedule. To create a new schedule, click Customize. In the Schedule window, click Selected Times. Click the time on the grid to specify when replication of this folder will take place. Click OK to save your settings.
  8. In Replication message priority, set the priority level of the message.

    9. Note A message sent with urgent priority is delivered first.


Exchange Server 2003 - Set Storage Limits

Managing Public Folders

Set Storage Limits

You can use the Limits tab to control the maximum size of folders, set the retention period for deleted messages, and set message age limits. Setting age limits and warnings on message storage limits can help you conserve disk space. By default, all settings use the public store defaults.

To customize limits for a specific folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a folder, and then click Properties.
  5. Click the Limits tab.
  6. In each section of the dialog box, click once to deselect the Use public store defaults check box if it is selected. Then set the following options:
    7. Type of Limitation | Option | Description
Storage limits | Issue warning at (KB) | A number of Kilobytes (KB) from 1 to 2097151.
 | Prohibit post at (KB) | A number of Kilobytes (KB) from 1 to 2097151.
 | Maximum item size (KB) | A number of Kilobytes (KB) from 1 to 2097151.
Deletion settings | Keep deleted items for (days) | A number of days from 1 to 24855. All folder contents are permanently deleted after the specified number of days.
Age limits | Age limit for replicas (days) | A number of days from 1 to 24855. All replicas of this folder are permanently deleted if they remain until the specified number of days.


Exchange Server 2003 - Set Permissions

Managing Public Folders

Set Permissions

Permissions define the extent to which users can work with items in a folder. Use the following procedures to grant or deny users permission to work with the public folder and its contents.

To set permissions:

  • Control Access to Messages
  • Control Access to Email Attributes of the Folder
  • Control Administrator Access to the Folder


Exchange Server 2003 - Control Access to Messages

Managing Public Folders

Control Access to Messages

By default, all users have permissions to read and write content in the public folder. You can change permissions for all users or create different permissions for specific users.

To set access right to messages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a folder, and then click Properties.
  5. On the Permissions tab, click Client Permissions.
  6. To create different permissions for specific users, click Add.
  7. Select a user, and then click Add. Repeat this step for all users that you want to grant permissions to.
  8. Under Permissions, use the Roles drop-down list to assign a role to each user, or select individual permissions.


Exchange Server 2003 - Control Access to Email Attributes of the Folder

Managing Public Folders

Control Access to Email Attributes of the Folder

You can grant or deny permissions to change the email-related attributes of a mail-enabled public folder. Exchange stores these attributes in Active Directory.

To grant permissions:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a folder, and then click Properties.
  5. On the Permissions tab, click Directory Rights.
  6. To grant access to a specific user, click Add.
  7. Select a user, and then click Add. Repeat this step for all users that you want to add.
  8. Under Permissions, select the Allow or Deny check box to grant or deny each user access to the available options.


Exchange Server 2003 - Control Administrator Access to the Folder

Managing Public Folders

Control Administrator Access to the Folder

You can specify the users and groups that can use Exchange System Manager (or a custom administration program) to change the replication, limits, and other settings for the public folder.

To grant an administrator rights to a folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a folder, and then click Properties.
  5. On the Permissions tab, click Administrative rights.
  6. To grant access to a specific user, click Add.
  7. Select a user, and then click Add. Repeat this step for all users that you want to add.
  8. Under Permissions, select the Allow or Deny check box to grant or deny each user access to the available options.


Exchange Server 2003 - Enable a Public Folder to Receive Mail

Managing Public Folders

Enable a Public Folder to Receive Mail

You can allow users to send mail to a public folder by mail-enabling the folder and displaying the name of the folder in Address Book. Use the following procedures to mail-enable a folder and configure display names and permissions.

Note Folders that you migrate from Exchange 5.5 are mail-enabled by default. Folders created in native-mode Exchange Server 2003 must be mail-enabled manually.

To enable a public folder to receive mail:

  • Create a Mail-Enabled Public Folder
  • Configure Folder Appearance in Address Book
  • Control Access to Email Attributes of the Folder
  • Configure Mail-Related Properties
  • Create E-mail Addresses
  • Change the Simple Display Name


Exchange Server 2003 - Create a Mail-Enabled Public Folder

Managing Public Folders

Create a Mail-Enabled Public Folder

To configure folder properties related to sending and receiving mail, you must first enable the folder and then use the tabs to configure settings for your organization.

To create a mail-enabled public folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want to work with.
  4. Right-click the folder, point to All Tasks, and then click Mail Enable.


Exchange Server 2003 - Configure Folder Appearance in Address Book

Managing Public Folders

Configure Folder Appearance in Address Book

For every mail-enabled public folder you create, an Address Book entry is created. By default, a folder is hidden from users until you make the entry visible and specify a display name. If a folder in Address Book is hidden, users can still post messages to the folder if they know its address and type it in the To box of a message. By displaying a public folder in Address Book, you make it easier for all users to access it.

To configure folder appearance in Address Book:

  • Set the Address Book Name
  • Display a Folder in Address Book


Exchange Server 2003 - Set the Address Book Name

Managing Public Folders

Set the Address Book Name

The Address Book display name is the name of the public folder as it appears in Address Book. Users enter this name to send messages to the folder. You can set the display name to duplicate the folder name, or you can specify another name.

To set the Address Book name:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a folder, and then click Properties.
  5. Click the General tab.
  6. To display the folder in Address Book as it is displayed in System Manager, select Same as folder name.
  7. To change the display name in Address Book, click Use this name, and then type a name for the folder.


Exchange Server 2003 - Display a Folder in Address Book

Managing Public Folders

Display a Folder in Address Book

You can display a public folder in Address Book so that users can determine how to address the messages they send to a public folder.

To display a folder in Address Book:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a folder, and then click Properties.
  5. On the Exchange Advanced tab, click to deselect the Hide from Exchange address lists check box.


Exchange Server 2003 - Configure Mail-Related Properties

Managing Public Folders

Configure Mail-Related Properties

Once you enable a folder to receive mail, you can change the alias name and set delivery options. These options are available only for mail-enabled folders.

To configure mail-related properties:

  • Set the Alias Name
  • Set Delivery Restrictions
  • Set Delivery Options


Exchange Server 2003 - Set the Alias Name

Managing Public Folders

Set the Alias Name

The alias name allows you to specify how messages are addressed when users post to this public folder. This option is available only for mail-enabled folders.

To set the alias name:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a mail-enabled folder, and then click Properties.
  5. Click the Exchange General tab.
  6. To change the default name, type a new name in Alias.


Exchange Server 2003 - Set Delivery Restrictions

Managing Public Folders

Set Delivery Restrictions

To ensure that a folder is not overloaded with messages, you can set the maximum message size and specify the users whose mail will be accepted by this folder. These options are available only for mail-enabled folders.

To set delivery restrictions:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a mail-enabled folder, and then click Properties.
  5. On the Exchange General tab, click Delivery Restrictions.
  6. In Sending Message Size, click Maximum KB, and then type a number from 1 to 2097151.
  7. In Receiving Message Size, click Maximum KB, and then type a number from 1 to 2097151.
  8. In Message restrictions, you can create a list of users from whom the folder will accept mail. Select Only from, and then click Add. Select a user name, and then click Add. Continue adding users until all users that you want to add are listed.
  9. In Message restrictions, you can create a list of users from whom the folder will not accept mail. Select From everyone except, and then click Add. Select a user name, and then click Add. Continue adding users until all users that you want to add are listed.


Exchange Server 2003 - Set Delivery Options

Managing Public Folders

Set Delivery Options

You can designate specific users who can send mail on behalf of the public folder. You can also specify a forwarding address and set recipient limits. These options are available only for mail-enabled folders.

To set delivery options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want to work with.
  4. Right-click a mail-enabled folder, and then click Properties.
  5. On the Exchange General tab, click Delivery Options.
  6. To assign a delegate to send mail on behalf of the public folder, click Add. Select a user, and then click Add. Continue adding users until all users that you want to add are listed in the lower box, and then click OK.
  7. To enter a forwarding address, select Forward to, and then click Modify. Select a folder, and then click OK.
  8. Select Deliver messages to both forwarding address and folder to receive a copy in both places.


Exchange Server 2003 - Create E-mail Addresses

Managing Public Folders

Create E-mail Addresses

These options are available only for mail-enabled folders.

To create an e-mail address:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want to work with.
  4. Right-click a mail-enabled folder, and then click Properties.
  5. Click the Email Addresses tab.
  6. To edit the default address type, click the address, and then click Edit.
  7. To add a new address, click New.
  8. Select an address type from the list provided and then type the address properties in Network Name, Post office name, and Mailbox name.


Exchange Server 2003 - Change the Simple Display Name

Managing Public Folders

Change the Simple Display Name

If the name of a public folder contains non-Ansi characters, you can specify a simple display name that will be used in Address Book. The simple display name can only use characters that can be read by any computer.

To change the simple display name:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want.
  4. Right-click a mail-enabled folder, and then click Properties.
  5. On the Exchange Advanced tab, in Simple display name, type a name that contains ANSI characters only.


Exchange Server 2003 - Create Custom Attributes

Managing Public Folders

Create Custom Attributes

Attributes are characteristics associated with an object. You can create new attributes to track specific information about the users of a public folder; for example, if your company uses an employee ID numbering system, you can create a custom attribute field called Employee ID# on the Exchange Advanced tab. If you want to add more fields you can define up to 15 custom attributes.

To create a custom attribute:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want to work with.
  4. Right-click a mail-enabled folder, and then click Properties.
  5. On the Exchange Advanced tab, click Custom Attributes.
  6. Click an attribute, and then click Edit.
  7. Type a label for the attribute.


Exchange Server 2003 - Administer Public Folders

Managing Public Folders

Administer Public Folders

As your library of public files and documents grows, you must make decisions regarding where folders are stored and you may need to make changes to a large number of folders. Exchange includes many features to help you maintain and customize your public folders.

To administer public folders:

  • Connect to a Public Folder Store
  • Control Public Folder Replication
  • Search for a Public Folder
  • Propagate Folder Settings
  • Move Public Folders
  • Maintain the Organizational Forms Library
  • Set Public Folder Referrals


Exchange Server 2003 - Connect to a Public Folder Store

Managing Public Folders

Connect to a Public Folder Store

By default, the information in the Folders section of Exchange System Manager comes from the public folder store on the server that is running Exchange System Manager. If the Exchange System Manager server does not have a public folder store for the public folder hierarchy you want, you must connect Exchange System Manager to a public folder store on another server.

You can also use this feature when troubleshooting public folders to verify the information contained in each public folder store.

To connect Exchange System Manager to a specific public folder store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders.
  4. Right-click the folder tree, and then click Connect to.

    5. Tip After creating a public store, you may need to refresh the information in System Manager to enable the Connect to option.

  5. In Select a Public Store, select the public folder store you want, and then click OK.


Exchange Server 2003 - Control Public Folder Replication

Managing Public Folders

Control Public Folder Replication

There are many ways to customize replication. You can create copies of specific public folders or you can replicate the entire public folder hierarchy. You can also change schedules, specify how urgent replication messages are sent, and manage replication between organizations.

Tip You can replicate public folders between servers in different administrative groups in an organization. If you want to make public folders available between organizations, see Manage Inter-Organization Replication.

To control public folder replication:

  • Choose Which Folders to Replicate
  • Schedule Replication
  • Set Replication Message Priority
  • Manually Start Replication


Exchange Server 2003 - Choose Which Folders to Replicate

Managing Public Folders

Choose Which Folders to Replicate

A public folder can be configured to have replicas on multiple public folder servers within an organization. You are not required to replicate every public folder in a store. You can replicate a specific public folder or subset of folders, or you can replicate all of them.

To choose which folders to replicate:

  • Create a Store for the Replica
  • Add a Replica
  • Remove a Replica


Exchange Server 2003 - Create a Public Store for the Replica

Managing Public Folders

Create a Public Store for the Replica

Public folder stores reside in storage groups. To replicate a public folder to another server, you must first create a storage location.

Note The default Public Folders hierarchy uses the default public folder store, which is configured when you install Exchange on a server. Because each server has a default public folder store, you do not need to create additional stores to replicate the default Public Folders hierarchy.

To create a public store for the replica:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Expand Server, and then choose a server.
  4. Right-click a storage group, point to New, and then click Public Store.
  5. Type a Name for the new store.
  6. To associate the public folder hierarchy, click Browse, and then select the tree you want to replicate.
  7. To save your settings, click OK.
  8. To mount the new store after it is successfully created, click Yes.


Exchange Server 2003 - Add a Replica

Managing Public Folders

Add a Replica

After you create a store on an alternate server, you need to identify the folders to replicate to that store. Although the storage location on the alternate server is associated with a specific folder hierarchy, the folders in the store are not replicated to the alternate server by default. You must access the folder and specify that it should be replicated to the alternate server.

To add a replica:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder hierarchy for which you just created a store.
  4. Right-click on a folder you want to replicate, and then click Properties.
  5. Click Replication, and then click Add.
  6. Select the server you want to replicate to.


Exchange Server 2003 - Remove a Replica

Managing Public Folders

Remove a Replica

Exchange allows you to customize the list of folders that are replicated on alternate servers. If you do not want a folder to be replicated on an alternate server, remove the server from the list on the folder's Replication tab.

To remove a replica:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder hierarchy for which you just created a store.
  4. Right-click a folder, and then click Properties.
  5. On the Replication tab, select the server on which you do not want to maintain a copy of the folder, and then click Remove.


Exchange Server 2003 - Schedule Replication

Managing Public Folders

Schedule Replication

If the majority of folders contain information that rarely changes, you can schedule less frequent replication for all folders in the same store. If one folder contains time-critical information that is updated more often, you can set up more frequent replication to ensure that all replicas remain current. You can also schedule replication during non-peak hours to reduce message traffic.

Replication schedules can be set for specific folders, or you can set one replication schedule for all folders in the same database.

To schedule replication:

  • Schedule Replication for a Single Folder
  • Schedule Replication for all Folders in a Public Store


Exchange Server 2003 - Schedule Replication for a Single Folder

Managing Public Folders

Schedule Replication for a Single Folder

You can schedule a single folder to replicate as often as necessary to ensure that all replicas remain current. A schedule set for a specific folder overrides the schedule set for the parent folder and the schedule set for the public folder store.

To schedule replication for a single folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder hierarchy for which you just created a store.
  4. Right-click a folder, and then click Properties.
  5. Click the Replication tab.
  6. Under Public folder replication interval, select Use custom schedule, and then click Customize.
  7. In the Schedule window, click Selected times. Click the time on the grid to specify when replication of this folder will take place. Click OK to save your settings.


Exchange Server 2003 - Schedule Replication for All Folders in a Public Store

Managing Public Folders

Schedule Replication for all Folders in a Public Store

If all public folders are used with the same frequency, you can create one replication schedule for all folders by setting the schedule on the public folder store. After you set the store schedule, all folders set to Default Schedule replicate according to the store's schedule.

To schedule replication for all folders in a public folder store:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder hierarchy for which you just created a store.
  4. Right-click a folder, and then click Properties.
  5. Click the Replication tab.
  6. In Public Folder to replicate choose a replication schedule or create a new schedule. To create a new schedule, click Customize. In the Schedule window, click Selected Times. Click the time on the grid to specify when replication of this folder will take place. Click OK to save your settings.


Exchange Server 2003 - Set Replication Message Priority

Managing Public Folders

Set Replication Message Priority

You can set the priority for replication messages sent by a public folder. The priority determines the order in which messages are sent by Exchange. Messages with an urgent priority are delivered first.

To set a priority for replication messages:

  1. Start System Manager: on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree expand Folders.
  4. Right-click a folder, and then click Properties.
  5. Click the Replication tab.
  6. In Replication message priority, select one of the following options.
    7. Option | Description
Not urgent | Messages with this priority are delivered last.
Normal | Messages with this priority are sent before non-urgent messages; however, all urgent messages are delivered first.
Urgent | Messages with this priority are sent before messages with a priority of normal or not urgent.


Exchange Server 2003 - Manually Start Replication

Managing Public Folders

Manually Start Replication

If you want to ensure that public folders replicate without waiting for the normal replication interval, you can start replication manually (for example, if you added a new folder and you want to ensure that it’s immediately available on all servers). You can replicate just the public folder hierarchy in this manner, or you can replicate the content of a folder.

You can perform the following tasks manually:

  • Replicate the public folder hierarchy.
  • Replicate public folder content.


Exchange Server 2003 - Send Hierarchy of the Public Folder Tree

Managing Public Folders

Send Hierarchy of the Public Folder Tree

To manually replicate a public folder hierarchy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Expand Folders, expand the appropriate top-level hierarchy,
  4. Right-click the public folder whose hierarchy you want to replicate (you can select the top-level hierarchy for this purpose) and then click Send Hierarchy.
  5. In Send Hierarchy, in the Source Servers column, click the server or servers that have the appropriate version of the hierarchy. Then, in the Destination Servers column, click the server or servers to which you want to replicate.
  6. In the Resend changes made in the last (days) box, type an appropriate number of days.
  7. Click OK. When asked to confirm that you want to start replication, click Yes. Replication starts at this time.


Exchange Server 2003 - Send Contents of a Public Folder

Managing Public Folders

Send Contents of a Public Folder

To manually replicate public folder content:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Expand Folders, expand the appropriate top-level hierarchy,
  4. Right-click the public folder whose content you want to replicate, and then click Send Contents.
  5. In Send Contents, in the Source Servers column, click the server or servers that have the appropriate version of the content. Then, in the Destination Servers column, click the server or servers to which you want to replicate.
  6. In the Resend changes made in the last (days) box, type an appropriate number of days.
  7. Click OK. When asked to confirm that you want to start replication, click Yes. Replication starts at this time.


Exchange Server 2003 - Manage Inter-Organizational Replication

Managing Public Folders

Manage Inter-Organizational Replication

You can share public folder and free and busy information between two or more organizations using InterOrg Replication Utility. Before running the utility, create a mailbox-enabled account and assign permissions on the server that is publishing the information and the server that is receiving the information. Then use the two programs, the Microsoft Exchange Server Replication Configuration utility (Exscfg.exe), and the Microsoft Exchange Server Replication Service (Exssrv.exe) to coordinate meetings, appointments, and contact information between members of two different Exchange organizations.

You can download the InterOrg Replication Utility from http://www.microsoft.com/exchange/2003/updates.

To set up InterOrg Replication Utility, complete the following steps in order.

  1. Prepare the publisher server.
  2. Prepare the subscriber server.
  3. Set up Replication Agent.
  4. Create a configuration file.
  5. Set up the replication service.


Exchange Server 2003 - Prepare the Publisher Server

Managing Public Folders

Prepare the Publisher Server

The publisher is the organization that originally creates the folders and makes them available to one or more subscribers. The publisher controls the direction in which data is moved.

To prepare a server to publish information:

  1. Create a Windows account on the publishing server for Replication Agent.
  2. Mailbox-enable the account to create a mailbox.
  3. Using Microsoft Outlook, add the Replication Agent account as Owner for every folder you want to replicate.

    4. Important If you do not grant the Replication Agent mailbox Owner permission on the publisher server, Default and Anonymous permissions assigned to the public folders are not replicated.

  4. Using Microsoft Outlook, at the top of the public folder hierarchy, create a public folder named ExchsyncSecurityFolder.
  5. Grant the Replication Agent account Owner permission to ExchsyncSecurityFolder. Do not specify any Default or Anonymous permissions on this folder.

Tip See the Windows documentation for more details on how to create, mailbox-enable, and set permissions for a user account.


Exchange Server 2003 - Prepare the Subscriber Server

Managing Public Folders

Prepare the Subscriber Server

The subscriber is the organization that receives replicated content from a publisher. Changes, additions, and deletions can be made by the subscriber and replicated back to the publisher depending on the publisher's configuration.

To prepare a server to receive information:

  1. Create a Windows account on the subscriber server for the Replication Agent.
  2. Mailbox-enable the account to create a mailbox.
  3. Using Microsoft Outlook, at the top of the public folder hierarchy, create a folder for every portion of the folder hierarchy you are replicating. Subfolders are created automatically.
  4. Using Microsoft Outlook, add the Replication Agent account as Publishing Editor for every folder.

    5. Important If you do not grant the Replication Agent mailbox Owner permission on the publisher server, Default and Anonymous permissions assigned to the public folders are not replicated.

  5. Using Microsoft Outlook, at the top of the public folder hierarchy, create a public folder named ExchsyncSecurityFolder.
  6. Grant the Replication Agent account Owner permission to ExchsyncSecurityFolder. Do not specify any Default or Anonymous permissions on this folder.

Tip See the Windows documentation for more details on how to create, mailbox-enable, and set permissions for a user account.


Exchange Server 2003 - Set Up Replication Agent

Managing Public Folders

Set Up Replication Agent

The Replication Agent is a computer running Windows 2000 that is situated logically between the publisher and the subscriber servers. Replication Agent performs the replication service by logging on as both the publisher and the subscriber. Typically, Replication Agent is configured on the publisher server.

Important The computer on which Replication Agent is installed must be configured as follows:

  • Microsoft Windows 2000 SP2 or later installed.
  • The computer must be added to the Windows domain of the publisher or subscriber server.
  • Microsoft Outlook installed.
  • Microsoft Exchange 2000 SP2 or later installed.

To set up Replication Agent:

  1. Create a directory called Exchsync on the publisher or subscriber server.
  2. Copy the following files downloaded from http://www.microsoft.com/exchange/2003/updates or from the Exchange CD (<CD-ROM drive>:\Support\Exchsync) to the Exchsync directory.
    • Exscfg.exe. This is the InterOrg Replication configuration program.
    • Exssrv.exe. This is the InterOrg Replication Utility.
  3. On the Start menu, click Run, type %path%\exssrv, and then click OK.
  4. Click Install.


Exchange Server 2003 - Create a Configuration File

Managing Public Folders

Create a Configuration File

To set up replication, you must create a configuration file. A single file containing one or more sessions is used by Replication Agent. You can create sessions for public folder and free and busy replication without closing the file.

To create a configuration file:

  1. Double-click the Exscfg.exe program saved on the publisher or subscriber server.
  2. Add a session for public folder replication.
  3. Save the configuration file.
  4. Add a session for free and busy replication.


Exchange Server 2003 - Add a Session for Public Folder Replication

Managing Public Folders

Add a Session for Public Folder Replication

Replication Agent uses only one configuration file. This file can contain a combination of several public folder and free and busy sessions. A session defines replication settings for one folder or one free and busy subscriber.

Note For the complete set of steps required to create a configuration file and add sessions, see Create a Configuration File.

To add a session for public folders:

  1. Make sure you have started the Exscfg.exe program saved on the publisher or subscriber server.
  2. On the Session menu, click Add.
  3. In Select Session Type, click Public Folder(s) Replication.
  4. In Title, type a display name for the session.
  5. In Maximum Task Number, type the number of threads to use in replication.

    6. Note As you increase the number of threads, the load on the server increases. This can reduce server performance.

  6. Click Schedule, and then type the time for each replication session to begin.
  7. For Publisher Organization, in Server, type the name of the publisher server, and then in Mailbox, type the mailbox for the Replication Agent to log on to. If the replication service account does not have permissions to this mailbox, click Advanced, click Use Alternate NT Account, and then type the username, password, and domain name of an account that is permitted to log on to the mailbox.
  8. Repeat step 6 for the subscriber organization.
  9. Select the folder list, and then click Logon for each folder list box.
  10. Using the tree controls, select the folder or folder hierarchy on the publisher server to replicate, and then select the destination folder.
  11. For each published folder, choose whether to replicate only the folder selected or the folder and its subfolders.
  12. If you select Deletions, whenever an item is deleted on the publisher, that item is deleted on the subscriber.
  13. Click Default, Anonymous, or both to replicate permissions to the destination folder.
  14. Click Add to save these settings to the folder mappings list.


Exchange Server 2003 - Add a Session for Free and Busy Replication

Managing Public Folders

Add a Session for Free and Busy Replication

Replication Agent uses only one configuration file. This file can contain a combination of several public folder and free and busy sessions. A session defines replication settings for one folder or one free and busy subscriber.

Note For the complete set of steps required to create a configuration file and add sessions, see Create a Configuration File.

To add a session for free and busy replication:

  1. Make sure you have started the Exscfg.exe program saved on the publisher or subscriber server.
  2. On the Session menu, click Add.
  3. In Select Session Type, click Schedule+ Free/Busy Replication.
  4. Type a display name for the session.
  5. In Maximum Task Number, enter the number of threads to use in replication. Do not use more threads than the number of sites or administrative groups for which you are replicating free and busy information.

    6. Note As you increase the number of threads, the load on the server increases. This can reduce server performance.

  6. Click Schedule, and then type the time for each replication session to begin.
  7. For Publisher Organization, in Server, type the name of the publisher server, and then in Mailbox, type the mailbox to log on to. If the replication service account does not have permissions to this mailbox, click Advanced, click Use Alternate NT Account, and then type the username, password, and domain name of an account that is permitted to log on to the mailbox.
  8. Repeat step 6 for Subscriber Organization.


Exchange Server 2003 - Set up the Replication Service

Managing Public Folders

Set up the Replication Service

To set up the inter-organizational replication service, use a utility to install the configuration file and specify the domain account name. You can then start the service from the same utility. You can also use Service Control Manager to start the replication service.

To install and start the replication service:

  1. Double-click the Exssrv.exe program saved on the publisher or subscriber server.
  2. Click Install.
  3. Type a domain account for the service to start. This can be the publisher or subscriber Windows domain account (for example, <domainname>\<username>). Typically, Replication Agent is in the same domain as the publisher.
  4. Type a password for the account.
  5. Type the path and file name of the configuration file you created.
  6. Specify if you want automatic service startup when the computer starts up.
  7. Exit the utility, and then double-click the utility to run it again.
  8. Click Start to run the service.

Note For each mailbox on the source server that you want to replicate free and busy information to, a corresponding custom recipient must exist on the destination server. The unique key that matches mailbox to custom recipient is the SMTP address of the mailbox, so these SMTP addresses must be identical.


Exchange Server 2003 - Search for a Public Folder

Managing Public Folders

Search for a Public Folder

Use the Find tab to search for public folders within the selected public folder or public folder hierarchy. You can specify a variety of search criteria, such as the folder name or age.

Note The Find tab is available at the top of the public folder tree, as well as at the folder level.

To search for a public folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Expand Folders, expand the appropriate top-level hierarchy, and then click the public folder that may contain the folder that you want.
  4. In the details pane, click the Find tab.
  5. To identify the folder you want, fill in the appropriate criteria:
    • If you know part of the folder name, you can type that information in the Name contains box.
    • If you know that a particular user or group has certain permissions on the folder, click Permissions, and then fill in the user or group name and specify the permissions. Then click OK to return to the Find tab.
    • If you know that the folder is replicated to certain servers, click Replicated to, and then select the appropriate server. Then click OK to return to the Find tab.
    • If you know that the folder was created or modified within a certain date range, in the Specify folder list, click Modified or Created, and then use the Begin date and End date lists to specify the date range.
    • If you know when the folder was created, in the Message Age list, click days or older, days or newer, or days, and then, in the Message age box, type the appropriate number of days.
  6. Click Find Now.


Exchange Server 2003 - Propagate Folder Settings

Managing Public Folders

Propagate Folder Settings

This option is available only for parent folders. Properties that you set for a parent folder can be applied to all subfolders. This option applies the settings only to the subfolders. After the parent's settings are applied, you can still change the subfolder's settings. Changing the settings on the subfolders does not affect the settings on the parent or other subfolders.

To apply the parent's settings to all subfolders:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want to work with.
  4. Right-click a parent folder, point to All Tasks, and then click Propagate setting.
  5. Select the settings you want to apply to the subfolders.


Exchange Server 2003 - Move Public Folders

Managing Public Folders

Move Public Folders

You can move a public folder to a new location within the same folder tree by cutting and pasting. You can also copy the folder or move a group of folders within a folder tree; however, you cannot move, copy, or paste a folder from one public folder tree to another.

To move a public folder:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then expand the folder tree containing the folder you want to move.
  4. Right-click the folder, and then click Cut.
  5. Click the folder that you want to move the original folder to.
  6. Right-click the details pane, and then click Paste.


Exchange Server 2003 - Maintain the Organizational Forms Library

Managing Public Folders

Maintain the Organizational Forms Library

An organization's forms library is a repository for forms commonly accessed by all users in a company. Forms enable users to enter and view information. For example, a standard supply request form can be stored in an organization form library. You can create forms from System Manager or from an Exchange client. After a form is created it is saved in the Organizational Forms Library. You can use the system folders to create libraries for other languages, set permissions for libraries, and replicate form libraries in your organization library.

Tip For more information on creating a form, see your Microsoft Outlook documentation.

To maintain the Organizational Forms Library:

  • Create Libraries for Other Languages
  • Modify a Library


Exchange Server 2003 - Create Libraries for Other Languages

Managing Public Folders

Create Libraries for Other Languages

An organizational forms library is a special type of public folder that is listed only with system folders. When you create an Organizational Forms Library, you assign a language to it. By default, foreign language clients logged on to Exchange search for forms in the library that match their language. For this reason, you should create individual libraries to hold forms that you want to be available to foreign language clients. If there is no language-specific Organizational Forms Library, the client defaults to the library on the server. You can have only one Organizational Forms Library for each language.

Note You can only create Organizational Forms Libraries in the system folders of Public Folders. Even if you have created new public folder hierarchies to work with the Organizational Forms Libraries, only Public Folders has system folders.

To create libraries for other languages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then click Public Folders.
  4. On the Exchange System Manager toolbar, click the Action menu, and then click View System Folders.
  5. In the console tree, right-click EFORMS REGISTRY, point to New, and then click Organizational Form.
  6. In Name, type a name for the folder.
  7. In E-forms language, select the appropriate language.
  8. Set any other options, such as Maintain per user read and unread information for this folder, or type a description of the library.
  9. To create copies of the folder on other servers, click Replication.
  10. To set storage limits on forms, click Limits.


Exchange Server 2003 - Modify a Library

Managing Public Folders

Modify a Library

Use the Public Folder system folders to select other languages, set permissions, or create e-mail addresses for your organization library.

To modify a library:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. In the console tree, expand Folders, and then click Public Folders.
  4. On the Exchange System Manager toolbar, click the Action menu, and then click View System Folders.
  5. In the details pane, double-click EFORMS REGISTRY.
  6. Right-click the library you want to modify, and then click Properties.
  7. You can:
    • Configure Folder Appearance in Address Book
    • Configure Mail-Related Properties
    • Set Permissions
    • Create E-mail Addresses
    • Change the Simple Display Name


Exchange Server 2003 - Set Public Folder Referrals

Managing Public Folders

Set Public Folder Referrals

When a user connects to a public folder store that does not contain a copy of the content the user is looking for, the user is redirected to another store that has a copy of the content. You can use public folder referrals to control this redirect traffic (this is similar to public folder affinity in Exchange 5.5).

Using the default configuration, Exchange attempts to redirect the user to a server within the local routing group. If none of those servers has the required content, Exchange follows the organization's routing group structure to look for an appropriate server.

In Exchange Server 2003, you can create a list of specific servers among which referrals are allowed. For example, you can limit referrals to a single routing group, or only allow referrals between certain servers in each routing group. You can also assign "costs" to prioritize the servers in your referral list.

To configure public folder referrals:

  • Add or remove referral servers
  • Modify the cost of a referral


Exchange Server 2003 - Add or Remove Referral Servers

Managing Public Folders

Add or Remove Referral Servers

To specify a list of referral servers:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Expand Servers, right-click the server for which you want to customize referral information, and then click Properties.
  4. In the Properties dialog box, click the Public Folder Referrals tab.
  5. Click Public folder referral options, and then click Use custom list.
  6. To specify a server for the referral list, click Add and then select a server from the list of available servers. Click OK to return to the Public Folder Referrals tab.

    7. Note To remove a server from the referral list, click the server and then click Remove.


Exchange Server 2003 - Modify the Cost of a Referral

Managing Public Folders

Modify the Cost of a Referral

Use costs to prioritize servers in the referral list. Higher-cost servers will be used only if lower-cost servers are not available.

To specify relative costs for servers in the referral list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. If administrative groups are displayed, expand Administrative Groups, and then expand the group you want to work with.
  3. Expand Servers, right-click the server for which you want to customize referral information, and then click Properties.
  4. In the Properties dialog box, click the Public Folder Referrals tab.
  5. Click a server in the list, and then click Modify.
  6. Specify a cost for the server, and then click OK to return to the Public Folder Referrals tab.


Exchange Server 2003 - Message Routing

Message Routing

Message Routing

Use the following sections to learn about the comprehensive routing solution Microsoft Exchange 2003 provides to ensure that messages arrive at the correct destination:

  • Configuring Message Routing. In these sections you learn about how Exchange 2003 groups one or more servers running Exchange into organizations. In all but the smallest Exchange installations, you will likely need to learn how to configure multiple computers running Exchange to work together. If you operate Exchange on a single server, the topics in this section do not apply to your organization; however, you may find these topics useful for making plans to expand your messaging network to multiple servers. More...
  • Connecting to Other Messaging Systems. In these sections you learn about using connectors between Exchange 2003 and another messaging system and about how Exchange connectors transfer messages and synchronize directory and calendar functions. You learn how to use Exchange connectors to coexist with another mail system for a short or long period of time. For example, you may only need Exchange to coexist with an existing messaging system for a short time while you migrate users from the existing messaging system to Exchange. In another case, you may want long-term coexistence to permanently connect to a branch office that has another messaging system that is not migrating to Exchange 2003. More...
  • SMTP Support. In these sections you learn about Simple Mail Transfer Protocol (SMTP), which is the Internet standard for transporting and delivering electronic messages. Although Microsoft SMTP Service is included in the Windows 2000 and Windows 2003 operating systems, you learn about how Exchange 2003 expands Microsoft SMTP Service, enhancing the basic delivery functions of the protocol without compromising its compatibility with other messaging systems. More...


Exchange Server 2003 - Configuring Message Routing

Configuring Message Routing

Configuring Message Routing

Microsoft Exchange 2003 Server is designed to serve companies of all sizes. Smaller companies can meet all of their messaging and collaboration needs using a single computer running Exchange. Larger companies may require more complex configurations, with connections between multiple computers running Exchange or between Exchange and other messaging systems.

An Exchange mail system, or organization, consists of one or more computers, or servers, on which Exchange is installed. In all but the smallest Exchange installations, you will likely need to configure multiple computers running Exchange to work together. Within some groups of computers, servers are connected by reliable, permanent connections. Groups of servers linked together in this way are called a routing group. Between routing groups, connections may be unreliable or slower.

Routing group configuration becomes necessary only when you need to connect two or more routing groups or when you install connectors to foreign messaging systems in your Exchange installation. Communication between routing groups is handled by Exchange Routing Group connectors.

After you determine the topology for your messaging system, the topics in this section provide the background information you need to connect computers running Exchange and to understand how messages are routed from one computer to another.

Note If you are operating Exchange on a single server, the topics in this section do not apply to your organization; however, you may find these topics useful for any planning you need to do to expand your messaging network to multiple servers.

Note You can add servers to routing groups only during installation. By default, every server in your organization is added to a routing group. After installation, you can move servers between routing groups to put servers with reliable connections in the same routing group.

This section contains the following topics:

  • Create a Routing Group Container
  • Create a Routing Group
  • Administer a Routing Group
  • Connect Routing Groups
  • Set Up Connectors
  • Install a Routing Group Connector
  • Install an SMTP Connector
  • Install a TCP/IP X.400 Connector
  • Install an X.25 X.400 Connector
  • Set Up an X.400 Stack
  • Specify X.400 Connector Properties
  • Specify X.400 Connector Advanced Properties
  • Specify X.400 Connector Override Properties

Answers to Frequently Asked Questions

What is the difference between an administrative group and a routing group in Exchange 2003?

In Exchange 2000 and Exchange 2003, an administrative group is a collection of Exchange servers and configuration objects that are grouped together for a common administrative purpose. A typical reason for creating an administrative group is to define a unit of access control; for example, if your organization has two sets of administrators that manage two sets of Exchange servers, you can create two administrative groups, each containing one set of servers. A routing group is a set of Exchange servers with full-time, reliable connections that communicate with each other directly.

How does routing work in Exchange 2003?

The server looks up the recipient in the Active Directory and the routing engine calculates the lowest cost route. The routing engine directs mail messages to the next server in the route using one of the available connectors. It also takes into consideration any restrictions that may apply, such as user restrictions or message size. Connector costs range between one and 100 and are assigned per address space. A connector cost represents the preference for one connector over others. Since a connector can support multiple address spaces, it may be associated with several costs.

Should I have one or more than one bridgehead server in a routing group?

If you want all mail to flow through one computer to track or archive messages, designate a single bridgehead server. If your mail traffic is light and if you have a bridgehead server that is likely to be up at all times, a single bridgehead server is adequate. You need multiple bridgehead servers for load balancing if you have heavy mail traffic, and for fault tolerance if a bridgehead server fails.

Why are Routing Group connectors preferred over SMTP and X.400 connectors?

Routing Group connectors are simpler to use because they have few parameters to configure. When you connect two Routing Group connectors, the connection works automatically and reliably. With SMTP and X.400, you need to make sure the connector is configured correctly at the source and destination; however, you can use Routing Group connectors only to connect routing groups. They cannot connect a routing group to a foreign mail system.

When should I use an SMTP connector?

Although Routing Group connectors are easier to configure, an SMTP connector offers capabilities that are unavailable with a Routing Group connector. SMTP connectors allow you to connect to foreign mail systems or SMTP hosts on the Internet, designate a smart host, enable custom authentication and encryption for the connection, specify remotely triggered mail delivery, and set message size limits.

When should I use an X.400 connector?

Generally, you use an X.400 connector only to connect to existing X.400 mail systems.

How many connectors can I have in a routing group?

You can create as many connectors as you want in a routing group and have as many connectors as you want on a single server. Each X.400 connector can only have a single local bridgehead server and a single remote bridgehead server. SMTP connectors can have multiple local bridgehead servers and multiple smart hosts (separated by semi-colons). For load balancing, however, Microsoft recommends using a single SMTP connector configured with multiple smart hosts and/or multiple local bridgeheads. Load balancing with X.400 connectors can only be achieved with multiple connectors. You may also want to configure multiple X.400 connectors to support different transport types, such as TCP/IP or X.25.


Exchange Server 2003 - Create a Routing Group Container

Configuring Message Routing

Create a Routing Group Container

Before you can create routing groups, you must have a routing group container under your administrative groups container.

To create a routing group container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Right-click the organization name, and then click Properties.
  3. On the General tab, under Administrative Views, select the Display Routing Groups check box.


Exchange Server 2003 - Create a Routing Group

Configuring Message Routing

Create a Routing Group

Microsoft Exchange 2003 Server functions as though servers in the same routing group are on a network with full-time, reliable connections, and Exchange does not attempt to make network communications more efficient between the servers. You can create the most efficient messaging system by grouping servers with full-time, reliable connections into a routing group, and then by adding connectors to link the routing group to other servers with which the connection is intermittent or unreliable.

Note Before you can create a routing group, you must create a routing group container under your administrative groups container.

To create a routing group:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Routing Groups.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
  3. Right-click Routing Groups, click New, and then click Routing Group.
  4. On the General tab, in Name, type a name for the new routing group, and then click Apply or OK.

Related Topics

Create a Routing Group Container


Exchange Server 2003 - Administer A Routing Group

Configuring Message Routing

Administer a Routing Group

During or after your Exchange deployment, you may want to move one or more servers from one routing group to another. You may also want to completely remove or rename a routing group. You may also want to move a routing group between administrative groups.

You administer routing groups in System Manager by navigating to the routing group you want to administer under Administrative Group.

This section contains the following topics:

  • Move a Server Between Routing Groups
  • Rename a Routing Group
  • Delete a Routing Group

For information about moving a routing group between administrative groups, see Move Objects Between Administrative Groups.


Exchange Server 2003 - Move a Server Between Routing Groups

Configuring Message Routing

Move a Server Between Routing Groups

To move a server from one routing group to another, drag and drop the server from the Members folder of the old routing group into the Members folder of the new routing group. Note that the routing groups must be in the same administrative group for you to move servers between them. You cannot move servers between routing groups in different administrative groups.

You cannot move a server to another routing group if one or more of its virtual servers is a bridgehead server for connectors in its current routing group. To move a server, first remove all its virtual servers from all the bridgehead server lists of all the connectors in its current routing group.

To move a server between two routing groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Expand the Members folder of the routing group to which you want to move the server.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Members
  3. Navigate to the Members folder that currently contains the server.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Members
  4. In the details pane of the Members folder that currently includes the server, select the server you want to move.
  5. Drag the selected server to Members in the new routing group.

Note You can add servers to routing groups only during installation. By default, every server in your organization is added to a routing group. After installation, you can move servers between routing groups to place servers with reliable connections in the same routing group.


Exchange Server 2003 - Rename a Routing Group

Configuring Message Routing

Rename a Routing Group

You can assign any name, up to 255 characters in length, to a routing group. You can also change the name of a routing group at any time.

To rename a routing group:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Routing Groups.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
  3. Right-click the routing group you want to rename, and then click Rename.
  4. Type a new name for the routing group.
  5. Press Enter.


Exchange Server 2003 - Delete a Routing Group

Configuring Message Routing

Delete a Routing Group

Before you can delete a routing group, you must move all member servers to another routing group.

To delete a routing group:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Routing Groups.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
  3. Right-click a routing group, and then click Delete.
  4. Click Yes to confirm that you want to delete the routing group.


Exchange Server 2003 - Connect Routing Groups

Configuring Message Routing

Connect Routing Groups

Communication between two routing groups is handled by Exchange connectors. You can connect routing groups using three types of connectors

  • Routing Group connector (preferred)
  • SMTP connector
  • X.400 connector

To create adequate load balancing and fault tolerance, you can configure multiple connectors between two routing groups.

Related Topics

Install a Routing Group Connector Install an SMTP Connector Install a TCP/IP X.400 Connector Install an X.25 X.400 Connector


Exchange Server 2003 - Set Up Connectors

Configuring Message Routing

Set Up Connectors

There are three kinds of connectors for routing groups: Routing Group connectors, SMTP connectors, and X.400 connectors. The Routing Group connector is the preferred connector for linking routing groups together because it is the simplest to configure. SMTP connectors provide messaging connectivity between an Exchange message system and a non-Exchange system (or the Internet) using the SMTP protocol. X.400 connectors provide an X.400 messaging route between Exchange and another X.400 system.

For each connector used between routing groups, you can specify additional information, including restrictions on message addressees and connector costs. For SMTP and X.400 connectors, you can specify the domains, addresses, or routing groups to which you want to connect. For Routing Group connectors, you can specify a remote bridgehead server, which contains the names of the servers available in the remote routing group.

You can use SMTP and X.400 connectors to connect to foreign messaging systems and Exchange routing groups. You can use Routing Group connectors only to connect to Exchange routing groups.

This section contains the following topics:

  • Specify Public Folder Referrals
  • Specify Accepted and Rejected Message Senders
  • Specify an Administrative Note
  • Specify Connector Cost
  • Specify Content Restrictions
  • Remove Connectors
  • Add or Remove Remote Bridgeheads for Routing Group Connectors
  • Manage Address Spaces for SMTP and X.400 Connectors
  • Specify Connected Routing Groups for SMTP and X.400 Connectors
  • Specify Scope for SMTP and X.400 Connectors


Exchange Server 2003 - Specify Public Folder Referrals

Configuring Message Routing

Specify Public Folder Referrals

In Exchange 2000 and later, public folder affinities are transitive, meaning that if an affinity exists between site1 and site2 and between site2 and site3, an affinity automatically exists between site1 and site3. In Exchange 5.5 and earlier versions, public folder affinity is not transitive.

In a typical Exchange 2000 or Exchange 2003 organization, all routing groups should be connected efficiently for mail-flow. Because public folder affinity is transitive, if you allow public folder referrals, then public folder referrals are available to all other servers in the connected routing groups. You can avoid this by restricting public folder referrals. By default, public folder referrals are allowed on connectors.

To specify public folder referrals:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the General tab.
  5. Select or clear the Do Not Allow Public Folder Referrals check box. By default, public folder referrals are allowed.


Exchange Server 2003 - Specify Accepted and Rejected Message Senders

Configuring Message Routing

Specify Accepted and Rejected Message Senders

The options on the Delivery Restrictions tab of a connector's properties enable you to accept or reject messages from any sender listed in the directory; for example, if a sender's address is in the Reject messages from details list, any messages from that sender are returned to the sender.

Note Delivery restrictions are optional. The default is to accept all messages from all senders.

To specify message senders to accept or reject:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click the connector you want, and then click Properties.
  4. Click the Delivery Restrictions tab.
  5. Select one of the By default, messages from everyone are options. If you select Accepted, all messages from all senders are accepted except for messages from senders you specify as rejected in Reject messages from. If you select Rejected, all messages from all senders are rejected except for messages from senders you specify as accepted in Accept messages from.
  6. To specify message senders to accept or reject, under Accept messages from or Reject messages from, click Add.
  7. In the Select Recipient list, select any entry or type the name of the sender you want. You can enter multiple names by using semicolons as separators between the names.


Exchange Server 2003 - Specify an Administrative Note

Configuring Message Routing

Specify an Administrative Note

You can use an optional administrative note to keep track of information concerning a connector.

To specify an administrative note:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Details tab.
  5. In Administrative Note, type an optional note of up to 1024 characters.


Exchange Server 2003 - Specify Connector Cost

Configuring Message Routing

Specify Connector Cost

The cost associated with each connector is used to optimize message routing but does not cause non-delivery of mail. Messages are routed according to lowest cost, but message are never returned because of the cost. If two or more routes are available with the same cost, the load is distributed as equally as possible between them. Routing cost values range from 1 to 100.

To specify the connector cost:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. For SMTP and X.400 connectors, click the Address Space or Connected Routing Groups tab. If you select Connected Routing Groups, click Add or Modify. On the Routing Address tab of the Properties dialog that appears, type a value in Cost. If you select Address Space, click Add and then select an address type, or click Modify. On the General tab of the Properties dialog that appears, type a value in Cost.

    - OR -

    For Routing Group connectors, click the General tab, and then in Cost, type a value.


Exchange Server 2003 - Specify Content Restrictions

Configuring Message Routing

Specify Content Restrictions

You can use content restrictions to specify the priority and types of outgoing messages that can be delivered through a connector. You can also specify a maximum message size.

To specify content restrictions:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Content Restrictions tab.
  5. Under Allowed priorities, select or clear any combination of the High, Normal, or Low check boxes to specify priorities for outgoing messages that will be delivered through the connector. By default, all messages with any priority will be delivered. If you clear one of the check boxes, no messages with that priority will be delivered through the connector. For example, if you clear the Low check box, no messages with low priority will be delivered through the connector.
  6. Under Allowed types, select or clear any combination of the System messages or Non-system messages check boxes to specify types of messages that will be delivered through this connector. By default, all message types will be delivered. System messages are messages from the Exchange or Windows 2000 system, rather than messages from users. Examples of system messages are directory replication messages, public folder replication messages, Exchange Monitoring Tool messages, delivery reports, and non-delivery reports. Non-system messages are messages from users, groups, and contacts.
  7. Under Allowed sizes, you can set a maximum size for outgoing messages delivered through a connector. Select the Only messages less than (KB) check box, and then enter the maximum message size in kilobytes in the text box. By default, there is no limit on message size.


Exchange Server 2003 - Remove Connectors

Configuring Message Routing

Remove Connectors

You can remove a connector at any time. Note that you are not warned of the connections you are breaking; you are simply prompted to verify that you want to remove the connector.

To remove a connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click the connector you want to delete, and then click Delete.
  4. Click Yes to confirm that you want to delete the connector.

Related Topics

Move a Server Between Routing Groups


Exchange Server 2003 - Add or Remove Remote Bridgeheads for Routing Group Connectors

Configuring Message Routing

Add or Remove Remote Bridgeheads for Routing Group Connectors

At any time, you can add or remove the remote bridgehead servers that are connected to your routing group with a Routing Group connector. Routing Group connectors require you to specify a remote bridgehead server in the routing group to which you are connecting.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a Routing Group connector, and then click Properties.
  4. Click the Remote Bridgehead tab.
  5. To remove an entry, select the entry in the list, and then click Remove.
  6. To add an entry, click Add, select a remote bridgehead server from the list of servers that appears. The list of available servers is created from the member servers in the routing group to which you are connecting.


Exchange Server 2003 - Manage Address Spaces for SMTP and X.400 Connectors

Configuring Message Routing

Manage Address Spaces for SMTP and X.400 Connectors

Use the Address Space tab to define the type and format of addresses that identify messages to another site or foreign system. Each entry is called an address space and contains only as much of the address as is necessary to distinguish messages that are sent through the connector. Address spaces are used only with SMTP and X.400 connectors, not with Routing Group connectors. Note that for SMTP and X.400 connectors you must specify either an address space or a connected routing group.

To modify, remove, or add an address space:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Address Space tab.
  5. To change or remove an entry, select the entry in the list, and then click Modify or Remove.
  6. To add an entry, click Add, select an address type, and in the Properties dialog that appears, type all necessary information, including cost.

Note The cost associated with each address space is used to optimize message routing to the foreign system, but does not cause non-delivery of mail. Messages are routed according to lowest cost, but messages are never returned because of the cost. If two or more routes are available with the same cost, the load is distributed as equally as possible between them. Routing cost values range from 1 to 100.

This section contains the following topics:

  • Add an Address Space
  • Delete an Address Space
  • Edit an Address Space


Exchange Server 2003 - Specify Connected Routing Groups for SMTP and X.400 Connectors

Configuring Message Routing

Specify Connected Routing Groups for SMTP and X.400 Connectors

At any time, you can add, modify, or remove Exchange routing groups that are connected to your routing group with an SMTP or X.400 connector. All connected routing groups must be in the same organization. Each connected routing group is specified by an administrative group name and a routing group name on the remote server. The remote server must be an Exchange server, so that the naming conventions are known. You can specify several connected domains for each SMTP or X.400 connector.

To specify connected routing groups for SMTP and X.400 connectors:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Connected Routing Groups tab.
  5. To remove a connected routing group, select it in the list, and then click Remove.
  6. To change a connected routing group, the routing group's address, or its connection cost, select the routing group in the list, and then click Modify. In the Properties dialog box that appears, on the General tab, select a Routing Group to connect to from the list of available routing groups in the organization. Routing groups are identified by administrative group name and a routing group name. On the Routing Address tab, modify the SMTP or X.400 address properties or the Cost.
  7. To add a connected routing group, click Add. In the Properties dialog box that appears, on the General tab, select a Routing Group to connect to from the list of available routing groups in the organization. Routing groups are identified by administrative group name and a routing group name. A default address for the routing group is calculated automatically. To change this address, on the Routing Address tab, for an SMTP connector, type the E-mail domain and Cost. The e-mail domain name is 1 to 255 characters, composed of the host name and Internet domain name, for example, nwtraders.com. The recipient and domain name are separated by an at (@) sign, for example, suzan@nwtraders.com. For an X.400 connector, type any of the following: Organization (o) name, Organizational unit (ou) name, Private management domain name (p), Administrative management domain name (a), and select a Country/Region (c) from the drop down list. When you are done, your X.400 address space might look like this: p=Microsoft;o=NorthAmerica;a=mycarrier;c=US. For either type of connector, enter a cost value between 1 and 100. The default cost is 1.


Exchange Server 2003 - Specify Scope for SMTP and X.400 Connectors

Configuring Message Routing

Specify Scope for SMTP and X.400 Connectors

You can use scope to control whether messages from a routing group can travel through the connector. The scope of an SMTP or X.400 connector determines the connector's availability to servers within your organization. You can make a connector available to your entire organization or you can restrict its use to a routing group; for example, you may specify a certain connector for a routing group that includes Los Angeles and Tokyo, but not allow other servers in your company to use the connector because it's more expensive.

To specify an SMTP or X.400 connector's scope:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click an SMTP or X.400 connector, and then click Properties.
  4. Click the Address Space tab.
  5. Under Connector Scope, select Entire organization or Routing group.


Exchange Server 2003 - Install a Routing Group Connector

Configuring Message Routing

Install a Routing Group Connector

Because it is the simplest connector to configure, the Routing Group connector is the preferred connector for linking routing groups together.

A Routing Group connector can have single or multiple local (source) bridgehead servers, or no local bridgehead server defined. If you want all mail to flow through one computer for the purpose of tracking messages or archiving, a single local bridgehead server is appropriate. Multiple local bridgehead servers provide load balancing or fault tolerance in the event of a bridgehead server failure. Using bridgehead servers helps you control which servers send and receive messages between routing groups. To configure all servers in a routing group to act as local bridgehead servers, don't define a local bridgehead server. You must define a remote (destination) bridgehead server in the routing group to which you are connecting.

To install a Routing Group connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click Connectors, click New, and then click Routing Group Connector.
  4. On the General tab, in Name, type the connector name.
  5. In the Connect this Routing Group with list, select a routing group.
  6. If you do not want to specify a local bridgehead server, select the Any local server can send mail over this connector radio button. If you select this option, all servers in a routing group will then act as local bridgehead servers. This is the default.
  7. If you want to specify local bridgehead servers, select the These servers can send mail over this connector option, and specify local bridgehead servers by clicking Add, selecting a local bridgehead server from the list of servers in the routing group, and then clicking OK. You can select multiple local bridgehead servers by holding down the SHIFT key.
  8. On the Remote Bridgehead tab, click Add.
  9. Select the remote bridgehead server from the list of servers in the routing group to which you are connecting. Note that you must specify a remote bridgehead server.

This section contains the following topics:

  • Configure Routing Group Connector Delivery Options


Exchange Server 2003 - Configure Routing Group Connector Delivery Options

Configuring Message Routing

Configure Routing Group Connector Delivery Options

On a Routing Group connector's Delivery Options tab, you can specify when messages are sent through the connector and define a separate delivery schedule for large messages.

To configure Routing Group connector delivery options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click a routing group connector, click Properties, and then click the Delivery Options tab.
  4. To specify times when messages are sent through the connector, under Connection Time, select one of the standard values in the drop-down list. The default is Always run.

    5. - OR -

    Click Customize and select the appropriate connection times on the timetable grid. To change the level of detail on the grid, in Detail view, select 1 hour or 15 Minutes.

  5. To specify delivery times based on message size, select Use different delivery times for oversize messages. In Oversize messages are greater than (KB), type the size, in kilobytes, of messages you want to designate as oversized. Under Connection time, specify times when oversize messages are sent, as described in the previous step.


Exchange Server 2003 - Install an SMTP Connector

Configuring Message Routing

Install an SMTP Connector

You can deploy an SMTP connector for use between Exchange and other SMTP-compatible messaging systems such as UNIX sendmail or other SMTP hosts on the Internet. SMTP connectors link one or more bridgehead servers directly to a smart host or to a remote server on which recipient addresses are stored. Typically, when connecting to a non-Exchange system, a Domain Name System (DNS) mail exchanger record is set up to point to one or more servers in the non-Exchange system. The SMTP connector then uses that mail exchanger record to send messages to one or more servers in the order defined in the mail exchanger record.

To install an SMTP connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click Connectors, select New, and then select SMTP Connector.
  4. On the General tab, type the name of the connector. The name is usually the name of the routing group to which you are connecting.
  5. On the General tab, select Use DNS to route to each address space on this connector, which specifies the address to use in mail exchanger records, or select Forward all mail through this connector to following smart host, and then type the name or IP address of the server through which you would like to route messages for this remote domain. This value overrides the smart host setting on the Delivery tab of the SMTP virtual server properties.

    Note You can identify the smart host by a fully qualified domain name or an IP address (but if you change the IP address you will also have to change it on every virtual server). If you use an IP address, enclose it in brackets, [ ], to increase system performance. Microsoft SMTP Service first checks for a server name and then checks for an IP address. The brackets identify the value as an IP address, so the DNS lookup is bypassed.

    Tip You can configure multiple smart hosts on a connector, provided they are separated by commas or semi-colons. Microsoft recommends using multiple smart hosts for load balancing purposes. In the event a smart host fails, the connector can use a different smart host.

  6. On the General tab, under Local Bridgeheads, click Add, and then select a local bridgehead server from the list.
  7. On the Address Space tab, click Add. Select an address type, and then type all necessary information in Properties, including cost.

      8. - OR -

    On the Connected Routing Groups tab, click New. On the General tab, in Organization, type the name of the organization that contains the routing group to which you want to connect, and then, in Routing Group, type the name of the routing group to which you want to connect. The organization must exist on an Exchange server so that the naming conventions are known. On the Routing Address tab, type the e-mail domain name of the organization to which you want to connect and, then type a cost between 1 and 100.

    This section contains the following topics:

    • Configure SMTP Delivery Options
    • Configure SMTP Outbound Security
    • Configure SMTP Advanced Options
    • Modify the Default SMTP Recipient Address


Exchange Server 2003 - Configure SMTP Delivery Options

Configuring Message Routing

Configure SMTP Delivery Options

On an SMTP connector's Delivery Options tab, you can specify when messages are sent through the SMTP connector and define a separate delivery schedule for large messages. In addition, the SMTP Service can hold mail for clients that connect periodically to download messages. In this case, the client issues a TURN or ATRN command. The remote SMTP Service then sends messages to the domain that issued the TURN or ATRN command. You can create a remote domain for an address that periodically reviews messages and enable TURN or ATRN for the domain.

To configure SMTP delivery options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click an SMTP connector, click Properties, and then click the Delivery Options tab.
  4. To specify times when messages are sent through the SMTP connector, under Connection Time, select one of the standard values in the drop-down list. The default is Always run.

    5. - OR -

    Click Customize and select the appropriate connection times on the timetable grid. To change the level of detail on the grid, in Detail view, select 1 hour or 15 Minutes.

  5. To specify delivery times based on message size, select Use different delivery times for oversize messages. In Oversize messages are greater than (KB), type the size, in kilobytes, of messages you want to designate as oversized. Under Connection time, specify times when oversize messages are sent, as described in the previous step.
  6. To enable or disable holding mail for clients that connect periodically to download messages, select Queue messages for remote triggered delivery. Click Add or Remove as necessary, to select Windows 2000 accounts that can trigger delivery in this domain.

Related Topics

Configure SMTP Outbound Security


Exchange Server 2003 - Configure SMTP Outbound Security

Configuring Message Routing

Configure SMTP Outbound Security

You can configure the SMTP connector to provide the authentication credentials required by the remote domain. There are two types of authentication available: Basic (clear text) and Integrated Windows authentication. With Basic authentication, the account name and password of the server to which you are connecting is transmitted in clear text. The Integrated Windows authentication option requires a Windows account name. You can also disable authentication, which is the default option.

The outbound security you select on the SMTP connector overrides the SMTP virtual server authentication setting on the Access tab. The following table describes several configuration examples

SMTP Connector Transmissions | Authentication Option
Messages are commonly sent to multiple addresses. | Disable authentication for the SMTP connector. If attempts to deliver messages to an address fail because of authentication requirements, add a remote domain for the address. Then enable authentication for the domain at the same level required by the server.
Messages are commonly sent to one address, which requires authentication. | Determine what level of authentication is required to connect and enable authentication for the SMTP connector using the same level of authentication. If you then want to send messages to other addresses, set up remote domains and set different authentication options. If you use this option, it is likely that the account name used is the one that identifies the computer set up as the smart host.

To configure SMTP outbound security:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click an SMTP connector, click Properties, and then click the Advanced tab.
  4. Click Outbound Security.
  5. To disable authentication for outgoing messages, select Anonymous access. This is the default.
  6. To set basic authentication for outgoing messages, select Basic authentication, and then click Modify. In the Outbound Security Connection Credentials dialog box, in User, type the user name of the account of the computer to which you're connecting. In Password, type the password of the account. In Confirm password, re-enter the password.
  7. To set Windows system security for outgoing messages, select Integrated Windows authentication, and then click Modify. In the Outbound Connection Credentials dialog box, in Account, type the Windows account name to which you're connecting, or click Browse and select the Windows account name from the list. In Password, type the password of the account. In Confirm password, re-enter the password.
  8. To enable Transport Layer Security (TLS) encryption for a remote domain, select TLS encryption. TLS is a privacy protocol that uses a smart card or certificate. This requires smart card or certificate authentication on the remote computer. For more information, see your Windows 2000 documentation.

Note If the remote domain does not support TLS encryption, all messages are returned with a non-delivery report (NDR).

Related Topics

Configure SMTP Delivery Options Choose Authentication Methods


Exchange Server 2003 - Configure SMTP Advanced Options

Configuring Message Routing

Configure SMTP Advanced Options

In addition to the standard SMTP specification, there is an update called Extension to SMTP (ESMTP). Not all mail servers are capable of using ESMTP, but it is becoming increasingly common. The SMTP sender starts a session by issuing one of two start commands, HELO for SMTP and EHLO for ESMTP. The type of start command determines whether SMTP or ESMTP is used for the session. Because some servers cannot use ESMTP, you can configure Exchange to send the HELO command to specified domains through the SMTP connector.

To save money, many small companies maintain transient connections to their service providers. In addition, sometimes the client (the SMTP sender) depends on mail arriving quickly. Forcing the queues on the server belonging to the client's service provider can be more desirable than waiting for a timeout to occur and the connection to be retried. The TURN and ETRN commands allow the client to request that a remote server start processing its mail queues for messages to the client that are waiting at the server. If there are messages for the client at the server, the server sends the messages at that time.

If you choose to request remote servers to dequeue mail, messages sent to a client through the client's service provider are held until a TURN or ETRN command is received. The ETRN command is more secure than the TURN command because it requests that the server start a new connection aimed at the specified client. Thus, the server is more likely to communicate with the correct SMTP client.

To configure SMTP advanced options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click an SMTP connector, click Properties, and then click the Advanced tab.
  4. To send the HELO start message, and use standard SMTP and not extended SMTP, select Send HELO instead of EHLO.
  5. To configure outbound security, click Outbound Security, and then select the appropriate parameters.
  6. To prevent requests on the SMTP connector for remote servers to process the mail in their queues, select Do not send ETRN/TURN. This option is the default.
  7. To specify that dequeing requests are sent with the message, select Request ETRN/TURN when sending messages. If you choose this option, you can also request dequeuing at certain times by selecting the Additionally request mail at specified times check box, and then choosing dequeuing times under Connection time.
  8. To request dequeuing from a server other than the one to which the message is sent, select Request ETRN/TURN from different server, and then, under Server, type the server name.
  9. If you have not disabled dequeuing, to request dequeuing at certain times, under Connection Time, select one of the standard values in the drop-down list, or click Customize, and then select the appropriate connection times on the timetable grid.
  10. To specify the ETRN or TURN command for dequeuing, under Specify how to request that remote servers dequeue mail, select Issue ETRN or Issue TURN. To specify the domains for which the ETRN command should be issued, under Issue ETRN, click Domains, and then add the domains.

Related Topics

Configure SMTP Outbound Security


Exchange Server 2003 - Modify the Default SMTP Recipient Address

Configuring Message Routing

Modify the Default SMTP Recipient Address

Default SMTP addresses for Exchange mailboxes are created according to the default recipient policy, an example of which is suzan@nwtraders.com.

To modify the default SMTP recipient address:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Recipient Policies.

    System Manager

    1. Recipients
    2. Recipient Policies
  3. In the details pane, right-click Default Policy, click Properties, and then click the E-Mail Addresses tab.
  4. Under Generation rules, select SMTP, and then click Edit.
  5. In Address, type the new default SMTP recipient address.

Related Topics

Configure SMTP Outbound Security


Exchange Server 2003 - Install a TCP/IP X.400 Connector

Configuring Message Routing

Install a TCP/IP X.400 Connector

Important Before creating an X.400 connector, you must install the corresponding MTA TCP/IP X.400 transport stack.

An X.400 connector is provided primarily to enable connection to foreign X.400 message systems and service providers. For X.400 connectors, you can define only a single host for the local and remote bridgehead servers. For the TCP/IP X.400 connector, you use the Stack tab to specify the remote server to which you are connecting.

To install a TCP/IP X.400 connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click Connectors, click New, and then select TCP X.400 Connector.
  4. On the General tab, in Name, type the connector name that is displayed in System Manager.
  5. On the General tab, under Remote X.400 name, click Modify. In Remote Connection Credentials, in Remote X.400 name, type the name of the remote X.400 connector on the remote server (the remote connector name defaults to the remote server name). In Password, type the password for the remote X.400 connector. In Confirm password, re-type the password.
  6. On the Address Space tab, click Add. Select an address type, and then in Address Properties, type all necessary information, including cost.

      7. - OR -

    On the Connected Routing Groups tab, click Add. On the General tab, in Organization, type the name of the organization that contains the routing group to which you want to connect, and then, in Routing Group, type the name of the routing group to which you want to connect.

    Note The organization must exist on an Exchange server so that the naming conventions are known. You can also type address space information and cost on the Routing Address tab. By default, the address space is created from the organization and routing group names, and the cost is 1.

  7. If the remote system is not an Exchange server, on the Advanced tab, clear the Allow Exchange contents check box. If you don't clear the check box, addresses on messages are in domain name form and not in X.400 form, and replies are not possible.
  8. On the Stack tab, select Remote host name or IP Address, and then in Address, type the Domain Name System (DNS) name of the remote X.400 server to which you are connecting or enter the remote server's IP address.
  9. (Optional) To limit message size, on the Content Restrictions tab, in Allowed sizes, select the Only messages less than (KB) check box, and then type in a maximum message size in kilobytes.

  10. (Optional) To further define the connector address in cases where other services or applications are using the same transport stack, on the Stack tab, click OSI to type OSI address information.

Related Topics

Create a TCP/IP X.400 Stack Specify OSI Address Information Install an X.25 X.400 Connector


Exchange Server 2003 - Install an X.25 X.400 Connector

Configuring Message Routing

Install an X.25 X.400 Connector

Important Before creating an X.400 connector, you must install the corresponding MTA X.25P X.400 transport stack.

You use an X.25 X.400 connector to connect to an X.25 device. For an X.25 connector, you must know the X.121 address of the remote server. The X.121 address is the X.25 equivalent of a phone number. You specify the X.121 address on the Stack tab.

To install an X.25 X.400 connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click Connectors, click New, and then select X.25 X.400 Connector.
  4. On the General tab, in Name, type the connector name that is displayed in System Manager.
  5. On the General tab, under Remote X.400 name, click Modify. In Remote Connection Credentials, in Remote X.400 name, type the name of the remote X.400 connector on the remote server (the remote connector name defaults to the remote server name). In Password, type the password for the remote X.400 connector. In Confirm password, re-type the password.
  6. On the Address Space tab, click Add. Select an address type, and then in Address Properties, type all necessary information, including cost.

      7. - OR -

    On the Connected Routing Groups tab, click New. On the General tab, in Organization, type the name of the organization that contains the routing group to which you want to connect, and then, in Routing Group, type the name of the routing group to which you want to connect.

    Note The organization must exist on an Exchange server so that the naming conventions are known. You can also optionally type address space information and cost on the Routing Address tab. By default, the address space is created from the organization and routing group names, and the cost is 1.

  7. If the remote system is not an Exchange server, on the Advanced tab, clear the Allow Exchange contents check box. If you don't clear the check box, addresses on messages are in domain name form and not in X.400 form, and replies are not possible.
  8. On the Stack tab, in X.121 address type the X.121 address of the remote server as specified in the X.25 network service setup.
  9. (Optional) To specify additional connection data required by the X.25 provider, on the Stack tab, in Call user, type the additional information. In Facilities, type options you want from the X.25 provider, such as /r for the reversal of charges.
  10. (Optional) To further define the connector address in cases where other services or applications are using the same transport stack, on the Stack tab, click OSI to type OSI address information.

Related Topics

Create an X.25 X.400 Stack Specify OSI Address Information Install a TCP/IP X.400 Connector


Exchange Server 2003 - Set Up an X.400 Stack

Configuring Message Routing

Set Up an X.400 Stack

An X.400 transport stack contains configuration information about network software such as TCP/IP network services and hardware such as X.25 port adapter or dial-up connection on the computer running Exchange. Network software and hardware are responsible for routing messages between two Exchange routing groups or between an Exchange routing group and a foreign X.400 system. You can install multiple transport stacks and X.400 connectors on different servers in the same routing group to provide load balancing and fault-tolerance for the remote X.400 system.

Before installing an X.400 connector, you must determine which type of transport stack you need to connect to the remote X.400 system. Once you know which type you need, you can create the necessary transport stack.

To set up an X.400 stack:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to X.400.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Servers
    4. Server
    5. Protocols
    6. X.400
  3. Right-click X.400, click New, and then select a transport stack.

Note that you specify the names of remote X.400 connectors in the properties of the local X.400 connector, but you specify the local X.400 connector name by right-clicking X.400 and selecting Properties. The default local X.400 connector name is the name of the local server.

This section contains the following topics:

  • Create a TCP/IP X.400 Stack
  • Create an X.25 X.400 Stack


Exchange Server 2003 - Create a TCP/IP X.400 Stack

Configuring Message Routing

Create a TCP/IP X.400 Stack

You use a TCP/IP X.400 service MTA stack with an X.400 connector to connect an Exchange server to another system. The server on which you install the stack processes all messages from TCP/IP X.400 connectors that reference the stack.

The advantage of a TCP/IP X.400 connector is that it enables you to run X.400 messaging systems on a TCP/IP network. Because TCP/IP X.400 messaging systems are the most common messaging systems, there is a greater probability that a remote messaging server supports TCP/IP than the other X.400 connector types.

To create a TCP/IP X.400 stack:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to X.400.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Servers
    4. Server
    5. Protocols
    6. X.400
  3. Right-click X.400, click New, and then click TCP/IP X.400 Service Transport Stack.
  4. On the General tab, type a name for this transport stack. The default is TCP (servername). You cannot change this name after you create the stack.
  5. (Optional) To further define the connector address for cases in which other services or applications are using the same transport stack, on the General tab, click OSI to type OSI address information. For the display of the address information, select Hexadecimal or Text. Type hexadecimal characters or text characters for the T selector (transport service access point), S selector (session service access point), and P selector (presentation service access point).
  6. (Optional) To add notes regarding administration of this stack, such as details about the remote system, on the Details tab, in Administrative note, type pertinent information.
  7. (Optional) After you create the X.400 stack, you can view the connectors that are using the stack by viewing the Connectors tab. You can only delete a stack when no connectors are using it. Thus, before you delete a stack you must either delete the connectors using it or configure them to use a different stack. By viewing the Connectors tab, you do not need to check all your connectors to see if they are using the stack.


Exchange Server 2003 - Create an X.25 X.400 Stack

Configuring Message Routing

Create an X.25 X.400 Stack

You use an X.25 X.400 service MTA stack with an X.400 connector to connect an Exchange server to another system. The server on which you install the stack processes all messages from X.25 X.400 connectors that reference the stack.

The advantage of an X.25 X.400 service stack is that you can support existing X.25 protocols. The disadvantage of an X.25 X.400 service stack is that you must verify that local and remote bridgehead servers and routers can support the X.25 protocol.

To create an X.25 X.400 stack:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to X.400.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Servers
    4. Server
    5. Protocols
    6. X.400
  3. Right-click X.400, click New, and then click X.25 X.400 Service Transport Stack.
  4. On the General tab, type a name for this transport stack in the Name box. The default is X.25 (servername). You can edit this name only when creating a new transport stack.
  5. (Optional) To enter the X.121 address of the remote server as specified in the X.25 network service setup, on the General tab, in X.121 address, type the X.121 address.
  6. (Optional) To specify additional connection data required by the X.25 provider, on the General tab, in Call user data, type the additional information. In Facilities, type options you want from the X.25 provider, such as /r for the reversal of charges.
  7. (Optional)For the display of the address information, select Hexadecimal or Text. Enter hexadecimal characters or text characters for the T selector (transport service access point), S selector (session service access point), and P selector (presentation service access point).
  8. (Optional) To specify the X.25 adapter port number, on the General tab, in I/O port, type a number between 0 and 255. The default is 1. The input/output (I/O) port you specify must not match the value of any other X.25 X.400 transport stack on the same server.
  9. (Optional) To add notes regarding administration of this stack, such as details about the remote system, on the Details tab, in Administrative note, type pertinent information.
  10. (Optional) After you create the X.400 stack, you can view the connectors that are using the stack by viewing the Connectors tab. You can only delete a stack when no connectors are using it. Thus, before you delete a stack you must either delete the connectors using it or configure them to use a different stack. By viewing the Connectors tab, you do not need to check all your connectors to see if they are using the stack.


Exchange Server 2003 - Specify X.400 Connector Properties

Configuring Message Routing

Specify X.400 Connector Properties

You can use an X.400 connector to establish an X.400 messaging route between two Exchange routing groups or between an Exchange routing group and a foreign X.400 system. An X.400 messaging route defines the path that an X.400 message follows to reach its final destination. You can configure multiple X.400 connectors to support different transport types, such as TCP/IP or X.25.

This section contains the following topics:

  • Specify an X.400 Connector Name
  • Specify Connection Schedules
  • Modify the Default X.400 Recipient Address
  • Specify Text Word Wrapping
  • Specify Remote Client MAPI Support
  • Specify Remote Hosts and IP Addresses
  • Specify OSI Address Information
  • Specify Remote X.400 Name and Password
  • Specify X.400 Connector Advanced Properties
  • Specify X.400 Connector Override Properties


Exchange Server 2003 - Specify an X.400 Connector Name

Configuring Message Routing

Specify an X.400 Connector Name

You specify an X.400 connector name when you create a new connector. This is the name displayed for the connector in System Manager. After you create the connector, you can change the connector's name in System Manager.

To specify an X.400 connector name:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
    6. Connector
  3. Right-click a connector, and then click Rename.
  4. Type the new name for the connector.


Exchange Server 2003 - Specify Connection Schedules

Configuring Message Routing

Specify Connection Schedules

The Schedule tab allows you to specify when and how often an X.400 connector initiates a connection to the remote X.400 system. This schedule defines only the frequency of connections the local routing group initiates, and not frequency of connections originating from another routing group or foreign X.400 system.

To specify connection schedules:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Schedule tab, and then click Never, Always, Selected times, or Remote initiated to specify this connector's availability.
  5. To specify times when the X.400 connector initiates a connection, click the Selected times option, then highlight the appropriate times on the timetable grid. You can highlight areas on the time table grid by holding down the left mouse button and dragging the mouse over the areas of the table you want to highlight. Shaded areas represent selected time periods. Within a highlighted area, you can clear certain times, by holding down the left mouse button and dragging the mouse again.

    6. To change the level of detail of the grid, in Detail view, select 1 hour or 15 Minute.


Exchange Server 2003 - Modify the Default X.400 Recipient Address

Configuring Message Routing

Modify the Default X.400 Recipient Address

Default X.400 addresses for Exchange mailboxes are created according to the default recipient policy.

To modify the default X.400 recipient address:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Recipient Policies.

    System Manager

    1. Recipients
    2. Recipient Policies
  3. In the details pane, right-click Default Policy, click Properties, and then click the E-Mail Addresses tab.
  4. Under Generation rules, select X.400, then click Edit.
  5. In X.400 Address, type the new default X.400 address parameters in the appropriate fields.


Exchange Server 2003 - Specify Text Word Wrapping

Configuring Message Routing

Specify Text Word Wrapping

You can set the maximum line length of text in your messages sent through TCP/IP and X.25 X.400 connectors. By default, there is no limit on line length and message text is not word wrapped.

To specify text word wrapping:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a TCP/IP or X.25 X.400 connector, and then click Properties.
  4. Click the General tab.
  5. In Message text word-wrap, click At Column, and then type the maximum line character count. By default, text is not word wrapped.


Exchange Server 2003 - Specify Remote Client MAPI Support

Configuring Message Routing

Specify Remote Client MAPI Support

You can configure a TCP/IP or X.25 X.400 connector to send outbound messages with rich- text characters such as bold, color, and italic. Rich Text Format (RTF) also provides the ability to position attachments. RTF is a feature that should be used only when the recipient client software supports MAPI.

If you do not select the Remote Clients Support MAPI check box, attachments are sent to the foreign system as separate X.400 messages. RTF, icons and their rendering positions, and OLE attachments and their rendering positions are discarded before message transfer. If you select this option and the foreign system does not support MAPI, the foreign system includes an extra attachment called Winmail.dat.

To specify remote client MAPI support:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
    6. Connector
  3. Right-click a TCP/IP or X.25 X.400 connector, and then click Properties.
  4. Click the General tab.
  5. Select the Remote Clients Support MAPI check box.


Exchange Server 2003 - Specify Remote Hosts and IP Addresses

Configuring Message Routing

Specify Remote Hosts and IP Addresses

The Stack tab options on a TCP/IP X.400 connector allow you to specify transport address information about the remote X.400 system to which you want to connect. Information displayed on the Stack tab is based on the X.400 transport stack selected for the X.400 connector.

Important Information on the X.400 connector Stack tab must match the transport configuration on the remote X.400 system for the connection to work.

To specify remote hosts and IP addresses:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the Connectors node.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
    6. Connector
  3. Right-click a TCP/IP X.400 connector, and then click Properties.
  4. Click the Stack tab.
  5. Select Remote Host Name or IP Address.
  6. In Address, type the host name or IP address.


Exchange Server 2003 - Specify OSI Address Information

Configuring Message Routing

Specify OSI Address Information

With TCP/IP and X.25 X.400 connectors, you can further define the address in cases in which other applications or services are using the same transport stack.

To specify OSI address information:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a TCP/IP or X.25 connector, and then click Properties.
  4. Click the Stack tab, and then click OSI Address.
  5. In OSI Address, select Hexadecimal or Text for the display of the address information. Type hexadecimal characters or alphanumeric characters for the T selector (transport service access point), for the S selector (session service access point), and for the P selector (presentation service access point) in the corresponding boxes.


Exchange Server 2003 - Specify Remote X.400 Name and Password

Configuring Message Routing

Specify Remote X.400 Name and Password

All X.400 connections are secure connections. An X.400 connector that contacts another X.400 messaging system identifies itself within the connect request. Identification includes the name of the local X.400 connector, the local connector's password, if any, and the name and password of the remote X.400 connector. If the identification does not match the configuration of the remote X.400 connector, the connection is refused. You specify the local X.400 name and password in the X.400 transport service Properties under Protocols. You specify the remote X.400 name and password on the General tab of your local X.400 connector.

A local X.400 connector's Remote X.400 Name is the name given to the remote X.400 connector on the remote server, which defaults to the server name, and the Remote X.400 Password is the password for the remote X.400 connector, which defaults to no password. The name and password are not case-sensitive. You must retrieve the name and password of the remote X.400 connector from the administrator of the remote messaging system and type them on your connector's General tab to complete the configuration.

To specify the remote X.400 name and password:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the General tab.
  5. Under Remote X.400 Name, click Modify.
  6. In the Remote Connection Credentials dialog box, in Remote X.400 name, type the name of the remote X.400 connector on the remote server (the remote connector name defaults to the server name). In Password, type the password for the remote X.400 connector. In Confirm password, re-enter the password.

Note that the local X.400 connector name is specified in the X.400 transport service Properties under Protocols. The default local X.400 connector name is the name of the local server. You can override the local X.400 service name for TCP/IP and X.25 X.400 connectors on the Override tab.


Exchange Server 2003 - Specify X.400 Connector Advanced Properties

Configuring Message Routing

Specify X.400 Connector Advanced Properties

The Advanced tab in a TCP/IP or X.25 X.400 connector's Properties enables you to specify link options, X.400 bodypart message text, X.400 conformance, message size, and Global Domain Identifier.

To access an X.400 connector's Advanced tab:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a TCP/IP or X.25 X.400 connector, and then click Properties.
  4. Click the Advanced tab.

This section contains the following topics:

  • Specify X.400 Message Formats
  • Specify X.400 Conformance
  • Specify Global Domain Identifier


Exchange Server 2003 - Specify X.400 Message Formats

Configuring Message Routing

Specify X.400 Message Formats

An X.400 message contains a body part and a header. The body part makes up the text of the message, and the header contains address, routing, and transport information. You can specify the body part type to use for the content of a message. This body part type must be supported by the foreign system and primarily affects outbound messages. When you choose a body part type, you choose the alphabet used in the text; for example, body part type IA5 includes international alphabet number 5 (suitable for Swedish, Norwegian, German, and western European characters) and body part type International Standards Organization (ISO) 6937 includes a set of 333 characters made up of Latin script and non-spacing diacritical marks. Exchange X.400 connectors can support many text body part standards, ensuring that mail from foreign language messaging systems have a majority of their characters transferred in a displayable format.

X.400 connectors can also support a variety of file attachments as binary body parts:

  • BP14 (1984 specification)—simple transport of binary attachments.
  • BP15 (1988 specification)—X.400 standard for sending attachments.
  • FTBP (file transfer body part) (1992 specification)—for file name, size, properties, and other information.

Exchange converts other X.400 body parts to messaging application programming interface (MAPI) binary attachments.

To specify X.400 message formats:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Advanced tab.
  5. Select the Allow BP-15 (in addition to BP-14) check box to send BP-15 attachments formatted as a file transfer body part (FTBP), which includes file name, size, and properties. Clear the check box to send all attachments as BP-14 attachments (simple binary attachments).
  6. Select the Allow Exchange contents check box to send message content formatted in Exchange Server's internal format—Message Database Encapsulated Format (MDBEF)—when possible. Clear the check box to convert message format to standard P2/P22 X.400 format.
  7. Select the Two-way alternate check box to specify that the two communicating message transfer agents (MTAs) take turns sending and receiving messages.
  8. In the X.400 bodypart for message text list, select the body part type.

Note If the remote system is not an Exchange server, do not select the Allow Exchange Contents option.


Exchange Server 2003 - Specify X.400 Conformance

Configuring Message Routing

Specify X.400 Conformance

The Advanced tab options allow you to specify X.400 conformance to 1984 recommendations, 1988 X.410 recommendations, or 1988 normal recommendations. The default is conformance to 1988 normal recommendations. If you choose 1984 conformance, you must configure the remote X.400 global domain identifier.

Important X.400 conformance configuration primarily affects outbound messages; therefore, it is important that the specified X.400 conformance mode matches the conformance of the remote system.

To specify X.400 conformance:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click the Advanced tab.
  4. Under X.400 Conformance, select the conformance level you want.


Exchange Server 2003 - Specify Global Domain Identifier

Configuring Message Routing

Specify Global Domain Identifier

The remote global domain identifier is used to prevent message transfer loops. Trace information is maintained for routed messages. Each message transfer agent (MTA) the message enters indicates whether the message was relayed or rerouted, or caused a Distribution List (DL) expansion by that MTA. If the message enters the same MTA twice without a reroute, redirection, or DL expansion occurring, the message is detected as a loop and marked as non-deliverable.

A remote X.400 MTA is defined by the c, a, and p components of its address space. These components are collectively termed the remote X.400 MTA's global domain identifier and are used for tracing and loop detection on messages routed from the remote X.400 MTA. (Exchange adds additional trace information to messages beyond the standard X.400 c, a, and p components to ensure that if a message passes through two MTAs with the same c, a, and p, it is not detected erroneously as a loop.)

In Exchange, the remote global domain identifier is used in relay scenarios and affects outbound messages only.

To specify a global domain identifier:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Advanced tab, and then click Global Domain Identifier.
  5. On Global Domain Identifier, select Specified GDI. By default, Use default GDI is selected.
  6. Type a name for the PRMD (p), the private management domain.
  7. Under ADMD (a), select Any or Specific. Any allows the X.400 connector to use any available administrative management domain (ADMD). If you select Specific, type a name for the ADMD.
  8. Under Country/Region (c), select a value from the drop-down list.


Exchange Server 2003 - Specify X.400 Connector Override Properties

Configuring Message Routing

Specify X.400 Connector Override Properties

The Override tab in a TCP/IP or X.25 X.400 connector's Properties enables you to change the default X.400 service attributes when using a specific X.400 connector. Use the Override options to establish communication and manually configure message transfer to a foreign system only when necessary.

To access an X.400 connector's Override tab:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click an X.400 connector, and then click Properties.
  4. Click the Override tab.

This section contains the following topics:

  • Specify Connection Retry Values
  • Specify RTS Values
  • Specify Association Parameters
  • Specify Transfer Timeouts


Exchange Server 2003 - Specify Connection Retry Values

Configuring Message Routing

Specify Connection Retry Values

The options on the TCP/IP and X.25 X.400 connector Override tab enable you to change the default X.400 service attributes, such as the connection retry values, when using a specific X.400 connector. Use the override options to establish communication and manually configure message transfer to a foreign system only when necessary.

Note Changes made to the override values for one connector do not affect message transfer over any other connector. If you do not specify override values, the X.400 service uses the default stack values when connecting to a remote X.400 system.

To specify connection retry values:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
    6. Connector
  3. Right-click a connector, click Properties, and then click Override or MTA Override tab.
  4. Under Connection retry values, in Maximum open retries, type a value for the maximum number of times that the system tries to open a connection before it sends an NDR. The default is 144.
  5. Under Connection retry values, in Maximum transfer retries, type a value for the maximum number of times that the system tries to transfer a message across an open connection. The default is 2.
  6. Under Connection retry values, in Open interval, type a value for the number of seconds the system waits after an error before attempting to reopen a connection. The default is 600.
  7. Under Connection retry values, in Transfer interval, type a value for the number of seconds the system waits after a message transfer fails before re-sending a message across an open connection. The default is 120.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Specify RTS Values

Configuring Message Routing

Specify RTS Values

Reliable Transfer Service (RTS) values determine message reliability parameters, such as the checkpoints to include in data and the amount of unacknowledged data that can be sent. The options on the TCP/IP and X.25 X.400 connector Override tab enable you to change the default X.400 service attributes, such as RTS values, when using a specific X.400 connector. Use the Override options to establish communication and manually configure message transfer to a foreign system only when necessary.

Note Changes to the override values for one connector do not affect message transfer over any other connector. If you do not specify override values, the X.400 service uses the default values when connecting to a remote X.400 system.

To specify RTS values:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Override or MTA Override tab, and then click Additional Values.
  5. Under RTS Values, modify the Checkpoint size (KB) value, which is the amount of data (in kilobytes) transferred before a checkpoint is inserted. If an error occurs and the message must be resent, the process restarts from the most recent checkpoint. Specify zero for no checkpoint. Decrease checkpoint size when the link is less reliable.
  6. Under RTS Values, modify the Recovery timeout (sec) value, which determines the amount of time, after a broken connection occurs, that the message transport agent (MTA) waits for reconnection before deleting the information (with its checkpoints) and restarting the transfer from the beginning.
  7. Under RTS Values, modify the Window Size value, which is the number of checkpoints that can go unacknowledged before data transfer is suspended. Specify window size only if the checkpoint size is greater than zero.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Specify Association Parameters

Configuring Message Routing

Specify Association Parameters

The options on the TCP/IP and X.25 X.400 connector Override tab enable you to change the default X.400 service attributes, such as association parameters, when using a specific X.400 connector. Use the override options to establish communication and manually configure message transfer to a foreign system only when necessary.

Note Changes made to the override values for one connector do not affect message transfer over any other connector. If you do not specify override values, the X.400 service uses the default values when connecting to a remote X.400 system.

To specify association parameters:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
    6. Connector
  3. Right-click a connector, and then click Properties.
  4. Click the Override or MTA Override tab, and then click Additional Values.
  5. Under Association Parameters, modify the Lifetime (sec) value, which is the amount of time in seconds the system keeps an association open to a remote system after a message is sent.
  6. Under Association Parameters, modify the Disconnect (sec) value, which is the amount of time in seconds the system waits before terminating a connection because of a previously terminated association.
  7. Under Association Parameters, modify the Threshold (messages) value, which is the maximum number of queued messages the system can send to a remote system. When this is exceeded, the MTA opens another association.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Specify Transfer Timeouts

Configuring Message Routing

Specify Transfer Timeouts

The options on the TCP/IP and X.25 X.400 connector Override tab enable you to change the default X.400 service attributes, such as transfer timeouts, when using a specific X.400 connector. Use the override options to establish communication and manually configure message transfer to a foreign system only when necessary.

Note Changes to the override values for one connector do not affect message transfer over any other connector. If you do not specify override values, the X.400 service uses the default values when connecting to a remote X.400 system.

To specify transfer timeouts:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    System Manager

    1. Administrative Groups
    2. Administrative Group
    3. Routing Groups
    4. Routing Group
    5. Connectors
  3. Right-click a connector, and then click Properties.
  4. Click the Override or MTA Override tab, and then click Additional Values.
  5. Under Transfer Timeouts, modify the Urgent (sec/K) value, which is the amount of time in seconds per KB the system waits before sending an NDR for an urgent message.
  6. Under Transfer Timeouts, modify the Normal (sec/K) value, which is the amount of time in seconds per kilobyte the system waits before sending an NDR for a normal message.
  7. Under Transfer Timeouts, modify the Not urgent (sec/K) value, which is the amount of time in seconds per kilobyte the system waits before sending an NDR for a non-urgent message.

Tip To restore Exchange default values, click Reset Default Value.


Exchange Server 2003 - Connecting to Other Messaging Systems

Connecting to Other Messaging Systems

Connecting to Other Messaging Systems

Microsoft Exchange 2003 Server connectors support message transfer, directory synchronization, and calendar functions. When you use connectors between Exchange and another messaging system, the two systems coexist. This period of coexistence may be short; for example, you may only need time to migrate users from your existing messaging system to Exchange. In other cases, you may want long-term coexistence; for example, you may need a permanent connection to the messaging system of another department that is not moving to Exchange.

Exchange provides connectors to connect an Exchange 2003 organization with a partner's messaging system. Exchange 2003 includes the following connectors to partner systems:

  • Microsoft Exchange Connector for Lotus Notes
  • Microsoft Exchange Connector for Novell GroupWise

For help with installing and managing Exchange connectors, see Working with Connectors.

If you are using the above connectors to connect to Lotus Notes or Novell GroupWise, and you want to allow users on partner systems to exchange free and busy information with users on Exchange, you must use Calendar Connector.

For help with installing and configuring Calendar Connector, see Using Calendar Connector.


Exchange Server 2003 - Connecting to Other Messaging Systems

Connecting to Other Messaging Systems

Working with Connectors

When connectors to other messaging systems are in place, the user experience is similar on both messaging systems. The exchange of mail and other information between Exchange and the other messaging system is transparent to the user, even if the two systems function differently. Such successful mail transfer is facilitated when the directories of the two systems are synchronized.

Directory Synchronization

Directory synchronization is the process of propagating directory information between messaging systems. Directory information for Exchange users is stored in Windows Active Directory and is exported to the directory of another messaging system. In turn, directory information for users of the other messaging system is imported to Active Directory. When directory synchronization is finished, each system has a complete copy of the directory for your entire organization, ensuring that users on one system can send mail to users on the other system.

Active Directory uses directory objects to represent Exchange users and users on other messaging systems that are synchronized with Exchange. When you configure directory synchronization using a connector, users, contacts, and groups can be added to Active Directory.

Answers to frequently asked questions

What messaging systems are supported by Exchange 2003 connectors?

Exchange 2003 uses the following connectors to provide messaging connectivity over LAN, asynchronous, or X.25 connections:

  • Exchange Connector for Lotus Notes
  • Exchange Connector for Novell GroupWise

In addition to message transfer, these connectors support directory synchronization. Calendaring functions, such as meeting invitations, are also supported.

If an Exchange 2003 connector does not exist for another messaging system, you may be able to use a third-party gateway, or you can use an Exchange 5.5 connector in a mixed-mode Exchange organization.

How do I connect to a messaging system that is not supported by Exchange 2003?

There are multiple options:

  • Connect using available third-party gateways.
  • Create a mixed-mode Exchange organization if an Exchange 5.5 connector exists, such as for SNADS or PROFS.
  • Connect using the SMTP connector or the X.400 connector.

How do I upgrade my connectors?

Connector upgrading occurs as a part of an Exchange 2003 installation. First you upgrade Microsoft Windows NT to Windows 2000 or later. Then, using Active Directory Connector, you populate Active Directory with the contents of the Exchange 5.5 directory. Finally, you install Exchange 2003. After installation, you will have to reconfigure the connectors, including selecting import and export containers, and specifying the directory synchronization schedule.


Exchange Server 2003 - Start a Connector

Connecting to Other Messaging Systems

Start a Connector

Starting a connector involves starting the services associated with the connector. You can configure the connector services to start automatically when the server is started. For more information, see your Windows 2000 documentation.

Note By default, connector services use a Windows 2000 account called LocalSystem to access Windows 2000 resources. If you change the connector service account, you must provide proper permissions to the new account.

To start a connector:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. Right-click the services used by the connector, and then click Start.

    3. Tip To stop a service, right-click the service, and then click Stop.

    The following table shows the services that are used by the different connectors.

    Connector | Services
Connector for Lotus Notes | Microsoft Exchange Connectivity Controller Microsoft Exchange Connector for Lotus Notes
Connector for Novell GroupWise | Microsoft Exchange Connectivity Controller Microsoft Exchange Connector for Novell GroupWise Microsoft Exchange Router for Novell GroupWise

Related Topics

Move a Connector


Exchange Server 2003 - Connect to Another Messaging System

Connecting to Other Messaging Systems

Connect to Another Messaging System

This section provides detailed instructions on enabling message transfer and directory synchronization between a specific messaging system and Exchange Server 2003.

If an Exchange 2003 connector does not exist for a messaging system, you may be able to use a third-party gateway or use an Exchange 5.5 connector in a mixed-mode Exchange environment

This section contains the following topics:

  • Connect to Lotus Notes
  • Connect to Novell Groupwise
  • Specify Microsoft Mail Directory Synchronization Options on an Exchange 2000 Server
  • Move a Connector
  • Remove a Connector
  • Enable Address Types in Recipient Policies
  • Configure a Connector Service Account
  • Manage Message Queues
  • Log Connector Events


Exchange Server 2003 - Lotus Notes Connector

Connecting to Other Messaging Systems

Lotus Notes Connector

Read the topics in this section to learn more about the Lotus Notes connector.


Exchange Server 2003 - Configure the Notes Connector on Exchange

Connecting to Other Messaging Systems

Configure the Notes Connector on Exchange

After you install Connector for Lotus Notes on an Exchange server, use the System Manager snap-in to configure the connector to enable it to communicate with Notes.

Important Before you can configure the connector, you must create a Notes user ID for the connector on the Lotus Notes/Domino server, install the Lotus Notes 4.x or 5.x (R5) client software on the Exchange server on which the connector is installed, and configure the Lotus Notes/Domino server.

  1. Set up the connection to the Lotus Notes/Domino server.
  2. Enable Notes proxy addresses in the appropriate recipient policy.
  3. Specify the import container for Notes objects.
  4. Specify export containers for Exchange addresses.
  5. Configure message routing.
  6. Set the directory synchronization schedule.
  7. Specify the Notes Address Books you want to synchronize.
  8. Control the propagation of Notes groups to Exchange.
  9. Synchronize the directory information. This identifies the Exchange organization as a foreign domain to Notes and exchanges directory information between the two messaging systems.
  10. Test the connection between the Exchange organization and the Notes system.
  11. (Optional) If your Exchange organization contains one or more downstream Exchange servers, Lotus Notes E-Mail Address Generator automatically replicates to these servers after you install the connector. However, if you need to connect downstream Notes domains to your Exchange organization, you must identify those domains to the connector.
  12. (Optional) Choose how Notes doclinks are represented in messages sent from Notes to Exchange.
  13. (Optional) Restrict the flow of messages from Exchange to Notes.
  14. Start the connector service.


Exchange Server 2003 - Set Up the Connection to the Notes Server

Connecting to Other Messaging Systems

Set Up the Connection to the Notes Server

The first step in configuring the connector is to specify the Lotus Notes/Domino server to which the Notes connector will connect.

Important Before you can establish a connection to the Lotus Notes/Domino server, you must install a Notes client on the Exchange server.

To set up the connection to the Lotus Notes/Domino server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. On the General tab, in Notes Server, type the full name of the Lotus Notes/Domino server to which you want the connector to connect. Use the Notes server/Notes organization convention.
  5. Verify that Notes INI file location displays the full path and file name of the Notes.ini file. If you need to designate a different location, click Modify.
  6. Verify that Connector Mailbox displays the name of the connector's primary mail file, Exchange.box. If you used a different name for the connector mailbox, type the new name in the text box.
  7. In Polling interval, type a new value or accept the default of 15. The polling interval specifies how often, in seconds, the connector checks its primary mail file (Exchange.box) for messages to be delivered to Exchange recipients.
  8. Verify that Notes Server language displays the operating language of the connected Lotus Notes/Domino server. The server language is used for messages that the connector inserts into a message (for example, an explanation of a non-delivery report).

Related Topics

Choose How Notes Doclinks are Represented


Exchange Server 2003 - Select and Configure the Import Container

Connecting to Other Messaging Systems

Select and Configure the Import Container

The import container stores Notes objects imported from the Lotus Notes/Domino server to the Exchange server. Imported Notes objects include users, groups, and resources. (A Notes resource is a physical item that can be reserved for a meeting, such as a conference room or an overhead projector.) Each imported object can be represented in Active Directory as a Windows user or contact.

Caution If you decide to change the import container or modify how Notes objects are imported to Exchange (for example, as users or contacts), first delete all Notes objects from the current import container, and then resynchronize the directory information from Notes to Exchange by initiating an immediate full reload of the Notes object information.

To select and configure the import container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Import Container tab, and then click Modify to select the import container.
  5. In Choose a container, open the domain node, select the container, and then click OK.
  6. Select one of the following options to determine how the directory synchronization process handles imported Notes objects that do not already have Windows 2000 accounts:

    7. Note These options apply only to newly imported objects. For example, if you change the import option from Create a Windows contact to Create a new Windows user account, objects you previously imported as contacts remain contacts. Objects imported after you change the option are imported as Windows users with enabled or disabled accounts.

    Create a disabled Windows user account

    This option creates a Windows user account for the object, but initially disables the account so that the object cannot log on. This is useful if you want to enable the accounts of imported objects in stages. New accounts created in this way must be enabled manually.

    Create a new Windows user account

    This option creates an enabled Windows user account for the imported object.

    Create a Windows contact

    This option creates the object as a contact (one that does not have a Windows user account and, therefore, cannot log on to Windows 2000). This is the default setting.

Note In the Exchsrvr\Conndata\Dxamex\Amap.tbl file, the NOTESADDR attribute, which specifies the maximum size of an imported Lotus Notes address, is set to 128 bytes. If the address of any imported Notes object—user, group, or resource—exceeds 128 bytes, the portion that exceeds this limit (typically all or part of the Notes domain) will be missing. If you need to increase the size of this attribute to accommodate longer addresses, change the NOTESADDR value in Amap.tbl.

Related Topics

Specify Export Containers Exchange Product Support


Exchange Server 2003 - Specify Export Containers

Connecting to Other Messaging Systems

Specify Export Containers

Export containers contain Exchange recipient addresses that you want to export to Notes Name and Address Books when you run directory synchronization. Notes E-mail Address Generator creates a Notes address, based on the defined address rule, for each exported Exchange recipient.

Important If you need to create a container, use the Active Directory Users and Computers snap-in. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

To specify the export containers:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Export Containers tab.
  5. To export contacts to Notes, select Export contacts. Groups are exported by default.

    6. Export contacts and Export groups allow you to choose which Exchange recipients you want to make known to the Lotus Notes system. More...

    Exporting groups to Notes enables Notes users to address messages to a group of Exchange users by specifying the name of the group as a message recipient. When the Exchange server receives the message, it distributes the message to each Exchange user who is a member of the group.

    Tip If you want to export only users, clear Export contacts and Export groups.

  6. Click Add to select an export container.
  7. In Choose a container, open the domain node, and then select the container.

    Tip If the domain where the connector is running is connected to a trusted domain, you can export organizational units (OUs) belonging to the trusted domain.

    If you remove an organizational unit that has been designated as an export container from Active Directory, the connector will automatically remove the OU from the list of export containers.

If you need to stop the export of recipients in a container, select the container in the list of export containers, and then click Remove. This does not remove the container from Active Directory.


Exchange Server 2003 - Configure Message Routing

Connecting to Other Messaging Systems

Configure Message Routing

Messages that pass through the Notes connector must have the correct address space so that they can be routed to the correct destination in Notes. The address space specifies which messages bound for the Notes system are accepted and routed by the connector.

To configure message routing for the connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. On the Address Space tab, click Add.
  5. In New Address Space, select NOTES, and then click OK.
  6. Provide the following information:

    7. User Name

    This option designates who the connector accepts messages from. You can enter an asterisk (*) to allow all users in the connected Exchange organization to send messages to users on the Notes system. If you want only a specific group to use the connector, enter the display name of the group.

    Domain

    This option specifies the Notes domain to which the connector is connected.

    Cost

    This option specifies a routing metric that indicates the relative "cost" of using a particular connector to send messages. The cost determines the preferred route for a message among multiple routes. Lower-cost routes take precedence over higher-cost routes. To balance the message load across multiple connectors, assign the same cost to each connector. The range is 0 to 100; the default is 1.
  7. If you want to limit the connector's scope to Exchange servers that belong to the routing group where the connector is installed, click Routing Group. Tell me more about connector scope...
    Scope defines the connector's visibility within the Exchange organization (that is, whether an Exchange server can "see," and therefore route messages through, the connector). By default, the connector is visible to all servers within the entire Exchange organization.


Exchange Server 2003 - Test the Connection Between Exchange and Notes

Connecting to Other Messaging Systems

Test the Connection Between Exchange and Notes

After configuring the connector, you should test the connection between the two systems before allowing users to exchange messages. You first synchronize the Exchange and Notes directories, and then you check the import container (an organizational unit in Active Directory) and the Notes Name and Address Book on the Lotus Notes/Domino server.

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. Verify that the Notes connector service is running. If it is not running, start it now.
  3. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  4. Navigate to Connectors.

    Organization

    1. Connectors
  5. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  6. Click the Dirsync Options tab.
  7. Under Exchange to Notes directory synchronization, click Immediate full reload to populate the target Name and Address Book with Exchange addresses.
  8. Under Notes to Exchange Directory Synchronization, click Immediate full reload to populate the Exchange import container with Notes addresses.
  9. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  10. Verify that the container you specified in the Import Container tab contains Notes users.
  11. On the Lotus Notes/Domino server, verify that the target Name and Address Book contains Exchange recipients.

    12. Note Depending on the size of the directories, it may take a while for Recipient Update Service to populate the Exchange address lists.

  12. Wait a few minutes, and then send a message from an Exchange user to a Notes user.
  13. Send a reply from the Notes user.

Related Topics

Start the Connector


Exchange Server 2003 - Start the Connector

Connecting to Other Messaging Systems

Start the Connector

The Notes connector runs as a Windows 2000 service.

To start the connector service:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. In the details pane, right-click Microsoft Exchange Connector for Lotus Notes, and then click Start.

Tip You can configure the Notes connector service to start automatically when the server is started. For more information, see your Windows 2000 Server documentation.


Exchange Server 2003 - Synchronize Directory Information Now

Connecting to Other Messaging Systems

Synchronize Directory Information Now

Typically, directory information is synchronized according to a predefined schedule that you set. Sometimes, however, you may need to synchronize directory information before the scheduled time. The Notes connector enables you to propagate directory updates separately in each direction: from Exchange to Notes, and from Notes to Exchange.

To synchronize directory information now:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Dirsync Options tab.
  5. To synchronize directory information from Exchange to Notes, click one of the following under Exchange to Notes directory synchronization:

    6. Immediate full reload

    This option initiates an immediate reload of Active Directory to the Notes directory.

    Immediate update

    This option initiates an immediate update (changed and new objects only) from Active Directory to the Notes directory.
  6. To synchronize directory information from Notes to Exchange, click one of the following under Notes to Exchange directory synchronization:

    7. Immediate full reload

    This option initiates an immediate reload of the entire Notes directory to Active Directory.

    Immediate update

    This option initiates an immediate update (changed or new objects only) from the Notes directory to Active Directory.

Related Topics

Schedule Directory Synchronization


Exchange Server 2003 - Schedule Directory Synchronization

Connecting to Other Messaging Systems

Schedule Directory Synchronization

You can schedule the frequency with which Exchange sends directory updates to and receives directory updates from the connected Lotus Notes/Domino server. If you prefer to synchronize directory information manually, you can choose not to run directory synchronization according to a schedule.

How often you decide to run directory synchronization is influenced by:

  • The frequency with which additions or changes are made to directories
  • The estimated number of additions or changes in a given period of time
  • Peak message traffic times

The more changes that need to be propagated, the longer synchronization takes. Also, because directory updates are sent as messages through the connector, directory synchronization can slow message throughput. When choosing a directory synchronization schedule, weigh the benefits of frequent updates against the impact that directory synchronization has on server performance.

To set a directory synchronization schedule:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Dirsync Options tab.

    5. The default setting is Never run. If you want to synchronize directory information, you must either set a synchronization schedule or synchronize the information yourself by clicking Immediate full reload or Immediate update.

  5. To synchronize directory information according to one of the predefined schedules (Run daily at 11:00 PM, Run every hour, and so on), select a schedule from the drop-down menu.
  6. To set your own synchronization schedule, click Customize to open Schedule, and then fill in the schedule grid.

    7. Tip The default schedule view is one hour. To view the grid in 15-minute increments, in Detail view, click 15 Minute.

    After you close Schedule, the setting Use custom schedule appears automatically in the schedule list.

Related Topics

Synchronize Directory Information Now


Exchange Server 2003 - Specify Notes Address Books to be Synchronized

Connecting to Other Messaging Systems

Specify Notes Address Books to be Synchronized

Use the Notes Address Books dialog box to specify the Notes Address Books that will participate in directory synchronization with Exchange. You can specify the default Notes Name and Address Book in which Exchange Active Directory objects are created, and the Name and Address Book from which Notes directory objects are sent to Active Directory.

You can also configure the connector so that addresses from Exchange that contain specific domain names are placed in different Address Books.

Tip Using the Notes Name and Address Book (Names.nsf) as a target for Exchange updates simplifies directory synchronization in a Notes environment. If you do not want the connector to update Names.nsf, you can specify a different target Name and Address Book.

To specify the Notes Address Books you want to synchronize:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Dirsync Options tab, and then click Address Books Settings.
  5. In Default name and address book, type the name of the Notes database file you want to use as the target for Exchange updates. The default is Names.nsf. If you do not want to synchronize the Notes Address Book with the Exchange domain, leave this text box blank.
  6. Under Domain-specific Target Name and Address Books, click Add.

    7. Exchange objects that contain one of the domain names in Domain-specific Target Name and Address Books are stored in the corresponding Notes Name and Address Book. Exchange objects that have a domain value that does not match one of the specified domain names are stored in the default target Name and Address Book.

  7. In Add Address Book for a specific Domain, type a domain name and the name of the associated Address Book in which you want addresses from that domain stored.
  8. Repeat the previous two steps for each domain for which you want a separate Address Book.
  9. Under Source Name and Address Books, click Add. Type the names of the Notes database files that contain objects that you want to propagate to Exchange. Separate each name with a comma. The default is Names.nsf.


Exchange Server 2003 - Control the Propagation of Notes Groups to Exchange

Connecting to Other Messaging Systems

Control the Propagation of Notes Groups to Exchange

When you configure directory synchronization, you can control the propagation of specific Lotus Notes groups (distribution lists) to Exchange. This enables Exchange users to address messages to a group of Notes users by specifying the name of the group as a message recipient. When the Lotus Notes/Domino server receives the message, it distributes the message to each Lotus Notes user who is a member of the group.

You can prevent the propagation of Notes groups to Exchange by:

  • Excluding all Lotus Notes groups from propagation in the specified source Name and Address Books
  • Excluding specific groups from propagation

To control the propagation of Lotus Notes groups to Exchange:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Dirsync Options tab.
  5. Click Address Book Settings.
  6. Under Source Name and Address Books, Propagate groups is selected by default. To prevent the propagation of all groups, clear Propagate groups.
  7. To prevent the propagation of a specific group, click Add, type the name of the group in Exclude Following Group, and then click OK.

    8. Note By default, the groups OtherDomainServers and LocalDomainServers are excluded because they define servers, not users.

Related Topics

Specify Export Containers


Exchange Server 2003 - Control the Propagation of Notes Resource Objects to Exchange

Connecting to Other Messaging Systems

Control the Propagation of Notes Resource Objects to Exchange

During directory synchronization, you can prevent the propagation of Notes resource objects in the Notes directory to the connected Exchange organization. A Notes resource is a physical item that can be reserved for a meeting, such as a conference room, an overhead projector, and so on.

Note Each time you modify the filter rules, you must restart the Notes connector.

To control the propagation of Notes resource objects:

  1. On the Exchange server where the connector is installed, start Regedit.exe.
  2. Open the following registry key:
    3. HKEY_LOCAL_MACHINE\System\CurrentControlSet\
    Services\LME-NOTES\Parameters
  3. In the navigation tree, right-click Parameters, click New, and then click DWORD Value.
  4. In the highlighted field, type ExportResources.
  5. Right-click ExportResources, and then click Modify.
  6. In Value data, type one of the following numbers, and then click OK.
    • 0. Do not export Notes resource objects to Exchange.
    • 1. Export Notes resource objects to Exchange. This is the default.
    • 2. Apply the filter for Person documents to Notes resource objects.


Exchange Server 2003 - Import Notes Resources to Their Own Subcontainer

Connecting to Other Messaging Systems

Import Notes Resources to Their Own Subcontainer

As an administrator, you can import Notes resources to a separate container (OU) under the one to which the directory synchronization process imports Notes users and groups.

Note You cannot create a subcontainer under the User container.

To import Notes resources to a separate container:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Create the import container if you have not already done so.
  3. Under the import container, create a container for imported Notes resources.
  4. In Microsoft Notepad, open the Exchsrvr\Conndata\Dxamex\Mapnotes.tbl file.

    5. Caution Make a copy of the original Mapnotes.tbl file before modifying it.

  5. Comment out the following line by typing a semicolon (;) before the first character:
    6. DN = ISEQUAL( Resource, "", X500( FullName, "CN" ), Strip( FullName, ";", "L", "R" ) )
  6. Add the following line:
    7. DN = ISEQUAL( Resource, "", X500( FullName, "CN" ), Strip( FullName, ";", "L", "R" ) ",OU=Subcontainer" )

    where Subcontainer is the name of the container you created in step 3.

  7. Save the file.
  8. If you have previously synchronized directory information, delete all previously imported resources from the import container.
  9. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  10. Navigate to Connectors.

    Organization

    1. Connectors
  11. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  12. Click the Dirsync Options tab.
  13. Under Notes to Exchange Directory Synchronization, click Immediate full reload. This repopulates the import container with Notes users and groups, and the new subcontainer with Notes resources.


Exchange Server 2003 - Reverse the Order of Imported Display Names

Connecting to Other Messaging Systems

Reverse the Order of Imported Display Names

In many languages, particularly those of the Indo-European family, a person's name is the first name followed by the last name. For other languages, such as traditional Chinese, the family name precedes the given name. The Notes connector enables you to import users' display names according to the naming conventions used in the native language.

To reverse the order of imported display names:

  1. In Microsoft Notepad, open the Exchsrvr\Conndata\Dxamex\Mapnotes.tbl file.

    2. Caution Make a copy of the original Mapnotes.tbl file before modifying it.

  2. Comment out the following lines by typing a semicolon (;) before the first character:
    3. FullName = ISEQUAL( Resource, "", X500( FullName, "CN" ), Strip( FullName, ";", "L", "R" ) )
DN = ISEQUAL( Resource, "", X500( FullName, "CN" ), Strip( FullName, ";", "L", "R" ) )
  3. Add the following lines:
    4. FullName = ISEQUAL( TRIM(LastName FirstName), "", FullName, TRIM(LastName FirstName) )
DN = ISEQUAL( TRIM(LastName FirstName), "", FullName, TRIM(LastName ", " FirstName) )
  4. Save the file.
  5. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  6. Navigate to Connectors.

    Organization

    1. Connectors
  7. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  8. Click the Dirsync Options tab.
  9. Under Notes to Exchange Directory Synchronization, click Immediate full reload. This repopulates the import container.

Related Topics

Select and Configure the Import Container


Exchange Server 2003 - Control the Propagation of Attributes Between Notes and Exchange

Connecting to Other Messaging Systems

Control the Propagation of Attributes Between Notes and Exchange

During directory synchronization, you can control the propagation of object attributes from Exchange to Notes and from Notes to Exchange by designating specific attributes as read-only in an attribute mapping table (Amap.tbl).

To control the propagation of attributes between Notes and Exchange:

    Caution Make a copy of the original Amap.tbl files before modifying them.

  1. To control the propagation of attributes when importing Notes directory information to Active Directory, use Microsoft Notepad to open the Exchsrvr\Conndata\Dxamex\Amap.tbl file.
  2. At the end of the line that defines the attribute in \Dxamex\Amap.tbl, type a space followed by READONLY. For example...
    To prevent the propagation of each Notes object's department name to the Exchange organization, modify the DEPARTMENT attribute definition to read as follows:
    DEPARTMENT 64 department READONLY
  3. To control the propagation of specific attributes when importing information from Active Directory to Notes, use Microsoft Notepad to open the Exchsrvr\Conndata\Dxanotes\Amap.tbl file.
  4. At the end of the line that defines the attribute in \Dxanotes\Amap.tbl, replace the word NULL with READONLY. For example...
    To prevent the propagation of each Active Directory object's department name to Notes, modify the DEPARTMENT attribute definition to read as follows:
    DEPARTMENT 64 department READONLY
  5. Save the file.
  6. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  7. Navigate to Connectors.

    Organization

    1. Connectors
  8. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  9. Click the Dirsync Options tab.
  10. If you modified the \Dxamex\Amap.tbl file, under Notes to Exchange Directory Synchronization, click Immediate full reload.
  11. If you modified the \Dxanotes\Amap.tbl file, under Exchange to Notes directory synchronization, click Immediate full reload.


Exchange Server 2003 - Route Messages to Downstream Notes Domains

Connecting to Other Messaging Systems

Route Messages to Downstream Notes Domains

For the connector to route messages to downstream Notes domains, and to enable Exchange users to reply to messages sent by users in those domains, you must identify the domains as "routable domains." Any domain defined in the following Notes documents must be identified as a routable domain:

  • Foreign domain documents (excluding the Exchange foreign domain)
  • Connection documents
  • Non-adjacent domain documents

Note Lotus Notes E-mail Address Generator, which is installed with the Notes connector, is automatically propagated to the Exchange servers in each routing group that is downstream from the connector server. This enables the connector to forward messages from Notes users to Exchange users with mailboxes on servers in these routing groups.

To enable the connector to route messages to downstream Notes domains:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. On the Advanced tab, under Routable domains, click Add.
  5. In Add Routable Domain, in Domain, type the name of each Notes domain that is not directly connected to the Exchange server running the connector. Separate each domain name with a comma.

    6. Tip This configuration is not limited to downstream Notes domains. You can also use it to specify non-adjacent Notes domains that are accessible through Exchange servers in other Exchange organizations.

    You do not need to include the local Notes domain to which the connector is connected or the foreign domain name assigned to Exchange.


Exchange Server 2003 - Specify a Letterhead for Messages Sent to Notes Users

Connecting to Other Messaging Systems

Specify a Letterhead for Messages Sent to Notes Users

Notes can place a letterhead that includes text and graphics at the top of a message. The Notes connector enables you to use any of the Notes letterheads for messages sent from Exchange to Notes. The letterhead name you specify must match the name of a letterhead defined in the Notes mail database to which messages are sent. If it does not, no letterhead is used.

To specify the Notes letterhead used for messages sent from Exchange to Notes:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Advanced tab.
  5. In Notes Letterhead, type the name of the Notes letterhead you want to use.


Exchange Server 2003 - Choose How Notes Doclinks are Represented to Exchange

Connecting to Other Messaging Systems

Choose How Notes Doclinks are Represented to Exchange

You can specify how Notes doclinks appear in messages bound for Exchange recipients. A doclink is a link embedded in a Notes document, which a user clicks to jump to a location in the same document, or to another document, folder, or database. A doclink can be converted to an OLE object, an RTF attachment or, in the case of Lotus Notes/Domino servers, a URL shortcut.

To choose how Notes doclinks are represented to Exchange:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. On the General tab, under Convert Notes DocLinks to, select one of the following options:

    5. OLE Document Link

    The doclink is converted to an OLE object that is represented by an icon in the Exchange message. When clicked, the link starts Notes and opens the target document. In this case, the recipient's Notes user ID must have Reader access to the Notes database associated with the doclink and must have access to Notes client software on the computer from which the link is clicked.

    RTF Attachment

    The doclink is converted to an RTF attachment, which is represented by an icon in the Exchange message. This is the default setting.

    URL Shortcut

    The doclink is converted to a Windows URL shortcut icon in the resulting Exchange message, with the name of the link's originating database. Double-clicking the shortcut starts the default Web browser, which tries to access the Lotus Notes/Domino server and database to which the link points.
  5. Restart the connector service.


Exchange Server 2003 - Restrict Message Delivery to Notes

Connecting to Other Messaging Systems

Restrict Message Delivery to Notes

The Notes connector can accept or reject messages from any user, group, or contact in Active Directory who sends a message to a Notes user. Delivery restrictions apply only to messages sent from the Exchange organization to the connected Lotus Notes/Domino server; they do not affect incoming messages from Notes. By default, the connector accepts all messages for delivery.

Important Before you set delivery restrictions, you must create an address space so that messages destined for Notes users on a particular Lotus Notes/Domino server can be routed through the appropriate connector.

To restrict the delivery of messages to Notes:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Delivery Restrictions tab.
  5. To accept messages only from specific recipients, under Accept messages from, click Add. In Select Recipients, make your selections, and then click Add.
  6. To reject messages only from specific recipients, under Reject messages from, click Add. In Select Recipients, make your selections, and then click Add.
  7. Restart the connector service.


Exchange Server 2003 - Limit the Size of Messages That Can Pass Through the Connector

Connecting to Other Messaging Systems

Limit the Size of Messages That Can Pass Through the Connector

You can specify a size limit for incoming and outgoing messages that pass through the Notes connector. Setting a maximum message size can reduce the amount of mail traffic across your network. If the maximum size is exceeded, the message is returned to the originator with a non-delivery report.

To limit the size of messages that can pass through the connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. On the Advanced tab, under Message size, click Maximum (KB).
  5. Type the size limit in the box. By default, there is no limit to the size of a message that is allowed to pass through the connector.


Exchange Server 2003 - Customize Notes Proxy Addresses

Connecting to Other Messaging Systems

Customize Notes Proxy Addresses

Exchange organization names sometimes contain characters that are not valid for a particular address type. For this reason, you can modify the rule used to represent Notes e-mail addresses in Exchange. This address rule uses a set of symbols to determine how Notes addresses appear in the Exchange organization.

Important The resulting addresses must be unique within the address space. If the rule does not create a unique address, Lotus Notes E-mail Address Generator modifies the address to ensure that it is unique.

The default format for Notes addresses assigned to Exchange users is:

&d/organization@domain name

  • &d. The Notes display name (typically the full name) of the user.
  • organization. The name of the user's Exchange organization.
  • domain name. The Notes foreign domain name that represents the Exchange organization.

Caution During directory synchronization, the connector also creates secondary proxy addresses for Notes recipients. These addresses, which appear not bolded in the E-Mail Addresses tab, are used as unique identifiers for Notes recipients. Do not delete these secondary proxy addresses; in general, you should only delete addresses that you create manually.

To customize Notes proxy addresses:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Recipient Policies.

    Organization

    1. Recipients
    2. Recipient Policies
  3. In the details pane, right-click the default policy, and then click Properties, or create a new recipient policy.
  4. On the policy's E-Mail Addresses tab, click NOTES, select the check box, and then click Edit.
  5. Make the necessary modifications. Use the symbols in the following table to represent various values in the format string.

    6. Note When you change the address rule for Notes, you are prompted to update the existing Notes addresses for Exchange recipients to conform to the new address format. If you update the Lotus Notes addresses, all recipients' Notes addresses in that organization will be changed, including those that you changed manually. Exchange does not retain manual updates to non-Exchange e-mail addresses.

    To substitute | Use this symbol | Notes
The user's alias | &M or &m | Typically the mailbox name.
The user's initials | &I or &i | Typically the user's middle initial.
An e-mail address based on the user's display name | &D or &d | Blanks and initials between the given name and surname are discarded. If there is a comma in the display name, the portion of the string to the left of the comma is interpreted as the surname; the portion to the right of the comma is interpreted as the given name.
The user's given name | &G or &g | Typically the user's first name.
The user's surname | &S or &s | Typically the user's last name.
An ampersand (&) | && | To use an ampersand, you must precede it with another ampersand.

    Important Although Active Directory supports Unicode characters, the e-mail address must use the Western European character set.

  6. Wait a few minutes for Recipient Update Service to populate the Exchange address lists.

    Tip You can trigger an immediate update of Recipient Update Service.

  7. Restart the connector service.

Related Topics

Create a Recipient Policy


Exchange Server 2003 - Schedule Notes Database Maintenance

Connecting to Other Messaging Systems

Schedule Notes Database Maintenance

Over time, the Notes database files used for transferring messages can become large and fragmented. Notes provides a utility for compacting databases, which the connector can start automatically. To run this utility, you must define a maintenance schedule.

To schedule Notes database maintenance:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connector for Lotus Notes (server_name), and then click Properties.
  4. Click the Advanced tab.

    5. The default setting for the database maintenance schedule is Never run.

  5. To perform database maintenance according to one of the predefined schedules (Run daily at 11:00 PM, Run every hour, and so on), select a schedule from the drop-down menu.
  6. To set your own schedule, click Customize to open Schedule, and then fill in the schedule grid.

    7. Tip The default schedule view is one hour. To view the grid in 15-minute increments, in Detail view, click 15 Minute.

    After you close Schedule, the setting Use custom schedule appears automatically in the schedule list.


Exchange Server 2003 - Novell GroupWise Connector

Connecting to Other Messaging Systems

Novell GroupWise Connector

Connector for Novell GroupWise provides support for bi-directional messaging and directory synchronization between Exchange and GroupWise. GroupWise messages, appointments, tasks, notes, and phone messages can be exchanged with Exchange users, and Microsoft messages, tasks, and meeting requests can be exchanged with GroupWise users.


Exchange Server 2003 - Create a Recipients Policy

Connecting to Other Messaging Systems

Create a Recipients Policy

When you install the GroupWise connector in your organization, the GroupWise e-mail address generator creates an address of type GWISE (GroupWise_domain.Post_office.Object_ID) for each user, group, contact, and public folder in the organization. The default address is:

Exchange.First Administrative Group.%m

Caution During directory synchronization, the connector also creates secondary proxy addresses for GroupWise recipients. These addresses, which appear not bolded in the E-Mail Addresses tab, are used as unique identifiers for GroupWise recipients. You should not delete these secondary proxy addresses; in general, you should only delete addresses that you create manually.

You can modify the user name format using the format specifiers in the following table.

Format specifier | Name component
%g | First name
%i | Initial
%s | Last name (surname)
%d | Display name
%m | Alias
%#specifier | The number of characters for the user name. For example, the format specifier %3s for the last name Martinez generates "Mar."

To create a recipients policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Recipient Policies.

    Recipients

    1. Recipient Policies
  3. In the details pane, right-click the policy, and then click Properties.
  4. On the E-Mail Addresses tab, click the GWISE entry, and then click Edit.
  5. Make the necessary modifications. Name format examples...

    The following examples are based on the recipient Kim Yoshida.

    Use the format... | To generate the address...
    Exchange.First Administrative Group.%m | Exchange.First Administrative Group.KimY
    Exchange.First Administrative Group.%s | Exchange.First Administrative Group.Yoshida

    Important Although Active Directory supports Unicode characters, the e-mail address must use the Western European character set.

  6. Click the box next to the GWISE address type, so that a check mark appears. Then click Apply. Recipient Update Service will automatically generate GroupWise addresses for all users, contacts, and groups in Active Directory.


Exchange Server 2003 - Configure Connector for Novell GroupWise on Exchange

Connecting to Other Messaging Systems

Configure Connector for Novell GroupWise on Exchange

Directory synchronization and message exchange between Exchange and a GroupWise directory is initiated by and managed from the computer that is running Exchange.

You must configure the following options:

  1. Specify the connection to Novell GroupWise.
  2. Specify mail delivery options, including controls, which allow you to:
    • Configure message routing. You can send mail through the connector from any domain in the organization.
    • Restrict which Exchange recipients can send mail to GroupWise.
    • Restrict mail delivery by size or specify delivery order (for example, by specifying that messages marked with a priority are delivered first). This applies only to mail being sent to GroupWise.
  3. Specify directory synchronization options, including the following:
    • Choose export containers. Decide whether to export contacts and groups.
    • Choose an import container. Decide which type of account to give GroupWise users in Active Directory: security-enabled user, security-disabled user, or contact.
    • Specify an import filter.
    • Synchronize directories immediately or schedule directory synchronization. Synchronizing directories populates each directory with users from the other system, which enables mail addressing and delivery.


Exchange Server 2003 - Set Up the Connection to GroupWise

Connecting to Other Messaging Systems

Set Up the Connection to GroupWise

Directory information from Exchange enters Novell GroupWise through the API gateway that you install on the NetWare Server.

To set up the connection to GroupWise:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the General tab, in API Gateway Path, enter the UNC path to the GroupWise API gateway on the NetWare server.
  5. Enter the NetWare Account name and NetWare Password of a NetWare user with administrative rights to the Novell NetWare server that is hosting GroupWise. This is the account that the Exchange Router for Novell GroupWise service uses to access NetWare. Therefore, this account must have, at minimum, Read and Write permissions to the API gateway directories, and must be a member of the NTGateway group in GroupWise.

Related Topics

Restrict Mail Delivery by Address Control Delivery by Message Size and Order


Exchange Server 2003 - Restrict Mail Delivery by Address

Connecting to Other Messaging Systems

Restrict Mail Delivery by Address

The GroupWise connector can accept or reject messages from any user, group, or contact in Active Directory who sends a message to a GroupWise user. Delivery restrictions apply only to messages sent from the Exchange organization to the connected GroupWise system; they do not affect inbound messages from GroupWise. By default, the connector accepts all messages for delivery.

Important Before you set any delivery restrictions, you must create an address space so that messages bound for GroupWise users hosted on a particular post office can be routed to the appropriate connector.

To restrict message delivery to GroupWise by address:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the Delivery Restrictions tab, specify whether, by default, messages are accepted or rejected from everyone. Click Accepted or Rejected.
  5. In the list boxes, specify particular Exchange recipients to accept or reject:

    • To accept messages only from specific recipients, in Accept messages from, click Add. In Look in, select a directory. Select a recipient in the list box, and then click Add.

    • To reject messages only from specific recipients, in Reject messages from, click Add. In Look in, select a directory. Select a recipient in the list box, and then click Add.

Related Topics

Control Delivery by Message Size and Order


Exchange Server 2003 - Control Mail Delivery by Message Size and Order

Connecting to Other Messaging Systems

Control Mail Delivery by Message Size and Order

You have several options for controlling the order of mail delivery from Exchange to GroupWise. Although these are connector configuration options, they actually control how messages are delivered to the MTS_OUT queue by the Exchange MTA. Once the mail is in the queue, the connector sends them to GroupWise on a first in, first out basis.

To configure mail delivery options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the General tab, in Message Size, click Maximum (K), and then enter a limit on the accepted size of messages coming in from Novell GroupWise.
  5. In Delivery Order, click one of the following options:
    • FIFO — Exchange message transfer agent (MTA) delivers messages to the GroupWise connector on a first in, first out (FIFO) basis.
    • Priority — MTA delivers messages marked with a high priority first.
    • Size — MTA delivers messages that are smallest first.

Related Topics

Restrict Mail Delivery by Address


Exchange Server 2003 - Export Users, Contacts, and Groups

Connecting to Other Messaging Systems

Export Users, Contacts, and Groups

You must specify a container if you want to export Active Directory users, contacts, or groups. You can specify a container in a different domain if the domains have an established trust relationship.

In addition, you must specify whether to export groups and contacts. They are not exported by default.

To export users, contacts, and groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the Export Containers tab, click Add, and then click an Active Directory container (also called an organizational unit). Click Apply.
  5. Select the Export contacts check box to send the names of Exchange contacts to GroupWise.

    Note When a GroupWise directory entry is imported into Active Directory, the entry is marked so that the connector will not export it back to GroupWise. This applies regardless of whether Export contacts is checked.

  6. Select the Export groups check box to send directory information for groups to GroupWise.

Tip To remove an export container from the list used by the connector, select the container from the list of export containers, and then click Remove. Directory information in transit is delivered. The connector will perform a full reload during the next directory synchronization.

This does not remove the container from Active Directory.


Exchange Server 2003 - Import Contacts or Users

Connecting to Other Messaging Systems

Import Contacts or Users

Use the Import Container tab to specify a container in which to import GroupWise recipients. With Exchange, you can choose to import users in three different ways: as users, security-disabled users, or contacts.

Note Once you select an import container, you cannot remove the container.

To import contacts or users:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.

  4. On the Import Container tab, click one of the following options:

      5. Create a disabled Windows user account

      This option creates a Windows user account for the user, but disables it. A GroupWise user with this account will receive mail at their GroupWise mailbox. Although the user cannot log on to Windows 2000 resources, the account can be enabled using the Active Directory Users and Computers snap-in.

      Create a new Windows user account

      This option creates an active Windows user account for the user. A GroupWise user with this account will still receive mail at their GroupWise mailbox; they are not mailbox-enabled. However, they can log on to Windows 2000 and access those resources with this account.

      Create a Windows contact

      This option creates the user as a contact. The GroupWise user will receive mail at their GroupWise mailbox. They will not be able to access Windows 2000 resources.

Important If you create a Windows user, you can use this option to toggle between active and inactive user accounts through directory synchronization. However, you cannot change a user to a contact or vice-versa using this option. To make this change, you must manually delete the contact or user and then perform the import function again.


Exchange Server 2003 - Specify an Import Filter

Connecting to Other Messaging Systems

Specify an Import Filter

You can set options for filtering GroupWise directory entries during import. When you filter addresses, you can specify domains, post offices, or individual recipients that you want to include or exclude from the import container. You specify a filter using the same form as a GroupWise address, as follows:

GroupWise_domain.Post_office.Object_ID

You can use the wildcard characters asterisk (*) and question mark (?), where an asterisk denotes any number of characters of any value, and a question mark denotes one character of any value.

The following table shows examples that you might configure.

Import filter | Description
NewYork01.PO1.* | Imports only the recipients at post office PO1 in the NewYork01 domain.
*.PO1.* | Import all recipients in any PO1 post office in any GroupWise domain.
*.PO?.* | Import all recipients in any GroupWise post office that has a three-character name, where the first two characters are "PO".

To specify an import filter:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the Import Container tab, under Filtering, select an option.

    Option | Description
    Import all directory entries | Imports all directory entries from the GroupWise system to Exchange. This is the default.
    Only import directory entries of these formats | Imports GroupWise addresses that correspond to the specified formats. For example, to import addresses from GroupWise post office PO1 exclusively, type *.PO1.*, using the wildcard character asterisk (*).
    Do not import directory entries of these formats | Excludes GroupWise addresses that correspond to the specified formats. For example, to exclude addresses from GroupWise post office PO1 exclusively, type *.PO1.*, using the wildcard character asterisk (*).
    New | Specify a new address format to include or exclude during directory synchronization.
    Edit | Modify an address format to include or exclude during directory synchronization.
    Remove | Delete an address format.


Exchange Server 2003 - Schedule Directory Synchronization

Connecting to Other Messaging Systems

Schedule Directory Synchronization

Use the Dirsync Schedule tab to schedule synchronization of the GroupWise directory and the Exchange directories.

To schedule directory synchronization:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. Click the Dirsync Schedule tab.

    5. The default setting is Never run. If you want to synchronize directory information, you must either set a synchronization schedule or manually synchronize the information by clicking Immediate full reload or Immediate update.

  5. To synchronize directory information according to one of the predefined schedules (Run daily at 11:00 PM, Run every hour, and so on), select a schedule from the drop-down menu.
  6. To specify your own synchronization schedule, click Customize. In Schedule, fill in the schedule grid.

    7. Tip The default schedule view is one hour. To view the grid in 15-minute increments, in Detail view, select 15 Minute.

    After you close Schedule, the setting Use custom schedule appears automatically in the schedule list.

Related Topics

Synchronize Directories Immediately


Exchange Server 2003 - Synchronize Directories Immediately

Connecting to Other Messaging Systems

Synchronize Directories Immediately

Access the Dirsync Schedule tab to start an immediate synchronization of the GroupWise directory and Active Directory.

To synchronize directories immediately:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the Dirsync Schedule tab, select one of the following options.
Exchange to GroupWise directory synchronization
Immediate full reload | Forces an immediate reload of Active Directory entries specified in the global catalog to the GroupWise directory.
Immediate update | Forces an immediate update (changed and new entries only) from Active Directory to the GroupWise directory. Note If you change the GroupWise address of an Exchange user, you must do a full reload to propagate the change to GroupWise. Exchange users (called external users) in the GroupWise directory are uniquely identified by their GroupWise address. Thus, a change made to an Exchange user's GroupWise address on Exchange cannot be propagated to GroupWise unless the user's old address is deleted first.
GroupWise to Exchange directory synchronization
Immediate full reload | Forces an immediate reload of the entire GroupWise directory to Active Directory.
Immediate update | This option is not available for Novell GroupWise.

Related Topics

Schedule Directory Synchronization


Exchange Server 2003 - Route Mail Using Address Spaces

Connecting to Other Messaging Systems

Route Mail Using Address Spaces

Messages that pass through the GroupWise connector must have the correct address space so that they can be routed to the correct destination. The address space determines which messages bound for the GroupWise system are routed by the connector.

To route mail using address spaces:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connector for Novell GroupWise.

    Connectors

    1. Connector for Novell GroupWise
  3. Right-click Connector for Novell GroupWise (server_name), and then click Properties.
  4. On the Address Space tab, click Add.
  5. In Add Address Space, select GWISE, and then click OK.
  6. Provide the following address information:

    7. Type

    The address type: GWISE

    Address

    The GroupWise address, in the form: GroupWise_domain.Post_office.Object_ID

    Note You can use an asterisk (*) as a wildcard for any or all of the parts of the address.

    For example, the address "Domain.*.*" causes mail headed for the GroupWise domain called "Domain" to be routed through this connector.

    Cost

    A routing metric that indicates the relative "cost" of using this connector to send messages. The cost designates the preferred route for a message among multiple routes. Lower-cost routes take precedence over higher-cost routes. To balance the message load across multiple connectors, assign the same cost to each connector. The range is 0 to 100, and the default is 1.
  7. Specify the connector scope. This setting determines whether mail originating from other routing groups can be sent through this connector. Select one of the following:

    8. Entire Organization

    Any message from the entire Exchange organization that is addressed to this address space will be routed through this connector by the Exchange MTA.

    Routing Group

    This connector is "hidden" from other routing groups. Only messages sent from users whose accounts are hosted by the local routing group can be routed through this connector by the MTA. For example, if you have specified that messages addressed to Domain.Post_Office.Object_ID are to be routed through this connector, then only those messages originating in this routing group will be routed to the "Domain" domain. Such a message originating in a different routing group would have to be routed using a different address space.

Related Topics

Create a Recipients Policy Configure Connector for Novell GroupWise on Exchange


Exchange 2003 Server - Specify Microsoft Mail Directory Synchronization Options on an Exchange 2000 Server

Connecting to Other Messaging Systems

Specify Microsoft Mail Directory Synchronization Options on an Exchange 2000 Server

You can use Exchange System Manager in Exchange 2003 to configure an Exchange 2000 server in your organization as a directory synchronization requestor or server for directory synchronization with a Microsoft Mail system. Directory synchronization allows users to share address information between MS Mail postoffices and Exchange clients.

Important You can only configure an Exchange 2000 server as a directory synchronization requestor or directory synchronization server. Exchange 2003 does not support the Microsoft Mail Connector.

This section contains the following topics:

  • Configure a Microsoft Exchange Directory Synchronization Requestor
  • Configure a Microsoft Exchange Directory Synchronization Server

    • Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange 2003 Server - Configure a Microsoft Exchange Directory Synchronization Requestor

Connecting to Other Messaging Systems

Configure a Microsoft Exchange Directory Synchronization Requestor

You can use Exchange System Manager on an Exchange 2003 server to configure an Exchange 2000 server as a directory synchronization requestor (dirsync requestor) to one MS Mail directory server. An Exchange dirsync requestor functions like an MS Mail directory requestor. It sends scheduled address list updates to and requests updates from the MS Mail directory server. The MS Mail directory server compiles a master list of all recent changes to the global address list and sends it to the Exchange dirsync requestor. Exchange adds the new entries global address list.

Important You can only configure an Exchange 2000 server as a directory synchronization requestor. Exchange 2003 does not support the Microsoft Mail Connector.

To configure an Exchange dirsync requestor to an MS Mail directory server, perform the following steps:

  1. Create the directory synchronization requestor.
  2. Specify the directory synchronization requestor import container.
  3. Specify the directory synchronization requestor export container.
  4. Configure directory synchronization requestor settings.
  5. Set the directory synchronization requestor schedule.


Exchange 2003 Server - Create a Directory Synchronization Requestor

Connecting to Other Messaging Systems

Create a Directory Synchronization Requestor

An Exchange dirsync requestor sends address list updates to the MS Mail directory server.

Important You can only configure an Exchange 2000 server as a directory synchronization requestor. Exchange 2003 does not support the Microsoft Mail Connector.

To use Exchange System Manager on an Exchange 2003 server to create an Exchange 2000 dirsync requestor:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connectors, select New, and then click Dirsync Requestor.
  4. In New Requestor, under Directory synchronization server, select a directory synchronization server from the list.
  5. In Properties, on the General tab, in Name, type a unique name for the requestor.
  6. Select Append to imported users' display name to append the requestor name to each contact or user account created by the dirsync process. This option can be helpful in troubleshooting. For example, if you name the requestor MS Mail, all MS Mail recipients appear in the form: Recipient name--MS Mail. This option allows you to identify within the address list the mail system of the users.
  7. In Dirsync Address, accept the default dirsync address. This address corresponds to the hidden recipient mailbox ($SYSTEM) on the MS Mail directory server. Directory synchronization messages are sent to this mailbox.
  8. Under Address types, select the appropriate address type.
  9. In Requestor language, select the language used in your MS Mail system. The default is English.
  10. In Server, select an Exchange 2000 server to act as the dirsync requestor.


Exchange 2003 Server - Specify a Directory Synchronization Requestor Import Container

Connecting to Other Messaging Systems

Specify a Directory Synchronization Requestor Import Container

You specify an organizational unit as the import container. The dirsync requestor import container stores imported addresses sent from the MS Mail directory server.

If you select another organizational unit as the import container after one has been specified, you must either move all users from the old import container to the new one, or delete them from the old import container and recreate them in the organizational unit you specify as the new import container. If you do not, the user information from the old container will not be updated.

To specify a requestor import container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync requestor, and then click Properties.
  4. On the Import Container tab, under Container, click Modify.
  5. In Choose a container, select an organizational unit in which to place imported recipients. Recipient listings are placed in this organizational unit during directory synchronization.
  6. Under When replicating a mailbox whose primary Windows account does not exist in the domain, select one of the following options:

    7. Create a disabled Windows user account

    This option creates a Windows user account for the object, but initially disables the account so that the object cannot log on. This is useful if you want to enable the accounts of imported objects in stages. New accounts created in this way must be enabled manually.

    Create a new Windows user account

    This option creates an enabled Windows user account for the imported object.

    Create a Windows contact

    This option creates the object as a contact (one that does not have a Windows user account and, therefore, cannot log on to Windows 2000). This is the default setting.


Exchange 2003 Server - Specify a Directory Synchronization Requestor Export Container

Connecting to Other Messaging Systems

Specify a Directory Synchronization Requestor Export Container

Export containers contain the Exchange recipients that you want to export to the MS Mail directory server when you run directory synchronization.

To specify a requestor export container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync requestor, and then click Properties.
  4. On the Export Containers tab, click Add.
  5. In Choose a container, select an organizational unit.
  6. To export contact listings, on the Export Container tab, select Export contacts.
  7. To export groups, select Export groups.


Exchange 2003 Server - Specify Directory Synchronization Requestor Settings

Connecting to Other Messaging Systems

Specify Directory Synchronization Requestor Settings

You can specify advanced directory synchronization functions for the dirsync requestor, such as whether the Exchange dirsync requestor sends and receives address updates from the MS Mail directory server. You can also choose whether to send and receive address template information during directory synchronization.

Note The first time you start directory synchronization, all local directory information is automatically exported and all available information from the directory synchronization server is automatically imported.

To specify dirsync requestor options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync requestor, and select Properties.
  4. On the Settings tab, in Dirsync password, type a password for the requestor, if required. This password must be the same as the password on the MS Mail directory server.
  5. Under Participation, select or clear options.

    6. Send updates

    Select this option to configure the dirsync requestor to send address updates to the dirsync server.

    Receive updates

    Select this option to configure the dirsync requestor to request address updates from the dirsync server.
  6. Under Template information, select or clear the following options.

    7. Send local template information

    Select this option to send template mappings to the directory server. If you select this option, you must configure template mappings in the directory synchronization object.

    Receive template information

    Select this option to receive template information from the directory server. If you select this option, you must configure template mappings in the directory synchronization object.
  7. Under Dirsync information, select or clear the following options.

    8. Import on next cycle

    Select this option to request the entire MS Mail address list for import during the next directory synchronization cycle.

    Export on next cycle

    Select this option to request all addresses available on Exchange for export during the next directory synchronization cycle.


Exchange 2003 Server - Set the Directory Synchronization Requestor Schedule

Connecting to Other Messaging Systems

Set the Directory Synchronization Requestor Schedule

You can schedule the time that the dirsync requestor sends address updates to the MS Mail directory synchronization server. An MS Mail directory server processes directory updates a maximum of once a day. You should set the dirsync requestor schedule to coincide with your MS Mail directory server schedule. Updates should be received by the dirsync server prior to the scheduled process time for the server. To check the schedule of the MS Mail directory server, use the Microsoft Mail Administrator program.

The dirsync requestor schedule determines when update messages are sent to the MS Mail directory synchronization server. This is known as "T1" time. The default time for this is midnight. Directory synchronization messages are sent at the beginning of the selected time.

Note The dirsync requestor automatically handles directory server updates when it receives them.

To specify the dirsync requestor schedule:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync requestor, and then click Properties.
  4. On the Schedule tab, in the schedule grid, select a time to send directory update messages to the directory synchronization server.


Exchange 2003 Server - Configure a Microsoft Exchange Directory Synchronization Server

Connecting to Other Messaging Systems

Configure a Microsoft Exchange Directory Synchronization Server

To use Exchange System Manager on an Exchange 2003 server to set up an Exchange 2000 server as a directory synchronization server with Microsoft Mail, perform the following steps:

Important You can only configure an Exchange 2000 server as a directory synchronization server. Exchange 2003 does not support the Microsoft Mail Connector.

  1. Create the directory synchronization server.
  2. Set the directory synchronization server schedule.
  3. Define remote directory synchronization requestors.

Important You must also configure on each remote system with which you want to synchronize directory information.


Exchange 2003 Server - Create a Directory Synchronization Server

Connecting to Other Messaging Systems

Create a Directory Synchronization Server

You can use Exchange System Manager in Exchange 2003 to configure the Exchange 2000 server in your organization as a dirsync server to update and distribute information to remote dirsync requestors.

Important You can only configure an Exchange 2000 server as a directory synchronization server. Exchange 2003 does not support the Microsoft Mail Connector.

To create an Exchange 2000 dirsync server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Right-click Connectors, select New, and then click Dirsync Server.
  4. In Properties, on the General tab, in Name, type a unique name for the dirsync server.
  5. Under Dirsync Administrator's mailbox, click Modify.
  6. In Select Recipient, select a recipient to receive directory synchronization messages. You can specify an Exchange user, a public folder, or a distribution list to receive these messages.
  7. Select Copy administrator on outgoing messages to receive each update message to each requestor. This option is cleared by default. It is typically used for troubleshooting.
  8. Select Forward incoming dirsync messages to administrator to view each update message from each requestor. This option is cleared by default. It is typically used for troubleshooting.
  9. Under Server, select an Exchange server to act as the directory synchronization server.


Exchange 2003 Server - Set the Directory Synchronization Server Schedule

Connecting to Other Messaging Systems

Set the Directory Synchronization Server Schedule

The Exchange dirsync server's schedule determines when the server sends master address list updates to remote dirsync requestors. This is known as "T3" time.

Schedule your remote dirsync requestors to send local address list updates prior to your dirsync server's scheduled process time. By default, the server sends one update message each day at midnight. Directory synchronization messages are sent at the beginning of each hour selected in the schedule grid. The server processes requestor messages as they are received.

To specify the dirsync server schedule:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync server, and then click Properties.
  4. On the Schedule tab, in the schedule grid, select a time to send directory update messages to the directory synchronization server.

    5. Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange 2003 Server - Define a Remote Directory Synchronization Requestor

Connecting to Other Messaging Systems

Define a Remote Directory Synchronization Requestor

You must define each requestor to the Exchange dirsync server as a remote dirsync requestor.

To define a remote dirsync requestor:

  1. Create a remote directory synchronization requestor.
  2. Specify a remote directory synchronization import container.
  3. Specify a remote directory synchronization export container.


Exchange 2003 Server - Create a Remote Directory Synchronization Requestors

Connecting to Other Messaging Systems

Create a Remote Directory Synchronization Requestor

After you configure an Exchange dirsync server, you can create its remote requestors.

Note The Remote Dirsync Requestor option is unavailable until you set up an Exchange dirsync server.

To create a remote dirsync requestor:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync server, select New, and then click Remote Dirsync Requestor.
  4. In New Requestor, under Directory synchronization server, select a directory synchronization server from the list.
  5. In Properties, on the General tab, in Name, type a unique name for the remote requestor postoffice.
  6. Select Append to imported users' display name to append the requestor name to each contact or user account created by the dirsync process. This option can be helpful for troubleshooting. For example, if you name the requestor MS Mail, all MS Mail recipients appear in the form: Recipient name--MS Mail. This option allows you to identify within the address list the mail system of the users.
  7. In Dirsync Address, accept the default dirsync address. This address corresponds to the hidden recipient mailbox ($SYSTEM) on the MS Mail directory requestor. Directory synchronization messages are sent to this mailbox. Do not change this setting.
  8. In Password, type the password used by the remote requestor, if required.
  9. In Requestor address type, accept the default type, MS.
  10. In Requestor language, select the language used by the remote dirsync requestor. The default is English.
  11. Select Export on next cycle to send all address information to the remote requestor during the next directory synchronization cycle.

Before you can save the remote requestor, you must specify an import container.


Exchange 2003 Server - Specify a Remote Directory Synchronization Requestor Import Container

Connecting to Other Messaging Systems

Specify a Remote Directory Synchronization Requestor Import Container

The remote requestor import container stores imported addresses sent from the MS Mail remote directory requestor to the Exchange dirsync server.

If you select another organizational unit as the import container after one has been specified, you must either move all users from the old import container to the new one, or delete them from the old import container and recreate them in the organizational unit you specify as the new import container. If you do not, the user information from the old container will not be updated.

Tip If you want to make address information from more than one directory synchronization server available to Exchange recipients, but you do not want to combine information between the directory synchronization servers, create a separate organizational unit for each group of imported recipients.

To specify a remote requestor import container:

  1. In the remote requestor's Properties, on the Import Container tab, click Modify.
  2. In Choose a container, select an organizational unit in which to place imported recipient listings. Recipient listings are placed in this organizational unit during directory synchronization.
  3. Under When replicating a mailbox whose primary Windows account does not exist in the domain, select one of the following options:

    4. Create a disabled Windows user account

    This option creates a Windows user account for the object, but initially disables the account so that the object cannot log on. This is useful if you want to enable the accounts of imported objects in stages. New accounts created in this way must be enabled manually.

    Create a new Windows user account

    This option creates an enabled Windows user account for the imported object.

    Create a Windows contact

    This option creates the object as a contact (one that does not have a Windows user account and, therefore, cannot log on to Windows 2000). This is the default setting.


Exchange 2003 Server - Specify a Remote Directory Synchronization Requestor Export Container

Connecting to Other Messaging Systems

Specify a Remote Directory Synchronization Requestor Export Container

Use the export container tab to specify which addresses you want to export.

To specify a remote requestor export container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the remote dirsync requestor.

    Organization

    1. Connectors
    2. Dirsync Server
    3. Remote Dirsync Requestor
  3. Right-click the remote dirsync requestor, and then click Properties.
  4. On the Export Container tab, click Add.
  5. In Choose a container, select an organizational unit.
  6. To export contact listings, on the Export Container tab, select Export contacts.
  7. To export groups, select Export groups.


Exchange 2003 Server - Delete a Directory Synchronization Object

Connecting to Other Messaging Systems

Delete a Directory Synchronization Object

If you no longer want to exchange directory information with MS Mail 3.x systems, you can delete a dirsync requestor or dirsync server.

This section contains the following topics:

  • Delete a Directory Synchronization Requestor
  • Delete a Directory Synchronization Server
  • Remove an Export Container


Exchange 2003 Server - Delete a Directory Synchronization Requestor

Connecting to Other Messaging Systems

Delete a Directory Synchronization Requestor

If you delete a dirsync requestor, all addresses from the dirsync requestor are removed from Active Directory. If you delete a remote requestor, you must delete any contacts manually.

To delete a dirsync requestor:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync requestor. If you are deleting a remote dirsync requestor, expand the dirsync server, and then right-click the remote dirsync requestor.
  4. Click Delete.


Exchange 2003 Server - Delete a Directory Synchronization

Connecting to Other Messaging Systems

Delete a Directory Synchronization Server

You must remove all remote dirsync requestor objects from the organization hierarchy before you can remove a dirsync server. When you have removed each remote requestor, delete the contacts for each remote dirsync requestor if you no longer need them.

Caution Do not delete a dirsync server object from an Exchange organization until all active requestors have been configured to use another server. Deleting a dirsync server with active requestors can result in messaging and directory failures, as well as possible data loss.

To delete a dirsync server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Under Connectors, right-click the dirsync server, and then click Delete.


Exchange 2000 Server - Remove an Export Container

Connecting to Other Messaging Systems

Remove an Export Container

Remove an export container used by the remote dirsync requestor to stop the export of recipients in that container. When an export container is removed, directory information in transit is delivered. However, new update messages contain no information from the removed container. This causes a full export of recipient entries from the remaining export containers during the next directory synchronization cycle.

To remove an export container:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.

    Organization

    1. Connectors
  3. Expand Connectors, right-click the dirsync requestor, and then click Properties.
  4. On the Export Containers tab, select the organizational unit you want to remove, and then click Remove.


Exchange Server 2003 - Move a Connector

Connecting to Other Messaging Systems

Move a Connector

To move a connector to another server or routing group:

  1. Stop the connector services.
  2. Remove the connector.

    3. Caution All remote Directory Exchange Agent (DXA) requestors and server objects must be deleted before you remove the MS Mail connector, or they cannot be deleted.

  3. Use the Active Directory Users and Computers snap-in to delete the contacts that the connector imported into Active Directory.
  4. Reinstall the connector at the new installation point.
  5. Reconfigure the other messaging system as necessary, and reconfigure the connector tabs on Exchange.

Related Topics

Start a Connector


Remove a Connector

To remove a connector, run the Setup program for Microsoft Exchange Server 2003.

To remove a connector:

  1. On the Windows 2000 server running Exchange 2003, insert the Exchange CD into the CD-ROM drive.
  2. On the Microsoft Exchange Server splash screen, click Exchange Server Setup to start Microsoft Exchange Installation Wizard.
  3. Follow the instructions on the License Agreement page and Product Identification page.
  4. Under Action, for Microsoft Exchange, select Change.
  5. For Microsoft Exchange Messaging and Collaboration Services, select Change.
  6. For any of the following connectors you want to remove, select Remove:
    • Microsoft Exchange Connector for Lotus Notes
    • Microsoft Exchange Connector for Novell GroupWise
  7. Click Next to review your changes, then click Next again to accept your changes and complete the wizard.
  8. Unless the foreign users are migrating to Exchange, use the Active Directory Users and Computers snap-in to delete the users, contacts, and groups that were created by the connector during directory synchronization. In addition, delete the Exchange users on the other messaging system.

    Tip Another way to do this is to choose an empty export container on Exchange and synchronize it with the address book or directory on the foreign system you want to clear; and then choose an empty address book or directory on the foreign system, and synchronize it with the Exchange import container you want to clear.

    If you do not delete the obsolete entries, when you reinstall a connector at a later time, the connector will not take ownership of the entries, and in this way multiple entries for the same user will be created in Active Directory and the foreign directory.


Exchange Server 2003 - Enable Address Types in Recipient Policies

Connecting to Other Messaging Systems

Enable Address Types in Recipient Policies

Recipient policies define how non-native e-mail addresses, called proxy addresses, are generated for recipients. For example, a policy might specify that Exchange users' Groupwise addresses should take the form "Exchange.First Administrative Group.username." During directory synchronization, each Exchange recipient's primary proxy address is exported to the other system, so that users on that system—using their native addressing—can send mail to Exchange recipients.

Policies contain a list of address types, such as GWISE, and associated address templates, such as "Exchange.First Administrative Group.username." When you install a connector, the address type and template of the other messaging system are automatically added to the recipient policies used by your organization. You can customize the template to match your naming conventions.

Note When you install Exchange, it creates a recipient policy called Default Policy, which applies to all Exchange users, groups, contacts, and public folders. You can add additional policies that target a particular set of recipients.

If you add additional policies, they are assigned a higher priority than the default policy, and their rules take precedence. In an Exchange 5.5 and Exchange 2003 mixed environment, the e-mail address generation policy defined on the Exchange 5.5 Site Addressing property page is replicated to Exchange 2003 with the highest priority.

As a step in your connector configuration process, you must enable the address type on recipient policies. Once enabled, proxy addresses can be generated from the template for each Exchange recipient, and Recipient Update Service automatically updates all Exchange recipients with a proxy address of that type. You should enable the address type in each recipient policy that affects Exchange recipients you want to synchronize.

Caution During directory synchronization, the connectors also create secondary proxy addresses for recipients that are imported to Exchange. These addresses, which appear without boldface in the E-Mail Addresses tab of the recipient’s policy, are used as unique identifiers for the connectors to correlate synchronization with the other directory. You should not modify or delete these secondary proxy addresses; in general, you should only delete addresses that you create manually.

To enable address types in a recipient policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Recipient Policies.

    Recipients

    1. Recipient Policies
  3. In the details pane, right-click the policy, and then click Properties.
  4. On the E-Mail Addresses tab, check the box next to the address type. Then click Apply. Recipient Update Service will automatically generate addresses for all users, contacts, groups, and public folders in Active Directory.

    5. Important Although Active Directory supports unicode characters, the e-mail address must use the Western European character set. In other words, do not use double-byte characters.

Related Topics

Customize Notes Proxy Addresses Create a Recipients Policy (for GroupWise)


Exchange Server 2003 - Configure a Connector Service Account

Connecting to Other Messaging Systems

Configure a Connector Service Account

In Windows 2000 and 2003, services typically run under the account of the computer on which they're installed. This account is called the local system account (LocalSystem), and its password is created and recycled by Windows 2000 or 2003.

By default, this service account allows access to the Exchange mailbox, public folder stores, and other Windows resources for performing mail transfer and directory synchronization.

Note In Exchange 5.5 and earlier versions, the Exchange Administrator account also had such permissions. However, by providing the connector with a Windows 2000 or 2003 account associated with a computer rather than a user, problems resulting from lost passwords can be reduced.

If you want to run a connector under a different account than the local system account, add the account to the Exchange Servers group, and then configure the connector services to log on as the new account rather than as the local system account.

To add the account to the Exchange Servers group:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Navigate to Users.

    Active Directory Users and Computers

    1. Domain (containing the Exchange Servers group you want to modify)
    2. Users
  3. In the details pane, click Exchange Servers.
  4. On the Members tab, click Add.
  5. In Look In, select a domain or the entire directory.
  6. In the list box, select the service account (for example, Administrator) that you want to add to the Exchange Servers group. Click OK, and then click Apply to apply the change.

Now you must configure the connector services so that they use this account.

To configure the services:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. Right-click the services used by the connector, and then click Properties.
  3. On the Log On tab, click This Account, and then type the account name and password.
  4. Click OK, and then restart the service.


Exchange Server 2003 - Manage Message Queues

Connecting to Other Messaging Systems

Manage Message Queues

Although you can view inbound and outbound message queues from a connector's Queues node, you must manage the queues from Exchange 2003 Queue Viewer.

With Queue Viewer, you can:

  • Determine the number of messages in a queue.
  • View the details of a message, such as its contents and header.
  • Delete a pending message from a queue. Deleted messages are returned to the originator as non-deliverable.
  • Temporarily freeze a message in a queue.
  • Use a custom filter to view messages in a queue according to their size, age, originator, or recipient.

To view the queues for inbound and outbound messages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Queues for a connector.

    Organization

    1. Connectors
    2. Connector
    3. Queues

Related Topics

Queue Viewer


Exchange Server 2003 - Log Connector Events

Connecting to Other Messaging Systems

Log Connector Events

Diagnostic logging for the connectors allows you to record events related to directory synchronization, non-delivery reports (NDRs), inbound and outbound traffic, and other categories. Event messages are written to the Windows 2000 event log. By default, the logging level None is selected for each event category.

To log connector events:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Servers.

    Organization

    1. Administrative Groups
    2. Administrative group
    3. Servers
  3. In the console tree, right-click the server on which the connector is installed, and then click Properties.
  4. Click the Diagnostics Logging tab.
  5. In Services, select one of the following service short names:
    Short name | Service
    LME-NOTES | Microsoft Exchange Connector for Lotus Notes
    LME-GWISE | Microsoft Exchange Connector for Novell GroupWise
    MSExchangeGWRtr | Microsoft Exchange Router for Novell GroupWise
  6. Select one or more event categories per service.
  7. Select one of the following logging levels for each event category:
    • None. Logs only error events and critical error messages.
    • Minimum. Logs high-level events by writing one entry for each major task performed by the service. This logging level can help identify the source of a problem.
    • Medium. Logs an event for each step taken to run a task. This logging level provides more detail after the location of the problem is found.
    • Maximum. Logs entries for each line of code in the service. This logging level logs all events to provide a complete record of the service's operation.

      Caution This level can generate a large amount of information, which can affect server performance.


Exchange 2000 Server - Connecting to Other Messaging Systems

Connecting to Other Messaging Systems

Using Calendar Connector

Microsoft Exchange 2000 Server Calendar Connector allows Exchange users to query the free and busy calendar information of Novell GroupWise and Lotus Notes users, and vice-versa.

Note In this documentation, Novell GroupWise and Lotus Notes systems are referred to as partner systems.

In a typical configuration, Calendar Connector runs as a Windows 2000 or 2003 service on a single Exchange 2003 server. It uses the partner system's client software to communicate with a single computer on the partner system. Both the Exchange 2003 server that Calendar Connector is installed on, and the partner server that Calendar Connector communicates with directly, are called bridgehead servers. A bridgehead server is a computer that connects servers using the same communications protocols so that information can be passed from one server to another. In Exchange 2003, a bridgehead server is a connection point from a routing group to another routing group, remote system, or other external system.

Important Calendar Connector does not support querying from one partner system to another.

The following sections explain how to configure Calendar Connector for Lotus Notes and Novell Groupwise:

  • Configure a Connection to Lotus Notes
  • Configure a Connection to Novell Groupwise


Exchange 2000 Server - How To

Connecting to Other Messaging Systems

Configure a Connection to Lotus Notes

You can create and configure your connection to Lotus Notes in Calendar Connector, either before or after you prepare the Lotus Notes environment.

To create and configure a connection to Lotus Notes:

  1. In Exchange System Manager, right-click Calendar Connector, and then click Properties.
  2. On the Calendar Connections tab, click New, and then click Lotus Notes.
  3. In Windows 2000 Server Hosting the Notes Server, type the Windows NT computer name of the Notes server with which the Calendar Connector communicates.

    Note The Windows NT computer name must match the Notes server name. This may be the same server used for the connector for Lotus Notes.

  4. In Path to the local Notes.ini file, type the fully qualified path to the Notes.ini file, for the Notes client that is installed on the computer running Exchange.

    Note The Notes.ini file is used by Calendar Connector to log on to Lotus Notes. This may be the same Notes.ini file used by the connector for Lotus Notes.

  5. In Password, type the password of the Notes client that Calendar Connector is using to log on to the Notes server.


Exchange 2000 Server - Configure a Connection to Novell GroupWise

Connecting to Other Messaging Systems

Configure a Connection to Novell GroupWise

You can configure your connection to Novell GroupWise in Calendar Connector either before or after you prepare the Novell GroupWise environment. However, you need to be sure that parameters match (in this case, the name of GroupWise API Gateway).

To add and configure a connection to Novell GroupWise:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, right-click Calendar Connector, and then click Properties.
  3. On the Calendar Connections tab, click New, and then click Novell GroupWise.
  4. In Connection, type a name that will be displayed on the Calendar Connections General tab to identify this connection.
  5. In GroupWise API Gateway, type the name of API Gateway in the following format:
    Domain.Gateway

    where Domain refers to the GroupWise domain in which API Gateway is installed, and Gateway refers to the name of API Gateway in GroupWise.


Exchange Server 2003 - SMTP Support

Supporting Messaging Clients

SMTP Support

Simple Mail Transfer Protocol (SMTP) is the Internet standard for transporting and delivering electronic messages. Based on specifications in Request for Comments (RFC) 2821 and RFC 2822, Microsoft SMTP Service is included in the Windows 2000 and Windows 2003 operating system.

Microsoft Exchange 2003 Server expands Microsoft SMTP Service, enhancing the basic delivery functions of the protocol without compromising its compatibility with other messaging systems. Exchange gives administrators greater control over the routing and delivery of messages, and provides secure access and channels for managing the service.

This section contains the following topics:

  • Use Internet Mail Wizard to Configure Internet Mail
  • Start, Stop, or Pause an SMTP Virtual Server
  • Start, Stop, or Pause SMTP Service
  • Configure an SMTP Virtual Server
  • Change the Default Startup Setting
  • Create Additional SMTP Virtual Servers
  • Enable Protocol Logging
  • Set Connections
  • Set Security Options
  • Manage Messages
  • Deliver Messages

Answers to Frequently Asked Questions

Where can I administer my local domain?

In Exchange 2003, domain administration is not performed on the SMTP virtual server. Local domains are managed through Recipient policies. More...

How do I determine what my default domain is?

Exchange 2003 uses the primary SMTP address in the default recipient policy as your organization's default domain.

Where can I perform remote domain administration?

Although some configurations for sending e-mail to remote domains can be made on the virtual server, a majority of that administration should be done at the SMTP Connector.

What happens to my messages if I'm using Microsoft SMTP Service with Windows 2000 Server or Window Server 2003?

If you use Microsoft SMTP Service on a computer prior to installing Exchange 2003, any configurations you make in the operating system will be lost. Also, messages still in the Pickup or Queue directories won't be delivered. In Windows 2000 and Windows 2003, SMTP uses the subdirectories in the <root>\Inetpub\mailroot directory. While these folders haven't been deleted, SMTP will now use the <root>\Exchsrvr\mailroot directory.

When would I want more than one SMTP virtual server?

Multiple virtual servers can be helpful in certain situations. If you have different groups of users with varying security requirements or message-size needs. You may want to create additional virtual servers. Additional virtual servers are also helpful for managing different types of e-mail. For example, in a mail gateway, one dedicated virtual server can handle Internet e-mail, while another handles internal e-mail.


Exchange Server 2003 - Use Internet Mail Wizard to Configure Internet Mail

SMTP Support

Use Internet Mail Wizard to Configure Internet Mail

Exchange 2003 provides Internet Mail Wizard to guide you through the process of configuring Internet e-mail delivery in your organization. You can use the wizard to configure an Exchange 2000 or Exchange 2003 bridgehead server to send Internet e-mail, receive Internet e-mail, or both.

Note You cannot run Internet Mail Wizard on an Exchange server if you have created additional SMTP virtual servers or created SMTP connectors.

To run Internet Mail Wizard:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Right-click your Exchange organization, and then click Internet Mail Wizard.
  3. Follow the instructions in the wizard.


Exchange Server 2003 - Start, Stop, or Pause and SMTP Virtual Server

Supporting Messaging Clients

Start, Stop, or Pause an SMTP Virtual Server

The default SMTP virtual server starts when you install Exchange. You can start, stop, or pause the default virtual server in Exchange System Manager.

Note You can also start, stop, and pause the entire SMTP Service. However, if you have more than one virtual server, stopping the service affects all of the SMTP virtual servers running on your computer. When SMTP Service is stopped, you can still perform administrative functions on an SMTP virtual server.

To start, stop, and pause SMTP virtual servers in Exchange 2003:

  • Start an SMTP Virtual Server
  • Stop an SMTP Virtual Server
  • Pause an SMTP Virtual Server


Exchange Server 2003 - Start an SMTP Virtual Server

Supporting Messaging Clients

Start an SMTP Virtual Server

If the default startup setting is Manual, you can use Exchange System Manager to start an SMTP virtual server.

To start an SMTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the virtual server, and then click Start.


Exchange Server 2003 - Stop an SMTP Virtual Server

Supporting Messaging Clients

Stop an SMTP Virtual Server

You can stop an SMTP virtual server to make configuration changes and perform maintenance.

To stop an SMTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the virtual server, and then click Stop.


Exchange Server 2003 - Pause an SMTP Virtual Server

Supporting Messaging Clients

Pause an SMTP Virtual Server

You can pause an SMTP virtual server for configuration changes and maintenance. Pausing a virtual server prevents new client connections, but enables the virtual server to continue processing existing client connections and delivering queued messages.

To pause an SMTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the virtual server, and then click Pause.

Note To restart the virtual server, repeat Step 3.


Exchange Server 2003 - Start, Stop, or Pause SMTP Service

Supporting Messaging Clients

Start, Stop, or Pause SMTP Service

SMTP runs as a service on Windows 2000 or Windows 2003 Server and starts upon installation. It can be accessed through the Windows 2000 and Windows 2003 Administrative Tools. While there is only one SMTP Service on a computer, it is possible to have more than one SMTP virtual server. You can start, stop, or pause each virtual server independently of one another while SMTP Service is running.

Pausing or stopping SMTP Service will affect all of the SMTP virtual servers in your organization.

Note You can start a virtual server while SMTP Service is stopped, but this will actually restart the service. Once the SMTP Service has been restarted, all other SMTP virtual servers that had been running when the service was originally stopped will then restart. Conversely, when a virtual server is stopped before SMTP Service is stopped, restarting the service will not restart that virtual server.

When you start SMTP Service, new connections from users are accepted. When you stop the service, new connections are not accepted. When you pause SMTP Service, every running SMTP virtual server will continue to service existing connections, but will not accept new connections.

To start, stop, or pause SMTP Service:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. In the console tree, click Services (Local).
  3. In the details pane, right-click Simple Mail Transport Protocol (SMTP), and then click Start, Stop, or Pause.

Note When you start SMTP Service, only SMTP virtual servers that were running when you stopped the service will automatically re-start.

Related Topics

Start, Stop, or Pause an SMTP Virtual Server


Exchange Server 2003 - Configure an SMTP Virtual Server

Supporting Messaging Clients

Configure an SMTP Virtual Server

There are two identifying features for an SMTP virtual server: the display name and the IP address/TCP port combination. Setup assigns a display name for the default SMTP virtual server. You can keep the name (Default SMTP Virtual Server) or change it. You can also select the IP address that will be associated with this SMTP virtual server.

To identify an SMTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the virtual server, click Rename, and then type in the new name.
  4. Right-click the SMTP virtual server again, and then click Properties.
  5. On the General tab, use the IP address drop-down menu to select an IP address for the virtual server. The SMTP virtual server can respond to connection requests for all IP addresses configured on the computer.
  6. To identify the TCP port associated with each IP address configured for the virtual server, in Advanced, click Add or Edit.
    7. Port 25 is the SMTP standard TCP port and is recommended. More than one virtual server can use Port 25, provided they are associated with different IP addresses. The IP address/TCP port combinations must be unique on all virtual servers for clients to connect successfully.
  7. To configure new IP address/TCP port combinations or edit existing ones, in Identification, select an IP address from the drop-down menu, and type in a TCP port number to associate with it.

Tip When you change an SMTP virtual server's configuration, you may want to use the Pause command. Pausing a virtual server prevents new client connections but enables Exchange to continue processing existing client connections and delivering queued messages.

Any time you make changes to a virtual server, you may need to allow a few minutes for your changes to take effect. The metabase update service needs time to replicate your changes.

Related Topics

Enable Message Filtering on a Virtual Server


Exchange Server 2003 - Change the Default Startup Setting

Supporting Messaging Clients

Change the Default Startup Setting

You can use Windows 2000 or 2003 Services to configure the default state of your SMTP virtual servers at startup.

To change the default startup setting:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. In the console tree, click Services (Local).
  3. In the details pane, right-click Simple Mail Transport Protocol (SMTP), and then click Properties.
  4. On the General tab, next to Startup type, click Automatic, Manual, or Disabled.


Exchange Server 2003 - Create Additional SMTP Virtual Servers

Supporting Messaging Clients

Create Additional SMTP Virtual Servers

In most cases you should only need one SMTP virtual server. However, if you are hosting multiple domains and want to have more than one default domain, for example, you can create multiple SMTP virtual servers. To an end user, each SMTP virtual server appears as a separate server with a unique IP address/TCP port combination.

To create a new SMTP virtual server:

Note By default the assigned IP address is (All Unassigned), which means the virtual server will use all available IP addresses not already used by the selected TCP port. This includes 127.0.0.1, the default IP address for the local host.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to SMTP.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
  3. Right-click SMTP, point to New, then click SMTP Virtual Server.
  4. Complete the New SMTP Virtual Server Wizard.

    When you select an IP address, remember that the IP address/TCP port combination must be unique on every SMTP virtual server. The recommended TCP port is 25, the SMTP standard TCP port. More than one virtual server can use the same TCP port, provided they are configured with different IP addresses.

    Note If the SMTP virtual server will be using a new IP address, you will have to first configure that new IP address before it can be used by Exchange. This is done in Windows 2000 or Windows 2003, by binding the new IP address with the corresponding network adapter. See your Windows 2000 or Windows 2003 documentation for more information.

  5. If the default startup setting for SMTP Service is set to Automatic, the new SMTP virtual server will start on its own. If the virtual server doesn't start, it may be because you selected an IP address/TCP port combination that is already in use.

    Tip Be sure to allow enough time for Exchange to read and accept the settings on your new virtual server. Even if the server is configured correctly, it could take a few minutes for the information to replicate to the metabase. If the metabase update service has been disabled, new virtual servers cannot be added.

  6. Configure the new SMTP virtual server.

Note If you do configure an IP address/TCP port combination that is already in use, a pop-up window will alert you. Select a TCP port that isn't being used by another virtual server on that IP address.

Related Topics

Configure an SMTP Virtual Server Change the Default Startup Setting


Exchange Server 2003 - Enable Protocol Logging

Supporting Messaging Clients

Enable Protocol Logging

Protocol logs track the commands that the SMTP virtual server receives from SMTP clients over the network. The protocol logs can also be used to track outgoing commands. You can choose which logging format Exchange uses for recording information. You can choose one of the ASCII-based formats, or you can create an Open Database Connectivity (ODBC) database. The ASCII logs can be read in a text editor, but are generally loaded into a report-generating software tool. ODBC logging format is a record of a fixed set of data fields in an ODBC-compliant database, such as Microsoft Access or Microsoft SQL Server.

Note When setting up a log file, remember that the log formats and default file names are the same as those used by other services in Microsoft Internet Information Services (IIS). All transactions for all services are recorded in <root>\WINNT\System32\LogFiles\SMTPSVC<#>, where <#> is the specific SMTP virtual server (SMTPSVC1 is the default SMTP virtual server). Also, because logging is shared with IIS, some of the names are not SMTP-specific.

To enable protocol logging:

  • Enable Logging in an ASCII Text Format
  • Enable Logging in an ODBC Format


Exchange Server 2003 - Enable Logging in an ASCII Text Format

Supporting Messaging Clients

Enable Logging in an ASCII Text Format

The ASCII format options are: W3C Extended log file format, Microsoft IIS log file format, and NCSA log file format. W3C Extended and NCSA formats will record data in a four-digit year format, while the Microsoft IIS format uses a two-digit year format and is provided for backward compatibility with earlier systems.

To enable logging that uses an ASCII text format:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the General tab, select Enable logging.
  5. Under Active log format, select a log format, and then click Properties.
  6. On the General tab, under New log schedule, select on of the following options:
    • Hourly to create a new log file hourly.
    • Daily to create a new log file daily. This is the default.
    • Weekly to create a new log file weekly.
    • Monthly to create a new log file monthly.
    • Unlimited file size to append data to the same log file.
    • When file size reaches to create a new log file when the size reaches the amount you specify in MB.
  7. Under Log file directory, specify the log file location.
  8. If you have selected the W3C Extended logging format, click the Advanced tab, and then select the items you want to track. Though the names of these settings are based on WC3 conventions, they apply to specific SMTP values. For a full description of these extended properties, on the Extended Properties tab, click Help.


Exchange Server 2003 - Enable Logging in an ODBC Format

Supporting Messaging Clients

Enable Logging in an ODBC Format

To use this option, you must specify the database you want to be logged to, and set up the database to receive the logging data.

To enable logging that uses the ODBC format:

Note Before you enable logging that uses ODBC logging format, you will need to set up an ODBC-compliant database.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the General tab, select Enable logging.
  5. Under Active log format, click ODBC Logging, and then click Properties.
  6. In ODBC Logging Properties, in ODBC Data Source Name (DSN), provide a Data Source Name (DSN) (see your Windows 2000 or Windows 2003 online documentation for more information).
  7. In Table, type the name of the ODBC table you created.
  8. If you need to supply a user name and password to access the database, type them in the appropriate fields.


Exchange Server 2003 - Set Up an ODBC-Compliant Database

Supporting Messaging Clients

Set Up an ODBC-Compliant Database

  1. Create an ODBC-compliant database by using a database program such as Microsoft Access or Microsoft SQL Server.
  2. Create a table in the database that contains the fields listed in the following table.

    Field name | Data type
    ClientHost | varchar(255)
    Username | varchar(255)
    LogTime | datetime
    Service | varchar(255)
    Machine | varchar(255)
    ServerIP | varchar(50)
    ProcessingTime | integer
    BytesRecvd | integer
    BytesSent | integer
    ServiceStatus | integer
    Win32Status | integer
    Operation | varchar(255)
    Target | varchar(255)
    Parameters | varchar(255)


Exchange Server 2003 - Set Connections

Supporting Messaging Clients

Set Connections

A connection is initiated whenever a message is sent to or received from a remote server. You can configure both incoming and outgoing connections on your SMTP virtual server.

To set connections:

  • Configure Incoming Connections

  • Configure Outgoing Connections


Exchange Server 2003 - Configure Incoming Connections

Supporting Messaging Clients

Configure Incoming Connections

When you configure the SMTP virtual server, you designate the TCP port that the virtual server uses to receive incoming messages.

To configure incoming connections:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the General tab, set the following options.

Option | Description
Limit number of connections to | Specifies the number of concurrent connections for incoming message delivery. If the check box is not selected, no limit is imposed. When the check box is selected, the minimum is 1 connection.
Connection time-out (minutes) | Specifies the time allowed before an inactive connection is closed. The default is 10 minutes.


Exchange Server 2003 - Configure Outgoing Connections

Supporting Messaging Clients

Configure Outgoing Connections

Use the Delivery tab to configure outgoing connections used by your virtual server to deliver messages. These settings can help you monitor system resources by limiting inactive connections and connections to remote domains.

To configure outgoing connections:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Outbound connections. In Outbound Connections, set the following options:
Option | Description
Limit connections to | Specifies the total number of simultaneous outbound connections to all remote domains that can exist at one time. The default is 1,000 connections. The minimum is 1 connection. This setting can be used to improve system performance in conjunction with Limit number of messages per connection to, on the Messages tab. If the check box is not selected, no limit is imposed.
Time-out (minutes) | Specifies the time allowed before an inactive connection is closed. The default is 10 minutes.
Limit connections per domain to | Limits connections to any single remote domain. The default is 100 connections. This number should be less than or equal to the value for the Limit connections to option. If the check box is not selected, no limit is imposed.
TCP port | Allocates the TCP port on SMTP remote servers to which this SMTP virtual server connects. The default is port 25. The outgoing port setting can be the same as the port setting for incoming transmissions.


Exchange Server 2003 - Set Security Options

Supporting Messaging Clients

Set Security Options

This section describes the available SMTP virtual server security options:

  • Require Authentication for Incoming Connections
  • Resolve Anonymous E-mail
  • Use Transport Layer Security (TLS) Encryption
  • Set IP Address and Domain Name Restrictions
  • Grant or Deny Submit Permissions to Users or Groups
  • Set Relay Restrictions on a Virtual Server
  • Grant or Deny Relay Permissions to Users or Groups
  • Configure Filtering
  • Configure Authentication for Outbound Messages


Exchange Server 2003 - Require Authentication for Incoming Connections

Supporting Messaging Clients

Require Authentication for Incoming Connections

There are three authentication methods available. You can choose to use one, two, or all three methods. By default, anonymous access is deactivated on SMTP virtual servers; some authentication credentials are required. To allow anonymous access, you must manually disable authentication on the virtual server.

Authentication Option | Description
Anonymous access | An account name or password is not required. Use this option to disable authentication for the SMTP virtual server.
Basic authentication | An account name and a password are sent using clear text. Specify a Windows domain that is appended to the account name for authentication.
Integrated Windows authentication | A Windows account name and password are authenticated using this option. This is the most secure authentication method, with sessions protected by Kerberos (if you have a pure Windows 2000 environment, including clients) or NTLM (all other environments).

This section contains the following topics:

  • Disable Authentication for Incoming Messages
  • Set Basic Authentication for Incoming Messages
  • Use Integrated Windows Authentication to Authenticate Incoming Messages


Exchange Server 2003 - Disable Authentication for Incoming Messages

Supporting Messaging Clients

Disable Authentication for Incoming Messages

To disable authentication for incoming messages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Access control, click Authentication.
  5. In Authentication, select Anonymous access, and then click to clear the remaining check boxes for the other authentication options.


Exchange Server 2003 - Set Basic Authentication for Incoming Messages

Supporting Messaging Clients

Set Basic Authentication for Incoming Messages

To set Basic (clear text) authentication for incoming messages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Access control, click Authentication.
  5. In Authentication, select Basic authentication.
  6. In Default domain, type a Windows domain name. This default domain differs from the SMTP virtual server default domain.


Exchange Server 2003 - Use Integrated Windows Authentication to Authenticate Incoming Messages

Supporting Messaging Clients

Use Integrated Windows Authentication to Authenticate Incoming Messages

To use Integrated Windows authentication to authenticate incoming messages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Access control, click Authentication.
  5. In Authentication, select Integrated Windows authentication.


Exchange Server 2003 - Resolve Anonymous E-mail

Message Routing

Resolve Anonymous E-mail

By default, Exchange 2003 prevents spoofing, or forging identities, by requiring authentication before a sender's name is resolved to its display name in the global address list (GAL). For example, if Suzan Fine is a legitimate internal user at Northwind Traders, her display name in the GAL is Suzan Fine and her e-mail address is sfine@northwindtraders.com. To send e-mail, Suzan must be authenticated. As a result of being authenticated, the intended recipients of the mail see that the sender is Suzan Fine, because her e-mail resolves to her display name in the GAL. In addition, the properties of Suzan Fine are displayed as her GAL entry. However, when Ted Bremer attempts to forge her address and send e-mail to the Exchange 2003 server at Northwind Traders with a forged From address of sfine@northwindtraders.com, the e-mail address is not resolved to Suzan's display name because Ted did not authenticate. Therefore, when this e-mail message displays in Microsoft Outlook, the sender address remains as sfines@northwindtraders.com; it does not resolve to Suzan Fine, as does authenticated mail from Suzan.

You can configure an SMTP virtual server to resolve anonymous e-mails.

Caution If you configure an SMTP virtual server to resolve anonymous e-mails, it is possible for unauthorized users to send e-mail with a forged address of the legitimate users. Because this e-mail now resolves to its display name in the GAL, it is more difficult to distinguish a legitimate sender from a forged address.

To resolve anonymous e-mail:

Note You can resolve anonymous e-mail only if anonymous access is enabled on your SMTP virtual server.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server whose queue directory you want to move.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. Click the Access tab, and then click Authentication.
  5. In Authentication, select the Resolve anonymous e-mail check box.


Exchange Server 2003 - Use TLS Encryption

Supporting Messaging Clients

Use TLS Encryption

You can require that all clients use Transport Layer Security (TLS) encryption, a generic security protocol similar to Secure Sockets Layer (SSL), to connect to an SMTP virtual server. This option secures the connection, but it is not used for authentication.

To enable TLS encryption on a virtual server, you must create key pairs and configure key certificates on the Exchange server running the SMTP Service. This can be done through IIS. Clients can then use TLS to encrypt the session with Exchange, and thus all messages sent. Exchange can also use TLS to encrypt sessions with remote servers.

Note If your virtual server is on the Internet, requiring TLS encryption on inbound connections is not recommended. Very few of these connections will support TLS and users will not be able to connect to your server. In most cases, it makes more sense to encrypt your mail messages instead of the SMTP channel. TLS is intended for a point-to-point SMTP connection between partner organizations, for example, where both parties know the other supports TLS.

This section contains the following topics:

  • Create and Manage Key Certificates
  • Require TLS Encryption
  • Require 128-Bit Encryption

Related Topics

Configure Authentication for Outbound Messages


Exchange Server 2003 - Create and Manage Key Certificates

Supporting Messaging Clients

Create and Manage Key Certificates

To create and manage key certificates:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. To set up new key certificates and manage installed key certificates for the SMTP virtual server, on the Access tab, under Secure communication, click Certificate.

Note

See your Microsoft IIS documentation for more information on key certificates.


Exchange Server 2003 - Require TLS Encryption

Supporting Messaging Clients

Require TLS Encryption

Once you've enabled TLS encryption on your virtual server, you must require it in all client and server connections.

To require TLS encryption:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Access control, click Authentication.
  5. In Authentication, select Basic authentication.
  6. Select the Require TLS encryption check box.
  7. In Default domain, type the Windows domain which, by default, will be used to authenticate users.

    Note Users outside the default domain will also be able to authenticate, provided an Active Directory trust relationship exists between their domain and the default domain. Users outside the default domain will have to specify the domain authorized to validate their credentials.

  8. To return to the Access tab, click OK.
  9. Under Secure communication, click Communication.
  10. In Security, select the Require secure channel check box.


Exchange Server 2003 - Require 128-bit Encryption

Supporting Messaging Clients

Require 128-Bit Encryption

The key pairs you configure for TLS encryption consist of a number of bits that indicate the key's security level. You can strengthen security by increasing the encryption level from 40 bits (the default) to 128 bits. The greater the number of bits, the more difficult the item is to decrypt.

Important Users attempting to access this virtual server must use the same encryption level that you set, or messages will be returned with a non-delivery receipt (NDR).

To require 128-bit encryption levels for the virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Secure communication, click Communication.
  5. In Security, select the Require secure channel check box if it is not already selected.
  6. Select the Require 128-bit encryption check box.


Exchange Server 2003 - Set SMTP IP Address and Domain Name Restrictions

Supporting Messaging Clients

Set SMTP IP Address and Domain Name Restrictions

You can grant or deny SMTP virtual server access to specific users or groups, which you specify by IP address or domain name. By default, the SMTP virtual server is accessible to all IP addresses. You can set restrictions by specifying a single IP address, a group of addresses using a subnet mask, or a Windows domain name.

Tip If you choose to grant or deny access based on domain name, you will get a warning window informing you that a Domain Name System (DNS) reverse lookup on each connection will be necessary. Reverse DNS lookups are expensive and could tax your system, so be sure your system can handle the additional processing if you select this option.

To set IP address and domain name restrictions:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Connection control, click Connection.
  5. In Connection, select either Only the list below or All except the list below, and then click Add.
  6. In Computer, select either Single computer, Group of computers, or Domain, and then fill in the necessary information to define your selection.

    7. Tip For the Single computer option, if you don't know the IP address of the computer, click DNS Lookup, and then type in the name of the computer. Exchange will fill in the IP address for you.

  7. Click OK and your entry will be added to the list of computers granted or denied access to the SMTP virtual server.

Note To delete from the list of computers, select an entry, and then click Remove.


Exchange Server 2003 - Grant or Deny Submit Permissions to Users or Groups

SMTP Support

Grant or Deny Submit Permissions to Users or Groups

In Exchange 2003, you can grant or deny submit permissions to specific users and groups on an SMTP virtual server. Submit permissions grant the user the ability to submit mail to the SMTP virtual server for delivery within the organization.

Important To grant or deny submit permission for selected users or groups, anonymous access must be disabled. Disabling anonymous access on SMTP virtual servers that accept Internet mail is strongly discouraged. If you disable anonymous access on an inbound SMTP virtual server, other servers on the Internet will not be able to connect to it to send mail.

To grant or deny submit permissions to users or groups:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. Click the Access tab, and then click Authentication.
  5. If necessary, clear the Anonymous Access check box. You cannot grant access to specific users or groups of users if anonymous access is enabled.
  6. Click Users.
  7. In Permissions for Submit and Relay, by default, the group Authenticated Users is granted access to an SMTP virtual server. If you want to restrict access to this SMTP virtual server to a limited set of users, select Authenticated Users, and then click Remove.
  8. To grant a user or group access to the SMTP virtual server, click Add.
  9. In Select Users, Computers, or Groups, for each user or group that you want to grant access to this virtual server, select the user or group name.
  10. After specifying the users and groups to whom you want to grant access, click OK.
  11. In Permissions for Submit and Relay, select each entry, click the Allow check box beside Submit to allow the user or group to relay or click the Deny check box to deny the user submit permissions.
  12. To explicitly deny access to a user or group, select an entry, and under Permissions for selected entry, clear the Submit check box.
  13. If desired, you can also grant relay permissions, by selecting an entry and under Permissions for selected entry and clicking the Allow check box beside Relay.

    14. Tip You can also grant relay permissions by clicking the Relay button on the Access tab. For more information, see Grant or Deny Relay Permissions to Users or Groups

  14. To remove a user or group, under Group or User Names, select the entry, and then click Remove.


Exchange Server 2003 - Set Relay Restrictions on a Virtual Server

Supporting Messaging Clients

Set Relay Restrictions on a Virtual Server

Exchange blocks computers from relaying unwanted e-mail through an SMTP virtual server. By default, all users and computers are blocked from relaying, except those that are able to authenticate.

Tip If your virtual server is on the Internet, you should disable relaying in order to prevent your server from being used to propagate unsolicited commercial e-mail.

To remove relay restrictions from a virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual servers
    6. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Access tab, under Relay restrictions, click Relay.
  5. In Relay Restrictions, click either Only the list below or All except the list below.
  6. To add members to the list, click Add. Depending on your choice in step 5, this list will define who may or may not relay e-mail on this SMTP virtual server.

You can specify the following options in Relay Restrictions:

Option | Description
Only the list below | Only the computers listed below can relay messages through the SMTP virtual server. TThis is set by default, along with Allow any computers which successfully authenticate to relay, regardless of the list above.
All except the list below | All computers can relay messages through the SMTP virtual server, except those listed below.
Add and Remove | Adds and removes entries to the list of those computers either granted or denied relay access.
Allow all computers which successfully authenticate to relay, regardless of the list above | Allows computers that meet authentication requirements set in the Authentication dialog box to relay messages to the SMTP virtual server. This is set by default.
Users | Allows you to grant relay permissions to a specified set of users. You cannot select this option if anonymous access is enabled or if the Allow all computers which successfully authenticate to relay, regardless of the list above is selected.


Exchange Server 2003 - Grant or Deny Relay Permissions to Users or Groups

SMTP Support

Grant or Deny Relay Permissions to Users or Groups

In Exchange 2003, you can grant or deny relay permissions to specific users and groups on an SMTP virtual server. Relay permissions grant the user the ability to use the SMTP virtual server to send mail to a destination outside of your organization.

To grant or deny relay permissions to users or groups:

Tip You can also grant relay permissions by clicking the Authentication button on the Access tab. For more information, see Grant or Deny Submit Permissions to Users or Groups

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. Click the Access tab, and then click Relay.
  5. If necessary, clear the Allow all computers which successfully authenticate to relay, regardless of the list above check box. You cannot grant access to specific users or groups of users if this check box is selected.
  6. Click Users.
  7. In Permissions for Submit and Relay, by default, the group Authenticated Users is granted relay permissions on an SMTP virtual server. If you want to restrict relaying permissions on this SMTP virtual server to a more restricted set of users, select Authenticated Users, and then click Remove.
  8. To grant a user or group access to the SMTP virtual server, click Add.
  9. In Select Users, Computers, or Groups, for each user or group that you want to grant access to this virtual server, select the user or group name.
  10. After specifying the users and groups to whom you want to grant access, click OK.
  11. In Permissions for Submit and Relay, select each entry, click the Allow check box beside Relay to allow the user or group to relay or click Deny to deny the user relay permissions.

    12. Important To grant or deny relay permission for selected users or groups, the user or group must also have submit permission. Select the Allow check box next to Submit to grant submit permissions.

  12. To remove a user or group, under Group or User Names, select the entry, and then click Remove.


Exchange Server 2003 - Configure Filtering

SMTP Support

Configure Filtering

Exchange 2003 allows you to filter incoming e-mail that is:

  • Sent from a specified sender
  • Sent from an IP address of the connecting SMTP server that you specify or an IP address of a connecting SMTP server found on the list of a block list service provider
  • Sent to a specified recipient

Filtering is defined globally, but enabled at the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have their messages filtered.

The following sections explain how to configure the three types of filters:

  • Configure Sender Filtering

  • Configure Recipient Filtering

  • Configure Connection Filtering


Exchange Server 2003 - Configure Sender Filtering

SMTP Support

Configure Sender Filtering

You can use sender filtering to block e-mail that is sent from a specified SMTP address. E-mail received from anyone on the sender filtering list will not be accepted. For example, if you have an SMTP virtual server connected to the Internet, you can filter e-mail from one or more outside users who attempt to send e-mail to your organization through a particular IP address. However, on the same virtual server, you may want to configure a different IP address (such as for internal users connecting to the Internet). Do not enable filtering for those internal users.

Sender filtering is defined globally, but enabled at the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have their messages filtered.

To configure a sender filtering, you must first create a sender filter and then apply it at the SMTP virtual server level. The following sections explain how to perform each of these tasks:

  • Create a sender filter

  • Enable sender filtering on your SMTP virtual server


Exchange Server 2003 - Create a Sender Filter

Supporting Messaging Clients

Create a Sender Filter

The sender filter list is a list of defined addresses or address spaces. You can use sender filtering to add or modify domains or users who cannot deliver e-mail to your organization.

This list applies to all IP addresses configured on every Simple Mail Transfer Protocol (SMTP) virtual server in your organization. However, message filtering only occurs when you enable it for a particular IP address that is bound to a virtual server. You can have more than one IP address associated with an SMTP virtual server.

To create a sender filter list

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. On the Sender Filtering tab, click Add.
  5. Type in the name of the sender whose messages you would like to filter, and then click OK.

    • To prevent a specific user in a specific domain from delivering messages to your site, type the user's alias and domain name in the following format: username@domain; for example, someone@microsoft.com.

    • To prevent all users in a specific domain, including all subdomains of that domain, from delivering messages to your site, type the domain name, including the at sign (@). For example, if you use the mask address @microsoft.com, the addresses someone@microsoft.com and someone@support.microsoft.com will be blocked.

    • To limit the domain blocking to a specific domain and exclude subdomains of that domain, precede the domain name with the number sign (#). For example, to block mail from all users at microsoft.com but allow mail from users in a subdomain of microsoft.com (for example, support.microsoft.com), use the mask #@microsoft.com. This will block someone@microsoft.com, but allow someone@support.microsoft.com.

      Important When entering names, you must use an SMTP address format (someone@microsoft.com) or type in a sender's display name in quotation marks.

  6. Repeat steps 4 and 5 for every sender you would like to add to the message filter list.
  7. Filtered messages are deleted unless you select Archive filtered messages. Messages will be kept in the <root>\Exchsrvr\Mailroot\<vsi #>\Filter directory, where <vsi #> is the SMTP virtual server.

    Note The Filter directory is automatically created in the virtual server's directory when the first message is filtered.

  8. Select Filter messages with blank sender to filter any message with a blank sender address.
  9. Select Drop connection if address matches filter to immediately terminate the SMTP session if an sender's address matches the filter. This option is selected by default.
  10. Select Accept messages without notifying sender of filtering to prevent a non-delivery report (NDR) from being returned to the sender of filtered messages. Use this option if you do not want senders of filtered e-mail messages to know that their messages were not delivered.

    Note You cannot select this option if Drop connection if address matches filter is selected.

    Tip If you receive large amounts of filtered e-mail, selecting this check box can improve network and server performance.

Related Topics

Enable Sender Filtering on a Virtual Server


Exchange Server 2003 - Enable Sender Filtering

Supporting Messaging Clients

Enable Sender Filtering

When you enable sender filtering on an SMTP virtual server, e-mail received from anyone on the sender filter will not be accepted. If you have an SMTP virtual server connected to the Internet, for example, you can filter e-mail from one or more outside users who are trying to send e-mail to your organization through a particular IP address. However, on the same virtual server you might want to configure a different IP address (such as for internal users connecting to the Internet). For those internal users, you wouldn't want to enable sender filtering.

Sender filtering is defined globally, but enabled at the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have their messages filtered.

Note Before you can enable sender filtering on a virtual server, you must create a sender filter list.

To enable sender filtering on a virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. In Advanced, select the IP address to which you want to apply the sender filter, and then click Edit.
  6. Select the Apply Sender Filter check box, and then click OK. Under Filter Enabled, Yes appears.


Exchange Server 2003 - Configure Recipient Filtering

Message Routing

Configure Recipient Filtering

Recipient filtering can filter e-mail that is addressed to users who are not found in Active Directory. Any incoming mail addressed to an invalid recipient is then rejected, and the SMTP virtual server returns a "5.xx" error during the SMTP session.

You can also use recipient filtering to filter messages that are sent to any e-mail address (valid or invalid) within your organization. If the message is sent to any of the specified recipients, the e-mail is then rejected, and the SMTP virtual server returns a "5.xx" error during the SMTP session.

Recipient filtering is defined globally, but enabled on the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have their messages filtered.

To configure recipient filtering, you must first create a recipient filter and then apply it at the SMTP virtual server level. The following sections explain how to perform each of these tasks:

  • Create a recipient filter

  • Apply the Recipient Filter to your SMTP virtual server


Exchange Server 2003 - Create a Recipient Filter

SMTP Support

Create a Recipient Filter

You can use recipient filtering to block e-mail that is destined to invalid recipients, based on an Active Directory lookup. You can also use recipient filtering to block e-mail to any recipients who are specified on the recipient filter list.

To create a recipient filter:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Recipient Filtering tab, and then click Add.
  5. In Add Recipient, type the recipient's address and then click OK. The recipient address must conform to the following guidelines:
    • The recipient address must contain an @ symbol.
    • Display names must be entered in quotes with the @ symbol immediately following. Make sure there are no spaces between the quotes and the @ symbol.
    • Use *@domain name to denote all members of a domain, or simply type @domain name.
  6. To filter e-mail that is sent to users who are not found in Active Directory, select the Filter recipients who are not in the Directory check box.

    7. Caution Enabling this check box can potentially allow senders of unsolicited commercial e-mail to discover valid e-mail addresses in your Exchange organization, because during the SMTP session, the SMTP virtual server sends different responses for valid and invalid recipients.


Exchange Server 2003 - Enable Recipient Filtering on a Virtual Server

SMTP Support

Enable Recipient Filtering on a Virtual Server

When you enable recipient filtering on an SMTP virtual server, e-mail sent to any recipients on recipient filter is not accepted.

Recipient filtering is defined globally, but enabled at the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have recipient filtering enabled for their messages.

Note Before you can enable recipient filtering on a virtual server, you must create a recipient filter.

To enable recipient filtering on a virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. In Advanced, select the IP address to which you want to apply the message filter, and then click Edit.
  6. In Identification, select the Apply Recipient Filter check box, and then click OK. In Advanced, under the Filter Enabled column, Yes appears.
  7. To disable filtering, clear the Apply Recipient Filter check box.


Exchange Server 2003 - Configure Connection Filtering

Message Routing

Configure Connection Filtering

Exchange 2003 supports connection filtering based on block lists. Connection filtering leverages externally-based services that list known sources of unsolicited e-mail sources, dial-up user account lists, and servers open for relay based on IP addresses on block lists that they maintain. Connection filtering compliments third-party content filter products. This feature allows you to check an incoming IP address against a provider's block list for the categories you want to filter. If a match is found on the provider's list, SMTP issues a "550 5.x.x" error in response to the RCPT TO command.

You can also implement connection filtering without using a block list provider because you can create global accept and deny lists of SMTP addresses from which you want to globally accept or deny all e-mail.

Connection filtering is defined globally but enabled at the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have their messages filtered.

To configure connection filtering, you must first create and configure a connection filtering rule and then apply it at the SMTP virtual server level. The following sections explain how to perform each of these tasks:

  • Create and configure a connection filtering rule

  • Enable connection filtering on an SMTP virtual server


Exchange Server 2003 - Create and Customize a Connection Filtering Rule

Message Routing

Create and Customize a Connection Filtering Rule

You can create and customize connection filtering rules to check the IP address of any connecting SMTP server against a block list provider's list of known sources of unsolicited e-mail sources, dial-up user account lists, or servers open for relay based on IP addresses. You can also create global accept and deny lists of SMTP addresses. You can use these lists to globally accept or deny all e-mail, with or without using a block list provider service.

The following sections explain how to create and customize a connection filtering rule:

  • Create a connection filtering rule

  • Configure return status codes

  • Configure global accept and deny lists

  • Specify an exception to connection filtering rules

  • Prioritize connection filtering rules

  • Disable a connection filtering rule


Exchange Server 2003 - Create a Connection Filtering Rule

SMTP Support

Create a Connection Filtering Rule

To create a connection filtering rule:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Connection Filtering tab, and then click Add.
  5. In the Display Name box, type a name for the connection filter.
  6. In the DNS Suffix of Provider box, type the DNS suffix that your provider appends to the IP address.
  7. In the Custom Error Message to Return (default error message will be used if left blank) box, if desired, type a custom error to return to the sender. Leave this field blank to return the default message. The default message is:

    8. <Connecting IP Address> has been blocked by <name of connection filter rule>

    You can use the following variables to generate a custom message:

    • %0 - connecting IP address
    • %1 - name of the connection filter rule
    • %2- the block list provider

    Note If you want to include a percentage sign (%) in your error message, you must enter %% for the percentage sign to display.

  8. Click Return Status Code to configure the return status codes you want this rule to filter.


Exchange Server 2003 - Configure Return Status Codes

SMTP Support

Configure Return Status Codes

You can configure return status codes on a new or existing connection filter rule.

To configure a return status code:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Connection Filtering tab, and then do one of the following:
    • To configure a return status code on a new rule, click Add for a new rule.
    • To configure a return status code on an existing rule, select the rule, and then click Edit.
  5. In Connection Filtering Rule, click Return Status Code.
  6. Select one of the following options:
    • Click Match Filter Rule to Any Return Code (this connection filter rule is matched to any return status code received from the provider service) to match all return codes with the rule. If an IP address is found on any list, the block list provider service sends a return code, and the filter rule blocks the IP address. This is the default setting.
    • Click Match Filter Rule to the Following Mask (this connection filter rule is matched to return status codes received from the provider service by using a mask to interpret them) to enter a mask to interpret the return status codes from the block list provider service. Check with your block list provider service to determine the conventions used in the block list provider's masks.

      Note Remember, a mask checks only against a single value. If you set a mask value that is returned when an IP address appears on two lists, the mask will only match IP addresses that satisfy both settings. If you want to check for either of two settings, enter the status codes for these settings.

    • Click Match Filter Rule to Any of the Following Responses (this connection filter rule is matched to return status codes received from the provider service by using the specific values of the return status codes below) if you want the filter rule to match one of multiple return status codes. For each return status code you want the rule to match, click Add, type the return status code, and then click OK.
  7. Click OK.


Exchange Server 2003 - Configure Global Accept and Deny Lists

SMTP Support

Configure Global Accept and Deny Lists

You can use connection filtering to create global accept and deny lists of IP addresses that you want to globally accept or reject. You can use global accept and deny lists with or without a provider service; therefore, it is not necessary to have any rules defined to use the global accept and deny list.

Exchange checks these lists before checking any existing connection rules. If Exchange finds a match on either list, it accepts or rejects the message without checking the connection filter rules.

The following sections explain how to create global accept and deny lists:

  • Configure a Global Accept List

  • Configure a Global Deny List


Exchange Server 2003 - Configure a Global Accept List

SMTP Support

Configure a Global Accept List

You can specify a list of single IP addresses or groups of IP addresses from which you want to always accept messages on your global accept list. Exchange checks this list before checking any connection filter rules. If a match is found on the global accept list, Exchange automatically accepts messages from the connecting IP address.

To configure a global accept list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Connection Filtering tab, and then click Accept.
  5. In Accept List, click Add.
  6. In IP Address (Mask), select one of the following options:
    • To add a single IP address, click Single IP Address, and enter the IP Address from which you want to globally accept all messages.
    • To add a range of IP addresses, click Group of IP Addresses, and enter the subnet address and the subnet mask.
  7. Click OK.
  8. To remove an IP address or group of IP addresses, in Accept List, select the entry and then click Remove.


Exchange Server 2003 - Configure a Global Deny List

SMTP Support

Configure a Global Deny List

You can specify a list of single IP addresses or groups of IP addresses from which you always want to reject messages on your global deny list. Exchange checks this list before checking any connection filter rules. If a match is found on the global deny list, Exchange automatically rejects messages from the connecting IP address.

To configure a global deny list:

    1. Start System Manager
      On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
    2. Double-click Global Settings.
    3. Right-click Message Delivery, and then click Properties.
    4. Click the Connection Filtering tab, and then click Deny.
    5. In Deny List, click Add.
    6. In IP Address (Mask), select one of the following options:
      • To add a single IP address, click Single IP Address, and enter the IP Address from which you want to globally accept all messages.
      • To add a range of IP addresses, click Group of IP Addresses, and enter the subnet address and the subnet mask.
    7. Click OK.
    8. To remove an IP address or group of IP addresses, in Deny List, select the entry, and then click Remove.


Exchange Server 2003 - Specify an exception to connection filtering rules

SMTP Support

Specify an Exception to Connection Filtering Rules

You can specify an SMTP address for which you want to accept e-mail regardless of whether a connection filtering rule finds a match for the address. This means Exchange accepts e-mail from the specified address even if the address appears on a block list checked by a connection filter rule. You can also remove an existing address from the exception list.

To specify an exception to connection filtering rules:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Connection Filtering tab, and then click Exception.
  5. In Block List Service Configuration Settings, click Add to add an SMTP address of a specific recipient.
  6. In Add Recipient, type the address, and then click OK. The SMTP address must conform to the following format:
    • The recipient address must contain an @ symbol.
    • Display names must be entered in quotes with the @ symbol immediately following. Make sure there are not spaces between the quotes and the @ symbol.
    • Use *@domain name to denote all members of a domain, or simply type @domain name.
  7. To remove an SMTP address from the exception list, in Block List Service Configuration Settings, select the address, and then click Remove.


Exchange Server 2003 - Prioritize Connection Filtering Rules

SMTP Support

Prioritize Connection Filtering Rules

Exchange checks connection filtering rules in the order in which they are listed on the Connection Filtering tab. If Exchange finds a match while executing a rule, it rejects the e-mail, and does not execute any of the other rules. By default, the connection filtering rules are listed in the order in which they are created; however, you can use the up and down arrows to prioritize them.

To prioritize connection filtering rules:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Connection Filtering tab.
  5. For each rule you want to prioritize, under Block List Service Configuration, select the rule, and then use the up and down arrows to move it to the appropriate position.


Exchange Server 2003 - Disable a Connection Filtering Rule

SMTP Support

Disable a Connection Filtering Rule

You can disable a connection filter rule that you no longer want active, but that you may want to use in the future.

To disable a connection filter rule:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. Click the Connection Filtering tab.
  5. Select the rule you want to disable, and then click Edit.
  6. In Connection Filtering Rule, select the Disable this rule check box, and then click OK.
  7. On the Connection Filtering tab, note that the rule still displays, but the Enabled column now has a value of No.


Exchange Server 2003 - Enable Connection Filtering on a Virtual Server

SMTP Support

Enable Connection Filtering on a Virtual Server

When you enable connection filtering on an SMTP virtual server, e-mail received from any IP address matched by a connection filtering rule or e-mail from an IP address specified on the global deny list is not accepted.

Connection filtering is defined globally, but enabled at the SMTP virtual server on a per-IP address basis. Different groups of users can log on with any number of IP address/TCP port combinations. You can decide which combinations, and thus which users or groups, will have connection filtering enabled for their messages.

Note Before you can enable connection filtering on a virtual server, you must create a connection filter.

To enable connection filtering on a virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. In Advanced, select the IP address to which you want to apply the connection filtering, and then click Edit.
  6. In Identification, select the Apply Connection Filter check box, and then click OK. In Advanced, under the Filter Enabled column, Yes appears.
  7. To disable filtering, clear the Apply Connection Filter check box.


Exchange Server 2003 - Configure Authentication for Outbound Messages

Supporting Messaging Clients

Configure Authentication for Outbound Messages

You can configure the SMTP virtual server to provide the authentication credentials required by a receiving server. There are three types of authentication available: anonymous, basic (clear text), and Integrated Windows authentication. Anoymous requires no authentication. With the clear text option, the account name and password of the server you're connecting to are transmitted in clear text. Integrated Windows authentication requires a Windows account name and password.

Note In most cases it may be more practical to configure outbound authentication on a connector. Connectors only send e-mail to specific remote domains and are thus more suited for making exceptions for certain addresses, whereas configurations made on an SMTP virtual server affect all messages.

The following table describes the two basic configuration scenarios:

SMTP Transmissions | Authentication Option
Messages are commonly sent to multiple addresses. | Disable authentication for the SMTP virtual server. If attempts to deliver messages to an address fail because of authentication requirements, configure an SMTP connector to that address and set the required authentication level there.
Messages are commonly sent to one address, which requires authentication. | Determine what level of authentication is required to connect. Then enable authentication for the SMTP virtual server using the same level. If you want to then send messages to other addresses, set up connectors and set different authentication options accordingly.

To configure authentication for outgoing messages:

    1. StartSystem Manager
      On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
    2. Navigate to the SMTP virtual server.
      1. Servers
      2. Server
      3. Protocols
      4. SMTP
      5. SMTP virtual server
    3. Right-click the SMTP virtual server, and then click Properties.
    4. On the Delivery tab, click Outbound Security.
    5. In Outbound Security, select one of the following options:
      • To disable outbound authentication, click Anonymous and clear all other options.
      • To set basic authentication for outgoing messages, click Basic authentication, and then under User name and Password, type the account name and password that will grant you access to the computer you are connecting to.
      • To set Integrated Windows authentication for outgoing messages, select Integrated Windows Authentication, and then under Account and Password, type a Windows account name and password that will grant you access to the computer you are connecting to.

Related Topics

Outbound Security (on an SMTP Connector)


Exchange Server 2003 - Manage Messages

Supporting Messaging Clients

Manage Messages

This section describes how to set connection limits to maximize performance, how to set limits on the SMTP virtual server for message size and number of recipients, and how to manage undeliverable messages. This section contains the following topics:

  • Limit the Number of Messages Per Connection
  • Set Message Size Limits
  • Set Recipient Limits
  • Store NDRs
  • Move the SMTP Queue Directory

Related Topics

Set Delivery Restrictions


Exchange Server 2003 - Limit the Number of Messages Per Connection

Supporting Messaging Clients

Limit the Number of Messages Per Connection

This option enables you to limit the number of messages sent in a single connection. It also provides a method for improving system performance by allowing the use of multiple connections to deliver messages. Once the set limit is reached, a new connection is automatically opened and the transmission continues until all messages are delivered.

For example, if you frequently send a large number of messages to certain remote servers, you can set the Limit number of messages per connection to value to a relatively small number, such as 20. As a result, when sending 100 messages in one session, SMTP will divide the messages into five groups of 20, and then open five connections to send them simultaneously. Message delivery, therefore, takes less time.

To limit the number of messages sent in one connection:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Messages tab, select Limit number of messages per connection to, and then type a value in the box. The default is 20. The maximum is 150.


Exchange Server 2003 - Set Message Size Limits

Supporting Messaging Clients

Set Message Size Limits

Two message size limit settings are available. Limit message size to is the value SMTP Service will display as the maximum message size this SMTP virtual server will send. If a mail client submits a message that exceeds the limit, they will get an error.

Note If a remote server supports Extended Simple Mail Transfer Protocol (ESMTP), it will detect the advertised maximum message size value when it connects to the SMTP virtual server and won't attempt to deliver any messages that exceed the limit. Instead the remote server will simply send an NDR to the sender of an oversized message. A remote server that doesn't support ESMTP will try to send a message that exceeds the size limit, but will still end up sending an NDR to the sender when the message doesn't go through.

Limit session size to is the maximum amount of data accepted during the total connection. This limit is equal to the sum of all messages sent during the connection (applying to the message body only).

To set message size limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Messages tab, select the Limit message size to (KB) check box.
  5. Type a value (in kilobytes) for the maximum size of a message. The default is 4096 KB. The minimum value is 1 KB.
  6. In Limit session size to (KB), type a value to indicate the maximum total size (in kilobytes) of all messages in a given connection.

    The message size limit should always be be larger than the maximum message size and should be set carefully, because the connecting message transfer agent (MTA) is likely to resubmit the message repeatedly. The default size is 10240 KB. This value should be greater than or equal to the value entered for Limit message size to.

Note Message size limits set on the SMTP virtual server apply to incoming messages. Message size limits can also be set globally on all user mailboxes and individually on specific mailboxes. Mailbox limits can apply to both incoming and outgoing messages.

Related Topics

Set Delivery Restrictions


Exchange Server 2003 - Set Recipient Limits

Supporting Messaging Clients

Set Recipient Limits

You can determine the maximum number of recipients for a single message sent in one connection. Some clients return messages with an NDR, indicating that the maximum number of recipients has been exceeded. Exchange does not return messages in this instance. Instead it opens a new connection immediately and processes the remaining recipients. For example, if the recipient limit is set to 1,000 and a message with 1,050 recipients is received, the first 1,000 are delivered in one connection. Then a new connection is opened and the message is processed for the remaining fifty recipients.

To set recipient limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Messages tab, in Limit number of recipients per message to, type a number to represent the recipient limit.

Note Recipient limits set on the SMTP virtual server apply to incoming messages. Some recipient limits can also be set globally on all user mailboxes and individually on specific mailboxes. Mailbox limits can apply to both incoming and outgoing messages.

Related Topics

Set Delivery Restrictions


Exchange Server 2003 - Store NDRs

Supporting Messaging Clients

Store NDRs

When a message is undeliverable, Exchange returns it to the sender with a NDR. You can also designate that copies of the NDR be sent to a location of your choice. If the NDR cannot be delivered to the sender, a copy of the message is put in the Badmail directory. Messages placed in the Badmail directory cannot be delivered or returned.

To set a storage location for NDRs:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. To specify the mailbox where you want to store copies of the NDRs, on the Messages tab, in Send copy of Non-Delivery report to, type the e-mail address. This should be a valid SMTP e-mail address that recipients of NDRs can respond to when there is a problem in your messaging system.
  5. In Badmail directory, type the directory you want to use to store undeliverable messages. The default location is root:\Program Files\Exchsrvr\Mailroot\<vsi #>\Badmail, where <vsi #> is the specific virtual server (the default SMTP virtual server is vsi 1). To select another folder, click Browse. You can designate a different directory, provided it is on the same computer as the SMTP virtual server.
  6. If you have another mail system in your organization that handles the same domain as your SMTP virtual server, in Forward all mail with unresolved recipients to host, type in an alternative host name. When your Exchange server receives e-mail for a user it can't resolve, the e-mail will be forwarded to this host.

    Important You must install an SMTP connector and be sure the designated host is in the connector's address space. Otherwise, Exchange will not be able to find the host and no mail will be forwarded, generating non-delivery reports. This SMTP virtual server does not have to be the bridgehead server for the connector, provided it can reach the SMTP virtual server that is the bridgehead.

    For example, if an SMTP virtual server and a Unix e-mail server both serve a domain called airlines-10.com, Exchange may receive e-mail intended for Unix users. When Exchange can't find these users, it will know to forward these messages to the designated host in the other system.

    Note Be sure outside e-mail is directed first to your Exchange organization, to ensure all Exchange e-mail is received and all other e-mail is properly forwarded.


Exchange Server 2003 - Move the SMTP Queue Directory

SMTP Support

Move the SMTP Queue Directory

In Exchange 2003, you can now change the location the queue directory.

To change location where the queue directory is stored:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server whose queue directory you want to move.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. Click the Messages tab
  5. Under Queue directory, click Browse, and then select a new location for the queue data.


Exchange Server 2003 - Deliver Messages

Supporting Messaging Clients

Deliver Messages

Messages can be transmitted for delivery once a connection has been opened and the receiving server has acknowledged that it is ready to receive data. This section describes the settings that determine how delivery occurs, including route options and the intervals between delivery attempts.

To deliver messages:

  • Configure Retry Intervals
  • Set the Message Hop Count
  • Set the Masquerade Domain
  • Set a Fully Qualified Domain Name
  • Configure a Smart Host
  • Enable Reverse DNS Lookup
  • Use the Pickup Directory for Message Delivery
  • Create an External DNS List

Related Topics

Configure SMTP Delivery Options (on a connector) Configure Authentication for Outbound Messages


Exchange Server 2003 - Configure Retry Intervals

Supporting Messaging Clients

Configure Retry Intervals

If a message cannot be delivered on the first attempt, Exchange tries to send it again after a specified time. You can configure the interval between delivery attempts. After the time limit is reached, the message is returned to the sender with an NDR. Copies of the message and the NDR are sent to a location that you designate on the Messages tab. The NDR then goes through the same delivery process as messages.

To configure retry attempt and interval settings:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, click Properties, and then click the Delivery tab.
  4. On the Delivery tab, specify the following settings:
    • First retry interval (minutes). Type a value for the amount of time to attempt delivery before posting the first notification. The default is 10 minutes.
    • Second retry interval (minutes). Type a value for the amount of time to attempt delivery before posting the second notification. The default is 10 minutes after the first retry interval.
    • Third retry interval (minutes). Type a value for the amount of time to attempt delivery before posting the third notification. The default is 10 minutes after the second retry interval.
    • Subsequent retry interval (minutes). Type a value for the amount of time to attempt delivery before posting a notification. The default is 15 minutes.
    • Delay Notification. To allow for network delays, you can set a delay period (of minutes, hours, or days) to expire before sending the delivery notification. The minimum value is 1 minute, the default is 12 hours, and the maximum value is 9999 days.
    • Expiration Timeout. Type a value (in minutes, hours, or days) for messages that have not been delivered after all retries and delays have expired. The minimum value is 1 minute, the default is 2 days, and the maximum value is 9999 days.


Exchange Server 2003 - Set the Message Hop Count

Supporting Messaging Clients

Set the Message Hop Count

When a message is delivered, it may be routed to a number of servers before reaching its final destination. The number of servers a message passes through is called the hop count, which you can designate.

After the hop count is set, the SMTP virtual server counts the number of Received lines in the message header. When the number of Received lines exceeds the maximum hop count setting, the message is returned to the sender with an NDR.

To set the message hop count:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Advanced.
  5. In Advanced Delivery, in Maximum hop count, type a value for the number of hops a message can take between the source and destination servers. The default is 15 hops.


Exchange Server 2003 - Set the Masquerade Domain

Supporting Messaging Clients

Set the Masquerade Domain

The masquerade domain replaces any local domain name used in any Mail From lines in the protocol. The replacement occurs on the first hop only.

The Mail From line refers to the SMTP message heading information. It is the address NDRs will be sent to, and is not the From line displayed by the receiving client. The From line displayed by e-mail clients is in the message body, which a masquerade domain name does not affect.

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Advanced.
  5. In Advanced Delivery, in Masquerade domain, type the domain name where you would like NDRs to be sent. This will replace the actual domain name in outgoing message heading information.


Exchange Server 2003 - Set a Fully-Qualified Domain Name

Supporting Messaging Clients

Set a Fully Qualified Domain Name

Setting a fully qualified domain name (FQDN) is important if your SMTP virtual server is on the Internet. An e-mail domain must be able to be resolved through Domain Name System (DNS). When sending e-mail directly to the Internet, there are two DNS records that are used to resolve an e-mail domain. One of the records, a mail exchange (MX) record, is set up to associate an e-mail domain with the FQDN of one or more SMTP virtual servers that serve that domain.

Note If your virtual server is not in the Internet, MX records are not necessary. Within an Exchange organization, connectors have multiple source and destination bridgeheads, which provide the same function as multiple MX records.

Each SMTP server referenced in the MX record must have an address (A) record. The A record maps a given FQDN to its IP address. It's possible to just have an A record set up for an e-mail domain, which is common within an organization's intranet. And in some cases the A record is used for other puposes, such as HTTP, while the MX record is generally used only for SMTP. For example, the MX record allows one server to handle http://microsoft.com (HTTP clients use the A record) and another server to handle user@microsoft.com (SMTP clients use the MX record).

In Exchange there are two options for specifying an FQDN. You can use the name specified on the Network Identification tab of the System properties in Control Panel, or you can specify a unique FQDN for the SMTP virtual server you are configuring.

At startup, the name designated on the Network Identification tab is automatically used for the FQDN. If you change the name (either manually or by joining a Windows 2000 or Windows 2003 domain), the new name is automatically used for the FQDN the next time the computer is rebooted. No action is required to update the FQDN for the virtual server.

You can also override the automatic use of the computer and domain names on the Network Identification tab and set your own FQDN.

To set an FQDN:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Advanced.
  5. In Advanced Delivery, in Fully-qualified domain name, type the FQDN.


Exchange Server 2003 - Configure a Smart Host

Supporting Messaging Clients

Configure a Smart Host

You can route all outgoing messages for remote domains through a smart host instead of sending them directly to the domain. This enables you to route messages over a connection that may be more direct or less costly than other routes.

Note The smart host setting for SMTP virtual servers is similar to the one set on SMTP connectors. You can configure multiple smart hosts on the connector, because connectors can handle message delivery on a per-domain basis.

You can identify the smart host by FQDN or an IP address (but if you change the IP address you need to change it on every virtual server as well). If you use an IP address, you must enclose it in brackets [ ]. Exchange checks first for a server name, and then an IP address. The brackets identify the value as an IP address, so the DNS lookup is bypassed.

To set up a smart host:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Advanced.
  5. In Advanced Delivery, in Smart host, type the name of the smart host server. You can type a string to represent a name or enter an IP address enclosed in brackets.

Related Topics

Install an SMTP Connector


Exchange Server 2003 - Enable Reverse DNS Lookup

Supporting Messaging Clients

Enable Reverse DNS Lookup

If you select this option, Exchange will attempt to verify that the client's IP address matches the host/domain submitted by the client in the EHLO/HELO command. If the reverse DNS lookup is successful, the Received header will remain intact. If the verification is unsuccessful, "unverified" appears after the IP address in the Received header of the message.

To enable reverse DNS lookup

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Advanced.
  5. In Advanced Delivery, select the Perform reverse DNS lookup on incoming messages check box.

Note Because this feature verifies addresses for all incoming messages, its use can affect your Exchange server's performance. Clear the check box to disable the feature.


Exchange Server 2003 - Use the Pickup Directory for Message Delivery

Supporting Messaging Clients

Use the Pickup Directory for Message Delivery

An alternative method of sending e-mail is to compose a message in a word-processing program, save it as a text file, and copy it to the Pickup directory. Exchange moves the e-mail to the Queue directory immediately and processes it for delivery.

You can include e-mail envelope information in the text file, but it is not required. The "x-sender" header identifies the sender. The "x-receiver" header identifies a single recipient. If you want to include multiple recipients, add an "x-receiver" header for each recipient. The headers must appear first in the text file, with the "x-sender" header listed first. There must also be an extra carriage return/line feed (CRLF) before the body of the message is typed. Press ENTER or RETURN to add an extra line before typing the text of the message. Add another blank line after the text and Exchange will insert the necessary formatting at the end of the file.

Sample text file with envelope header information

x-sender: adam@nwtraders.microsoft.com
x-receiver: suzan@nwtraders.microsoft.com
From: adam@nwtraders.microsoft.com
To: suzan@nwtraders.microsoft.com
Subject: Hello from Adam

Hello.

Note For best performance, compose the message in a directory other than the Pickup directory, and then copy and paste it to the Pickup directory. If you write the message while in the Pickup directory, Exchange continually attempts to pick up the file and process it. If the file is open, it cannot be processed.


Exchange Server 2003 - Create an External DNS List

Supporting Messaging Clients

Create an External DNS List

When resolving names for non-local message delivery, SMTP virtual servers will query all DNS servers configured in Windows 2000 or Windows 2003 for all network interfaces. If your Exchange server has interfaces on both internal and external (Internet) networks, the potential mix of internal and external DNS servers is not recommended. An external DNS server could be queried to resolve an internal host name, for example; if this happens, e-mail flow within your organization could be affected by DNS servers outside your intranet. You can, however, create a list of external DNS servers for resolving names in remote domains. Whenever a message intended for a non-local recipient is received, the SMTP virtual server will automatically consult this list.

Note After the external DNS server list is created, the SMTP virtual server only uses the servers on that list. If you want to keep using some or all of your local DNS servers, you need to manually add those IP addresses to the list.

To create an external DNS list:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to the SMTP virtual server.
    1. Servers
    2. Server
    3. Protocols
    4. SMTP
    5. SMTP virtual server
  3. Right-click the SMTP virtual server, and then click Properties.
  4. On the Delivery tab, click Advanced.
  5. In Advanced Delivery, click Configure.
  6. In Configure, click Add, type the IP address of a DNS server, and then click OK. Repeat this step for every server you want to add to the external DNS list.
  7. Highlight a server in the list, and then click Move Up and Move Down as necessary to set the order. The SMTP virtual server will start with the top DNS server and descend the list until one of the servers returns the information it needs.

    8. Note To remove a server from the list, highlight it, and then click Remove.


Exchange Server 2003 - Messaging Clients

Messaging Clients

Messaging Clients

Use the following sections to learn how Microsoft Exchange Server 2003 closely integrates with Internet Information Services (IIS) so that you can provide an efficient and secure environment for users running Internet clients to access Exchange data locally and remotely:

  • Global Settings. In these sections you learn how to configure global settings so that you can customize default formatting configurations and message size limits that are applied across every mailbox and virtual server in your organization. More...
  • HTTP Support. In these sections you learn how Exchange supports HTTP and Web Distributed Authoring and Versioning (WebDAV) so that users have more functionality when accessing their information. You learn how Exchange uses HTTP, which is the underlying protocol used by the World Wide Web, and WebDAV, which is an extension to the HTTP version 1.1 protocol, to allow an HTTP client to retrieve and manipulate information in Web Storage System. More...
  • IMAP4 Support. In these sections you learn how users with an Internet Message Access Protocol version 4 (IMAP4) client can access mail in their Exchange mailbox without downloading the entire mailbox to a specific computer. More...
  • NNTP Support. In these sections you learn how Exchange uses Network News Transfer Protocol (NNTP) to enable Microsoft Outlook users to participate in online discussions over the Internet. Exchange also enables users running client applications that support NNTP to access newsgroup public folders on computers running Exchange. More...
  • POP3 Support. In these sections you learn about Exchange supports Post Office Protocol version 3 (POP3). Exchange supports POP3 so that POP3 users can access their private Inbox on Exchange. However, the limitations of POP3 do not allow POP3 users to access other public or private folders. POP3 is not intended to provide full manipulation of mail on the server. Although messages can be left on the server, mail is usually downloaded to a user's computer and then deleted. More...
  • Outlook Web Access. These topics show you how to configure an Outlook Web Access virtual server so that users can access e-mail, calendar information, shared applications, and any content in the public folder store simply and efficiently using a Web browser. More...
  • Mobile Services for Exchange. These topics show you how to configure your Exchange server so users can access their Exchange information with a mobile device using Outlook Mobile Access and Exchange ActiveSync. More...


Exchange Server 2003 - Global Settings

Messaging Clients

Global Settings

The global settings feature allows you to configure system-wide settings in a variety of ways. For example, a majority of your users may have similar message conversion needs, or you may want them to subscribe to the same delivery restrictions. You can define default formatting configurations and message size limits that can be applied across every mailbox and virtual server in your organization.

You can override global settings for special messaging situations by configuring the individual Microsoft Exchange objects with different default settings. These global settings will be applied only when no configurations have been made at the virtual server level or individual mailbox level.

Answers to Frequently Asked Questions

When should I use global settings?

These system-wide configurations should be used when a majority of your users have similar needs. Otherwise, message formatting can be set on the individual virtual servers and mailboxes in your organization, and message size or recipient limitations can be set on a per-user basis.

What do global delivery restrictions have to do with limits set on an SMTP virtual server?

A Simple Mail Transfer Protocol (SMTP) virtual server will not accept a message from a client or another server if the message exceeds its message size limit. When a message is accepted, the SMTP virtual server will try to deliver it to all recipient mailboxes. Only then do these global restrictions apply. The message will be accepted by all recipient mailboxes with limits it does not exceed (mailbox limits can be set globally or on a per-user basis).

What is the Filtering tab for?

The Filtering tab is where the message filter list is created. This list is used by all SMTP virtual servers in your organization to block particular users or groups from sending mail to some or all IP addresses on your intranet. Once the message filter list is created, it must be enabled on a per-IP address basis on every SMTP virtual server.

Why would I want to add an Internet message format?

Internet formats are used when messages are sent to or are received from an Internet recipient. When MAPI clients in your organization send messages, they are converted from Microsoft Rich Text Format (RTF) to Multipurpose Internet Mail Extensions (MIME). Each type of content in the message, such as video or audio, is identified by a MIME type. The video or audio is sent as an attachment with MIME types that are mapped to an appropriate extension. These extensions allow Microsoft Exchange Server and other mail programs to recognize the attachment and display it correctly. Although Exchange contains many MIME types, if there is media or content that you send or receive through e-mail, adding it to the list of MIME types will help recipients open and display the attachment correctly. More...

What happens when I add a new domain node to Internet Message Formats?

A domain node allows you to create a set of guidelines for SMTP to use when sending messages to a specific remote domain. For example, if you have MAPI clients that send messages to a business partner on a regular basis, you may want to create a policy for SMTP to use when sending messages to your partner's domain. The policy allows you to specify the format your business partner must use to view your messages. Adding a domain node does not mean that you are creating a new domain in your organization; you are just creating a new set of SMTP guidelines to use with a remote domain. More...

My clients use uuencode instead of MIME. How can I determine which is used?

For each domain node that you create you can specify the message format that SMTP should use when sending e-mail. You can choose to use uuencode instead of MIME. More...


Exchange Server 2003 - Set Message Defaults

Messaging Clients

Set Message Defaults

Messages sent by Internet clients are stored in Multipurpose Internet Mail Extensions (MIME) format, and no message conversion takes place when the messages are read by clients. Messages sent by MAPI clients are converted from Microsoft Rich Text Format (RTF) to MIME by Simple Mail Transfer Protocol (SMTP). Use the procedures in this section to specify how SMTP converts outbound messages sent by a MAPI client to an Internet client. You can associate MIME content types with an extension to ensure that messages convert correctly. You can also specify how all messages sent to a specific domain are converted.

To set Internet message defaults:

  • Associate MIME Types with an Extension
  • Configure Message Defaults


Exchange Server 2003 - Associate MIME Types with an Extension

Messaging Clients

Associate MIME Types with an Extension

When SMTP sends a MAPI message to an Internet client, all attachments are assigned a content type based on the extension of the attachment file. Use the MIME Types tab to map a new file extension to a specific type of content. You can also define your own MIME types.

To associate a MIME type with an extension:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Global Settings.
  3. Right-click Internet Message Formats, and then click Properties.
  4. On the General tab, double-click a content type.
  5. To change the content type, in the Type drop-down list, select a new content type.
  6. To change the extension, in Associated extension, enter a new file extension. You do not need to include the "." before the extension.
  7. To map a new content type to an extension, in the Type drop-down list, select a new content type, and then in Associated extension, enter a new file extension. You do not need to include the "." before the extension.


Exchange Server 2003 - Configure Message Defaults

Messaging Clients

Configure Message Defaults

You can create a set of guidelines for SMTP to use when sending messages to a specific domain. For example, if you have MAPI clients that send messages to a business partner on a regular basis, you may want to create a policy for SMTP to use when sending to your partner's domain. The policy allows you to specify the format used by your business partner to view messages.

To set message defaults for a domain:

  1. Create a New SMTP Policy
  2. Specify Message Formats
  3. Set Advanced Options


Exchange Server 2003 - Create a New SMTP Policy

Messaging Clients

Create a New SMTP Policy

Use the Domain Node option to create a new SMTP policy for a domain that you send e-mail to. Creating a domain node does not create a new domain in your organization. Instead it creates a new set of SMTP guidelines that determine how SMTP sends e-mail to a remote domain.

To create a new SMTP policy for a domain:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Global Settings.
  3. Right-click Internet Message Formats, point to New, and then click Domain.
  4. In Name, type a descriptive name for the policy, and then in SMTP domain, type the DNS name of the domain.


Exchange Server 2003 - Specify Message Formats

Messaging Clients

Specify Message Formats

You can specify the message format that SMTP should use when sending mail to the specified domain.

Important If you want to encode messages in MIME with HTML, Exchange Rich Text Format is not supported.

To specify message formats:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings, and then click Internet Message Formats.
  3. In the details pane, right-click a name, and then click Properties.
  4. Click the Message Format tab.
  5. In Message encoding, select either MIME or UUEncode.

    6. Tip If you select MIME you can further define how the message is formatted. To display text only and replace graphics and active links with textual representations, select Provide message body as plain text. To display graphics and links to other documents, select Provide message body as HTML. To provide both plain text and HTML when you aren't sure which format the client can read, select Both.

    If you select UUEncode, you can specify that you support Macintosh clients. To use BinHex, which is an encoding scheme similar to uuencode but is a more common format for Macintosh files, select Use BinHex for Macintosh.

  6. To apply the selected MIME or uuencode settings to non-MAPI clients, select Apply content settings to non-MAPI clients.
  7. To support multilingual messages, in Character sets, choose a code page from the MIME and Non-MIME messages drop-down lists. Microsoft Windows uses code pages to read messages containing international character sets.


Exchange Server 2003 - Set Advanced Options

Messaging Clients

Set Advanced Options

In addition to specifying how messages are encoded, you can also set guidelines for using Exchange Rich Text Format (RTF), word wrap, and automatic replies. The following options will apply to the SMTP domain specified on the General tab.

To Set Advanced Options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings, and then click Internet Message Formats.
  3. In the details pane, right-click a name, and then click Properties.
  4. On the Advanced tab, to send all messages in RTF, select Always Use. If you want to encode messages in MIME with HTML, RTF is not supported. In this case select Never use.
  5. To send text in the original format without forcing line breaks, in Message text word wrap, select Never Use. If your recipients have a limited area to display messages, or you want to reformat line breaks so that text flows no further than a specific column, select Use at column, and then type the number of the column.
  6. Select Allow out of office responses to notify the sender that the recipient is out of the office.
  7. Select Allow automatic replies to notify the sender that the message was received.
  8. Select Allow automatic forward to deliver a duplicate message to a new recipient.
  9. Select Allow delivery reports to allow senders in the specified SMTP domain to receive delivery reports when they send mail to your Exchange organization.
  10. Select Allow non-delivery reports to allow senders in the specified SMTP domain to receive NDRs from your Exchange organization.
  11. To display the sender's name as it appears in the Address Book, instead of the shortened alias name used to route the message, select Preserve sender's display name on message.


Exchange Server 2003 - Set Mailbox Defaults

Messaging Clients

Set Mailbox Defaults

Besides configuring message defaults, Exchange allows you to make global settings on the mailboxes in your organization. These consist of message size and recipient limits.

The following mailbox defaults can be set through Message Delivery Properties:

  • Set Delivery Restrictions

Note Administrators may also want to designate a mailbox as the SMTP postmaster account. This is the account that will appear in the From line of all NDRs sent out by your organization. For more information, see Set the SMTP Postmaster Account.


Exchange Server 2003 - Set the SMTP Postmaster Account

Messaging Clients

Set the SMTP Postmaster Account

When a message cannot be delivered to someone in your organization, that person will receive a non-delivery report (NDR). All NDRs in your organization will be sent with the SMTP postmaster's address in the From line. Therefore, whenever someone replies to an NDR, either to report the delivery failure or to seek help in diagnosing the situation, this is the account that will be contacted.

For this reason, you should use an alias that will proxy replies to someone, or a valid SMTP e-mail address, such as user@<domain>.com, where <domain> is your organization's default domain. Internet users who get an NDR will then be able to reply to it and contact someone who can help them. At the very least, your organization will be made aware of the delivery problem.

To set the SMTP postmaster account:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. Expand the domain in which the account resides, and then click Users.
  3. In the details pane, right-click the account that will receive postmaster mail for your domain, and then click Properties.
  4. In the Properties dialog, click the E-mail Addresses tab, and then click New.
  5. In New E-mail Address, click SMTP Address, and then click OK.
  6. In Internet Address Properties, type postmaster@<domain>.com, where <domain> is your organization's default domain name.


Exchange Server 2003 - Set Delivery Restrictions

Messaging Clients

Set Delivery Restrictions

Use the Defaults tab to set message size and recipient limits for all mailboxes in your organization. You can conserve system resources by limiting the size of messages circulating in your organization, because larger messages are more difficult to process and more likely to cause bottlenecks in the Exchange routing engine. A message with many recipients can also tax your system with directory lookups and delivery connections.

Message size limits can apply to inbound or outbound messages, or both. Recipient limits apply to all messages.

Important All the global settings here will be overridden by per-user settings made on individual mailboxes.

To set global message delivery restrictions:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Double-click Global Settings.
  3. Right-click Message Delivery, and then click Properties.
  4. On the Defaults tab, you can set the following options:
    • To set an Sending message size limit, select Maximum (KB), and then type the maximum message size, in kilobytes, that can be sent by users. The default setting is No limit, which means users will be allowed to send a message of any size.
    • To set an Receiving message size limit, select Maximum (KB), and then type the maximum message size, in kilobytes, that can be received by users. The default setting is No limit, which means users will be allowed to receive a message of any size.
    • To set Recipient limits, choose Maximum (recipients), and then type the maximum number of recipients allowed for any message sent or received in your organization. Recipients include all users on the To, cc, and bcc lines, as well as expanded distribution lists. The default is 5000 recipients. Select No limit to allow users to send and receive messages regardless of how many recipients they are addressed to.


Exchange Server 2003 - HTTP

Messaging Clients

HTTP Support

HTTP is the underlying protocol used by the World Wide Web. HTTP defines how messages are formatted and transmitted, and what actions Web servers and browsers take in response to various commands. Web Distributed Authoring and Versioning (WebDAV) is an extension to the HTTP version 1.1 protocol. The WebDAV protocol allows an HTTP client to retrieve and manipulate information in Information Store.

Microsoft Exchange 2003 Server supports HTTP and WebDAV to provide more functionality for general data access.

  • Document access. HTTP and WebDAV support a collaborative environment in which users can edit documents; protect updated data from being lost; collect resources in a common folder; move or copy files; and modify information about files, such as author, date of creation, and related file links.
  • E-mail access. HTTP and WebDAV can be used to access mailboxes and messages; notify users that new e-mail has arrived; and allow users to move, copy, or delete e-mail on the server.
  • Application access. HTTP and WebDAV are also referred to as standards-based application layers. Mailboxes and public folders are exposed through a unique URL, allowing custom applications to retrieve data directly from Information Store.

Exchange provides support for WebDAV through HTTP virtual servers. The folder contents the HTTP virtual server displays are converted to Web pages and sent to a user's browser by Microsoft Internet Information Services (IIS).

For maintenance and troubleshooting recommendations, see Maintaining HTTP Virtual Servers.

Answers to Frequently Asked Questions

Why can't I access the properties of the HTTP virtual server that is created automatically when Exchange is installed?

When you install Exchange, an HTTP virtual server is automatically installed and configured to provide access to public and private folders. This default server is created by IIS and can you must administer the server from IIS.

Do I need to create another HTTP virtual server besides the default Exchange virtual server?

To provide for a number of different collaboration scenarios, you can create new HTTP virtual servers; for example, if you have company information that you want to secure by requiring users to provide valid Windows user names and passwords, you can use Integrated Windows Authentication on the default virtual server. If you also want to provide users outside of your organization with information about your company, you can enable anonymous access on a separate HTTP virtual server.

When do I use Exchange and when do I use IIS?

When administering HTTP servers created in Exchange, you should use System Manager instead of IIS, when applicable; for example, you can set authentication methods in both Exchange and IIS. If you create the HTTP server in Exchange, you should administer authentication only from System Manager.

Are mailboxes available to users once Exchange is installed?

By default, users can access private mailboxes using a URL in the form of http://server_name/exchange/mailbox_name after a standard Exchange installation and setup is complete. If you create a new mailbox store, a different URL is automatically assigned to it, which is based on the virtual directory name you choose; for example, http://server_name/virtual_directory_name/mailbox_name. More...

How can I access content in a folder that is exposed by a URL?

When you create a virtual directory, you provide users with access to the contents of a public folder through a URL. The URL takes the form of http://virtualserver/public, in which virtualserver is the local or domain name service (DNS) name of the virtual server. You can also access a published directory through a product such as Microsoft Internet Explorer, or through any client that supports the industry standard HTTP and WebDAV protocols. You can use Microsoft Windows 2000 to connect to an HTTP server through the Network Places control panel, and you can use Microsoft Office 2000 to create and save documents directly into an HTTP directory through a feature called Web Folders. You can also use Internet Explorer 5.0 to connect to an HTTP directory and perform the same file system tasks that you can with Windows 2000.

What is the purpose of virtual directories?

Virtual directories provide users connecting to the server with access to public folders or mailboxes. For each virtual server you create, you must define one virtual directory as the root of the server for publishing a public folder or mailboxes in a Simple Mail Transfer Protocol (SMTP) mail domain. You can create additional virtual directories to publish content not contained within the server's own directory structure. The virtual directory can provide users with access to a public folder or mailbox on a local or remote domain.

Do Active Server Pages (ASP) work with HTTP virtual servers?

When you publish an ASP file in a virtual directory on an HTTP server, no functionality is lost. ASP pages work normally in HTTP virtual server directories. ASP pages can contain HTML and code to use Component Object Model (COM) services to perform a variety of tasks, such as connecting to a database.


Exchange Server 2003 - Create a New HTTP Server

Messaging Clients

Create a New HTTP Server

When you install Exchange, an HTTP virtual server is automatically installed and configured to provide users with access to public and private folders. You can administer this default server only from IIS; however, users can access data immediately using the following URLs:

  • http://server_name/public. This URL provides access to public folders.
  • http://server_name/exchange/mailbox_name. This URL provides access to mailboxes.

To provide for a number of different collaboration scenarios, you can create new HTTP virtual servers to supplement the access to folders that the default Web site in IIS provides. An HTTP virtual server is identified on the network by a unique combination of IP address, TCP port, Secure Sockets Layer (SSL) port, and host name. For each virtual server that you create, you must define one virtual directory as the root of the server for publishing content.

To create a new HTTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
  3. In the console tree, right-click HTTP, point to New, and then click HTTP Virtual Server.
  4. In Name, type a name to identify the server in the console tree. This name is not visible to the client and does not have to match the host name.
  5. To limit the number of concurrent connections to the virtual server, select Limit number of connections, and then type the limit in the text box.
  6. To configure the number of seconds that must elapse before an unsuccessful connection times out, type the number of seconds in the Time-out (secs) text box. The default is 900.
  7. Assign a unique identity.
  8. Configure the server's virtual directory.


Exchange Server 2003 - Assign a Unique Identity

Messaging Clients

Assign a Unique Identity

An HTTP virtual server is identified on the network by a unique combination of IP address, TCP port, SSL port, and host name. You can change the Domain Name System (DNS) entry by editing the server's properties or editing the host file.

Important If you differentiate a virtual server by host name only, additional steps are necessary to direct the browser to access a specific virtual server. The reason for this is that multiple virtual servers use the same ports.

To assign a unique identity:

  1. If you have not done so already, create a new server.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, click Advanced, and then click Add.
  5. To differentiate a new HTTP virtual server from other HTTP virtual servers, edit at least one of the following settings.
    Setting | Description
    IP address | Select (All Unassigned) or choose a specific IP address generated from the available network cards.
    Host name | Type a unique name to identify the virtual server on the network. This option is required to create a DNS entry for the virtual server.
    TCP port | Type a new port number if the default port of 80 is already in use. If you are using SSL in addition to a regular channel, you must change this port number and the SSL port.
    SSL port | Type a new port number to use a secure channel. If you are using SSL in addition to a regular channel, you must change this port number and the SSL port.

Important If you change the TCP port and leave the SSL port at the default setting of 443, SSL requests sent to this new virtual server go to the default virtual server managed by Internet Information Services (IIS).


Exchange Server 2003 - Configure the Server's Virtual Directory

Messaging Clients

Configure the Server's Virtual Directory

For each virtual server that you create, you must define one virtual directory as the root of the server for publishing folders or mailboxes. You can create additional virtual directories to publish content not contained within the server's own directory structure. The virtual directory can provide access to a public folder or to a mailbox on a local or remote domain.

To configure the server's virtual directory:

  • Provide Access to a Public Folder
  • Provide Access to a Mailbox

Related Topics

Create Additional Virtual Directories


Exchange Server 2003 - Provide Access to a Public Folder

Messaging Clients

Provide Access to a Public Folder

When you create a new HTTP virtual server, you must provide access to a public folder or public folder tree to configure the server's root. In order to provide access to other public folders or public folder trees, virtual servers can have more than one root. To provide access to content not contained within the public folder or public folder tree you specify as the root, you must create additional virtual directories.

Important Before you can view the contents of the folder to which you are providing access, you must start the virtual server's Web site. If you are publishing files in the default Exchange virtual server, you must start the virtual server's Web site in IIS. If you are publishing files from an Exchange HTTP virtual server, you must start the server in System Manager.

To provide access to a public folder:

  1. If you have not done so already, create a new HTTP server.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, under Exchange Path, select Public folder.
  5. Click Modify, select a folder from the tree, and then click OK.

    6. Tip The public folder is accessed through a URL that contains the path shown in Exchange Path.

    For example, http://virtualserver/public, where virtualserver is the local or DNS name of the virtual server.


Exchange Server 2003 - Provide Access to a Mailbox

Messaging Clients

Provide Access to a Mailbox

When you create a new HTTP virtual server, you must provide access to a Simple Mail Transfer Protocol (SMTP) mailbox domain in order to configure the server's root. By default, this root provides access to all mailboxes in the Exchange server's local domain. You can change the default e-mail domain of the HTTP virtual server or, because virtual servers can have more than one root, you can create additional virtual directories to provide access to mailboxes in multiple domains. To provide access to mailboxes in remote e-mail domains, you must create additional virtual directories.

Tip When you create a virtual directory to provide access to a mailbox, you do not have to identify a specific mailbox. You specify only a local domain or remote SMTP domain. When a user accesses the virtual directory, Exchange attempts to access the mailbox associated with the Windows 2000 user account name that the user is logged on as. If you enabled anonymous access, the mailbox specified as the anonymous account is exposed to anonymous users.

To provide access to a mailbox:

  1. If you have not done so already, create a new server.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, under Exchange Path, select Mailboxes for.
  5. To provide access to mailboxes for an SMTP domain other than the one listed, click Modify, select an SMTP domain, and then click OK.

    6. Tip A private mailbox is accessed through a URL that contains the user's logon account name.

    For example, http://virtualserver/username, where virtualserver is the local or DNS name of the virtual server.


Exchange Server 2003 - Control Access to the HTTP Virtual Server

Messaging Clients

Control Access to the HTTP Virtual Server

HTTP virtual servers allow you to support a collaborative authoring environment. When you collaborate on confidential material, it is important to control who has access to the data; however, if you also want users outside of your organization to access public information, you can enable anonymous connections on a separate HTTP virtual server. To restrict user access you can use the following procedures on the Exchange virtual server, or you can use IIS to set security features.

To control access to the server:

  • Set Connection Limits
  • Configure Read, Write, and Browse Permissions
  • Set Script and Executable Access
  • Allow Anonymous Access
  • Edit Authentication Methods


Exchange Server 2003 - Set Connection Limits

Messaging Clients

Set Connection Limits

Limited only by the resources of the computer, a virtual server accepts an unlimited number of inbound connections. To prevent a computer from becoming overloaded, you can limit the number of connections the HTTP virtual server accepts. You can also limit the length of time that idle connections remain logged on to the server.

By default, Exchange limits the number of incoming connections to 1,000 and disconnects idle sessions after 60 seconds.

To set connection limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, if not already selected, select Limit number of connections, and then type an integer between 1 and 1,999,999,999.
  5. In Time-out (secs), type the number of seconds that elapse before idle connections are disconnected.

    6. Warning Setting the time-out too low causes clients to be unexpectedly disconnected from the server and users may receive an error message. The lowest recommended time-out is 60 seconds.


Exchange Server 2003 - Configure Read, Write, and Browse Permissions

Messaging Clients

Configure Read, Write, and Browse Permissions

When you set permissions on a virtual directory, all users are granted the same permissions to access the folders or mailboxes the virtual directory specifies. To prevent specific content from being read or changed, set permissions on the public folder. The virtual directory settings are general restrictions imposed by IIS. Virtual server settings do not override permission to access mailboxes and public folders set on the user's account.

To configure read, write, and browse permissions:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. To set permissions on the server's root directory, right-click a virtual server, and then click Properties. To set permissions on additional virtual directories, expand the HTTP virtual server, right-click a virtual directory, and then click Properties.
  4. Click Access, and then use the check boxes to grant or deny all users the ability to Read, Write, or Browse directories.

Related Topics

Set Script and Executable Access Edit Authentication Methods


Exchange Server 2003 - Set Script and Executable Access

Messaging Clients

Set Script and Executable Access

When users attempt to access an Active Server Pages (ASP) file or other script file, the server usually responds by processing the script and displaying the results to the user. If a user is developing the server scripts remotely, the client must access the source of the file. Alternatively, the administrator may need to increase security on the server by limiting where scripts and executables can be run on the server. When you grant script access or enable scripts to run, you allow all connected users to view the source of the scripts and to run the scripts.

Note Source access must be enabled to access properties on a script file using HTTP.

To set script and executable access:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. To set permissions on the server's root directory, right-click a virtual server, and then click Properties. To set permissions on additional virtual directories, expand the HTTP virtual server, right-click a virtual directory, and then click Properties.
  4. To allow users to view the script code, on the Access tab, select the Script source access check box if it is not already selected.
  5. To restrict all users from running scripts, in Execute Permissions, click None. To allow all users to execute scripts or executables, click either Scripts or Scripts and Executables.

Tip Once source access is granted, if a client application requires access to the source of a script instead of the result of the script's execution, the client application must send the HTTP get command with the "translate: f" header included. This header indicates to the server to not run the script but to return the source.


Exchange Server 2003 - Allow Anonymous Access

Messaging Clients

Allow Anonymous Access

Enabling anonymous connections allows HTTP clients to access resources without specifying a Microsoft Windows 2000 user account. Passwords for anonymous accounts are not verified; the password is only logged in Windows 2000 Event Log. By default, anonymous access is not enabled.

To allow anonymous access:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication.
  5. Select the Anonymous access check box.
  6. In Anonymous account, type the name of the existing Windows account that grants appropriate permissions to users who don't authenticate.


Exchange Server 2003 - Edit Authentication Methods

Messaging Clients

Edit Authentication Methods

Exchange enables basic authentication and Integrated Windows Authentication by default.

Basic Authentication

Basic authentication transmits user passwords across the network as unencrypted information. Although this method allows users to access all Exchange resources, it is not very secure. To enhance security, use SSL with basic authentication to encrypt all information.

Integrated Windows Authentication

Enabled by default (except on front-end servers), Integrated Windows authentication also requires HTTP users to have a valid Windows 2000 user account name and password to access information. Users are not prompted for their account names and passwords; instead, the server negotiates with the Windows 2000 security packages installed on the client computer. This method allows the server to authenticate users without prompting them for information and without transmitting unencrypted information across the network.

Authentication settings for the default HTTP virtual server must be configured through IIS. However, configurations on HTTP virutal servers that you create should be done in System Manager.

Important The default authentication settings vary between server roles, depending on if the Exchange server is a front-end server or a back-end server.

To edit authentication methods:

  • Use SSL with Basic Authentication
  • Disable Basic Authentication


Exchange Server 2003 - Use SSL with Basic Authentication

Messaging Clients

Use SSL with Basic Authentication

SSL is an encryption method for sending messages over a secure channel. If a virtual server is configured for basic authentication over SSL, users must specify a valid Windows 2000 user account and password to log on. By default, HTTP virtual servers use port 443 for SSL communications. If you are configuring multiple virtual servers, you must change the default SSL port to create a unique combination of IP address, TCP port, and SSL port.

Important This procedure will work only on HTTP virtual servers that you have created. The default HTTP virtual server, Exchange Virtual Server, must be configured using Windows 2000 Internet Information Services (IIS). To do this, on the Start menu, point to Programs, point to Administrative Tools, and then click Internet Services Manager.

To use SSL with basic authentication:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. In Identities, select an existing IP address, and then click Modify.
  6. In SSL port, type a new port number.


Exchange Server 2003 - Disable Basic Authentication

Messaging Clients

Disable Basic Authentication

If you want to use a method that is more secure and doesn't prompt the user for a name and password, or if you don't want to grant users permission to log on locally on Internet Information Services (IIS), disable basic authentication. Remember that users cannot log on to the computer running Exchange until one of the authentication methods that the client supports is enabled on the server. If you disable basic authentication, make sure you choose another authentication method.

To disable basic authentication:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Administrative Group

    1. Administrative group
    2. Servers
    3. Server
    4. Protocols
    5. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication. By default, the Basic Authentication check box is selected.
  5. Click to clear the Basic Authentication check box.


Exchange Server 2003 - Publish Information

Messaging Clients

Publish Information

When you create a new virtual server, you must define one virtual directory as the root of the server for publishing content. After you create a new virtual server, you can create additional virtual directories to publish content not contained within the server's own directory structure. Virtual directories appear to client browsers as though they are part of the virtual server's directory tree. For more information, see the IIS documentation.

To publish information:

  • Create Additional Virtual Directories
  • Set a Default Document


Exchange Server 2003 - Create Additional Virtual Directories

Messaging Clients

Create Additional Virtual Directories

When you create a new HTTP virtual server, you must set up the server's root by providing access to a public folder or a Simple Mail Transfer Protocol (SMTP) mailbox domain. You can create additional virtual directories to publish content not contained within the server's own directory structure. Virtual directories that you create underneath a server appear as part of the virtual server's directory hierarchy to client browsers.

To create additional virtual directories:

  • Provide Access to Additional Public Folders
  • Provide Access to Mailboxes in Remote Domains


Exchange Server 2003 - Provide Access to Additional Public Folders

Messaging Clients

Provide Access to Additional Public Folders

To provide access to additional public folders and create a directory structure to organize documents, you can create additional virtual directories for a virtual server.

To provide access to additional public folders:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click an HTTP virtual server, point to New, and then select Virtual Directory.
  4. In Name, type a name for the virtual directory.
  5. Under Exchange Path, select Public folder, and then click Modify.
  6. Choose a public folder, and then in the Public Folder Selection window, click OK.

    7. Tip The public folder is accessed through a URL that contains the path shown in Exchange Path.

    For example, http://virtualserver/public, where virtualserver is the local or DNS name of the virtual server.


Exchange Server 2003 - Provide Access to Mailboxes in Remote Domains

Messaging Clients

Provide Access to Mailboxes in Remote Domains

By default, a new virtual server's root directory provides access to all mailboxes in the Exchange server's local domain. You can provide access to mailboxes in remote mail domains by creating a virtual directory for each remote domain.

Tip When you create a virtual directory to provide access to a mailbox, you do not have to identify a specific mailbox. You specify only a local domain or a remote SMTP domain. When a user accesses the virtual directory, Exchange attempts to access the mailbox associated with the Windows 2000 user account name that the user is logged on as. If you enabled anonymous access, the mailbox specified as the anonymous account is accessible to anonymous users.

To provide access to mailboxes in remote domains:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click an HTTP virtual server, point to New, and then select Virtual Directory.
  4. In Name, type a name for the virtual directory.
  5. Under Exchange Path, select Mailboxes for.
  6. To provide access to mailboxes for an SMTP domain other than the one listed, click Modify, select an SMTP domain, and then click OK.

    7. Tip The private mailbox is accessed through a URL that contains the user's logon account name.

    For example, http://virtualserver/username, where virtualserver is the local or DNS name of the virtual server.


Exchange Server 2003 - Set a Default Document

Messaging Clients

Set a Default Document

A default document is an HTML document that you specify as a property on a folder. A default document is used when a user requests a folder from the HTTP virtual server without specifying the name of a file within that folder. If you specify a default document, the HTTP virtual server displays that page to the user. If you do not specify a default document, a list of the folder's contents is displayed for the user to choose from.

To set the default document for a folder, send the PROPPATCH command as an HTTP request to the server. Set the value of the DAV:defaultdocument property to a string indicating either the absolute (http://server/virtualdir/folder/file) or relative (./folder/file) paths to the file. The request is sent using Microsoft Visual Basic script and the XMLHTTPRequest object available with Microsoft XML.

Note You can set a default document in IIS; however, Exchange does not use this information when processing requests against HTTP servers and folders created and managed in Exchange.

To set a default document:

  1. To send the PROPPATCH request to the HTTP server, you must write a script. Use the following Visual Basic examples to script the PROPPATCH command.

    • The following example uses a relative path:
      PROPPATCH /public/myfolder HTTP/1.1
      host: myserver
      Content-Type: text/xml

      <a:propertyupdate xmlns:a="DAV:" >
      <a:set>
      <a:prop>
      <a:defaultdocument>mydefdoc.htm</a:defaultdocument>
      </a:prop>
      </a:set>>
      </a:propertyupdate>
    • The following example uses an absolute path:
      PROPPATCH /public/myfolder HTTP/1.1
      host: myserver
      Content-Type: text/xml

      <a:propertyupdate xmlns:a="DAV:">
      <a:set>
      <a:prop>
      <a:defaultdocument>http://myserver/public/myfolder/mydefdoc.htm</a:defaultdocument>
      </a:prop>
      </a:set>
      </a:propertyupdate>
  2. Once the server receives the request, you can view the contents of Mydefdoc.htm by using the get command on /public/myfolder/.


Exchange Server 2003 - Start, Pause, and Stop the Server

Messaging Clients

Start, Pause, and Stop the Server

In certain situations, you may need to start or stop a virtual server manually; for example, you may need to stop an HTTP virtual server immediately to perform maintenance. You can also pause a virtual server to take it out of service with minimal user disruption. When paused, the HTTP virtual server continues to support existing client connections but refuses new client session requests. As users stop and restart their session access, users connect to alternate servers that are configured to provide HTTP access.

To start, pause, and stop the server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Choose an HTTP virtual server. Note that you can only administer the default Exchange virtual server from Internet Services Manager.
  4. Check the status of the server in the console tree. If it has an icon of a red circle with a white x, the server does not have a unique combination of IP address and TCP port. Before starting the server, you must assign a unique identity to the server.
  5. In the console tree, right-click the HTTP virtual server. You can select from the following options:
    • Start. This option starts the HTTP virtual server.
    • Pause. This option changes the server status to paused and an icon appears next to the server name in the console tree. To re-start the server, select Pause again.
    • Stop. This option changes the server status to stopped and an icon appears next to the server name in the console tree.


Maintaining HTTP Virtual Servers

This section explains how to identify and correct problems that can occur with HTTP virtual servers. To maintain your HTTP server, and to find more information about HTTP and WebDAV:

  • Performance Monitoring
  • Diagnostic Logging
  • Web Resources


Exchange Server 2003 - Performance Monitoring

Messaging Clients

Performance Monitoring

The best monitoring tool and method for your organization depends on the type of information you need; for example, if you want to measure the overall load on your Web server, you can use System Monitor to create a week-long plot, showing information such as the number of computer connections and file transfers. If you notice your server's performance is slowing down, you can check for errors in Event Viewer, the tool for viewing the logs that Windows 2000 generates.

All tools that you can use to monitor IIS can also monitor HTTP virtual servers. The following monitoring tools, which Windows 2000 includes, can provide both detailed and summary information about server performance:

  • System Monitor
  • Event Viewer
  • Task Manager
  • Network Monitor

You can also monitor your server by examining logs generated by IIS. These logs extend beyond those generated by Windows 2000. For information about logs that IIS generates, see the IIS documentation.


Exchange Server 2003 - Diagnostic Logging

Messaging Clients

Diagnostic Logging

Use Internet Information Services (IIS) management tools to configure diagnostic logging to record significant events related to HTTP transactions. Requests and responses are logged to a file or a database, according to the settings you choose in the IIS management tools. For more information, see the IIS documentation.


Exchange Server 2003 - Web Resources

Messaging Clients

Web Resources

For more information on HTTP and WebDAV, refer to the following Web sites. Links in this document, including their content, are subject to change without notice.

Description | Link
Microsoft home page | http://www.microsoft.com/
Microsoft Exchange Server home page | http://www.microsoft.com/exchange/
Microsoft Exchange Developer Center | http://msdn.microsoft.com/exchange/
HTTP Request for Comments (RFC) | http://www.ietf.org/rfc/rfc2616.txt?number=2616
WebDAV resources | http://www.webdav.org/
WebDAV RFC | http://www.ietf.org/rfc/rfc2518.txt?number=2518


IMAP4 Support

Internet Message Access Protocol version 4 (IMAP4) allows a client to access messages in private and public folders on a server. Users with an IMAP4 client can access mail in their Microsoft Exchange mailbox without downloading the entire mailbox to a specific computer.

A single client can access multiple mailboxes to retrieve specific messages or portions of a message, such as an attachment. IMAP4 clients can also search a mailbox and store flags to identify messages that have been read. IMAP4 does not send mail. This functionality is handled by Simple Mail Transfer Protocol (SMTP). For problem-solving instructions, see Maintenance.

Answers to frequently asked questions

How can I administer IMAP for clients with different needs?

You can create multiple virtual servers on a single computer to handle multiple local mail domains and provide administration for a number of different messaging scenarios. More...

Can I restrict access to IMAP4 virtual servers?

You can configure your IMAP4 server to grant or deny access to specific computers, groups of computers, or domains. You can grant or deny access to a single computer based on an IP address or by overriding IMAP access on a per-user basis. A group of computers can be either denied or granted access based upon their subnet address and subnet mask. You can also control access to an entire domain at once by specifying a domain name. More...

How does IMAP differ from POP?

Both IMAP and Post Office Protocol (POP) are internet messaging protocols that allow clients to access their mail. The difference between these protocols is where the client manipulates their messages. IMAP allows a client to access and manage mail on a server. POP allows a client to download mail from their Inbox on a server to the client computer where messages are managed.

How are MAPI messages converted when read by an IMAP4 client?

Messages sent by a MAPI client are converted from Microsoft rich-text format to MIME when read by an IMAP4 client. More...

Can I get a list of currently connected users?

You can determine if a specific user is logged on or monitor the server load by viewing a list of currently connected clients. More...

How will using a front-end/back-end configuration help me administer IMAP4?

You can manage the Internet access protocols on a separate server from the one on which the store runs by deploying a front-end/back-end configuration. Essentially, a bank of protocol servers can handle the incoming client connections while the store servers are dedicated to running the databases. The main benefits of a front-end/back-end configuration are a unified namespace and a reduction of overhead for SSL encryption.


Exchange Server 2003 - Support Message Retrieval

Messaging Clients

Support Message Retrieval

Once Exchange is installed, a default IMAP4 virtual server is automatically enabled. You need to ensure that the default server supports the needs of your IMAP4 clients.

To support message retrieval:

  • Assign an IP Address, TCP Port, and SSL Port
  • Control Access to the IMAP4 Virtual Server
  • Set Connection Limits
  • Specify Message Formats
  • Support Various Clients
  • Create Additional Virtual Servers


Exchange Server 2003 - Assign an IP Address, TCP Port, and SSL Port

Messaging Clients

Assign an IP Address, TCP Port, and SSL Port

The default virtual server is created with an IP address of (All Unassigned). For instant operation, the IMAP4 server is identified on the network with the IP address of the Exchange computer. This allows the IMAP4 service to receive incoming connections on TCP port 143, and a Secure Sockets Layer (SSL) port of 993 is used. For instant operation, you can use the default IP address, TCP port, and SSL port, or you can assign a different IP address from any available network card. However, if you plan to create multiple IMAP4 virtual servers, you must create a unique combination of IP addresses, TCP ports, and SSL ports for each server.

Important Even if you leave the default SSL port set to 993, to fully enable SSL on the IMAP4 virtual server you need to request and install a certificate.

To assign an IP address, TCP port, and SSL port:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, in IP address, select either (All Unassigned) or choose a specific IP address from the list of available network cards.
  5. To configure the TCP or SSL Port, click Advanced.
  6. On the Advanced tab, click Add.
  7. Select an IP address and type a Port number.
  8. Type an SSL port number, and then click OK.


Exchange Server 2003 - Control Access to the IMAP4 Virtual Server

Messaging Clients

Control Access to the IMAP4 Virtual Server

If you want users outside of your organization to access server resources, you can enable anonymous access. If a strict policy is required for message transfer, access to the port can be restricted.

To control access to the server:

  • Edit Authentication Methods
  • Associate a Certificate
  • Secure Access by IP Address, Subnet, or Domain


Exchange Server 2003 - Edit Authentication Methods

Messaging Clients

Edit Authentication Methods

Exchange automatically enables Basic Authentication and Integrated Windows Authentication. If you use only Basic Authentication, user passwords and data are transmitted across the network as unencrypted information in clear text. If you use Integrated Windows Authentication, the server authenticates users without requesting information from them or transmitting unencrypted information across the network. To further enhance security, configure Secure Sockets Layer (SSL) to encrypt all authentication information and e-mail content and send that information over a secure channel.

In topologies that contain Exchange front-end and back-end servers, the implementation of authentication settings varies between server roles. On front-end servers, the type of authentication is set to Basic authentication, by default, and cannot be changed. On back-end servers, you can select Basic authentication or Integrated Windows Authentication.

Important If your front-end servers are accessible from the Internet, you should configure SSL to further inhibit the interception of critical information.

To edit authentication methods:

  • Use SSL with Basic Authentication
  • Disable Basic Authentication


Exchange Server 2003 - Use SSL with basic authentication

Messaging Clients

Use SSL with Basic Authentication

Secure Sockets Layer (SSL) is an encryption method for sending messages over a secure channel. If a virtual server is configured for Basic Authentication over SSL, a user must specify a valid Windows user account and password to log on. By default, IMAP4 virtual servers use port 993 for SSL communication. If you are configuring multiple virtual servers, you must change the default SSL port to create a unique combination of IP address, TCP port, and SSL port.

Important In addition to setting the SSL port number, you must request and install a certificate to enable SSL on an IMAP4 virtual server.

To use SSL with Basic Authentication:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. Select an existing IP Address, and then click Edit.
  6. Type an SSL port number, and then click OK.


Exchange Server 2003 - Disable Basic Authentication

Messaging Clients

Disable Basic Authentication

IMAP4 clients cannot log on to the Exchange server until an authentication methods that the client supports is enabled on the server. If you want to use a method that is more secure or that doesn't prompt the user for a name and password, you can disable Basic Authentication.

To disable Basic Authentication:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication.
  5. Make sure Basic Authentication is not selected. If it is, click Basic Authentication to clear the check box, and then click OK.


Exchange Server 2003 - Associate a Certificate

Messaging Clients

Associate a Certificate

If you want IMAP4 clients to exchange secure mail with each other, you must associate a certificate with the server. Only connections that have a published certificate containing a public key can access the IMAP4 virtual server.

Note If the Exchange server is remotely administered, both options are unavailable. Once a certificate is installed, the Communication option becomes available.

To associate a certificate with the server:

  • Install a Certificate
  • Require a Secure Channel


Exchange Server 2003 - Install a Certificate

Messaging Clients

Install a Certificate

If you want clients to read mail on secured connections, you can request a certificate from a certificate authority. To request a new certificate, you need to complete the Web Server Certificate Wizard. Once the request is sent to the certificate authority and processed, you must run the Web Server Certificate Wizard again to install the certificate.

To install a certificate:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Certificate.
  5. To request a new certificate, complete the Web Server Certificate Wizard.
  6. Click Apply to save your settings.
  7. To install the certificate, click Certificate again.
  8. Complete the Web Server Certificate Wizard again.

Related Topics

Associate a Certificate


Exchange Server 2003 - Require a Secure Channel

Messaging Clients

Require a Secure Channel

If you select this option, all information transmitted across the network is encrypted. This option is available only when a certificate is associated with the IMAP4 virtual server.

To require a secure channel:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Communication.
  5. Click Require secure channel.
  6. If 128-bit encryption is supported on the computer hosting the IMAP4 virtual server, click Require 128 bit encryption, and then click OK.

Related Topics

Associate a Certificate


Exchange Server 2003 - Secure Access by IP Address, Subnet, or Domain

Messaging Clients

Secure Access by IP Address, Subnet, or Domain

To further enhance security, you can selectively grant or deny single computers, subnets, and entire domains access to an IMAP4 virtual server. By default, all computers have access until you add them to a list of restricted computers. However, you can restrict access to the IMAP4 virtual server by listing only a few computers, or by specifying computers that do not require the service. This feature is very useful if you create multiple instances of an IMAP4 virtual server. For example, by restricting a client's access to one IMAP4 server but allowing access to another, you can ensure that the client logs on to only the server it is configured for.

To secure access by IP address, subnet, or domain:

  • Grant Access by IP Address, Subnet, or Domain
  • Restrict Access by IP Address, Subnet, or Domain


Exchange Server 2003 - Grant Access by IP Address, Subnet, or Domain

Messaging Clients

Grant Access by IP Address, Subnet, or Domain

If you have a small number of clients who use the IMAP4 service, you can create an exclusive group of computers that can access only the server. Computers that have access to the service can be identified by IP address, subnet mask, or domain name.

Warning Identify a permitted computer by IP address only if you assign IP addresses statically. If a Dynamic Host Configuration Protocol (DHCP) server assigns temporary IP addresses to computers, you cannot ensure a computer will always use the same IP address.

To grant access by IP address, subnet, or domain:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Connection.
  5. Click Only the list below, and then click Add.
  6. Select one of the following options:
    • IP address. Type the static address of a single computer; for example, 192.168.114.201.

      • Tip If you know only the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If resolved, the IP address appears in IP address automatically.

    • Group of Computers. Type the subnet address and mask; for example, a subnet address of 172.17.131.0 and a subnet mask of 255.255.250.0.
    • Domain. Type the complete domain name; for example, nwtraders.microsoft.com.
  7. To add the computer, subnet, or domain to the list of permitted computers, click OK.

Note By default, IMAP4 virtual servers grant all computers access to Exchange resources such as public folders and mailboxes. If you create groups of permitted users for one IMAP4 virtual server, the list applies only to that one IMAP4 virtual server. To limit access to other IMAP4 virtual servers, you must add groups of computers to all IMAP4 virtual servers.


Exchange Server 2003 - Restrict Access by IP Address, Subnet, or Domain

Messaging Clients

Restrict Access by IP Address, Subnet, or Domain

If you have a small number of clients who do not use the IMAP4 service, you can create a group of restricted computers that cannot access the IMAP4 virtual server. Limiting access to server resources enhances security and can improve performance by reducing the load on a server. By default, all computers can access the IMAP4 virtual server until you identify a group of restricted IP addresses, subnets, or domains.

Warning Identify a restricted computer by IP address only if you assign IP addresses statically. If a DHCP server assigns temporary IP addresses to computers, you cannot ensure a computer will always use the same IP address.

To restrict access by IP address, subnet, or domain:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Connection.
  5. By default, All except the list below is selected.
  6. Click Add.
  7. Select one of the following options:
    • IP address. Type the static address of a single computer; for example, 192.168.114.201.

      • Tip If you know only the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If resolved, the IP address appears in IP address automatically.

    • Group of Computers. Type the subnet address and mask; for example, a subnet address of 172.17.131.0 and a subnet mask of 255.255.250.0.
    • Domain. Type the complete domain name; for example, nwtraders.microsoft.com.
  8. To add the user, subnet, or domain to the list of restricted users, click OK .

Note Restricting a computer's access to one IMAP4 virtual server does not necessarily restrict access to all instances of IMAP4 virtual servers. You must restrict the computer's access to each IMAP4 virtual server if you do not want that computer to access any IMAP4 service. Otherwise, if you restrict a computer from accessing only one instance of an IMAP4 virtual server, depending on how you configure access to the other instances, the computer might still have access to another IMAP4 virtual server.


Exchange Server 2003 - Set Connection Limits

Messaging Clients

Set Connection Limits

Limited only by the resources of the computer, a virtual server can accept an unlimited number of inbound connections. To prevent a computer from becoming overloaded, you can limit the number of connections that can be made to the IMAP4 virtual server at one time. By default, Exchange does not limit the number of incoming connections.

After users are connected, you can also limit the length of time that idle connections remain logged on to the server. By default, Exchange disconnects idle sessions after 30 minutes.

Note In topologies that contain Exchange front-end and back-end servers, the implementation of the connection time-out setting varies between server roles. On back-end servers, the connection time-out setting limits the length of time clients are allowed to be connected to the server without performing any activity. However, on front-end servers, the connection time-out setting limits the total length of the client session, regardless of client activity. Therefore, in front-end/back-end environments, you should configure the time-out value on your front-end servers large enough so that your users can download the maximum message size permitted over the slowest connection speed you want to support. This ensures that your clients are not disconnected while downloading messages.

To set connection limits:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Limit number of connections to, and then type an integer between 1 and 1,999,999,999.
  5. In Connection time-out, type the number of minutes that can elapse before idle connections are disconnected.

    6. Warning Setting the time-out too low can cause clients to be unexpectedly disconnected from the server and possibly receive error messages. Thirty minutes is the lowest recommended time-out setting.


Exchange Server 2003 - Specify Message Formats

Messaging Clients

Specify Message Formats

Messages sent by Internet clients are stored in Multipurpose Internet Mail Extensions (MIME) format, and no message conversion takes place when the messages are read by IMAP4 clients. Messages sent by MAPI clients are converted from Microsoft RTF to MIME when read by IMAP4 clients.

To specify message formats:

  • Set MIME Encoding
  • Choose a Character Set
  • Use Exchange Rich Text Format


Exchange Server 2003 - Set MIME Encoding

Messaging Clients

Set MIME Encoding

MIME provides a way to describe a message that consists of different parts. By definition, all IMAP4 clients understand how to display MIME messages.

To set MIME encoding:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, select one of the following options:
    • Provide message body as plain text. A MIME message body is composed of text only. Graphics and active links are replaced with textual representations. Character formatting, such as bold, underline, and color is not retained.
    • Provide message body as HTML. A MIME message body is generated in HTML. This format allows messages to display graphics, support links to other documents, and retain character formatting.
    • Both. Plain text and HTML versions are generated in a MIME multi-part alternative message. If a client cannot read one format, the other is available.


Exchange Server 2003 - Choose a Character Set

Messaging Clients

Choose a Character Set

Exchange supports multilingual messages using Microsoft Windows code pages instead of Internet character sets. For most languages a one-to-one correspondence exists between the character set and the code page. If multiple character sets exist for one code page, Exchange uses the character setting specified on the Message Format tab.

Note Early MAPI clients, such as Microsoft Outlook 97, do not allow the user to specify a character set. It is for these clients only that the character set conversion settings apply.

To choose a character set:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, select a character set.


Exchange Server 2003 - Use Exchange Rich Text Format

Messaging Clients

Use Exchange Rich Text Format

If enabled, IMAP4 clients receive messages in Exchange rich-text format. Although all IMAP clients receive the information as an attachment, the attachment is opened and displayed as a normal message for IMAP clients that can interpret Exchange RTF. For IMAP clients that cannot interpret Exchange RTF, an attachment is displayed. By default, Exchange RTF is not used.

To enable Exchange Rich Text Format:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, click Use Exchange rich-text format.
  5. Click OK to save your settings.

    6. Note If you want to use Exchange rich-text format, the only MIME option available is plain text.


Exchange Server 2003 - Support Various Clients

Messaging Clients

Support Various Clients

Exchange gives you the ability to support IMAP4 clients with differing requirements. For example, you can disable complete public folder listing to improve the performance of IMAP4 clients that have difficulty with a large number of folders. You can enable fast message retrieval to improve performance for clients who do not require exact message sizes. You can also create additional virtual servers and enable different settings for different clients.

To support various clients:

  • List All Public Folders
  • Approximate Message Sizes


Exchange Server 2003 - List All Public Folders

Messaging Clients

List All Public Folders

You can configure an IMAP4 server to list all public folders. You may not want to use this feature with clients that have problems listing a large number of folders. If you choose not to list all folders, Exchange lists only the client's private folders.

Note Only public folders that have a replica on the user's public folder server are displayed in response to an IMAP4 LIST " "* command. If a replica does not exist on the user's public folder server, the public folder is available only to IMAP4 clients that are referral-enabled. IMAP4 clients can also access the public folders if IMAP4 servers are set up in a front-end/back-end configuration.

To list all public folders:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Include all public folders when a folder list is requested.


Exchange Server 2003 - Approximate Message Sizes

Messaging Clients

Approximate Message Sizes

By default, Exchange calculates the exact size of each message. You can increase the speed of message retrieval for clients that do not require exact message size reports by enabling the server to approximate message sizes.

To approximate message sizes:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Enable fast message retrieval.


Exchange Server 2003 - Create Additional Virtual Servers

Messaging Clients

Create Additional Virtual Servers

A default IMAP4 virtual server is enabled when Exchange is installed. You can edit the default virtual server settings to customize IMAP4 support. If you have clients that access the server or folders in more than one way, you can create additional IMAP4 virtual servers. Multiple virtual servers can be created on a single computer to handle multiple local mail domains and to provide administration for several messaging scenarios. The number of IMAP4 virtual servers you can create is limited only by the resources of the server.

To create additional virtual servers:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click IMAP4, point to New, and then click IMAP4 virtual server.
  4. To assign an IP address and TCP port, complete the New IMAP4 Virtual Server Wizard.
  5. Once you complete the wizard, you can configure the default settings.

Related Topics

Control Access to the IMAP4 Virtual Server Set Connection Limits Specify Message Formats Support Various Clients


Exchange Server 2003 - Configure IMAP4 Clients

Messaging Clients

Configure IMAP4 Clients

Before an IMAP4 client can connect to a server, a mailbox-enabled user must be created in Active Directory for the client. The IMAP4 client also must be configured with account information that is necessary to allow the client to connect to the IMAP4 virtual server.

Note URLs are now generated in meeting requests downloaded from an IMAP4 client. When a meeting request is downloaded from an IMAP4 client, a URL to the meeting request is included in the message. The IMAP4 user can click the URL to go to the Outlook Web Access meeting request and accept the appointment to have it automatically added to his or her calendar.

    In topologies that contain Exchange front-end and back-end servers, you configure the URL your users use to access calendaring information on the Calendaring tab of your back-end server. Exchange does not recognize any URL settings you configure on the Calendaring tab of your front-end servers.

To configure IMAP4 clients:

  • Create a Mailbox-Enabled User
  • Specify Account Information on the Client
  • Set Per-User Options

Warning If your users are connecting to an IMAP4 virtual server from a Netscape Messenger client to retrieve mail, the user will receive an error message if anonymous LDAP access is not allowed. Netscape Messenger cannot resolve names stored in Active Directory unless LDAP allows anonymous access. By default, anonymous LDAP access is not enabled, and users may see an error message stating that "Mail ID invalid or not unique, cannot resolve to directory authorization entry."


Exchange Server 2003 - Create a Mailbox-Enabled User

Messaging Clients

Create a Mailbox-Enabled User

The management of user objects, such as mailboxes, is coordinated completely by Active Directory Users and Computers. When System Manager is installed on a Windows 2000 server, a set of extensions is added to the standard console. This allows you to create an Exchange mailbox for user accounts.

Tip If you do not add a mailbox when you create a new user account, you can enable the user's mailbox after creating the account. This option is available from the Shortcut menu in the details pane that lists the user account.

To create a mailbox-enabled user:

  1. Start Active Directory Users and Computers
    on the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

    2. Tip If Active Directory Users and Computers doesn't appear on the Administrative Tools menu, on the Start menu, click Run, type dsa.msc, and then click OK.

  2. In the console tree, double click the domain node, right-click the Users folder, point to New, and then click User.
  3. To create a user account, complete the New Object-User Wizard.
  4. Create an Exchange Mailbox is checked by default.


Exchange Server 2003 - Specify Account Information on the Client

Messaging Clients

Specify Account Information on the Client

Once you create a place to store user messages, you need to direct the client to the appropriate server and configure the account information so the user can log on. Because IMAP4 clients vary, the process differs for each client; however, all clients must specify the same type of information.

  • An IMAP4 account name. This is the user's alias. You can find this name by viewing the user's account properties in Active Directory Users and Computers; for example, SuzanFines.

    • Note If you have multiple users in one Active Directory domain that share a common user name, a user can only be authenticated if they log on with a unique user name. IMAP4 can authenticate users if they include their domain name in the format of domain\username or use a User Principal Name (UPN). To use a UPN, the user can log on and append their e-mail address to their user name. For example, if you have two users named Sandra Martinez, and one user works at Financial Bank Inc. and the other works at Airlines International, you can assign names based on their e-mail addresses. The user named Sandra Martinez who works at Financial Bank Inc. would log on as SandraM@financial-bank.bank. The user named Sandra Martinez who works at Airlines International would log on as SandraM@airlines-international.air.

  • An IMAP4 e-mail address. This is the user's Internet address and includes the alias followed by the domain name; for example, SuzanFines@nwtraders.microsoft.com
    • .
  • An IMAP4 server name. Use the name of the Exchange computer hosting the IMAP4 virtual server or the DNS entry of the front-end IMAP4 server.
  • An SMTP server name. Because every Exchange server contains a default SMTP server, you can use the same computer name as the IMAP4 virtual server host.

Consider the following when creating your IMAP4 client's account name.

  • By default, Exchange attempts to access the mailbox associated with the Windows user account name that the user is logged on as. For example, if you log on as Domain\SuzanFines, Exchange attempts to access the mailbox called SuzanFines.
  • If a Windows domain and user name are specified as the IMAP4 account name, they must precede the mailbox's alias name; for example, domain_name\user_account_name\mailbox_alias_name.
  • If a Windows domain and user account are specified as the IMAP4 account, the IMAP4 server computer uses a mailbox alias that is equivalent to the Windows user account. For example, specifying domain_name\SuzanFines as the IMAP4 account is equivalent to specifying domain_name\SuzanFines\SuzanFines as the IMAP4 account.
  • If only an alias name is specified as the IMAP4 account, Exchange uses a Windows user name that is equivalent to the alias name. All domains are searched for the first domain that contains that Windows user name. For example, if you specify SuzanFines as the IMAP4 account name, all domains are searched for the first domain that contains user Windows_domain\SuzanFines\SuzanFines.


Exchange Server 2003 - Set Per-User Options

Messaging Clients

Set Per-User Options

In some situations you may need to override server defaults for specific clients. For example, if the majority of your IMAP4 clients can interpret HTML, you can set the server to provide message bodies in HTML by default. However, if a few clients using the IMAP4 server cannot interpret HTML, you can override the Multipurpose Internet Mail Extensions (MIME) encoding set on the server and provide plain text messages for those clients. Overriding server defaults at the user level allows you to support clients with different needs that access the same IMAP4 virtual server.

Note You can also create additional virtual servers on a single computer to provide administration for several messaging scenarios. This solution may be best suited for a large number of clients with varying needs.

To set per-user options:

  1. Start Active Directory Users and Computers
    on the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

    2. Tip If Active Directory Users and Computers doesn't appear on the Administrative Tools menu, on the Start menu, click Run, type dsa.msc, and then click OK.

  2. In the console tree, click Users.
  3. In the details pane, right-click a mailbox-enabled user, and then click Properties.
  4. Open Exchange Advanced, and then click Protocol Settings.
  5. Click IMAP4, and then click Settings.
  6. Click Use protocol defaults to clear the check box and configure client settings.
  7. Click Enable for mailbox to clear the check box and disable the access to the mailbox through an IMAP client.
  8. You can override the following server settings for the specific user:
    9. Settings | Description
    MIME Encoding MIME provides a way to describe a message consisting of different parts. By definition, all IMAP4 clients are MIME-aware. Options include:
    • Provide message body as plain text.
    • Provide message body as HTML.
    • Both.
    Default character set Exchange supports multilingual messages using Windows code pages instead of Internet character sets. Most languages have a one-to-one correspondence between the character set and code page. If multiple character sets exist for one code page, Exchange uses the character setting specified on the Message Format tab.

    Note Early MAPI clients, such as Outlook 97, do not allow the user to specify a character set. Character set conversion settings apply for these clients only.
    Use Microsoft Exchange Rich Text Format | If enabled, IMAP4 clients receive messages in Exchange Rich Text Format (RTF). Although all IMAP clients receive the information as an attachment, the attachment is opened and displayed as a normal message for IMAP clients that understand Exchange RTF. For IMAP clients that do not understand Exchange RTF, an attachment is displayed.
    Include all public folders when a folder list is requested | By default, Exchange lists all public folders in response to the IMAP4 LIST ""* command. To improve performance for clients that have problems listing a large number of folders, list only the client's private folders.
    Enable fast message retrieval | By default, Exchange calculates the exact size of a message. To increase the speed of message retrieval for clients that do not require exact message size reports, you can enable the server to approximate message sizes.
  9. Click OK to save your settings.


Exchange Server 2003 - Allow Clients to Send Mail

Messaging Clients

Allow Clients to Send Mail

A Simple Mail Transfer Protocol (SMTP) virtual server is provided with Exchange. The SMTP virtual server transfers data between Exchange servers. To allow IMAP4 clients to send messages, set relay restrictions on an SMTP virtual server.

Tip To allow a user to act as a delegate for another user, you must allow a user (delegate) to have access to another user's mailbox. To accomplish this you must create both user accounts on the delegate's IMAP client. The user who is allowing access to their mailbox must set appropriate ACLs on the folders that they want the delegate user to see. The delegate user logs in to another user's mailbox using the following format: domain\delegate\mailbox where domain\delegate is the Windows account name of the delegate and the mailbox is the mailbox being shared.


Exchange Server 2003 - Manage Server Processes

Messaging Clients

Manage Server Processes

Before starting the server and managing other processes, the IMAP4 virtual server must be configured for your environment so the client is able to connect. To get details on the status of a server, how to start, pause, and stop the server, and view a list of connected clients, use the following procedures.

To manage server processes:

  • Get the Status of an IMAP4 Virtual Server
  • Start an IMAP4 Virtual Server
  • Pause an IMAP4 Virtual Server
  • Stop an IMAP4 Virtual Server
  • List Connected Users
  • Terminate Connected Users


Exchange Server 2003 - Get the Status of an IMAP4 Virtual Server

Messaging Clients

Get the Status of an IMAP4 Virtual Server

You can find the status of a server at a glance. If the IMAP4 virtual server is running, the server's folder displays an open mailbox in the console tree. If the virtual server is not running, a red circle with an "x" is displayed in front of the mailbox on the server's folder.

To view the status of an IMAP4 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, the status of the server is graphically displayed in front of the open mailbox graphic before the name of the virtual server. If the server is running, you will see an open mailbox graphic. If the server is not running, you will see a graphic indicating that:
    • The server is stopped or does not have a unique identity. This is indicated by a red circle with an "x" in front of the open mailbox graphic. If the IMAP4 server is stopped, new connections cannot be made and all connected users are logged off. If the server does not have a a unique combination of IP address and TCP port, the server cannot be started until you identify the server.
    • The server is paused. This is indicated by two black bars in front of the open mailbox. The IMAP4 server does not allow new connections.


Exchange Server 2003 - Start an IMAP4 Virtual Server

Messaging Clients

Start an IMAP4 Virtual Server

In certain situations, it may be necessary to start a virtual server manually. For example, if you stop the server for maintenance you will need to manually start it.

To start an IMAP4 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console pane, check the status of the server.
  4. If the server is stopped, click Start.

    5. Note If the server displays one of the following options, you will need to take other action.

    • The server does not have a unique identity. If the server does not have a unique combination of IP address and TCP port, the server cannot be started until you identify the server.
    • The server is paused. Choose Pause again to restart the server.


Exchange Server 2003 - Pause an IMAP4 Virtual Server

Messaging Clients

Pause an IMAP4 Virtual Server

Pausing a virtual server allows it to be taken out of service with minimal user disruption. When paused, the IMAP4 virtual server continues to support existing client connections but refuses new client session requests. Administrators can still monitor the virtual server while it is paused. As users stop and restart their session access, users connect to alternate servers that are configured to provide IMAP4 access.

To pause an IMAP4 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click the IMAP4 virtual server, and then click Pause. If the option is not available, the service is not currently running.
  4. To restart the server, right-click the IMAP4 virtual server, and then click Pause again.


Exchange Server 2003 - Stop an IMAP4 Virtual Server

Messaging Clients

Stop an IMAP4 Virtual Server

It may be necessary for you to stop an IMAP4 virtual server to perform maintenance. Connected users will be immediately disconnected from the server.

To stop an IMAP4 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, right-click the IMAP4 virtual server, and then click Stop.

Related Topics

Start an IMAP4 Virtual Server


Exchange Server 2003 - List Connected Users

Messaging Clients

List Connected Users

Use the following procedure to view the list of connected users and the time each connection was made. You can determine if a specific user is logged on or monitor the server load by listing the currently connected clients.

To list connected users:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. In the console tree, double-click a virtual server.
  4. To populate the details pane with information about connected users, in the console tree, click Current Sessions.


Exchange Server 2003 - Terminate Connected Users

Messaging Clients

Terminate Connected Users

You can immediately disconnect a single user or all users if they are accessing the IMAP4 server without permission.

To terminate connected users:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to IMAP4.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. IMAP4
  3. Double-click an IMAP4 virtual server, and then click Current Sessions.
  4. In the details pane, right-click a user.
  5. To disconnect a single user, click Terminate; to disconnect all users click Terminate all.


Exchange Server 2003 - Maintain IMAP4 Virtual Servers

Messaging Clients

Maintain IMAP4 Virtual Servers

As part of your regular maintenance, you should log errors and review the log files to help prevent future problems. Use diagnostic logging to record significant events relating to IMAP4 authentication, connections, and client actions. Use performance monitoring to track performance issues related to the server itself.

To perform maintenance:

  • Use Diagnostic Logging
  • Monitor Performance


Exchange Server 2003 - Use Diagnostic Logging

Messaging Clients

Use Diagnostic Logging

Use diagnostic logging to record significant events relating to authentication, connections, and client actions. Diagnostic logging for IMAP4 is written to the Windows 2000 event log and is set on the server hosting the IMAP4 virtual server. If multiple IMAP4 virtual servers are located on one Exchange server, each IMAP4 virtual server is logged at the level set on the host server. By default, a logging level of None is selected to log only critical and error events.

To set a diagnostic logging level:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to a server.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
  3. In the console tree, right-click a server, and then click Properties.
  4. On the Diagnostics Logging tab, in Services, click IMAP4Svc.
  5. Click an item in Category, and then select a Logging Level:
    • None. This level logs only critical and error events.
    • Minimum. This level logs high-level events by writing one entry for each major task performed by the service. This level of logging can help identify where a problem might be occurring.
    • Medium. This level records entries for each step taken to run a task. This level of logging gives more detail once the location of the problem is found.
    • Maximum. This level records entries for each line of code in the service, providing a complete trail of the operation of a service and logging all events. This level of logging creates a large amount of data, which can affect server performance.


Exchange Server 2003 - Monitor Performance

Messaging Clients

Monitor Performance

Specific performance monitors are available for IMAP4. They are set in the Windows 2000 System Monitor. With System Monitor, you can collect and view extensive data about the usage of hardware resources and the activity of IMAP4 virtual servers on computers that you administer. For more information, see the documentation for System Monitor.

To set IMAP4 performance counters:

  1. Start Performance
    on the Start menu, point to Programs, point to Administrative Tools, and then click Performance.
  2. Right-click the detail pane, and then click Add Counters.
  3. To select the computer running the IMAP4 virtual server, click either Use local computer counters or click Select counters from computer, and then select the server.
  4. In Performance Object, select MSExchangeIMAP4.
  5. To monitor all counters, click All counters. To monitor specific counters, click Select counters from list, and then click the counter name. To read a description of the counter, click Explain.


Exchange Server 2003 - NNTP Support

Messaging Clients

NNTP Support

Network News Transfer Protocol (NNTP) is an application protocol that is used over TCP/IP networks. NNTP defines a set of client and server commands used to access newsgroups.

Microsoft Exchange Server 2003 uses NNTP to enable Microsoft Outlook users to participate in online discussions over the Internet. Exchange also enables users running client applications that support NNTP to access newsgroup public folders on computers running Exchange.

Users can read and post items, such as messages and documents, to NNTP newsgroups that are represented in Exchange as public folders; for example, scientists can exchange research information by posting messages to a newsgroup public folder for their area of interest. Other scientists around the world can read and respond to items in the newsgroup. Items in newsgroups can be replicated to Usenet host computers through newsfeeds. For information about maintaining NNTP, see Maintain NNTP Services and Virtual Servers.

Answers to Frequently Asked Questions

Can I have an administrator approve articles before they are posted to a newsgroup?

You can control which articles are posted to a newsgroup by assigning a moderator to the newsgroup. Articles submitted to a moderated newsgroup are not posted until the moderator approves them. More...

Why is it necessary to use both NNTP Service and an NNTP virtual server?

NNTP Service in Microsoft Windows 2000 replaces Internet News Service in Exchange Server 5.5. This built-in Windows 2000 service is designed to support a stand-alone newsgroup server, making it easy to create group discussions. When you install Exchange, the NNTP Service is enhanced with the capability to interface with other news servers through newsfeeds. NNTP Service communicates with external NNTP servers to make popular USENET groups available to your users.

An NNTP virtual server allows you to administer newsgroup services by controlling authentication and client connections from a centralized location. You can create additional virtual servers to host multiple domains on a single server, or you can create a public and private virtual server and keep them separate for authentication purposes.

How do I use a public news server?

You can reduce support costs and improve customer service by giving customers quick and easy access to technical support information on a public news server.

Why aren't my expiration policies working?

If newsgroup content is saved in Information Store, expiration policies set in Information Store cancel any expiration policies you set on the newsgroups. If you set an expiration policy for newsgroup content, and a different expiration policy is set in Information Store for the same content, only the Information Store policy is used. More...

How do I define a server as master server in a master and subordinate newsfeed configuration?

To create a master server, you use New NNTP Feed Wizard to define the remote server as a subordinate server. You do not directly define a server as a master server. To define a server as a master server, you only need to indicate that the server sends articles to a subordinate server. More...

Why are newsgroups listed that I did not create or subscribe to?

Control messages are sent to cancel a posting, create a new newsgroup, and remove a newsgroup. These messages are received by NNTP Service and posted to special newsgroups in the NNTP virtual server's newsgroups listing. The control messages are posted to one of the appropriate newsgroups: control.cancel, control.newgroup, and control.rmgroup. These newsgroups are automatically created to manage control messages. More...


Exchange Server 2003 - Set Up a Newsgroup Topology

Messaging Clients

Set Up a Newsgroup Topology

When you install Windows 2000, NNTP Service is automatically started. You may need to change NNTP service settings to address various situations, such as configuring the service to start manually for troubleshooting purposes. Similarly, an NNTP virtual server is automatically started when you install Exchange. You can also customize the virtual server's settings and create other instances of NNTP virtual servers. Once NNTP Service is running and the NNTP server is started, you can create newsgroup folders and send and receive messages from other newsgroups by creating newsfeeds.

To set up a newsgroup topology:

  • Configure NNTP Service
  • Configure an NNTP Virtual Server
  • Control Access to the Server
  • Create Newsgroups
  • Create Newsfeeds


Exchange Server 2003 - Configure NNTP Service

Messaging Clients

Configure NNTP Service

NNTP Service in Windows 2000 is designed to support a stand-alone newsgroup server, making it easy to create group discussions. When you install Exchange, NNTP Service is enhanced with the capability to interface with other news servers through newsfeeds. NNTP Service can communicate with external NNTP news servers to make popular Usenet groups available to your users.

To configure the default state of NNTP Service at start up:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. In the details pane, right-click Network News Transport Protocol (NNTP), and then click Properties.
  3. On the General tab, under Startup type, select Automatic, Manual, or Disabled.

Related Topics

Start, Stop, and Pause NNTP Service


Exchange Server 2003 - Configure an NNTP Virtual Server

Messaging Clients

Configure an NNTP Virtual Server

When you install Exchange, an NNTP virtual server is automatically created. Most configuration options are assigned default values when a new NNTP virtual server is created. You can configure these options to control how your newsgroup server functions.

To configure an NNTP virtual server:

  • Assign an IP Address, TCP Port, and SSL Port
  • Set Connection Limits
  • Set Posting Limits


Exchange Server 2003 - Assign an IP Address, TCP Port, and SSL Port

Messaging Clients

Assign an IP Address, TCP Port, and SSL Port

The default virtual server is created with an IP address of (All Unassigned). For instant operation, the NNTP server is identified on the network with the IP address of the computer running Exchange. This allows NNTP Service to receive incoming connections on TCP port 119, and a Secure Sockets Layer (SSL) port of 563 is used. For instant operation, you can use the default IP address, TCP port, and SSL port, or you can assign a different IP address from any available network card; however, if are creating multiple NNTP virtual servers, you must create a unique combination of IP address, TCP port, and SSL port for each server.

Important Even if you leave the default SSL port set to 563, to fully enable SSL on an NNTP virtual server, you must enable SSL and request and install a certificate.

To assign an IP address, TCP port, and SSL port:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, in IP address, select (All Unassigned) or choose a specific IP address from the list of available network cards.
  5. To configure the TCP or SSL port, click Advanced.
  6. On the Advanced tab, click Add.
  7. Type a TCP port number, and then type an SSL port number.


Exchange Server 2003 - Set Connection Limits

Messaging Clients

Set Connection Limits

A virtual server accepts an unlimited number of inbound connections, which are limited only by the resources of the computer on which the virtual server runs. To prevent a computer from becoming overloaded, you can limit the number of connections that the NNTP virtual server accepts. You can also limit the length of time idle connections remain logged on to the server.

By default, Exchange does not limit the number of incoming connections and disconnects idle sessions after 10 minutes.

To set connection limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Limit number of connections to, and then type an integer between 1 and 1,999,999,999.
  5. In Connection time-out, type the number of minutes that elapse before idle connections are disconnected.

    6. Warning Setting the time-out too low can cause clients to be unexpectedly disconnected from the server and users may see an error message. Ten minutes is the lowest recommended time-out setting.


Exchange Server 2003 - Set Posting Limits

Messaging Clients

Set Posting Limits

After you install Exchange, users can post articles to any newsgroups and newsfeeds that you create on the default NNTP virtual server. You can control the size of individual articles that a user can post, or you can limit the total size of articles a user can post during a single connection.

To set posting limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. Click the Settings tab.

  5. Allow client posting must be checked to allow clients to post articles to newsgroups on this NNTP virtual server. If the Allow client posting check box is cleared, click to select it. To limit the size of a single article that a user can post, click Limit post size (KB), and then select an integer. To limit the amount of data that a user can post to a newsgroup during a single connection, click Limit connection size, and then select an integer.
  6. Allow feed posting must be checked to allow clients to post articles to newsfeeds on the NNTP virtual server. If the Allow feed posting check box is cleared, click to select it. To limit the size of a single article a user can post to a newsfeed, click Limit post size (KB), and then select an integer. To limit the amount of data that a user can post to a newsfeed during a single connection, click Limit connection size, and then select an integer.


Exchange Server 2003 - Control Access to the Server

Messaging Clients

Control Access to the Server

You can control access to the NNTP server in many ways. You can control whether users connect anonymously or must supply valid Windows 2000 account names and passwords. If users connect over a public network, you can encrypt that connection using SSL so that other users cannot intercept articles that are sent and received. You can also explicitly grant or deny access based on the IP address of the client. To restrict access to administrative tasks on the NNTP server, you can list only the accounts that are authorized to modify server settings.

To control access to the server:

  • Choose Authentication Methods
  • Install a Certificate
  • Secure NNTP Access by IP Address, Subnet, or Domain


Exchange Server 2003 - Choose Authentication Methods

Messaging Clients

Choose Authentication Methods

Exchange automatically enables basic authentication. Although most clients support this method of transmitting user passwords across the network, data is sent as unencrypted information. To enhance security, you can use SSL with basic authentication to encrypt all information.

Important Anonymous access is disabled if you use basic authentication or integrated Windows authentication. If you want to authenticate the majority of users and still allow anonymous access to public newsgroups, it is recommended that you create an additional NNTP server and specifically configure it to support anonymous connections.

To choose authentication methods:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication.
  5. To choose authentication methods, click one or more of the following options:
    6. Setting | Description
Allow Anonymous | This authentication method allows any client to access a newsgroup without providing a user name or password.
Basic authentication | This authentication method requires the user to provide a valid Windows user name and password. The user's information is sent as unencrypted clear text across the network. To encrypt account information, you can use SSL with basic authentication.
Integrated Windows authentication | This security option requires a valid Windows 2000 user account name. It authenticates users by relaying their Windows credentials directly to the server without requesting information from them or transmitting unencrypted information across the network.
Enable SSL client authentication | This method secures client authentication using SSL encryption and certificates. An SSL server certificate is required.

Note When you use basic authentication or integrated Windows authentication, you set one of the two parameters that control security in Windows 2000; parameters upon which Exchange is based. Windows 2000 security is based on two parameters: authentication and authorization. After you choose an authentication method in Exchange, you must also authorize users to access a directory through access controls lists (ACLs)in Windows 2000. See the Windows 2000 documentation for information on how to grant permissions to Active Directory objects.


Exchange Server 2003 - Set an Anonymous Access Account

Messaging Clients

Set an Anonymous Access Account

If you enable anonymous access, you must specify a Windows 2000 account for the server to use in place of the credentials that authenticated users provide. The permissions assigned to the account are given to any user that logs on anonymously.

To set an anonymous access account:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication.
  5. Make sure Allow anonymous is selected, and then click Anonymous.
  6. Click Browse, and then select a user account.


Exchange Server 2003 - Set SSL Client Options

Messaging Clients

Set SSL Client Options

When you enable SSL client authentication, you can require clients to provide an encrypted user name and password using SSL. You can also map certificates to client accounts for SSL version 3.0, which requires a certificate to authenticate the client.

To set SSL client options:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication.
  5. Enable SSL client authentication must be selected. To require all clients to authenticate over SSL, select Require SSL authentication.
  6. To authenticate users from a client certificate, click Enable client certificate mapping to Windows user accounts. To relate the information contained in the certificate to a Windows user account, click Client Mappings. Use the IIS dialog box to map one-to-one or many-to-one certificates. For more information on client certificate mapping, see the IIS documentation.


Exchange Server 2003 - Install a Certificate

Messaging Clients

Install a Certificate

To activate the SSL version 3.0 security features of your Web server, you must obtain and install a valid server certificate. A server certificate enables users to authenticate your server, check the validity of Web content, and establish a secure connection. To request a new certificate, you need to complete Internet Information Services (IIS) Web Server Certificate Wizard. Once the request has been sent to the certificate authority and processed, you must run IIS Web Server Certificate Wizard again to install the certificate.

To install a certificate:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Certificate.
  5. To request a new certificate, complete IIS Web Server Certificate Wizard.
  6. To save your settings, click Apply.
  7. To install the certificate, click Certificate again.
  8. Complete IIS Web Server Certificate Wizard again.


Exchange Server 2003 - Secure NNTP Access by IP Address, Subnet, or Domain

Messaging Clients

Secure NNTP Access by IP Address, Subnet, or Domain

To further enhance security, you can selectively include or exclude single computers, subnets, and entire domains from accessing an NNTP virtual server. By default, all computers have access until you add them to a list of restricted computers. You can restrict access to the NNTP virtual server by either listing individual computers that use newsgroups, or by specifying a group of computers that do not use newsgroups.

To secure access by IP address, subnet, or domain:

  • Grant Access by IP Address, Subnet, or Domain
  • Restrict Access by IP Address, Subnet, or Domain


Exchange Server 2003 - Grant Access by IP Address, Subnet, or Domain

Messaging Clients

Grant Access by IP Address, Subnet, or Domain

If you have a small number of clients who use newsgroups, you can create an exclusive group of computers that are allowed to access the server. Only these computers can access the NNTP virtual server. Computers that can access the server can be identified by IP address, subnet mask, or domain name.

Warning Identify a permitted computer by IP address only if you assign IP addresses statically. If a Dynamic Host Configuration Protocol (DHCP) server assigns temporary IP addresses to computers, you cannot ensure a computer will always have the same IP address.

To grant access by IP address, subnet, or domain:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Connection.
  5. In the Connection dialog box, click Only the list below, and then click Add.
  6. In the Computer dialog box, select one of the following options:
    • IP address. Type the static address of a single computer; for example, 192.168.114.201.

      • Tip If you know only the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If the IP address is resolved, it appears automatically in IP address.

    • Group of Computers. Type the subnet address and mask; for example, a subnet address of 172.17.131.0 and a subnet mask of 255.255.250.0.
    • Domain. Type the complete domain name; for example, nwtraders.microsoft.com.

Note By default, NNTP virtual servers grant all computers access to Exchange resources such as public folders and mailboxes. If you create groups of permitted users for one virtual server, the list applies to that virtual server only. To limit access to other virtual servers, you must add groups of computers to all virtual servers.


Exchange Server 2003 - Restrict Access by IP Address, Subnet, or Domain

Messaging Clients

Restrict Access by IP Address, Subnet, or Domain

If you have a small number of clients who do not use newsgroups, you can create a group of restricted computers that cannot access the NNTP virtual server. Limiting access to server resources enhances security and can improve performance by reducing the load on the server. By default, all computers can access the NNTP virtual server until you identify a group of restricted IP addresses, subnets, or domains.

Warning Identify a restricted computer by IP address only if you assign IP addresses statically. If a DHCP server assigns temporary IP addresses to computers, you cannot ensure that a computer will always have the same IP address.

To restrict access by IP address, subnet, or domain:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Connection.
  5. In the Connection window, select All except the list below if it is not already selected, and then click Add.
  6. In the Computer window, select one of the following options:
    • IP address. Type the static address of a single computer; for example, 192.168.114.201.

      • Tip If you know only the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If the IP address is resolved, it appears automatically in IP address.

    • Group of Computers. Type the subnet address and mask; for example, a subnet address of 172.17.131.0 and a subnet mask of 255.255.250.0.
    • Domain. Type the complete domain name; for example, nwtraders.microsoft.com.
  7. To add the user, subnet, or domain to the list of restricted users, click OK.

Note Restricting a computer's access to one virtual server does not necessarily restrict access to all NNTP virtual servers. You must restrict the computer's access to each virtual server if you do not want that computer to access any service. If you restrict a computer from accessing only one instance of an virtual server, depending on how you configure access to the other virtual servers, the computer may still have access to other NNTP virtual servers.


Exchange Server 2003 - Create Newsgroups

Messaging Clients

Create Newsgroups

Use New Newsgroup Wizard to create a newsgroup. When you create a new newsgroup, NNTP Service creates the directory for the newsgroup automatically. If you want a moderator to review new articles before they are posted, you can create a moderated newsgroup.

To create a newsgroup:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to an NNTP virtual server.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
  3. In the console tree, right-click Newsgroups, point to New, and then click Newsgroup.
  4. Complete New Newsgroup Wizard.

Note If you use a pretty name to type in another name for the newsgroup, the pretty name is returned by the List Prettynames NNTP command.


Exchange Server 2003 - Create Newsfeeds

Messaging Clients

Create Newsfeeds

If the volume on your news site exceeds the capacity of a single computer, you can use newsfeeds to distribute articles among multiple computers. Newsfeeds are used to circulate newsgroup articles between servers within your organization and between your organization and the Internet through a Usenet host.

You can use three types of newsfeeds to distribute the newsgroup load among servers: master, subordinate, and peer. A server can have both a subordinate feed and a peer feed. There can be one or more subordinate feeds, depending on the size of the site.

To create a newsfeed:

  • Add an Active List File to the Server
  • Set up a Master/Subordinate Configuration
  • Create a Peer Newsfeed


Exchange Server 2003 - Add an Active List File to the Server

Messaging Clients

Add an Active List File to the Server

Before you create a newsfeed to circulate newsgroup articles, you need to create a list of the newsgroups to which you want to subscribe. This list is called an active list file and it allows you to specify the newsgroups to which you subscribe.

To add an active list file to the server:

  1. Use a text editor such as Notepad to create a file with the following lines:
    215 start
newsgroup
newsgroup
.
    Newsgroup is the name of the newsgroup to which you want to subscribe. You can list only one newsgroup on each line, but the list can contain as many lines as you want.
  2. To add the newsgroups in your active list file to the server, run the Rgroup.vbs script in the Inetsrvr directory with the following options:
    Rgroup.vbs -t l -a <filename>


Exchange Server 2003 - Set Up a Master/Subordinate Configuration

Messaging Clients

Set Up a Master/Subordinate Configuration

In a master/subordinate configuration, the client connects to a subordinate server so that the user can read and post articles. For an article to be posted to a newsgroup, you must create a master feed from each subordinate server to the master server. The master server assigns an ID to the article. Then, you must create a subordinate feed from the master server to the subordinate server. This allows you to send the article back to the subordinate server with an ID, so that the article can be posted to a newsgroup.

To set up a master/subordinate newsfeed:

  • Create a Newsfeed from Subordinate Servers to a Master Server
  • Create a Newsfeed from Master Servers to Subordinate Servers


Exchange Server 2003 - Create a Newsfeed from Subordinate Servers to a Master Server

Messaging Clients

Create a Newsfeed from Subordinate Servers to a Master Server

Master newsfeeds, or master feeds for short, send local posts to get article IDs. Requests are sent to the master server, which manages all article IDs to ensure that all newsgroups are synchronized. To create a master newsfeed, you use New NNTP Feed Wizard to specify the server that assigns article IDs. You do not define a server directly as a master server or subordinate server; you only need to indicate that the server assigns article IDs.

To create a newsfeed from the subordinate server to a master server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to an NNTP virtual server.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
  3. In the console tree, right-click Feeds, point to New, and then click Feed.
  4. Complete New NNTP Feed Wizard to identify a master server.

    Tip Remember that you are using the wizard to specify the remote server that will be a master. When you select the remote server role, choose Master server.

  5. Repeat these steps for each subordinate server that you want to receive articles from the master server.


Exchange Server 2003 - Create a Newsfeed from a Master Server to Subordinate Servers

Messaging Clients

Create a Newsfeed from a Master Server to Subordinate Servers

Subordinate newsfeeds, or subordinate feeds for short, send messages from a master server with an article ID included. Messages are sent to subordinate servers, which in turn post the messages for users to read. To create a subordinate newsfeed, you use New NNTP Wizard to specify the server to which clients connect so that users can post and read articles. You do not define a server directly as a master server or subordinate server; you only need to indicate which server posts articles for users to read.

To create a newsfeed from the master server to a subordinate server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to an NNTP virtual server.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
  3. In the console tree, right-click Feeds, point to New, and then click Feed.
  4. To identify a subordinate server, complete New NNTP Feed Wizard.

    Tip Remember that you are using the wizard to specify the remote server that will be a subordinate server. When you select the remote server role, choose Subordinate server.

  5. Repeat these steps for each server for which you want to manage article IDs.


Exchange Server 2003 - Create a Peer Newsfeed

Messaging Clients

Create a Peer Newsfeed

You can create a peer newsfeed, or peer feed for short, to receive articles that do not have article IDs. This feed is used mainly for exchanging messages with a Usenet host. To create a peer feed, you use New NNTP Feed Wizard to define the relationship with the remote server with which you are exchanging articles.

Tip If you are planning on using a feed with a Usenet host on your master server, contact your Internet newsfeed provider and subscribe to a Usenet newsfeed. Your provider will ask you for the IP address of the Exchange server running NNTP Service. You will need to know whether you want to use a push or pull feed for inbound and outbound messages. You will need to ask your provider for the host computer's IP address. Note that there can be multiple host computers. You need this IP address to complete New NNTP Feed Wizard.

To create a peer newsfeed:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to an NNTP virtual server.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
  3. In the console tree, right-click Feeds, point to New, and then click Feed.
  4. To create a peer feed, complete New NNTP Feed Wizard.

    Tip Remember that you are using the wizard to identify the remote server as a peer. When you select the remote server role, choose Peer server.


Exchange Server 2003 - Manage a Newsgroup Topology

Messaging Clients

Manage a Newsgroup Topology

Once you set up the basic newsgroup functionality of sending and receiving newsgroup messages, you may need to stop, start, or pause NNTP Service or an NNTP server. You can also customize your configuration by adding multiple NNTP virtual servers, moderating newsgroups, allowing pull feeds with other servers, setting expiration policies, creating virtual directories, or disconnecting a newsgroup user.

To manage and enhance your newsgroup topology:

  • Start, Stop, and Pause NNTP Service
  • Start, Stop, and Pause NNTP Virtual Servers
  • Create Additional NNTP Virtual Servers
  • Manage Newsgroups
  • Use Virtual Directories
  • Process Control Messages


Exchange Server 2003 - Start, Stop, and Pause NNTP Service

Messaging Clients

Start, Stop, and Pause NNTP Service

When you start NNTP Service, NNTP servers can accept new connections from users. Restarting NNTP Service automatically restarts all NNTP virtual servers that were running when you stopped the service.

When you stop the service, the NNTP servers disconnect current users and do not accept new connections. If your Information Store is large, it is recommended that you stop the service manually when you shut down the server instead of using Windows 2000 to stop it. You also need to shut down the service when you make registry and path header changes, and when you create new NNTP virtual servers.

When you pause the service, all NNTP virtual servers refuse new connections but continue to support existing connections.

Important Pausing or stopping NNTP Service affects all NNTP virtual servers. When you stop NNTP Service, all NNTP virtual servers are also stopped. While the service is stopped, you can edit an NNTP virtual server's settings. If you restart a server, the service automatically restarts also.

To start, stop, or pause NNTP Service:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. Right-click Network News Protocol (NNTP) Service, and then click Start, Stop, or Pause.

Tip To shutdown the service without immediately disconnecting all NNTP users, pause the virtual server to prevent new connections. You can then block current users from posting articles and view the currently connected users before you stop NNTP Service.

Related Topics

Start, Stop, and Pause NNTP Virtual Servers


Exchange Server 2003 - Start, Stop, and Pause NNTP Virtual Servers

Messaging Clients

Start, Stop, and Pause NNTP Virtual Servers

When an NNTP virtual server is started, it accepts new connections from users. When you stop an NNTP virtual server, it disconnects current users and does not accept new connections. When you pause an NNTP virtual server, it continues to support existing connections but does not accept new ones.

To start, stop, or pause an NNTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Start, Stop, or Pause.

Tip To shut down the server without immediately disconnecting users, pause the server to prevent new connections. You can then block current users from posting articles and view the currently connected users before stopping the server.

You can also start, stop, and pause NNTP Service. Stopping NNTP Service stops all of the NNTP virtual servers. Restarting NNTP Service restarts all NNTP servers that were running when you stopped the service.


Exchange Server 2003 - Create Additional NNTP Virtual Servers

Messaging Clients

Create Additional NNTP Virtual Servers

You can create additional virtual servers to host multiple domains on a single server, or you can create a public and private virtual server and keep them separate for authentication purposes. Each virtual server must have a unique IP address and TCP port combination. Because using a single IP address for multiple NNTP virtual servers requires the client to be specially configured to use the non-standard TCP port, this configuration is not recommended. Before you create a new NNTP server, NNTP Service must be running.

Tip When you create an NNTP virtual server, you are prompted to type two directory paths: a path for internal files and a path for newsgroup files. If possible, put these two files on different disk partitions. Keeping the files on separate disk partitions reduces the chance of corruption if the partition runs out of disk space.

To create a new NNTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Protocols.

    Servers

    1. Server
    2. Protocols
  3. In the console tree, right-click NNTP, point to New, and then select NNTP Virtual Server.
  4. Complete New NNTP Virtual Server Wizard.

Related Topics

Configure an NNTP Virtual Server


Exchange Server 2003 - Manage Newsgroups

Messaging Clients

Manage Newsgroups

Once newsgroups are created, you can secure newsgroup access, select a moderator to review new articles before they are posted, edit the properties of an existing newsgroup, or delete a newsgroup if you no longer need it. You can also select options to delete articles after a specified number of hours or when the size of the newsgroup exceeds a specified amount of disk space.

To manage newsgroups:

  • Moderate Newsgroups
  • Create Newsgroup Expiration Policies
  • Modify Newsgroup Expiration Policies
  • Index Newsgroups


Exchange Server 2003 - Moderate Newsgroups

Messaging Clients

Moderate Newsgroups

You can control which articles are posted to a newsgroup by assigning a moderator to the newsgroup. Articles submitted to a moderated newsgroup are not posted until the moderator approves them. To create a moderated newsgroup, you can choose a moderator when you create a newsgroup, or you can assign a moderator to an existing newsgroup. To allow a newsgroup to be moderated, you must configure both the NNTP server and the newsgroup.

To assign a moderator to an existing newsgroup:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. Right-click an NNTP virtual server, and then click Properties.
  4. On the Settings tab, in SMTP server for moderated groups, either type the DNS name or IP address of the Simple Mail Transfer Protocol (SMTP) server, or type the path to the directory in which articles are stored until moderators approve them.

    Note The directory path must be a local directory. You should normally set this value to the pickup directory of the SMTP server. By default, this directory is \Inetpub\Mailroot\Pickup.

  5. To post messages to the newsgroup if no moderator is specified, in Default moderator domain, type the e-mail address of the newsgroup.

    Note Articles are sent to newsgroup_name@default_domain.com, in which newsgroup_name is the name of the newsgroup; for example, articles posted to the newsgroup rec.sports.tennis, with a default domain of nwtraders.microsoft.com, are sent to rec-sports-tennis@nwtraders.microsoft.com.

  6. To save the server settings, click OK.
  7. In the console tree, expand the NNTP virtual server, and then click Newsgroups.
  8. Right-click the newsgroup to which you want to assign a moderator, and then click Properties.
  9. On the General tab, select Moderated.
  10. In Moderator, type in the e-mail address of a Windows 2000 user or click Set Default to send messages to an alias with the same name as the newsgroup.


Exchange Server 2003 - Create Newsgroup Expiration Policies

Messaging Clients

Create Newsgroup Expiration Policies

You can limit how long articles are stored on a newsgroup's NNTP server by defining expiration policies. An expiration policy can apply to a single newsgroup or to all newsgroups on the virtual server.

Important If newsgroup content is saved in Information Store, expiration policies set at the Information Store level cancel any expiration policy set at the newsgroup level. If you set an expiration policy for newsgroup content and a different expiration policy is set in Information Store for the same content, only the Information Store policy is used.

If you do not specify an expiration policy for a newsgroup, you should delete articles manually when you no longer need them.

To create an expiration policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP virtual server.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
  3. Right-click Expiration Policies, point to New, and then click Expiration Policy.
  4. Complete New NNTP Expiration Policy Wizard.

Related Topics

Set Public Store Properties


Exchange Server 2003 - Modify Newsgroup Expiration Policies

Messaging Clients

Modify Newsgroup Expiration Policies

You can modify an existing expiration policy, which includes changing the newsgroups to which the policy applies.

To modify an expiration policy:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Expiration Policies.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
    5. Expiration Policies
  3. In the details pane, right-click an expiration policy, and then click Properties.
  4. To limit the number of hours articles are stored on the newsgroup's virtual server, in Remove articles older than (Hours), type a number from 1 to 9999.
  5. To apply the policy to a new newsgroup, click Add.
  6. Type the name of a newsgroup.


Exchange Server 2003 - Index Newsgroups

Messaging Clients

Index Newsgroups

Indexing Service can extract information from newsgroup messages and organize the information to allow users to search newsgroup articles for specific text strings. Before you enable indexing of newsgroups, you must start Indexing Service, which Windows 2000 provides. For more information on Indexing Service, see the Windows 2000 online documentation.

To enable indexing for a newsgroup:

  1. Start Services
    On the Start menu, point to Programs, point to Administrative Tools, and then click Services.
  2. In the details pane, right-click Indexing Service, and then click Start if Indexing Service is not already running.
  3. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  4. Navigate to Virtual Directories.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. Virtual server
    5. Virtual Directories
  5. In the details pane, in the newsgroup subtree, right-click a newsgroup, and then click Properties.
  6. On the General tab, select Index news content if it is not already selected.
  7. If you have newsgroups located in one or more virtual directories, repeat this process for each virtual directory.


Exchange Server 2003 - Use Virtual Directories

Messaging Clients

Use Virtual Directories

A virtual directory is a public folder store that contains a portion of the newsgroup hierarchy. Virtual directories enable you to store newsgroup files on multiple disk drives. Using more than one disk drive can improve the performance of a drive that's heavily used and can provide more storage. Virtual directories also enable you to change the physical location of the directory without changing the name of the newsgroup.

For example, if you have three newsgroups that discuss the same subject, such as research, you can give each newsgroup a similar name, research.current, research.published, and research.approved. You can then create a virtual directory named Research that contains all newsgroups named research.*.

To use virtual directories:

  • Create a Virtual Directory
  • Modify a Virtual Directory


Exchange Server 2003 - Create a Virtual Directory

Messaging Clients

Create a Virtual Directory

To store news content in multiple directories, you can create virtual directories. You should always create virtual directories that match the structure of your newsgroup hierarchy. A default virtual directory is created automatically for the virtual server and a control virtual directory is created for all newsgroups. You can modify the default directories or create a new virtual directory for each newsgroup.

Tip Virtual directories can be located on a local disk drive or on a network drive. There is no advantage to creating a virtual directory on the same physical drive as the home directory.

To create a virtual directory:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to an NNTP virtual server.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
  3. Right-click Virtual Directories, point to New, and then click Virtual Directory.
  4. Complete New NNTP Virtual Directory Wizard.


Exchange Server 2003 - Modify a Virtual Directory

Messaging Clients

Modify a Virtual Directory

A default virtual directory is created automatically for the virtual server, and a control virtual directory is created for all newsgroups. You can create a new virtual directory for each newsgroup or you can modify the default directory. When you modify a directory, you can change the path to the public folder in which messages are stored, secure access to the virtual directory, restrict access to the virtual directory, and control content.

To modify a virtual directory:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Virtual Directories.

    Servers

    1. Server
    2. Protocols
    3. NNTP
    4. NNTP virtual server
    5. Virtual Directories
  3. Right-click a virtual directory, and then click Properties.
  4. To change the public folder in which messages are stored, click Contents. Select Directory located on this computer, Share located on another computer, or Custom resource, and then type the path to the folder or to the network directory, user name, and password.
  5. To require that all access to the directory takes place on a secure channel, in Properties, click Secure. To use encryption if a certificate is installed, select Require secure channel. If the computer running Exchange supports 128-bit encryption, click Require 128-bit Encryption.
  6. To allow clients to post to a newsgroup's virtual directory, select Allow posting if it is not already selected.
  7. To list this newsgroup only if the user has the same ACL permissions as the newsgroup folder, select Restrict newsgroup visibility. If you select this option and do not set ACL permissions on the newsgroup folder and the user accounts, this newsgroup will not be available to users.
  8. To log entries every time a virtual directory is accessed, select Log access.
  9. To create an index of news articles, select Index news content.


Exchange Server 2003 - Process Control Messages

Messaging Clients

Process Control Messages

Control messages are requests sent to NNTP Service to delete a specific article from a newsgroup or to add or delete an entire newsgroup from an NNTP server. When an NNTP server receives control messages, it queues the messages until you decide whether to accept the request and make the change; for example, if you post an article to a newsgroup and later decide to remove it using the Cancel command in Microsoft Outlook Express, the client sends a control message to delete the article.

NNTP Service accepts the following basic control messages:

  • Cancel. This message is a request to delete a specified article. Client programs generate the Cancel control message.
  • Newsgroup. This message is a request to create a newsgroup. NNTP servers typically generate the Newsgroup control message.
  • Rmgroup. This message is a request to delete an existing newsgroup. NNTP servers typically generate the Rmgroup control message.

Tip You should restrict control messages to prevent unwanted changes to articles and newsgroups. You can also restrict other NNTP servers from pulling articles from NNTP Service.

To process control messages:

  • Generate Control Messages
  • Restrict Control Messages


Exchange Server 2003 - Generate Control Messages

Messaging Clients

Generate Control Messages

Control messages are generated automatically by NNTP client software, NNTP servers, and special utility programs.

To allow control messages:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Settings tab, select Allow control messages if it is not already selected.


Exchange Server 2003 - Restrict Control Messages

Messaging Clients

Restrict Control Messages

Control messages are sent to cancel a posting, create a new newsgroup, and remove a newsgroup. These messages are received by NNTP Service and posted to special newsgroups in the NNTP virtual server's Newsgroups listing. The control messages are posted to one of the appropriate newsgroups: control.cancel, control.newgroup, and control.rmgroup. If you do not want users performing the administrative tasks the control messages contain, you can restrict access to newsgroups in which control messages are posted.

Important If the Allow control messages check box is selected on the virtual server's Settings tab, you can restrict access to control messages. If this option is not selected, all control messages for the newsgroup are processed the same way as regular article postings.

You can restrict access to control messages in three ways:

  • Define the special control.* newsgroups as moderated newsgroups.
  • Control access to the newsgroup server from which the newsgroups are administered.
  • Set ACLs on newsgroup directories. Assign the same ACL permissions only to administrators or users who you want to see the newsgroup. Modify the virtual directory, and then select Restrict newsgroup visibility. All non-administrative users who do not have the same permissions as the newsgroup folder will not see listings for the control newsgroups.

Related Topics

Set Posting Limits


Exchange Server 2003 - Maintain NNTP Services and Virtual Servers

Messaging Clients

Maintain NNTP Services and Virtual Servers

Set up and follow a regular maintenance program to ensure maximum performance from NNTP Service and NNTP virtual servers. The goal of regular maintenance is to identify and correct potential problems before they become real problems and affect your users.

The following sections explain how to maintain NNTP Service and NNTP virtual servers to ensure high performance and availability. Server performance and performance trends affect the computer running Exchange and results apply to both NNTP Service and NNTP virtual servers. Busier sites require a higher level of maintenance; the level of maintenance your NNTP virtual news server requires depends primarily on how heavily it's used.

You should perform maintenance in the following areas:

  • Maintain the NNTP Service
  • Maintain NNTP Virtual Servers
  • Monitor NNTP Virtual Server Performance


Exchange Server 2003 - Maintain the NNTP Service

Messaging Clients

Maintain the NNTP Service

Two types of maintenance functions make up NNTP Service maintenance program: monitoring critical performance data and reviewing messages written to Event Viewer. When you record performance counters and transaction data, you should review the data for values that fall outside of recommended operating limits. Each counter has different recommended values.

To perform maintenance on NNTP Service:

  • Monitor Service Activity
  • View Messages with Event Viewer


Exchange Server 2003 - Monitor Service Activity

Messaging Clients

Monitor Service Activity

You can use Performance Monitor in Windows 2000 to monitor NNTP Service. The performance counters for NNTP Service included with Performance Monitor enable you to build charts and reports that show critical performance data. In addition to charts and reports, you can define alerts to notify you when monitored values exceed thresholds that you specify. For more information, see the Performance Monitor documentation provided with Windows 2000.

To monitor service activity:

  1. Start Performance
    On the Start menu, point to Programs, point to Administrative Tools, and then click Performance.
  2. Expand Performance Logs and Alerts, and then click Counter Logs.
  3. In the details pane, right-click empty space, and then click New Log Settings.
  4. In Name, type a name for the log, and then click OK.
  5. On the General tab, click Add.
  6. In Performance Object, select NNTP Commands.
  7. Use the following performance counters for information about logon failures:
    • Logon Attempts. The value of Logon Attempts should be much greater than the value of Logon Failures.
    • Logon Failures. The value of Logon Failures should be a small fraction of the value of Logon Attempts.
    • Logon Failures/Sec. This value is 0 if users are successfully connecting.

    8. Tip If high numbers of logon failures occur, this can indicate that unauthorized users are trying to gain access to your news site, or an indication of server performance.

Related Topics

Windows 2000 Performance Monitor


Exchange Server 2003 - View Messages with Event Viewer

Messaging Clients

View Messages with Event Viewer

Check Event Viewer regularly for messages that might indicate problems are occurring with NNTP Service. Every time the service starts and stops, an operator command is processed, or an error is detected, a message is written to the system log in Event Viewer.

To view NNTP messages with Event Viewer:

  1. Start Event Viewer
    On the Start menu, point to Programs, point to Administrative Tools, and then click Event Viewer.
  2. In the console tree, select System Log.
  3. On the View menu, click Filter.
  4. In the Event source drop-down menu, click NNTPSVC.


Exchange Server 2003 - Maintain NNTP Virtual Servers

Messaging Clients

Maintain NNTP Virtual Servers

Three types of maintenance functions make up the NNTP virtual server maintenance program: monitoring performance data, rebuilding an NNTP virtual server to update the index and hash table files, and using IIS logs to see which users are using your NNTP virtual server and how they are using it.

To perform maintenance on an NNTP virtual server:

  • Monitor Service Activity
  • Rebuild an NNTP Virtual Server
  • Log Transactions


Exchange Server 2003 - Monitor Service Activity

Messaging Clients

Monitor Service Activity

Monitor service activity to ensure that NNTP Service is accepting new connections and servicing existing connections to the NNTP virtual server.

To monitor service activity:

  1. Start Performance
    On the Start menu, point to Programs, point to Administrative Tools, and then click Performance.
  2. Expand Performance Logs and Alerts, and then click Counter Logs.
  3. In the details pane, right-click empty space, and then click New Log Settings.
  4. In Name, type a name for the log, and then click OK.
  5. On the General tab, click Add.
  6. In Performance Object, select NNTP Server.
  7. Use the following performance counters to get information about NNTP Service activity:
    • Bytes Total/Sec. This value is greater than 0 when active users are connected.
    • Current Connections. This value is greater than 0 when users are connected.
    • Maximum Connections. This value should be significantly less than the Limited to value set on the General tab for the NNTP virtual server.

    8. Tip If the number of maximum connections is close to the limit you set for the server, you may need to reconfigure your virtual server to handle more traffic, or you may need to increase the limit you set on the server.


Exchange Server 2003 - Rebuild an NNTP Virtual Server

Messaging Clients

Rebuild an NNTP Virtual Server

When you rebuild an NNTP virtual server, NNTP Service updates the index and hash table files, which are used to keep track of articles on the virtual server. You need to rebuild an NNTP virtual server after you manually delete files, when you are recovering the system from a disk failure, or when you have problems accessing articles. In addition, some of the error messages written to the Event Viewer system log will prompt you to rebuild the virtual server.

Note Before you rebuild an NNTP virtual server, you must stop the virtual server.

To rebuild an NNTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Stop.
  4. When a red circle with a white "x" appears next to the newspaper icon, right-click the virtual server, click All Tasks, and then click Rebuild Server.
  5. In Rebuild type, select one of the following methods for rebuilding a virtual server:
    • Standard. This option is faster, but it does not rebuild all files. Only the Group.lst file is rebuilt when you select this method.
    • Thorough. This option rebuilds all of the files, so it takes longer to complete than the standard method.

    Note If you have deleted the default directory nntpfile\root, you must use the thorough method.

  6. Click Start.
  7. When the virtual server is finished rebuilding, right-click the virtual server, and then click Start.


Exchange Server 2003 - Log Transactions

Messaging Clients

Log Transactions

Use the transaction logs to determine which users are using your NNTP virtual server and how they are using it. After extracting the information you need from the logs, it is a good idea to archive or delete the logs before they consume too much disk space.

Note NNTP Service writes a log record every time a user connects, retrieves an article, posts an article, or disconnects from the NNTP virtual server. Although you can read a log file written as text, log files are usually analyzed using software that summarizes the data. If you don't choose an alternative format, log entries are written as a comma-separated value (CSV) text file in IIS log format. For more information on logging in IIS, see Logging Web Site Activity in the IIS documentation.

To enable and configure logging:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to NNTP.

    Servers

    1. Server
    2. Protocols
    3. NNTP
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. Click the General tab, and then select Enable logging.
  5. In Active log format, select a format for writing the transaction log records.
  6. To specify the frequency with which new log files are created, click Properties. In New Log Time Period, select how often a new log file with a new name is created. To set a new directory to which log files are saved, click Browse, and then select a new location. Click OK.
  7. To log transactions for newsgroups in a virtual directory hierarchy, in the console pane, expand the virtual server. To populate a list of virtual directories in the details pane, click Virtual Directory. Right-click a virtual directory, and then click Properties. Select Log access. Repeat this step for any virtual directory you want to log.


Exchange Server 2003 - Monitor NNTP Virtual Server Performance

Messaging Clients

Monitor NNTP Virtual Server Performance

To monitor current performance data, use the chart display in Performance Monitor. To monitor performance trends, use the log function in Performance Monitor. The log function uses the same performance counters as the chart display, but it collects the data at specified intervals.

To create a Performance Monitor log to monitor trends:

  1. Start Performance
    On the Start menu, point to Programs, point to Administrative Tools, and then click Performance.
  2. Expand Performance Logs and Alerts, and then click Counter Logs.
  3. In the details pane, right-click empty space, and then click New Log Settings.
  4. In Name, type a name for the log, and then click OK.
  5. On the General tab, click Add.
  6. In Performance object, select NNTP Commands, select one or more counters, and then click Add.
  7. In Performance object, select NNTP Server, select one or more counters, and then click Add.
  8. Click Close.
  9. On the General tab, use both Interval and Units to configure the logging interval. In Interval select a number, and in Units select the measurement of time. An interval of 900 seconds, or 15 minutes, is recommended for monitoring trends.
  10. On the Log Files tab, in Location, type the path to a directory on a drive that does not include system files.
  11. To begin collecting data, in the details pane, right-click on the log file, and then click Start.


Exchange Server 2003 - Verify Network Connectivity with Ping

Messaging Clients

Verify Network Connectivity with Ping

You can use the Ping program to verify network connectivity to NNTP Service. You can verify whether the Domain Name System (DNS) is correctly resolving the computer name to the IP address.

Because problems can occur at many places in the network, it is preferable to verify connectivity from the client that cannot connect to Microsoft NNTP Service; however, if necessary, you can verify connectivity from any computer on the network.

To verify network connectivity:

  1. On the Start menu, point to Programs, click Accessories, and then click Command Prompt.
  2. At the command prompt, type the following command:

    ping server_name

    Server_name is the DNS name of the computer on which NNTP Service is running.

  3. Your results will match one of the following scenarios.
    Is a network connection established? Response received What it means
    Yes
    Pinging news.dns.nwtraders.com [192.168.105.7]
 with 32 bytes of data:

    Reply from 192.168.105.7:
bytes=32 time=15ms TTL=128

    Reply from 192.168.105.7:
bytes=32 time<10ms TTL=128

    Reply from 192.168.105.7:
bytes=32 time<10ms TTL=128

             You can contact the server by its DNS name. To verify that the IP address resolves correctly, at the command prompt, type the IP address returned in the response.

    ping IP_address
    No
    Bad IP address news.nwtraders.com

    If you do not get a successful response by IP address, a network connectivity problem exists. Work with your network administrator to identify and correct the network problem.

Tip For help with Ping command syntax, type ping -? at the command prompt.

If the response from the Ping command shows a time value greater than 10 milliseconds, ask your network administrator to check for network congestion problems.


Exchange Server 2003 - Verify NNTP Service Availability with Telnet

Messaging Clients

Verify NNTP Service Availability with Telnet

You can use the Telnet program to verify that NNTP Service is accepting connections and responding correctly to NNTP commands. This enables you to determine whether the client or the service is causing the problem. To follow these procedures, you must use a Windows NT version 4.0 or Windows 95 or later version of Telnet.

Before using Telnet, you should verify network connectivity using Ping.

To connect to Microsoft NNTP Service using Telnet:

  1. On the Start menu, point to Programs, point to Accessories, and then click Command Prompt.
  2. At the command prompt, type telnet.
  3. On the Terminal menu, click Preferences, and then select the Local Echo check box.
  4. On the Connect menu, click Remote System.
  5. In Host Name, type the DNS name or IP address of the server running NNTP Service. In the Port box, type the IP port number used by NNTP Service. The default is port 119.

  6. You will receive one of the following responses.
    7. Is the service accepting connections? | Response | What it means
    Yes
    200 NNTP Service
Microsoft Internet Services 5.5 Version:
5.5.1717.0 Posting Allowed

             If you can connect and run the List command successfully using Telnet, the problem is probably with the client.
    No | Connect Failed | The service is either not running or not accepting connections. If you cannot connect, the problem is probably with the service. Verify the port number and other NNTP Service configuration settings.
    No | 502 Connection Refused | The service has paused or has reached its connection limit.
    Authenticated connections only | 480 Logon Required | The service is not allowing anonymous access.
  7. To end your Telnet session, type quit, and then press ENTER.


POP3 Support

Post Office Protocol version 3 (POP3) allows a client to retrieve a specific user's mail from the server. POP3 clients can access only their server Inboxes and cannot access other public or private folders. POP3 is not intended to provide full manipulation of mail on the server. Although messages can be left on the server, mail is usually only downloaded and then deleted. POP3 does not handle sending mail. This functionality is handled by Simple Mail Transfer Protocol (SMTP).

Answers to frequently asked questions

How does a front-end/back-end configuration help me administer POP3?

Deploying a front-end/back-end configuration makes it possible to manage the Internet access protocols on a server that is separate from the one on which the store runs. Essentially, a bank of protocol servers can handle the incoming client connections while the store servers run the databases. The main benefits of a front-end/back-end configuration are a unified namespace and reduced overhead for Secure Sockets Layer (SSL) encryption.

Can I restrict access to POP3 virtual servers?

You can configure your POP3 server to grant or deny access to specific computers, groups of computers, or domains. You can grant or deny access to a single computer based on an IP address or by overriding POP3 access on a per-user basis. A group of computers can be denied or granted access based on their subnet address and subnet mask. You can also control access to an entire domain by specifying a domain name. More...

How are MAPI messages converted when read by a POP3 client?

Messages sent by a MAPI client are converted from Microsoft Rich Text Format to Multipurpose Internet Mail Extensions (MIME) or uuencode when read by a POP3 client. More...

Can I disconnect a currently connected user without stopping or pausing the server?

You can view a list of currently connected users. You can immediately disconnect a single user from this list without disrupting the service of other connected users or denying new connection requests. More...

How does POP3 differ from IMAP4?

Internet Message Access Protocol version 4 (IMAP4) and POP3 are Internet messaging protocols that allow users to access their mail. The protocols differ in where the user manipulates their messages. POP3 allows clients to download mail from their Inboxes on a server to the client computer where messages are managed. IMAP4 allows a client to access and manage their mail on a server. IMAP4 users are not restricted to their Inboxes like POP3 users are. IMAP4 users can also access other public and private folders on the server where they have permissions.

Are there specific performance monitors for POP3 virtual servers?

There are specific performance monitors available for POP3. They are set in System Monitor supplied with Microsoft Windows 2000. With System Monitor, you can collect and view extensive data about the usage of hardware resources and the activity of POP3 virtual servers on computers you administer. More...


Exchange Server 2003 - Support Message Retrieval

Messaging Clients

Support Message Retrieval

Once Exchange is installed, a default POP3 virtual server is automatically enabled. You need to ensure that the default server supports the needs of your specific POP3 clients.

To customize your virtual server configuration:

  • Assign an IP Address, TCP Port, and SSL Port
  • Control Access to the POP3 Virtual Server
  • Set Connection Limits
  • Specify Message Formats
  • Create Additional Virtual Servers


Exchange Server 2003 - Assign an IP Address, TCP Port, and SSL Port

Messaging Clients

Assign an IP Address, TCP Port, and SSL Port

The default virtual server is created with an IP address of (All Unassigned). For instant operation, the POP3 service is identified on the network with the Exchange computer's IP address. This allows incoming connections on TCP port 110, and uses a Secure Sockets Layer (SSL) port of 995. For instant operation, you can use the default IP address, TCP port, and SSL port, or you can assign a different IP address from any available network card. However, if you plan to create multiple POP3 virtual servers, you must create a unique combination of IP addresses, TCP ports, and SSL ports for each server.

Important Even if you leave the default SSL port set to 995, to fully enable SSL on the POP3 virtual server, you must request and install a certificate.

To assign an IP address, TCP port, and SSL port:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, in IP address, select (All Unassigned) or choose a specific IP address from the list of available network cards.
  5. To set the TCP or SSL port, click Advanced.
  6. On the Advanced tab, click Add.
  7. Select an IP address, and then type a port number.
  8. Enter an SSL port number.


Exchange Server 2003 - Control Access to the POP3 Virtual Server

Messaging Clients

Control Access to the POP3 Virtual Server

By default, any POP3 client that supports Basic Authentication can access a POP3 virtual server. To restrict access to the POP3 port, use selective authentication methods, or list only specific computers that are allowed to use the service.

Tip You can also control access to a server by disabling the use of the protocol on a per-user basis.

To control access to the server:

  • Edit Authentication Methods
  • Associate a Certificate with the Server
  • Secure Access by IP Address, Subnet, and Domain
  • Set Connection Limits
  • Specify Message Formats
  • Create Additional Virtual Servers


Exchange Server 2003 - Use SSL with Basic Authentication

Messaging Clients

Use SSL with Basic Authentication

Secure Sockets Layer (SSL) is an encryption method for sending messages over a secure channel. If a virtual server is configured for Basic Authentication over SSL, users must specify a valid Windows 2000 user account and password to log on. By default, POP3 virtual servers use port 995 for SSL communication. If you are configuring multiple virtual servers, you must change the default SSL port to create a unique combination of IP address, TCP port, and SSL port.

Important In addition to setting the SSL port number, you must request and install a certificate to enable SSL on a POP3 virtual server. For instructions on installing a certificate, see Installing a Certificate.

To use SSL with Basic authentication:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. On the Advanced tab, select an existing IP Address, and then click Edit.
  6. Type an SSL port number, and then click OK.


Exchange Server 2003 - Disable Basic Authentication

Messaging Clients

Disable Basic Authentication

If you want to use a method that is more secure or that doesn't prompt the user for a name and password, you can disable Basic Authentication.

Warning POP3 clients cannot log on to Exchange unless one of the authentication methods it supports is enabled on the server. If you disable Basic Authentication, make sure an alternative method is available on the server and supported by the POP3 client.

To disable Basic Authentication:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication.
  5. Click Basic Authentication to clear the check box, and then click OK.


Exchange Server 2003 - Associate a Certificate with the Server

Messaging Clients

Associate a Certificate with the Server

If you want POP3 clients to read mail on a secure connection, you must associate a certificate with the server. Once a certificate is installed, you can require that communication is secure by using encryption.

Note If the Exchange server is remotely administered, both secure communication options are unavailable. If the server is locally administered, a certificate must be installed before the Communication option is available.

To associate a certificate with the server:

  1. Install a certificate.
  2. Require encryption.


Exchange Server 2003 - Install a Certificate

Messaging Clients

Install a Certificate

To activate the SSL version 3.0 security features of your Web server, you must obtain and install a valid server certificate. A server certificate enables users to authenticate your server, check the validity of Web content, and establish a secure connection. To request a new certificate, you need to complete Internet Information Services (IIS) Web Server Certificate Wizard. Once the request has been sent to the certificate authority and processed, you must run IIS Web Server Certificate Wizard again to install the certificate.

To install a certificate:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Certificate.
  5. To request a certificate, complete the Web Server Certificate Wizard.
  6. Click Apply to save your settings.
  7. To install the certificate, on the Access tab, click Certificate again.
  8. Complete the Install a Certificate Wizard again.

Related Topics

Associate a Certificate with the Server


Exchange Server 2003 - Require Encryption

Messaging Clients

Require Encryption

This option is available only when a certificate is associated with the POP3 virtual server. To encrypt all information transmitted across the network, you must require that a secure channel be used. When private messages are sent, Exchange ensures that the body of a message is encrypted from the moment it leaves the source until the moment it is read by the recipient.

Tip Exchange uses 40-bit encryption by default. To strengthen encryption, you can require that the largest key possible be created. Using 128-bit encryption creates a larger key, which is more difficult for unauthorized users to guess.

To require encryption:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Communication.
  5. Select Require secure channel.
  6. If 128-bit encryption is supported on the Exchange server hosting the POP3 virtual server, click Require 128 bit encryption.

Related Topics

Associate a Certificate with the Server


Exchange Server 2003 - Secure Access by IP Address, Subnet, and Domain

Messaging Clients

Secure Access by IP Address, Subnet, and Domain

To further enhance security, you can selectively include or exclude single computers, subnets, and entire domains from accessing a POP3 virtual server. By default, all computers have access until you add them to a list of restricted clients. However, you can restrict access by either listing only a few computers, or by specifying computers that don't require the POP3 service. This feature is very useful if you create multiple instances of a POP3 virtual server; for example, by restricting a computer's access to one POP3 server but allowing access to another, you can ensure that the client logs on only to the service configured for that client.

To secure access by IP address, subnet, and domain:

  • Grant Access by IP Address, Subnet, and Domain
  • Restrict Access by IP Address, Subnet, and Domain


Exchange Server 2003 - Grant Access by IP Address, Subnet, and Domain

Messaging Clients

Grant access by IP Address, Subnet, and Domain

If you have a small number of clients who use the POP3 service, you can create an exclusive group of computers that can access the server. Computers that are permitted to use the service can be identified by IP address, subnet mask, or domain name.

Warning Identify a permitted computer by IP address only if you assign IP addresses statically. If a Dynamic Host Configuration Protocol (DHCP) server assigns temporary IP addresses to computers, you cannot ensure a computer will always use the same IP address.

To grant access by IP address, subnet, and domain:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Connection.
  5. Select Only the list below, and then click Add.
  6. Select one of the following options:
    • IP address. Type the static address of a single computer. For example, 192.168.114.201.

      • Tip If you only know the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If resolved, the IP address appears in IP address automatically.

    • Group of Computers. Type the subnet address and mask; for example, a subnet address of 172.17.131.0 and a subnet mask of 255.255.250.0
      • .
    • Domain. Type the complete domain name; for example, nwtraders.microsoft.com
      • .
  7. To add the computer, subnet, or domain to the list of permitted computers, click OK.

Note By default, POP3 virtual servers grant all computers access. If you create an exclusive group of permitted users for one POP3 virtual server, the list applies only to that one POP3 virtual server. To limit access to other POP3 virtual servers, you must add groups of computers to each instance of a POP3 virtual server.


Exchange Server 2003 - Restrict Access by IP Address, Subnet, and Domain

Messaging Clients

Restrict Access by IP Address, Subnet, and Domain

If you have a small number of clients who do not use the POP3 service, you can deny access to only those clients. By default, all computers can access this resource until you identify a group of restricted IP addresses, subnets, or domains.

Warning Identify a restricted computer by IP address only if you assign IP addresses statically. If a DHCP server assigns temporary IP addresses to computers, you cannot ensure that a computer will always use the same IP address.

To restrict access by IP address, subnet, and domain:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Access tab, click Connection.
  5. Select Only the list below, and then click Add.
  6. Select one of the following options:
    • IP address. Type the static address of a single computer; for example, 192.168.114.201.

      • Tip If you know only the name of the computer, click DNS Lookup. Type the name of the computer, and then click OK. If resolved, the IP address appears in IP address automatically.

    • Group of Computers. Type the subnet address and mask; for example, a subnet address of 172.17.131.0 and a subnet, mask of 255.255.250.0
      • .
    • Domain. Type the complete domain name; for example, nwtraders.microsoft.com.
  7. Click OK to add the user, subnet, or domain to the list of restricted users.

Note Restricting a computer's access to one POP3 virtual server does not necessarily restrict access to all instances of POP3 virtual servers. If you do not want a particular computer to access any POP3 service, you must specifically add the computer to each POP3 virtual server instance. If you restrict a computer from accessing only one instance of a POP3 virtual server, depending on how you configure access to the other instances, the computer might still have access to another POP3 virtual server.


Exchange Server 2003 - Set Connection Limits

Messaging Clients

Set Connection Limits

Limited only by the resources of the computer, a virtual server can accept an unlimited number of inbound connections. To prevent a server from becoming overloaded, you can limit the number of connections made to the POP3 resource. By default, Exchange does not limit the number of incoming connections.

After users are connected, you can also limit the length of time idle connections remain logged on to the server. By default, Exchange disconnects idle sessions after 10 minutes.

Note In topologies that contain Exchange front-end and back-end servers, the implementation of the connection time-out setting varies between server roles. On back-end servers, the connection time-out setting limits the length of time clients are allowed to be connected to the server without performing any activity. However, on front-end servers, the connection time-out setting limits the total length of the client session, regardless of client activity. Therefore, in front-end/back-end environments, you should configure the time-out value on your front-end servers large enough so that your users can download the maximum message size permitted over the slowest connection speed you want to support. This ensures that your clients are not disconnected while downloading messages.

To set connection limits:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the General tab, click Limit number of connections to, and then type an integer between 1 and 1,999,999,999.
  5. Type the number of minutes that can elapse before idle connections are disconnected.

    6. Warning Setting the time-out too low can cause clients to be unexpectedly disconnected from the server and possibly receive error messages. Ten minutes is the lowest recommended time-out.


Exchange Server 2003 - Specify Message Formats

Messaging Clients

Specify Message Formats

Messages sent by an Internet client are stored in an Internet format and there no message conversion occurs when the message is read by a POP3 client. Messages sent by a MAPI client are converted from Microsoft Rich Text Format (RTF) to Multipurpose Internet Mail Extensions (MIME) when read by a POP3 client. If the POP3 clients you support use UNIX to UNIX encoding, you can use uuencode instead of MIME when messages are converted.

To configure message formats:

  • Set MIME Encoding
  • Use Uuencode
  • Choose a Character Set
  • Use Exchange Rich Text Format


Exchange Server 2003 - Set MIME Encoding

Messaging Clients

Set MIME Encoding

MIME provides a way to describe a message consisting of different parts.

To set MIME encoding:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, select one of the following options:
    • Provide message body as plain text. A MIME message body is composed of text only. Graphics and active links are replaced with textual representations. Character formatting, such as bold, underline, and color is not retained.
    • Provide message body as HTML. A MIME message body is generated in HTML. This format allows messages to display graphics, support links to other documents, and retain character formatting. By default, message bodies are provided as HTML.
    • Both. A plain text and HTML version are generated in a MIME multi-part alternative message. If a client cannot read one format, the other is available.


Exchange Server 2003 - Use Uuencode

Messaging Clients

Use Uuencode

UNIX to UNIX encode (uuencode) is an application that converts a binary file into printable 7-bit ASCII characters without loss of information. This allows data, such as images or applications, to be distributed through e-mail or newsgroups.

To use uuencode:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, click UUEncode.
  5. If you are supporting Macintosh clients, click Use Binhex for Macintosh.


Exchange Server 2003 - Choose a Character Set

Messaging Clients

Choose a Character Set

Exchange supports multilingual messages using Windows code pages instead of Internet character sets. For most languages there is a one-to-one correspondence between the character set and the code page. If multiple character sets exist for one code page, Exchange uses the character setting specified on the Message Format tab.

Note Early MAPI clients such as Outlook 97 do not allow the user to specify a character set. It is for these clients only that the character settings apply.

To choose a character set:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, select a character set.


Exchange Server 2003 - Use Exchange Rich Text Format

Messaging Clients

Use Exchange Rich-Text Format

If enabled, POP3 clients receive messages in Exchange Rich Text Format (RTF). Although all POP3 clients receive the information as an attachment, the attachment is opened and displayed as a normal message for POP3 clients that understand Exchange RTF. For POP3 clients that do not understand Exchange RTF, an attachment is displayed. By default, Exchange RTF is not used.

To use Exchange Rich Text Format:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click a virtual server, and then click Properties.
  4. On the Message Format tab, click Use Exchange rich-text format.

    5. Note If you want to use Exchange rich-text format, the only MIME option available is plain text.

  5. To save your settings, click Apply.


Exchange Server 2003 - Create Additional Virtual Servers

Messaging Clients

Create Additional Virtual Servers

A default POP3 virtual server is provided with Exchange. You can edit the default virtual server and create additional virtual servers on a single computer to handle multiple local mail domains and provide administration for several messaging scenarios. The number of POP3 virtual servers you can create is limited only by the resources of the Exchange server.

To create a new virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, right-click POP3, point to New, and then select POP3 virtual server.
  4. To name the virtual server and assign an IP address, TCP port, and SSL port, complete the New POP3 Virtual Server Wizard.
  5. Once you complete the wizard, use the following procedures to configure the default settings:
    • Control Access to the POP3 Virtual Server
    • Specify Message Formats
    • Set Connection Limits


Exchange Server 2003 - Configure POP3 Clients

Messaging Clients

Configure POP3 Clients

Before a POP3 client can connect to a server, a mailbox-enabled user must be created in Active Directory for the client. The POP3 client will also need to be configured with account information that is necessary to allow the client to connect to the POP3 virtual server.

Note URLs are now generated in meeting requests downloaded from a POP3 client. When a meeting request is downloaded from a POP3 client, a URL to the meeting request is included in the message. The POP3 user can click the URL to go to the Outlook Web Access meeting request and accept the appointment to have it automatically added to his or her calendar.

    In topologies that contain Exchange front-end and back-end servers, you configure the URL your users use to access calendaring information on the Calendaring tab of your back-end server. Exchange does not recognize any URL settings you configure on the Calendaring tab of your front-end servers.

    If you use this feature with POP3 clients, you must configure the POP3 client to keep a copy of the message on the server. If the POP3 client is configured to delete mail from the server after it has been downloaded to the client, clicking the URL within the meeting request will result in an HTTP 404 error indicating that the Outlook Web Access meeting request is not available.

To configure POP3 clients:

  • Create a Mailbox-Enabled User
  • Specify Account Information on the Client
  • Set Per-User Options


Exchange Server 2003 - Create a Mailbox-Enabled User

Messaging Clients

Create a Mailbox-Enabled User

The management of user objects, such as mailboxes, is completely coordinated by Active Directory Users and Computers. When Exchange is installed, a set of extensions is added to the standard console. This allows you to create an Exchange mailbox for user accounts.

To create a mailbox-enabled user:

  1. Start Active Directory Users and Computers
    on the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

    2. Tip If Active Directory Users and Computers does not appear on the Administrative Tools menu, on the Start menu, click Run, type dsa.msc, and then click OK.

  2. In the console tree, double click the domain node, right-click the Users folder, point to New, and then click User.
  3. To create a user account, complete the New Object-User Wizard. In Create an Exchange Mailbox, Create an Exchange Mailbox is checked by default.

Tip If you choose not to add a mailbox when you create a new user account, or if you have already created the user account, you can enable the mailbox after the account is created. This option is available on the Shortcut menu in the details pane listing the user account. For more information on creating Exchange users in Active Directory, click here.


Exchange Server 2003 - Specify Account Information on the Client

Messaging Clients

Specify Account Information on the Client

Once you create a place to store user messages, you need to direct the client to the appropriate server and configure the account information so the user can log on. Because POP3 clients vary, the process differs for each client. However, all clients must specify the same type of information.

  • A POP3 account name. This is the user's alias. You can find this name by viewing the user's account properties in Active Directory Users and Computers; for example, SuzanFines.

    • Note If you have multiple users in one Active Directory domain that share a common user name, a user can only be authenticated if they log on with a unique user name. POP3 can authenticate users if they include their domain name in the format of domain\username or use a User Principal Name (UPN). To use a UPN, the user can log on and append their e-mail address to their user name. For example, if you have two users named Sandra Martinez, and one user works at Financial Bank Inc. and the other works at Airlines International, you can assign names based on their e-mail addresses. The user named Sandra Martinez who works at Financial Bank Inc. would log on as SandraM@financial-bank.bank. The user named Sandra Martinez who works at Airlines International would log on as SandraM@airlines-international.air.

  • A POP3 e-mail address. This is the user's Internet address and includes the alias followed by the domain name; for example, SuzanFines@nwtraders.microsoft.com.
  • A POP3 server name. Use the name of the Exchange server hosting the POP3 virtual server or the DNS entry of your front-end POP3 server.
  • An SMTP server name. Every Exchange server contains a default SMTP server. Use the name of the computer hosting the POP3 virtual server or any other server running the SMTP service.
  • By default, Exchange attempts to access the mailbox associated with the Windows user account name that the user is logged on as. For example, if you log on as Domain\SuzanFines, Exchange attempts to access the mailbox called SuzanFines.
  • If a Windows domain and user name are specified as the POP3 account name, they must precede the mailbox's alias name. For example, domain_name\user_account_name\mailbox_alias_name.
  • If a Windows domain and user account are specified as the POP3 account name, the POP3 server uses a mailbox alias that is equivalent to the Windows user account; for example, specifying domain_name\SuzanFines as the POP3 account name is equivalent to specifying domain_name\SuzanFines\SuzanFines as the POP3 account name.
  • If only an alias name is specified as the POP3 account name, the Exchange server uses a Windows user name that is equivalent to the alias name. All domains are searched for the first domain that contains that Windows user. For example, if you specify SuzanFines as the POP3 account name, all domains are searched for the first domain that contains user Windows_domain\SuzanFines\SuzanFines.


Exchange Server 2003 - Set Per-User Options

Messaging Clients

Set Per-User Options

In some situations you may need to override server defaults for specific clients. For example, the majority of your POP3 clients can interpret HTML, so you set the server to provide message bodies in HTML by default. However, there are a few clients that use the POP3 server but cannot interpret HTML. To provide plain text messages for those clients, you can override the MIME encoding set on the server. Overriding server defaults at the user level allows you to support clients with different needs that are accessing the same POP3 virtual server.

Note You can also create additional virtual servers on a single computer to provide administration for a number of different messaging scenarios. This solution may be best suited for organizations that have a large number of clients with varying needs.

To set per-user options:

  1. Start Active Directory Users and Computers
    on the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

    2. Tip If Active Directory Users and Computers doesn't appear on the Administrative tools menu, on the Start menu, click Run, type dsa.msc, and then click OK.

  2. In the console tree, click Users.
  3. In the details pane, right-click a mailbox-enabled user, and then click Properties.
  4. Open Exchange Advanced, and then click Protocol Settings.
  5. Click POP3, and then click Settings.
  6. Click Use protocol defaults to clear the check box and configure client settings.
  7. You can override the following server settings for the specific user:
    8. Setting | Description
    MIME Encoding MIME provides a way to describe a message consisting of different parts. Options include:
    • Provide message body as plain text.
    • Provide message body as HTML.
    • Both.
    Uuencode | UNIX to UNIX encoding (uuencode) converts a binary file into printable 7-bit ASCII characters without loss of information.
    Default character set If multiple character sets can be used to convert a message, a default character set is used.

    Note Early MAPI clients, such as Outlook 97, do not allow the user to specify a character set. It is for these clients only that the character set conversion settings apply.
    Use Exchange Rich Text Format | If enabled, POP3 clients receive messages in Exchange RTF. Although all POP3 clients receive the information as an attachment, the attachment is opened and displayed as a normal message for POP3 clients that can interpret Exchange rich-text format. For POP3 clients that cannot interpret Exchange rich-text format, an attachment is displayed.
  8. In POP3 Protocol Details, click OK, and then in Protocols, click OK.


Exchange Server 2003 - Allow Clients to Send Mail

Messaging Clients

Allow Clients to Send Mail

A Simple Mail Transfer Protocol (SMTP) virtual server is provided with Exchange. The SMTP virtual server transfers data between Exchange servers. To allow POP3 clients to send messages, set relay restrictions on an SMTP virtual server.


Exchange Server 2003 - Manage Server Processes

Messaging Clients

Manage Server Processes

Once the POP3 virtual server is configured for your environment and the client is able to connect, use the following procedures to get details on the status of a server and view a list of connected clients.

To manage server processes:

  • Get the Server Status
  • Start a POP3 Virtual Server
  • Pause a POP3 Virtual Server
  • Stop a POP3 Virtual Server
  • List Connected Users
  • Terminate Connected Users


Exchange Server 2003 - Get the Server Status

Messaging Clients

Get the Server Status

You can find the status of a server at a glance. If the POP3 virtual server is running, the server's folder displays an open mailbox in the console tree. If the POP3 virtual server is not running, a red circle with an "x" is displayed in front of the mailbox on the server's folder.

To get the status of a server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, the status of the server is graphically displayed in front of the open mailbox graphic before the name of the virtual server. If the server is running, you will see an open mailbox graphic. If the server is not running, you will see a graphic indicating that:
    • The server is stopped or does not have a unique identity. This is indicated by a red circle with an "x" in front of the open mailbox graphic. If the POP3 server is stopped, new connections cannot be made and all connected users are logged off. If the server does not have a a unique combination of IP address and TCP port, the server cannot be started until you assign an IP address, TCP port, and SSL port.
    • The server is paused. This is indicated by two black bars in front of the open mailbox. The POP3 server does not allow new connections.


Exchange Server 2003 - Start a POP3 Virtual Server

Messaging Clients

Start a POP3 Virtual Server

In certain situations, it may be necessary to start a virtual server manually. For example, if you stop the server for maintenance, you must restart it manually.

To start a POP3 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console pane, check the status of the server.
  4. If the server is stopped, click Start.

    5. Note If the server displays one of the following options, you will need to take other action.

    • The server does not have a unique identity. If the server does not have a a unique combination of IP address and TCP port, the server cannot be started until you assign an IP address, TCP port, and SSL port.
    • The server is paused. Choose Pause again to restart the server. For more information, see Pause a POP3 Virtual Server.


Exchange Server 2003 - Pause a POP3 Virtual Server

Messaging Clients

Pause a POP3 Virtual Server

Pausing a POP3 virtual server allows it to be taken out of service with minimal user disruption. While paused, the POP3 virtual server continues to support existing client connections, but refuses new client session requests. As users stop and restart their session access, they connect to alternate servers that are configured to provide POP3 access.

To pause a POP3 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console pane, right-click a server, and then click Pause. If the option is not available, the server is not currently running.
  4. To restart the server, right-click the virtual server, and then click Pause again.


Exchange Server 2003 - Stop a POP3 Virtual Server

Messaging Clients

Stop a POP3 Virtual Server

It may be necessary to stop a POP3 virtual server to perform maintenance. Users are immediately disconnected from the server.

To stop a POP3 virtual server:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console pane, right-click a server, and then click Stop. If the option is not available, the server is not currently running.

Related Topics

Start a POP3 Virtual Server


Exchange Server 2003 - List Connected Users

Messaging Clients

List Connected Users

You can use the following procedure to display information about currently connected users. Information about the user, including the user's alias, the IP address of the user's computer, and the time the user connected to the server, is displayed in columns in the details pane of System Manager.

To list connected users:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. In the console tree, double-click a virtual server.
  4. To populate the details pane with information about connected users, in the console tree, click Current Sessions.


Exchange Server 2003 - Terminate Connected Users

Messaging Clients

Terminate Connected Users

You can immediately disconnect a single user or all users if they are accessing the POP3 virtual server without permission.

To terminate connected users:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to POP3.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
    5. Protocols
    6. POP3
  3. Double-click a POP3 server, and then click Current Sessions.
  4. In the details pane, right-click a user.
    • To disconnect a single user, click Terminate.
    • To disconnect all users, click Terminate all.


Maintain POP3 Virtual Servers

Regular maintenance should be performed to help avoid, or diagnose and repair a wide variety of problems. As part of your regular maintenance, you should log errors and review the log files to help prevent future problems. Use diagnostic logging to record significant events relating to POP3 authentication, connections, and client actions. Use performance monitoring to track performance issues related to the server computer itself.

To maintain POP3 virtual servers:

  • Use Diagnostic Logging
  • Monitor Performance


Exchange Server 2003 - Use Diagnostic Logging

Messaging Clients

Use Diagnostic Logging

You can use diagnostic logging to record significant events relating to authentication, connections, and client actions. Diagnostic logging for POP3 is written to the Windows 2000 event log and is set on the server hosting the POP3 virtual server instance. If multiple POP3 virtual servers are added to one Exchange computer, all POP3 virtual servers are logged at the level set on the host server. By default, a logging level of None is selected to log only critical errors.

To set the logging level:

  1. Start System Manager
    on the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to a server.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
    4. Server
  3. In the console tree, right-click a server, and then click Properties.
  4. On the Diagnostic Logging tab, in Services, click POP3Svc.
  5. Click a Category, and then select one of the following Logging Levels:
    • None. This level logs only critical and errors.
    • Minimum. This level logs high-level events by writing one entry for each major task performed by the service. This level of logging can help identify where a problem might be occurring.
    • Medium. This level records entries for each step taken to run a task. This level of logging gives more detail once the location of the problem is found.
    • Maximum. This level records entries for each line of code in the service, providing a complete trail of the service's operation and logging all events. This level of logging creates a large amount of data, which can affect server performance.


Exchange Server 2003 - Monitor Performance

Messaging Clients

Monitor Performance

Specific performance monitors are available for POP3. They are set in System Monitor supplied by Windows 2000. With System Monitor, you can collect and view extensive data about the usage of hardware resources and the activity of POP3 virtual servers on computers you administer. For more information, see the documentation provided with System Monitor.

To set POP3 performance counters:

  1. Start Performance
    on the Start menu, point to Programs, point to Administrative Tools, and then click Performance.
  2. Right-click the details pane, and then click Add Counters.
  3. To select the computer running the POP3 virtual server, click Use local computer counters or Select counters from computer, and then select the server.
  4. In Performance Object, select MSExchangePOP3.
  5. To monitor all counters, click All counters. To monitor specific counters, click Select counters from list, and then click the counter name. To read a description of the counter, click Explain.


Exchange Server 2003 - Outlook Web Access

Outlook Web Access

Outlook Web Access

With Outlook Web Access, you can configure Exchange so that users can access e-mail, calendar information, shared applications, and any content in the public information store simply and efficiently using a web browser.

Answers to frequently asked questions

What is Outlook Web Access?

Outlook Web Access is a Hypertext Transfer Protocol (HTTP) virtual server that is installed and configured during the installation process of Exchange.

Can I disable Outlook Web Access?

Yes. Since Outlook Web Access is installed by default, it is automatically running after Exchange is installed. If you want to disable Outlook Web Access, you will need to stop the HTTP virtual server.

Can I enable and disable access to Outlook Web Access on a per user basis?

Yes. Access to Outlook Web Access is enabled for each user by default. Using the Active Directory Users and Computers snap-in, it is possible to enable and disable access to Outlook Web Access on a per user basis.

Can I use Outlook Web Access from the Internet?

Yes. In order to access Outlook Web Access from the Internet, your Exchange server must have an Internet connection and a public IP address. It is also possible to access Outlook Web Access from the Internet using a domain name. If your Exchange server has an Internet connection with a registered domain name, clients will be able to connect from the Internet. Registered domain names are controlled by the InterNIC. For more information on the InterNIC and Internet connections refer to the Windows online documentation.

What is WebDAV?

WebDAV is a set of rules designed to enable computers to exchange information.


Exchange Server 2003 - Manage Outlook Web Access

Outlook Web Access

Manage Outlook Web Access

Outlook Web Access is managed like all other Hypertext Transfer Protocol (HTTP) virtual servers in Internet Information Services (IIS).

To manage Outlook Web Access:

  • Start, Pause, and Stop the Server
  • Enable Outlook Web Access for a User
  • Configure a Front-End Server
  • Set Public Folder Posting Size Limit
  • Enable Compression Settings
  • Enable Forms Based Authentication


Exchange Server 2003 - Start, Pause, and Stop the Server

Outlook Web Access

Start, Pause, and Stop the Server

In certain situations, you may need to start or stop a virtual server manually; for example, you may need to stop an HTTP virtual server immediately to perform maintenance. You can also pause a virtual server to take it out of service with minimal user disruption. When paused, the HTTP virtual server continues to support existing client connections but refuses new client session requests. As users stop and restart their session access, users connect to alternate servers that are configured to provide HTTP access.

Note Be aware that when you stop an HTTP virtual server, you will disable public folders in your organization.

To start, pause, and stop the server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Choose an HTTP virtual server. Note that you can only administer the default Exchange virtual server from Internet Services Manager.
  4. Check the status of the server in the console tree. If it has an icon of a red circle with a white x, the server does not have a unique combination of IP address and TCP port. Before starting the server, you must assign a unique identity to the server.
  5. In the console tree, right-click the HTTP virtual server. You can select from the following options:
    • Start. This option starts the HTTP virtual server.
    • Pause. This option changes the server status to paused and an icon appears next to the server name in the console tree. To re-start the server, select Pause again.
    • Stop. This option changes the server status to stopped and an icon appears next to the server name in the console tree.


Exchange Server 2003 - Enable Outlook Web Access for a User

Outlook Web Access

Enable Outlook Web Access for a User

Outlook Web Access is enabled for each user by default. Use Active Directory Users and Computers to disable Outlook Web Access for a specific user.

To enable or disable Outlook Web Access for a user:

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.

  2. In the console tree, click Users.

  3. In the details pane, right-click a user, and then click Properties.
  4. Click the Exchange Advanced tab, and then click Protocol Settings.
  5. Click HTTP, and then click Settings.
  6. On HTTP Protocol Details, select or clear Enable for mailbox, which will be selected by default.


Exchange Server 2003 - Configure a Front-End Server

Outlook Web Access

Configure a Front-End Server

When you configure a server to be a front-end server, you are dedicating the server to receive requests from clients and relay client requests to the appropriate back-end server. After identifying a server as a front-end server, you should remove any unnecessary components that still exist. This will allow the front-end server to relay client requests more efficiently. Components that are unnecessary include the storage groups and routing groups. You should also stop any unnecessary services.

Important If you plan to allow access to Outlook Web Access over the Internet, name your front-end server with its fully qualified domain name (FQDN) and not an internal server name. This ensures Outlook Web Access URLs will work properly for external users.

To configure an Exchange server as a front-end server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Servers.

    System Manager

    1. Administrative Groups
    2. Administrative group
    3. Servers
  3. Right-click the front-end server, and then click Properties.
  4. Click This is a front end server.
  5. Restart the front-end server.
  6. To handle front-end requests, create a virtual HTTP server on each back-end server.

Note You must create this HTTP virtual server on each back-end server because the front-end server is dedicated to receiving and relaying client requests.


Exchange Server 2003 - Set Public Folder Posting Size Limit

Outlook Web Access

Set Public Folder Posting Size Limit

When Outlook Web Access users post items to your organization's public folders, the posts are saved on the computer running Exchange in a temporary location, a folder called OWAScratchPad. The default maximum size for any item stored in this folder is 1024 kilobytes (KB). This means Outlook Web Access users cannot post any item larger than 1024 KB to a public folder.

Use the following procedure to change this limit. Increasing the size limit will allow Outlook Web Access users to post larger items to public folders, while decreasing the size limit will prevent Outlook Web Access users from posting any item that is larger than the limit you set.

Note The OWA Scratch Pad limit only applies to items posted to public folders through Outlook Web Access. The limit you set here will not apply to items posted through Outlook, NNTP, or other means.

To configure the size limit for Outlook Web Access public folder postings:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Public Folders.

    Administrative Groups

    1. Administrative Group
    2. Folders
    3. Public Folders
  3. Right-click Public Folders, and then click View System Folders.
  4. Right-click OWAScratchPad{GUID}, and then click Properties.

    Note GUID is the globally unique identifier for the OWAScratchPad folder on this Exchange server.

  5. In OWAScratchPad{GUID}, click the Limits tab.
  6. Under Storage limits, make sure Maximum item size (KB) is selected, and then, in the Maximum item size (KB) text box, type the number of kilobytes you want your limit to be. Outlook Web Access users will not be able to post any item to public folders that is larger than the value you enter.


Exchange Server 2003 - Enable Compression Settings

Outlook Web Access

Enable Compression Settings

You can specify the compression level for Outlook Web Access using Exchange System Manager.

To enable the compression settings in Outlook Web Access:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. Click the Settings tab.
  5. In the Outlook Web Access pane, in the drop down menu under Compression:, select a compression level.
    • Select None (default) for no compression.
    • Select Low for low compression. The low compression setting will compress static files only.
    • Select High for high compression. The high compression setting will compress static and dynamic files.

Related Topics

Enable Forms Based Authentication


Exchange Server 2003 - Enable Forms Based Authentication

Outlook Web Access

Enable Forms Based Authentication

You can enable forms based authentication to provide additional security when your users use Outlook Web Access. When you enable forms based authentication, a new logon page for Outlook Web Access will store the user's user name and password in an in-memory session cookie instead of in the browser. When a user closes their browser, the cookie will be cleared. Additionally, after a period of inactivity, the cookie will be cleared automatically. The new logon page requires users to enter either their domain name\alias and password or their full UPN e-mail address and password to access their e-mail.

To enable forms based authentication for Outlook Web Access:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the Settings tab, in the Outlook Web Access pane, select Enable Forms Based Authentication, and then click OK.

Related Topics

Enable Compression Settings


Exchange Server 2003 - Create a New HTTP Server

Outlook Web Access

Create a New HTTP Server

When you install Exchange, an HTTP virtual server is automatically installed and configured to provide users with access to public and private folders. You can administer this default server only from IIS; however, users can access data immediately using the following URLs:

  • http://server_name/public. This URL provides access to public folders.
  • http://server_name/exchange/mailbox_name. This URL provides access to mailboxes.

To provide for a number of different collaboration scenarios, you can create new HTTP virtual servers to supplement the access to folders that the default Web site in IIS provides. An HTTP virtual server is identified on the network by a unique combination of IP address, TCP port, Secure Sockets Layer (SSL) port, and host name. For each virtual server that you create, you must define one virtual directory as the root of the server for publishing content.

To create a new HTTP virtual server:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
  3. In the console tree, right-click HTTP, point to New, and then click HTTP Virtual Server.
  4. In Name, type a name to identify the server in the console tree. This name is not visible to the client and does not have to match the host name.
  5. Assign a unique identity.
  6. Configure the server's virtual directory.


Exchange Server 2003 - Assign a Unique Identity

Outlook Web Access

Assign a Unique Identity

An HTTP virtual server is identified on the network by a unique combination of IP address, TCP port, SSL port, and host name. You can change the Domain Name System (DNS) entry by editing the server's properties or editing the host file.

Important If you differentiate a virtual server by host name only, additional steps are necessary to direct the browser to access a specific virtual server. The reason for this is that multiple virtual servers use the same ports.

To assign a unique identity:

  1. If you have not done so already, create a new server.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, click Advanced, and then click Add.
  5. To differentiate a new HTTP virtual server from other HTTP virtual servers, edit at least one of the following settings.
    Setting | Description
    IP address | Select (All Unassigned) or choose a specific IP address generated from the available network cards.
    Host name | Type a unique name to identify the virtual server on the network. This option is required to create a DNS entry for the virtual server.
    TCP port | Type a new port number if the default port of 80 is already in use. If you are using SSL in addition to a regular channel, you must change this port number and the SSL port.
    SSL port | Type a new port number to use a secure channel. If you are using SSL in addition to a regular channel, you must change this port number and the SSL port.

Important If you change the TCP port and leave the SSL port at the default setting of 443, SSL requests sent to this new virtual server go to the default virtual server managed by Internet Information Services (IIS).


Exchange Server 2003 - Configure the Server's Virtual Directory

Outlook Web Access

Configure the Server's Virtual Directory

For each virtual server that you create, you must define one virtual directory as the root of the server for publishing folders or mailboxes. You can create additional virtual directories to publish content not contained within the server's own directory structure. The virtual directory can provide access to a public folder or to a mailbox on a local or remote domain.

Related Topics

Create Additional Virtual Directories


Exchange Server 2003 - Control Access to the Server

Outlook Web Access

Control Access to the Server

HTTP virtual servers allow you to support a collaborative authoring environment. When you collaborate on confidential material, it is important to control who has access to the data; however, if you also want users outside of your organization to access public information, you can enable anonymous connections on a separate HTTP virtual server. To restrict user access you can use the following procedures on the Exchange virtual server, or you can use IIS to set security features.

To control access to the server:

  • Set Connection Limits
  • Edit Authentication Methods


Exchange Server 2003 - Set Connection Limits

Outlook Web Access

Set Connection Limits

Limited only by the resources of the computer, a virtual server accepts an unlimited number of inbound connections. To prevent a computer from becoming overloaded, you can limit the number of connections the HTTP virtual server accepts. You can also limit the length of time that idle connections remain logged on to the server.

By default, Exchange limits the number of incoming connections to 1,000 and disconnects idle sessions after 60 seconds.

To set connection limits:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, if not already selected, select Limit number of connections to, and then type an integer between 1 and 1,999,999,999.
  5. In Time-out (secs), type the number of seconds that elapse before idle connections are disconnected.

    6. Warning Setting the time-out too low causes clients to be unexpectedly disconnected from the server and users may receive an error message. The lowest recommended time-out is 60 seconds.


Exchange Server 2003 - Edit Authentication Methods

Outlook Web Access

Edit Authentication Methods

Exchange enables basic authentication and Integrated Windows Authentication by default.

Basic Authentication

Basic authentication transmits user passwords across the network as unencrypted information. Although this method allows users to access all Exchange resources, it is not very secure. To enhance security, you can use SSL with basic authentication to encrypt all information.

Integrated Windows Authentication

Enabled by default, integrated Windows authentication also requires HTTP users to have a valid Windows user account name and password to access information. Users are not prompted for their account names and passwords; instead, the server negotiates with the Windows security packages installed on the client computer. This method allows the server to authenticate users without prompting them for information and without transmitting unencrypted information across the network.

To edit authentication methods:

  • Use SSL with Basic Authentication
  • Disable Basic Authentication


Exchange Server 2003 - Use SSL with Basic Authentication

Outlook Web Access

Use SSL with Basic Authentication

SSL is an encryption method for sending messages over a secure channel. If a virtual server is configured for basic authentication over SSL, users must specify a valid Windows user account and password to log on. By default, HTTP virtual servers use port 443 for SSL communications. If you are configuring multiple virtual servers, you must change the default SSL port to create a unique combination of IP address, TCP port, and SSL port.

Important This procedure will work only on HTTP virtual servers that you have created. The default HTTP virtual server, Exchange Virtual Server, must be configured using Windows Internet Information Services (IIS). To do this, on the Start menu, point to Programs, point to Administrative Tools, and then click Internet Services Manager.

To edit the SSL TCP port:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Servers

    1. Server
    2. Protocols
    3. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the General tab, click Advanced.
  5. In Identities, select an existing IP address, and then click Modify.
  6. In SSL port, type a new port number.


Exchange Server 2003 - Disable Basic Authentication

Outlook Web Access

Disable Basic Authentication

If you want to use a method that is more secure and doesn't prompt the user for a name and password, or if you don't want to grant users permission to log on locally on Internet Information Services (IIS), disable basic authentication. Remember that users cannot log on to the computer running Exchange until one of the authentication methods that the client supports is enabled on the server. If you disable basic authentication, make sure you choose another authentication method.

To disable basic authentication:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to HTTP.

    Administrative Group

    1. Administrative group
    2. Servers
    3. Server
    4. Protocols
    5. HTTP
  3. Right-click a virtual server, and then click Properties.
  4. On the Access tab, click Authentication. By default, the Basic Authentication check box is selected.
  5. Click to clear the Basic Authentication check box.


Exchange Server 2003 - Mobile Services for Exchange

Messaging Clients

Mobile Services for Exchange

Exchange Server 2003 allows your users to access their Exchange information using either Outlook Mobile Access or Exchange ActiveSync. Outlook Mobile Access allows your users to access Exchange data using a mobile device such as a WAP 2.0 cell phone. Exchange ActiveSync allows your users to synchronize their Exchange data with a mobile device such as a Pocket PC. Exchange ActiveSync also includes the ability to recieve Always-up-to-date Notifications thereby keeping the information current on a user's device.

To manage wireless access to Exchange:

  • Enable Outlook Mobile Access for all users
  • Enable Exchange ActiveSync for all users

    • Get latest Exchange content at http://www.microsoft.com/exchange/library.


Exchange Server 2003 - Enable Outlook Mobile Access for All Users

Messaging Clients

Enable Outlook Mobile Access for All Users

Enabling the Outlook Mobile Access feature allows your users to access their Exchange information using a mobile device.

To Configure Exchange Outlook Mobile Access:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Global Settings then right-click Mobile Services and then click Properties
  3. In Mobile Services Properties under Outlook Mobile Access, select the Enable Outlook Mobile Access checkbox and then click OK.
  4. To allow your users to use unsupported devices, select the checkbox next to Enable Unsupported Devices and then click OK.

Related Topics

Enable Exchange ActiveSync for All Users Enable Outlook Mobile Access for a user


Exchange Server 2003 - Put Your Procedure Title Here

Messaging Clients

Enable Exchange ActiveSync for All Users

The Exchange ActiveSync feature allows users to synchronize their Exchange information with a mobile device.

To Enable Exchange ActiveSync:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. In the console tree, double-click Global Settings, right-click Mobile Services and then click Properties.
  3. In Mobile Services Properties, under Exchange ActiveSync, select from the following:
    • Select the Enable user initiated synchronization checkbox to enable your users to synchronize their Exchange information with their mobile device.
    • Select the Up-to-date notifications checkbox to allow users to receive notifications in order to keep their device up to date with information on their Exchange server.
    • Select the Enable notifications to user-specified SMTP adresses checkbox to allow users to use their own wireless service provider.
  4. Click OK to save these settings.

Related Topics

Enable Outlook Mobile Access Enable Outlook Mobile Access for All Users


Exchange Server 2003 - Managing Active Directory Connector

Managing Active Directory Connector

Managing Active Directory Connector

Version: June 2003

Microsoft Active Directory Connector (ADC) replicates directory information between the Exchange 5.5 directory and Active Directory.

Answers to Frequently Asked Questions

How do I create a Connection Agreement that replicates directory information between the Exchange 5.x directory and Active Directory?

The most reliable way to set up and configure connection agreements is to use ADC Tools, which is a set of wizards and tools that help you correct resource mailbox problems, create connection agreements, and verify replication between the Exchange 5.5 directory and Active Directory. More...

What is the difference between public folder or recipient Connection Agreements and Configuration Connection Agreements?

Public folder and recipient Connection Agreements are used to synchronize Active Directory objects between Active Directory and the Exchange 5.5 directory. Configuration Connection Agreements are automatically created to synchronize configuration information between computers running Exchange 2003 and Exchange 5.5 sites.

When does ADC use the most resources, and how can I prepare for it?

When ADC is running, it can use the majority of the processing power of the server. This consumption level is constant until all replication is complete; however, the load placed on the bridgehead servers is low compared to the load placed on the server running ADC.

I want to change the objects that are replicated to Active Directory by default, and I also want to customize the rules used to match directory objects. Can I do this?

When replicating directory information using a Connection Agreement, you can use a policy to set the attributes that are replicated. You can also customize object matching rules. More...

How do I monitor ADC?

You can monitor ADC by reviewing the logging events in Windows Event Viewer. You should monitor the activities of each Connection Agreement to ensure that proper directory replication is accomplished. Monitoring should be a part of your regularly scheduled maintenance. Regular maintenance helps you keep directory replication performing optimally, and can help you keep failures and errors to a minimum.


Exchange Server 2003 - Glossary

A B C D E F G H I J K L M N O P Q R S T U V W X Y Z


Exchange Server 2003 - Set a Default Policy for Replication

Managing Active Directory Connector

Set a Default Policy for Replication

When replicating directory information using a Connection Agreement, you can set the default attributes that are replicated using a policy. You can also customize object matching rules. A policy allows you to configure settings that are shared across multiple Connection Agreements.

This section contains the following topics:

  • Select Attributes To Be Replicated
  • Customize Object Matching Rules


Exchange Server 2003 - Customize Object Matching Rules

Managing Active Directory Connector

Customize Object Matching Rules

When replicating directory information using a Connection Agreement, you can customize the object matching rules used during replication.

Note By default, objects are matched by globally unique identifier (GUID), legacyExchange DN, and primary Windows NT account. If no match is found or if these objects are unavailable, the replication creates a new object in the directory.

To customize object matching rules:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, right-click Active Directory Connector Management, and then click Properties.
  3. Click either the From Exchange tab or the From Windows tab, depending on the direction to which you want to replicate information. If you are performing a two-way replication, you must select object matching rules on both tabs.
  4. Click Add to add a new rule.

    Note Be sure to enter the criteria in both the From Exchange and From Windows tabs if you have two-way Connection Agreements. This ensures that ADC replicates to the same object in both locations.

  5. To change the order of the new rules you have created, select a rule, and click Up or Down.

Related Topics

Set a Default Policy for Replication


Exchange Server 2003 - Select Attributes To Be Replicated

Managing Active Directory Connector

Select Attributes To Be Replicated

When replicating directory information, you can select the attributes that you want Exchange to replicate.

Note By default, all available attributes are replicated.

To select the attributes to be replicated for all Connection Agreements:

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, right-click Active Directory Connector Management, and then click Properties.
  3. Click either the From Exchange tab or the From Windows tab, depending on the direction to which you want to replicate information. If you are performing a two-way replication, you must select attributes on both tabs.
  4. From the list of attributes, select the ones you want to be replicated by default for your Connection Agreements.

Note Attributes you select affect all Connection Agreements. If you clear attributes on Exchange, also clear the same attributes in Windows 2000.

Related Topics

Set a Default Policy for Replication


Exchange Server 2003 - Copyright and Trademarks

Copyright and Trademarks

Information in this document, including URL and other Internet Web site references, is subject to change without notice. Unless otherwise noted, the example companies, organizations, products, people and events depicted herein are fictitious and no association with any real company, organization, product, person or event is intended or should be inferred. Complying with all applicable copyright laws is the responsibility of the user. Without limiting the rights under copyright, no part of this document may be reproduced, stored in or introduced into a retrieval system, or transmitted in any form or by any means (electronic, mechanical, photocopying, recording, or otherwise), or for any purpose, without the express written permission of Microsoft Corporation.

Microsoft may have patents, patent applications, trademarks, copyrights, or other intellectual property rights covering subject matter in this document. Except as expressly provided in any written license agreement from Microsoft, the furnishing of this document does not give you any license to these patents, trademarks, copyrights, or other intellectual property.

© 2003 Microsoft Corporation. All rights reserved.

Microsoft, MS-DOS, Windows, Windows NT, ActiveX, JScript, Microsoft Press, Visual Basic, Visual C++, Visual J++, Win32, and Win32s are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.

Portions copyright 1984-1997 FairCom Corporation. "FairCom" and "c-tree Plus" are registered trademarks of FairCom Corporation registered in the United States and other countries. All Rights Reserved.

The names of actual companies and products mentioned herein may be the trademarks of their respective owners.


Exchange Server 2003 - Use IFS for File Access

Configuring the Exchange Store

Use IFS for File Access

On a server running Exchange you can map the M:\ drive as a network drive. Users can map local drives to any folder or mailbox in the IFS hierarchy. After local drives are mapped, they can be shared to give other users access to the databases.

The default IFS hierarchy contains the domain and two folders, as follows:

 \domain name
   \Public Folders
   \Mbx
  • You can list items in Public Folders by typing the dir command at the DOS prompt. You can also perform other file system operations, for example, COPY and DELETE, on files in Public Folders. All standard message items are identified by .eml extensions and can be opened with MAPI and IMAP clients.
  • The \Mbx folder is the root for all mailboxes on the Exchange server. If you have permissions, you can access the mailboxes by explicitly specifying mailbox names.


Exchange Server 2003 - Hide Membership of a Mail-Enabled Group

Managing Recipient Settings

Hide Membership of a Mail-Enabled Group

By default, the members of a mail-enabled group are visible to Microsoft Outlook users in the group's Properties tab. However, you can hide the membership of a group using the Exchange Task Wizard.

Note The following is the only supported method for hiding the membership of a group.

To hide the membership of a group

  1. Start Active Directory Users and Computers
    On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Users and Computers.
  2. In the console tree, expand the domain. Double-click Users, or double-click the node that contains the recipient information you want to modify.
  3. In the details pane, right-click the group for which you want to hide membership, and then click Exchange Tasks.
  4. On the Welcome to the Exchange Task Wizard screen, click Next.
  5. Select Hide Membership, and then click Next.

Note After you hide the membership of a group, you cannot modify the group's security properties. When a group's membership is hidden, its access control list (ACL) stores entries in non-canonical order. Although this format allows Exchange 2003 servers to expand group membership for message delivery, it prevents any modifications to the group's security properties. The following message will appear if you open the group's properties and click the Security tab:

Windows can not edit the permissions on
group name because they have been written
in a nonstandard format by another application.
To enable editing, you must use the application
to restore the permissions to a standard format.


Exchange Server 2003 - Add an Address Space

Configuring Message Routing

Add an Address Space

When you connect to an external system, you must specify an address space for the connector to use.

To add an address space to an existing connector:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <First Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <First Administrative Group>
    3. Routing Groups
    4. <First Routing Group>
    5. Connectors
  3. Right-click a connector to which you want to add an address space, and then click Properties.
  4. Click the Address Space tab, and then click Add.
  5. Select the type of address space you want to add. The address space type defaults to the type of the connector. You can choose X.400 (X400), Microsoft Mail (MS), SMTP (SMTP), Lotus cc:Mail (CCMAIL), Lotus Notes (NOTES), Novell GroupWise (GWISE), or other (Other).
  6. In the address space Properties, type all necessary information according to the addressing conventions for the following address space types:
    • X.400
    • Microsoft Mail
    • SMTP
    • Lotus cc:Mail
    • Lotus Notes
    • Novell GroupWise
    • Other. If you choose this type of address space, type the following information: Type, Cost, and Address.

Related Topics

Delete an Address Space Edit an Address Space


Exchange Server 2003 - Delete an Address Space

Configuring Message Routing

Delete an Address Space

When you make changes to your system configuration, you may need to add new address spaces or delete existing address spaces.

To delete an existing address space:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click the connector from which you want to delete an address space, and then click Properties.
  4. Click the Address Space tab.
  5. Select the address space that you want to delete from the list, and then click Remove.
  6. Click Yes to confirm that you want to delete the address space.


Exchange Server 2003 - Edit an Address Space

Configuring Message Routing

Edit an Address Space

Each Exchange Server SMTP or X.400 connector must have at least one address space.

To edit an address space:

  1. Start System Manager
    On the Start menu, point to Programs, point to Microsoft Exchange, and then click System Manager.
  2. Navigate to Connectors.
    If you do not have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Connectors

    If you do have routing groups defined:

    System Manager

    1. Administrative Groups
    2. <Administrative Group>
    3. Routing Groups
    4. <Routing Group>
    5. Connectors
  3. Right-click the connector that contains the address space, and then click Properties.
  4. Click the Address Space tab, and then click Modify.
  5. In Properties, set parameters according to the addressing conventions for the following address space types:
    • X.400
    • Microsoft Mail
    • SMTP
    • Lotus cc:Mail
    • Lotus Notes
    • Novell GroupWise
    • Other. If this is your address space type, modify the following information: Type, Cost, and Address.

Related Topics

Delete an Address Space


Exchange Server 2003 - Search for Public Folders

Managing Public Folders

Search for Public Folders

Use the Find tab to search for public folders within the selected public folder or public folder hierarchy. You can specify a variety of search criteria, such as the folder name or age.

Note The Find tab is available at the top-level hierarchy level as well as the folder level.


Exchange Server 2003 - Use ADC Tools

Coexisting with Previous Versions

Use ADC Tools

ADC Tools help you correct resource mailbox problems, create connection agreements, and verify replication between the Exchange 5.5 directory and Active Directory. ADC Tools consist of the following tools and wizards:

  • Step 1: Tool Settings allows you to set the Exchange 5.5 server, LDAP port, and log file path for ADC Tools.
  • Step 2: Data Collection scans your Exchange 5.5 directory and Active Directory and gathers data for use in subsequent steps.
  • Step 3: Resource Mailbox Wizard allows you to match Active Directory accounts to the appropriate primary mailboxes and stamp other mailboxes with the NTDSNoMatch attribute, which designates the mailboxes as resource mailboxes.
  • Step 4: Connection Agreement Wizard recommends connection agreements based on object matching data collected in step 1. You can review the list of recommended connection agreements and select those you want the wizard to create.

To start ADC Tools

  1. On the Start menu, point to Programs, point to Administrative Tools, and then click Active Directory Connector.
  2. In the console tree, click ADC Tools.